/*! 20220624191759
* Dynamsoft JavaScript Library
* Product: Dynamsoft Web Twain
* Web Site: https://www.dynamsoft.com
*
* Copyright 2023, Dynamsoft Corporation
* Author: Dynamsoft Support Team
*
* Module: BarcodeReader
* Version: 17.3.5
* 
*/
var Dynamsoft=self.Dynamsoft||{};Dynamsoft.DWT=Dynamsoft.DWT||{},Dynamsoft.DBR=Dynamsoft.DBR||{},Dynamsoft.aryAddonReadyFun=Dynamsoft.aryAddonReadyFun||[],Dynamsoft.AddonReady=Dynamsoft.AddonReady||function(e){Dynamsoft.aryAddonReadyFun.push(e)},function(){Dynamsoft.BarcodeReaderAddon=Dynamsoft.BarcodeReaderAddon||{};var n=Dynamsoft.BarcodeReaderAddon;n.Version="8.6.0.1026",n._decoding=!1,n._decodeQueue=[],n._decodeNext=function(){var e,t;0==n._decodeQueue.length?n._decoding=!1:(e=(t=n._decodeQueue[0]).method,t=t.args,n._decodeQueue.splice(0,1),e.apply(null,t))},n._defaultRuntimeSettingsStr="",n._defaultTemplateStr="",n._wasmInstance=!1,n._activeXInstance=!1,n.BarcodeReaderException=function(){var e=arguments[0],t=Dynamsoft.DBR.EnumErrorCode.DBR_UNKNOWN,e="number"==typeof e?(t=e,new Error(arguments[1])):new Error(e);return e.code=t,e},n.RemoveNonPrintableChar=function(e){return Dynamsoft.Lib.isString(e)?e.replace(/[^\x20-\x7E]|(\\")/g,""):e},n.errors={webcamNotInstalled:"The Webcam add-on not installed.",nonServiceNotSupportWebcamDecode:"The BarcodeReader add-on does not support reading barcodes from video streams.",decodeResultEmpty:"decode result is empty."},n._activeXMaxIEVersion=9,n.logLevel=3,Dynamsoft.DBR.EnumAccompanyingTextRecognitionMode={ATRM_GENERAL:1,ATRM_SKIP:0},Dynamsoft.DBR.EnumBarcodeColourMode={BICM_DARK_ON_LIGHT:1,BICM_LIGHT_ON_DARK:2,BICM_DARK_ON_DARK:4,BICM_LIGHT_ON_LIGHT:8,BICM_DARK_LIGHT_MIXED:16,BICM_DARK_ON_LIGHT_DARK_SURROUNDING:32,BICM_SKIP:0},Dynamsoft.DBR.EnumBarcodeComplementMode={BCM_AUTO:1,BCM_GENERAL:2,BCM_SKIP:0},Dynamsoft.DBR.EnumBarcodeFormat={BF_ALL:-32505857,BF_ONED:2047,BF_GS1_DATABAR:260096,BF_CODE_39:1,BF_CODE_128:2,BF_CODE_93:4,BF_CODABAR:8,BF_ITF:16,BF_EAN_13:32,BF_EAN_8:64,BF_UPC_A:128,BF_UPC_E:256,BF_INDUSTRIAL_25:512,BF_CODE_39_EXTENDED:1024,BF_GS1_DATABAR_OMNIDIRECTIONAL:2048,BF_GS1_DATABAR_TRUNCATED:4096,BF_GS1_DATABAR_STACKED:8192,BF_GS1_DATABAR_STACKED_OMNIDIRECTIONAL:16384,BF_GS1_DATABAR_EXPANDED:32768,BF_GS1_DATABAR_EXPANDED_STACKED:65536,BF_GS1_DATABAR_LIMITED:131072,BF_PATCHCODE:262144,BF_PDF417:33554432,BF_QR_CODE:67108864,BF_DATAMATRIX:134217728,BF_AZTEC:268435456,BF_MAXICODE:536870912,BF_MICRO_QR:1073741824,BF_MICRO_PDF417:524288,BF_GS1_COMPOSITE:-2147483648,BF_NULL:0},Dynamsoft.DBR.EnumBarcodeFormat_2={BF2_NULL:0,BF2_POSTALCODE:32505856,BF2_NONSTANDARD_BARCODE:1,BF2_USPSINTELLIGENTMAIL:1048576,BF2_POSTNET:2097152,BF2_PLANET:4194304,BF2_AUSTRALIANPOST:8388608,BF2_RM4SCC:16777216,BF2_DOTCODE:2},Dynamsoft.DBR.EnumBinarizationMode={BM_AUTO:1,BM_LOCAL_BLOCK:2,BM_SKIP:0},Dynamsoft.DBR.EnumClarityCalculationMethod={ECCM_CONTRAST:1},Dynamsoft.DBR.EnumClarityFilterMode={CFM_GENERAL:1},Dynamsoft.DBR.EnumColourClusteringMode={CCM_AUTO:1,CCM_GENERAL_HSV:2,CCM_SKIP:0},Dynamsoft.DBR.EnumColourConversionMode={CICM_GENERAL:1,CICM_SKIP:0},Dynamsoft.DBR.EnumConflictMode={CM_IGNORE:1,CM_OVERWRITE:2},Dynamsoft.DBR.EnumDeformationResistingMode={DRM_AUTO:1,DRM_GENERAL:2,DRM_SKIP:0},Dynamsoft.DBR.EnumDPMCodeReadingMode={DPMCRM_AUTO:1,DPMCRM_GENERAL:2,DPMCRM_SKIP:0},Dynamsoft.DBR.EnumErrorCode={DBR_SYSTEM_EXCEPTION:1,DBR_SUCCESS:0,DBR_UNKNOWN:-1e4,DBR_NO_MEMORY:-10001,DBR_NULL_REFERENCE:-10002,DBR_LICENSE_INVALID:-10003,DBR_LICENSE_EXPIRED:-10004,DBR_FILE_NOT_FOUND:-10005,DBR_FILETYPE_NOT_SUPPORTED:-10006,DBR_BPP_NOT_SUPPORTED:-10007,DBR_INDEX_INVALID:-10008,DBR_BARCODE_FORMAT_INVALID:-10009,DBR_CUSTOM_REGION_INVALID:-10010,DBR_MAX_BARCODE_NUMBER_INVALID:-10011,DBR_IMAGE_READ_FAILED:-10012,DBR_TIFF_READ_FAILED:-10013,DBR_QR_LICENSE_INVALID:-10016,DBR_1D_LICENSE_INVALID:-10017,DBR_DIB_BUFFER_INVALID:-10018,DBR_PDF417_LICENSE_INVALID:-10019,DBR_DATAMATRIX_LICENSE_INVALID:-10020,DBR_PDF_READ_FAILED:-10021,DBR_PDF_DLL_MISSING:-10022,DBR_PAGE_NUMBER_INVALID:-10023,DBR_CUSTOM_SIZE_INVALID:-10024,DBR_CUSTOM_MODULESIZE_INVALID:-10025,DBR_RECOGNITION_TIMEOUT:-10026,DBR_JSON_PARSE_FAILED:-10030,DBR_JSON_TYPE_INVALID:-10031,DBR_JSON_KEY_INVALID:-10032,DBR_JSON_VALUE_INVALID:-10033,DBR_JSON_NAME_KEY_MISSING:-10034,DBR_JSON_NAME_VALUE_DUPLICATED:-10035,DBR_TEMPLATE_NAME_INVALID:-10036,DBR_JSON_NAME_REFERENCE_INVALID:-10037,DBR_PARAMETER_VALUE_INVALID:-10038,DBR_DOMAIN_NOT_MATCHED:-10039,DBR_RESERVEDINFO_NOT_MATCHED:-10040,DBR_AZTEC_LICENSE_INVALID:-10041,DBR_LICENSE_DLL_MISSING:-10042,DBR_LICENSEKEY_NOT_MATCHED:-10043,DBR_REQUESTED_FAILED:-10044,DBR_LICENSE_INIT_FAILED:-10045,DBR_PATCHCODE_LICENSE_INVALID:-10046,DBR_POSTALCODE_LICENSE_INVALID:-10047,DBR_DPM_LICENSE_INVALID:-10048,DBR_FRAME_DECODING_THREAD_EXISTS:-10049,DBR_STOP_DECODING_THREAD_FAILED:-10050,DBR_SET_MODE_ARGUMENT_ERROR:-10051,DBR_LICENSE_CONTENT_INVALID:-10052,DBR_LICENSE_KEY_INVALID:-10053,DBR_LICENSE_DEVICE_RUNS_OUT:-10054,DBR_GET_MODE_ARGUMENT_ERROR:-10055,DBR_IRT_LICENSE_INVALID:-10056,DBR_MAXICODE_LICENSE_INVALID:-10057,DBR_GS1_DATABAR_LICENSE_INVALID:-10058,DBR_GS1_COMPOSITE_LICENSE_INVALID:-10059,DBR_DOTCODE_LICENSE_INVALID:-10061,DMERR_FAILED_TO_REACH_LTS:-20200},Dynamsoft.DBR.EnumGrayscaleTransformationMode={GTM_INVERTED:1,GTM_ORIGINAL:2,GTM_SKIP:0},Dynamsoft.DBR.EnumImagePixelFormat={IPF_Binary:0,IPF_BinaryInverted:1,IPF_GrayScaled:2,IPF_NV21:3,IPF_RGB_565:4,IPF_RGB_555:5,IPF_RGB_888:6,IPF_ARGB_8888:7,IPF_RGB_161616:8,IPF_ARGB_16161616:9,IPF_ABGR_8888:10,IPF_ABGR_16161616:11,IPF_BGR_888:12},Dynamsoft.DBR.EnumImagePreprocessingMode={IPM_AUTO:1,IPM_GENERAL:2,IPM_GRAY_EQUALIZE:4,IPM_GRAY_SMOOTH:8,IPM_SHARPEN_SMOOTH:16,IPM_MORPHOLOGY:32,IPM_SKIP:0},Dynamsoft.DBR.EnumIMResultDataType={IMRDT_IMAGE:1,IMRDT_CONTOUR:2,IMRDT_LINESEGMENT:4,IMRDT_LOCALIZATIONRESULT:8,IMRDT_REGIONOFINTEREST:16,IMRDT_QUADRILATERAL:32},Dynamsoft.DBR.EnumIntermediateResultSavingMode={IRSM_MEMORY:1,IRSM_FILESYSTEM:2,IRSM_BOTH:4},Dynamsoft.DBR.EnumIntermediateResultType={IRT_NO_RESULT:0,IRT_ORIGINAL_IMAGE:1,IRT_COLOUR_CLUSTERED_IMAGE:2,IRT_COLOUR_CONVERTED_GRAYSCALE_IMAGE:4,IRT_TRANSFORMED_GRAYSCALE_IMAGE:8,IRT_PREDETECTED_REGION:16,IRT_PREPROCESSED_IMAGE:32,IRT_BINARIZED_IMAGE:64,IRT_TEXT_ZONE:128,IRT_CONTOUR:256,IRT_LINE_SEGMENT:512,IRT_FORM:1024,IRT_SEGMENTATION_BLOCK:2048,IRT_TYPED_BARCODE_ZONE:4096,IRT_PREDETECTED_QUADRILATERAL:8192},Dynamsoft.DBR.EnumLocalizationMode={LM_SKIP:0,LM_AUTO:1,LM_CONNECTED_BLOCKS:2,LM_LINES:8,LM_STATISTICS:4,LM_SCAN_DIRECTLY:16,LM_STATISTICS_MARKS:32,LM_STATISTICS_POSTAL_CODE:64},Dynamsoft.DBR.EnumPDFReadingMode={PDFRM_RASTER:1,PDFRM_AUTO:2,PDFRM_VECTOR:4},Dynamsoft.DBR.EnumQRCodeErrorCorrectionLevel={QRECL_ERROR_CORRECTION_H:0,QRECL_ERROR_CORRECTION_L:1,QRECL_ERROR_CORRECTION_M:2,QRECL_ERROR_CORRECTION_Q:3},Dynamsoft.DBR.EnumRegionPredetectionMode={RPM_AUTO:1,RPM_GENERAL:2,RPM_GENERAL_RGB_CONTRAST:4,RPM_GENERAL_GRAY_CONTRAST:8,RPM_GENERAL_HSV_CONTRAST:16,RPM_SKIP:0},Dynamsoft.DBR.EnumResultCoordinateType={RCT_PIXEL:1,RCT_PERCENTAGE:2},Dynamsoft.DBR.EnumResultType={RT_STANDARD_TEXT:0,RT_RAW_TEXT:1,RT_CANDIDATE_TEXT:2,RT_PARTIAL_TEXT:3},Dynamsoft.DBR.EnumScaleUpMode={SUM_AUTO:1,SUM_LINEAR_INTERPOLATION:2,SUM_NEAREST_NEIGHBOUR_INTERPOLATION:4,SUM_SKIP:0},Dynamsoft.DBR.EnumTerminatePhase={TP_REGION_PREDETECTED:1,TP_IMAGE_PREPROCESSED:2,TP_IMAGE_BINARIZED:4,TP_BARCODE_LOCALIZED:8,TP_BARCODE_TYPE_DETERMINED:16,TP_BARCODE_RECOGNIZED:32},Dynamsoft.DBR.EnumTextAssistedCorrectionMode={TACM_AUTO:1,TACM_VERIFYING:2,TACM_VERIFYING_PATCHING:4,TACM_SKIP:0},Dynamsoft.DBR.EnumTextFilterMode={TFM_AUTO:1,TFM_GENERAL_CONTOUR:2,TFM_SKIP:0},Dynamsoft.DBR.EnumTextResultOrderMode={TROM_CONFIDENCE:1,TROM_POSITION:2,TROM_FORMAT:4,TROM_SKIP:0},Dynamsoft.DBR.EnumTextureDetectionMode={TDM_AUTO:1,TDM_GENERAL_WIDTH_CONCENTRATION:2,TDM_SKIP:0}}(),Dynamsoft.AddonReady(function(R,e){var t,m=Dynamsoft.BarcodeReaderAddon;function d(e){return e&&e instanceof ArrayBuffer}m.Class=function(){function e(){this._runtimeSettings=null,this._initSettingsContent=null,this._tplContentArr=[],this.bWasm=!1}var R,D=Dynamsoft.Lib;e.prototype._decodeBlob=function(t,e){var n=this;return new Promise(function(e){if(!(t instanceof Blob))throw TypeError("'_decodeBlob(blob, templateName)': Type of 'blob' should be 'Blob'.");e()}).then(function(){return n._innerDecode(0,t,e)})},e.prototype._decodeArrayBuffer=function(t,e){var n=this;return new Promise(function(e){if(!(t instanceof ArrayBuffer))throw TypeError("'_decodeBlob(arrayBuffer, templateName)': Type of 'arrayBuffer' should be 'ArrayBuffer'.");e()}).then(function(){return n._innerDecode(0,t,e)})},e.prototype._decodeUint8Array=function(t,e){var n=this;return new Promise(function(e){if(!(t instanceof Uint8Array||self.Uint8ClampedArray&&t instanceof Uint8ClampedArray))throw TypeError("'_decodeBlob(uint8Array, templateName)': Type of 'uint8Array' should be 'Uint8Array'.");e()}).then(function(){return n._innerDecode(0,t,e)})},e.prototype._decodeImage=function(t,n){var o=this;return new Promise(function(e){if(!(t instanceof HTMLImageElement))throw TypeError("'_decodeImage(image, templateName)': Type of 'image' should be 'HTMLImageElement'.");if(t.crossOrigin&&"anonymous"!=t.crossOrigin)throw"cors";n=n||"",e()}).then(function(){return"data:image/"==t.src.substring(0,11)?o._decodeBase64(t.src,n):o._decodeUrl(t.src,n).catch(function(e){if(3<=m.logLevel&&console&&console.warn&&(console.warn("'_decodeImage(image, templateName)': Image src not available. Use '_decodeCanvas' instead."),console.warn(e)),!self.HTMLCanvasElement)return Promise.reject(Error("'_decodeImage(image, templateName)': Browser not support HTMLCanvasElement."));e=document.createElement("canvas");return e.width=t.naturalWidth,e.height=t.naturalHeight,e.getContext("2d").drawImage(t,0,0),o._decodeCanvas(e,n)})})},e.prototype._decodeCanvas=function(n,o){var t=this;return new Promise(function(t){if(!(n instanceof HTMLCanvasElement))throw TypeError("'_decodeCanvas(canvas, templateName)': Type of 'canvas' should be 'HTMLCanvasElement'.");if(n.crossOrigin&&"anonymous"!=n.crossOrigin)throw"cors";o=o||"",n.toBlob?n.toBlob(function(e){t(e)}):n.msToBlob?n.msToBlob(function(e){t(e)}):t(n.toDataURL())}).then(function(e){return n.toBlob||n.msToBlob?t._decodeBlob(e,o):t._decodeBase64(e,o)})},e.prototype._decodeVideo=function(d){var _,t=this,c=arguments;return new Promise(function(e){if(!(d instanceof HTMLVideoElement))throw TypeError("'_decodeVideo(video [ [, sx, sy, sWidth, sHeight], dWidth, dHeight] [, templateName] )': Type of 'video' should be 'HTMLVideoElement'.");if(d.crossOrigin&&"anonymous"!=d.crossOrigin)throw"cors";c.length<=2?(t=n=0,o=i=d.videoWidth,r=a=d.videoHeight):a=c.length<=4?(t=n=0,o=d.videoWidth,r=d.videoHeight,i=c[1],c[2]):(t=c[1],n=c[2],o=c[3],r=c[4],i=c[5],c[6]),_="string"==typeof c[c.length-1]?c[c.length-1]:"";var t,n,o,r,i,a,s=document.createElement("canvas");s.width=i,s.height=a,s.getContext("2d").drawImage(d,t,n,o,r,0,0,i,a),e(s)}).then(function(e){return t._decodeCanvas(e,_)})},e.prototype._decodeBase64=e.prototype.decodeBase64String=function(t,e){var n=this;return new Promise(function(e){if(!("string"==typeof t||"object"==typeof t&&t instanceof String))throw TypeError("'decodeBase64(base64Str, templateName)': Type of 'base64Str' should be 'String'.");"data:image/"==t.substring(0,11)&&(t=t.substring(t.indexOf(",")+1)),e()}).then(function(){return n._innerDecode(1,t,e)})},e.prototype._decodeUrl=function(o,r){var t=this;return o&&o.indexOf&&(0==o.indexOf("dwt://")||0==o.indexOf("dcs://"))?t._decodeDynamsoftServiceInnerUrl(o,r):m._wasmInstance?m._wasmInstance.decode(o):new Promise(function(e,t){var n;if(!("string"==typeof o||"object"==typeof o&&o instanceof String))throw TypeError("'_decodeUrl(url, templateName)': Type of 'url' should be 'String'.");r=r||"",m._activeXInstance?((n=new ActiveXObject("MSXML2.XMLHTTP")).open("GET",o,!0),n.overrideMimeType?n.overrideMimeType("text/plain; charset=x-user-defined"):n.setRequestHeader("Accept-Charset","x-user-defined"),n.onreadystatechange=function(){4==n.readyState&&e(new VBArray(n.responseBody).toArray())},n.send("")):((n=new XMLHttpRequest).open("GET",o,!0),n.responseType="arraybuffer",n.send(),n.onloadend=function(){e(this.response)},n.onerror=function(){t(Error(n.error))})}).then(function(e){return m._activeXInstance?t._activeXDecodeArray(e,r):t._decodeArrayBuffer(e,r)})},e.prototype._decodeDynamsoftServiceInnerUrl=function(t,e){var n=this;return new Promise(function(e){if(!("string"==typeof t||"object"==typeof t&&t instanceof String))throw TypeError("'_decodeUrl(url, templateName)': Type of 'innerUrl' should be 'String'.");if(0!=t.indexOf("dwt://")&&0!=t.indexOf("dcs://"))throw TypeError("'_decodeDynamsoftServiceInnerUrl(innerUrl, templateName)': 'innerUrl' should start with 'dwt://' or 'dcs://'.");e()}).then(function(){return n._innerDecode(4e3,t,e)})},e.prototype._activeXDecodeArray=function(n,o){var t=this;return new Promise(function(e,t){if(!(n instanceof Array))throw TypeError("'_activeXDecodeArray(array, templateName)': Type of 'array' should be 'Array'.");o=o||"";try{e(Dynamsoft.Lib.btoa(String.fromCharCode.apply(String,n)))}catch(e){t(e)}}).then(function(e){return t._decodeBase64(e,o)})},e.prototype._activeXDecodeHandle=function(e,t){var n=this;return new Promise(function(e){t=t||"",e()}).then(function(){return n._innerDecode(4001,e,t)})},e.prototype._decode=e.prototype.decode=function(e,t){return m._activeXInstance?"string"==typeof e||e instanceof String?this._activeXDecodeHandle(e,t):Promise.reject(TypeError("'_decode(source, templateName)' in activeX: Type of 'source' should be 'String(partUrl)'.")):m._wasmInstance?m._wasmInstance.decode(e):self.Blob&&e instanceof Blob?this._decodeBlob(e,t):self.ArrayBuffer&&e instanceof ArrayBuffer?this._decodeArrayBuffer(e,t):self.Uint8Array&&e instanceof Uint8Array||self.Uint8ClampedArray&&e instanceof Uint8ClampedArray?this._decodeUint8Array(e,t):e instanceof Array?this._activeXDecodeArray(e,t):self.HTMLImageElement&&e instanceof HTMLImageElement?this._decodeImage(e,t):self.HTMLCanvasElement&&e instanceof HTMLCanvasElement?this._decodeCanvas(e,t):self.HTMLVideoElement&&e instanceof HTMLVideoElement?this._decodeVideo(e,t):isNaN(e)?"string"==typeof e||e instanceof String?"data:image/"==e.substring(0,11)?this._decodeBase64(e,t):this._decodeUrl(e,t):Promise.reject(TypeError("'_decode(source, templateName)' in H5: Type of 'source' should be 'Blob', 'ArrayBuffer', 'Uint8Array', 'HTMLImageElement', 'HTMLCanvasElement', 'HTMLVideoElement', 'String(base64 with image mime)' or 'String(url)'.")):this._activeXDecodeHandle(e,t)},e.prototype._innerServiceCmd=function(e,r){return new Promise(function(t,n){var o={method:"ReadBarcode",parameter:[Dynamsoft.DWT.ProductKey,4002,"",""],updateSettings:e,initSettingsContent:r};m._activeXInstance?t(m._activeXInstance.Process(D.stringify(o),location.protocol+"//"+location.host)):(D.License.isLTS()?Dynamsoft.DWT.lglic(Dynamsoft.DWT.EnumInstance.dwt_desktop).then(function(e){return o.parameter.push(e.ar),o.parameter.push(e.cu),o.parameter.push(0),o.parameter.push(""),D.stringify(o)}):Promise.resolve(D.stringify(o))).then(function(e){return D.fetch(m._urlRoot+"ReadBarcode",{mode:"cors",method:"post",body:e,dataType:"arrayBuffer"})}).then(function(e){d(e)?t(String.fromCharCode.apply(null,new Uint8Array(e))):t(e)},function(e){var t="Init template & runtimeSettings failed.";e&&(t=[t," Http info: ",e.errorString," (",e.httpCode,")"].join("")),n(t)})})},e.prototype._innerDecode=function(e,r,i,a){var s=this;return s._runtimeSettings&&0==s._runtimeSettings.expectedBarcodesCount&&(s._runtimeSettings.expectedBarcodesCount=512),new Promise(function(_,c){function o(e,t,n){try{var o,r,i,a,s=R&&R(e);for(s&&s.textResults||c(new m.BarcodeReaderException(s.exception,s.description)),D.product.bHTML5Edition&&n&&n.config.data&&(o=D.parse(n.config.data),D.isArray(o.parameter)&&2<o.parameter.length&&4e3==o.parameter[1]&&(4<o.parameter.length&&o.parameter[4]?s.textResults.imageid=o.parameter[4]:0<=(a=(i=o.parameter[2]).indexOf("&index="))&&(s.textResults.imageid=i.substring(a+7,i.indexOf("&t="))))),r=0;r<s.textResults.length;r++){var d=s.textResults[r];d.BarcodeText=d.barcodeText,s.exception!=Dynamsoft.DBR.EnumErrorCode.DBR_SUCCESS&&(d.exception=s.exception)}s.exception!=Dynamsoft.DBR.EnumErrorCode.DBR_SUCCESS&&(s.textResults.exception=s.exception,s.textResults.description=s.description),m._activeXInstance&&s.records&&(Dynamsoft.Lib.each(s.records,function(e,t){Dynamsoft.DWT.lavrf(t,e,Dynamsoft.DWT.EnumInstance.dwt_desktop)}),Dynamsoft.DWT.lavrf_(1,Dynamsoft.DWT.EnumInstance.dwt_desktop)),_(s.textResults)}catch(e){c(e)}}var t,n={method:"ReadBarcode",parameter:[Dynamsoft.DWT.ProductKey,e,0!=e?r:null,i||""],updateSettings:s._runtimeSettings,conflictMode:1==s.conflictMode?"ignore":"overwrite",initSettingsContent:s._initSettingsContent,tplContent:function(){if(i)for(var e=0;e<s._tplContentArr.length;++e)if(i==s._tplContentArr[e].ImageParameter.Name)return D.stringify(s._tplContentArr[e]);return null}()};m._activeXInstance?D.License.isLTS()?Dynamsoft.DWT.lglic(Dynamsoft.DWT.EnumInstance.dwt_desktop).then(function(e){n.parameter.push(e.ar),n.parameter.push(e.cu),n.parameter.push(0),n.parameter.push(""),o(m._activeXInstance.Process(D.stringify(n),location.protocol+"//"+location.host))}):o(m._activeXInstance.Process(D.stringify(n),location.protocol+"//"+location.host)):(t=m._urlRoot+"ReadBarcode",0==e&&(t+="/LoadZipFromBytes?cmd="+encodeURIComponent(D.stringify(n))),(0==e?Promise.resolve(r):D.License.isLTS()?Dynamsoft.DWT.lglic(Dynamsoft.DWT.EnumInstance.dwt_desktop).then(function(e){return n.parameter.push(e.ar),n.parameter.push(e.cu),n.parameter.push(0),n.parameter.push([D.product.getDWTPrefix(),D.product.getServerVersionInfo(),"/verify?id=",a,"&t=",D.getRandom()].join("")),D.stringify(n)}):Promise.resolve(D.stringify(n))).then(function(e){return D.fetch(t,{mode:"cors",method:"post",body:e,dataType:"arrayBuffer"})}).then(function(e,t,n){d(e)?o(String.fromCharCode.apply(null,new Uint8Array(e)),0,n):o(e,0,n)},function(e){var t="ReadBarcode request fail.";e&&(t=[t," Http info: ",e.errorString," (",e.httpCode,")"].join("")),c(Error(t))}))})},R=m._handleRetJsonString=function(t){var n;if("string"==typeof t||"object"==typeof t&&t instanceof String)try{n=D.parse(t)}catch(e){n=D.parse(m.RemoveNonPrintableChar(t))}else n=t;if(!n)throw m.BarcodeReaderException(Dynamsoft.DBR.EnumErrorCode.DBR_UNKNOWN,m.errors.decodeResultEmpty);if("textResults"in n&&D.isArray(n.textResults)||n.exception==Dynamsoft.DBR.EnumErrorCode.DBR_SUCCESS)return n;throw m.BarcodeReaderException(n.exception,n.description)},e.prototype.getAllParameterTemplateNames=function(){for(var e=[],t=0;t<this._tplContentArr.length;++t)e.push(this._tplContentArr[t].ImageParameter.Name);return e},e.prototype.getRuntimeSettings=function(){return this.bWasm?m._wasmInstance.getRuntimeSettings():(this._runtimeSettings||(this._runtimeSettings=D.parse(m._defaultRuntimeSettingsStr)),Promise.resolve(this._runtimeSettings))};return e.prototype.updateRuntimeSettings=function(e){var t,n=this;if("string"==typeof e||"object"==typeof e&&e instanceof String){if("speed"==e||"balance"==e||"coverage"==e||"default"==e)return n.initRuntimeSettingsWithString("speed"==e?'{"ImageParameter":{"AccompanyingTextRecognitionModes":[{"Mode":"ATRM_SKIP"}],"BarcodeColourModes":[{"LightReflection":1,"Mode":"BICM_DARK_ON_LIGHT"}],"BarcodeComplementModes":[{"Mode":"BCM_SKIP"}],"BarcodeFormatIds":["BF_ALL"],"BarcodeFormatIds_2":["BF2_POSTALCODE","BF2_DOTCODE"],"BinarizationModes":[{"BlockSizeX":0,"BlockSizeY":0,"EnableFillBinaryVacancy":1,"ImagePreprocessingModesIndex":-1,"Mode":"BM_LOCAL_BLOCK","ThreshValueCoefficient":10}],"ColourClusteringModes":[{"Mode":"CCM_SKIP"}],"ColourConversionModes":[{"BlueChannelWeight":-1,"GreenChannelWeight":-1,"Mode":"CICM_GENERAL","RedChannelWeight":-1}],"DPMCodeReadingModes":[{"Mode":"DPMCRM_SKIP"}],"DeblurLevel":3,"DeformationResistingModes":[{"Mode":"DRM_SKIP"}],"Description":"","ExpectedBarcodesCount":512,"FormatSpecificationNameArray":null,"GrayscaleTransformationModes":[{"Mode":"GTM_ORIGINAL"}],"ImagePreprocessingModes":[{"Mode":"IPM_GENERAL"}],"IntermediateResultSavingMode":{"Mode":"IRSM_MEMORY"},"IntermediateResultTypes":["IRT_NO_RESULT"],"LocalizationModes":[{"Mode":"LM_CONNECTED_BLOCKS"},{"Mode":"LM_STATISTICS_MARKS"},{"Mode":"LM_STATISTICS_POSTAL_CODE"}],"MaxAlgorithmThreadCount":4,"Name":"bestSpeed","PDFRasterDPI":300,"PDFReadingMode":{"Mode":"PDFRM_AUTO"},"Pages":"","RegionDefinitionNameArray":null,"RegionPredetectionModes":[{"Mode":"RPM_GENERAL"}],"ResultCoordinateType":"RCT_PIXEL","ReturnBarcodeZoneClarity":0,"ScaleDownThreshold":2300,"ScaleUpModes":[{"Mode":"SUM_AUTO"}],"TerminatePhase":"TP_BARCODE_RECOGNIZED","TextAssistedCorrectionMode":{"BottomTextPercentageSize":0,"LeftTextPercentageSize":0,"Mode":"TACM_VERIFYING","RightTextPercentageSize":0,"TopTextPercentageSize":0},"TextFilterModes":[{"Mode":"TFM_SKIP"}],"TextResultOrderModes":[{"Mode":"TROM_CONFIDENCE"},{"Mode":"TROM_POSITION"},{"Mode":"TROM_FORMAT"}],"TextureDetectionModes":[{"Mode":"TDM_GENERAL_WIDTH_CONCENTRATION","Sensitivity":5}],"Timeout":10000},"Version":"3.0"}':"balance"==e?'{"ImageParameter":{"AccompanyingTextRecognitionModes":[{"Mode":"ATRM_SKIP"}],"BarcodeColourModes":[{"LightReflection":1,"Mode":"BICM_DARK_ON_LIGHT"}],"BarcodeComplementModes":[{"Mode":"BCM_SKIP"}],"BarcodeFormatIds":["BF_ALL"],"BarcodeFormatIds_2":["BF2_POSTALCODE","BF2_DOTCODE"],"BinarizationModes":[{"BlockSizeX":0,"BlockSizeY":0,"EnableFillBinaryVacancy":1,"ImagePreprocessingModesIndex":-1,"Mode":"BM_LOCAL_BLOCK","ThreshValueCoefficient":10}],"ColourClusteringModes":[{"Mode":"CCM_SKIP"}],"ColourConversionModes":[{"BlueChannelWeight":-1,"GreenChannelWeight":-1,"Mode":"CICM_GENERAL","RedChannelWeight":-1}],"DPMCodeReadingModes":[{"Mode":"DPMCRM_SKIP"}],"DeblurLevel":5,"DeformationResistingModes":[{"Mode":"DRM_SKIP"}],"Description":"","ExpectedBarcodesCount":512,"FormatSpecificationNameArray":null,"GrayscaleTransformationModes":[{"Mode":"GTM_ORIGINAL"}],"ImagePreprocessingModes":[{"Mode":"IPM_GENERAL"}],"IntermediateResultSavingMode":{"Mode":"IRSM_MEMORY"},"IntermediateResultTypes":["IRT_NO_RESULT"],"LocalizationModes":[{"Mode":"LM_CONNECTED_BLOCKS"},{"Mode":"LM_STATISTICS"},{"Mode":"LM_STATISTICS_MARKS"},{"Mode":"LM_STATISTICS_POSTAL_CODE"}],"MaxAlgorithmThreadCount":4,"Name":"balance","PDFRasterDPI":300,"PDFReadingMode":{"Mode":"PDFRM_AUTO"},"Pages":"","RegionDefinitionNameArray":null,"RegionPredetectionModes":[{"Mode":"RPM_GENERAL"}],"ResultCoordinateType":"RCT_PIXEL","ReturnBarcodeZoneClarity":0,"ScaleDownThreshold":2300,"ScaleUpModes":[{"Mode":"SUM_AUTO"}],"TerminatePhase":"TP_BARCODE_RECOGNIZED","TextAssistedCorrectionMode":{"BottomTextPercentageSize":0,"LeftTextPercentageSize":0,"Mode":"TACM_VERIFYING","RightTextPercentageSize":0,"TopTextPercentageSize":0},"TextFilterModes":[{"MinImageDimension":65536,"Mode":"TFM_GENERAL_CONTOUR","Sensitivity":0}],"TextResultOrderModes":[{"Mode":"TROM_CONFIDENCE"},{"Mode":"TROM_POSITION"},{"Mode":"TROM_FORMAT"}],"TextureDetectionModes":[{"Mode":"TDM_GENERAL_WIDTH_CONCENTRATION","Sensitivity":5}],"Timeout":10000},"Version":"3.0"}':"coverage"==e?'{"ImageParameter":{"AccompanyingTextRecognitionModes":[{"Mode":"ATRM_SKIP"}],"BarcodeColourModes":[{"LightReflection":1,"Mode":"BICM_DARK_ON_LIGHT"}],"BarcodeComplementModes":[{"Mode":"BCM_SKIP"}],"BarcodeFormatIds":["BF_ALL"],"BarcodeFormatIds_2":["BF2_POSTALCODE","BF2_DOTCODE"],"BinarizationModes":[{"BlockSizeX":0,"BlockSizeY":0,"EnableFillBinaryVacancy":1,"ImagePreprocessingModesIndex":-1,"Mode":"BM_LOCAL_BLOCK","ThreshValueCoefficient":10}],"ColourClusteringModes":[{"Mode":"CCM_SKIP"}],"ColourConversionModes":[{"BlueChannelWeight":-1,"GreenChannelWeight":-1,"Mode":"CICM_GENERAL","RedChannelWeight":-1}],"DPMCodeReadingModes":[{"Mode":"DPMCRM_SKIP"}],"DeblurLevel":9,"DeformationResistingModes":[{"Mode":"DRM_SKIP"}],"Description":"","ExpectedBarcodesCount":512,"FormatSpecificationNameArray":null,"GrayscaleTransformationModes":[{"Mode":"GTM_ORIGINAL"},{"Mode":"GTM_INVERTED"}],"ImagePreprocessingModes":[{"Mode":"IPM_GENERAL"}],"IntermediateResultSavingMode":{"Mode":"IRSM_MEMORY"},"IntermediateResultTypes":["IRT_NO_RESULT"],"LocalizationModes":[{"Mode":"LM_CONNECTED_BLOCKS"},{"Mode":"LM_SCAN_DIRECTLY","ScanDirection":0,"ScanStride":0},{"Mode":"LM_STATISTICS"},{"Mode":"LM_LINES"},{"Mode":"LM_STATISTICS_MARKS"},{"Mode":"LM_STATISTICS_POSTAL_CODE"}],"MaxAlgorithmThreadCount":4,"Name":"coverage","PDFRasterDPI":300,"PDFReadingMode":{"Mode":"PDFRM_AUTO"},"Pages":"","RegionDefinitionNameArray":null,"RegionPredetectionModes":[{"Mode":"RPM_GENERAL"}],"ResultCoordinateType":"RCT_PIXEL","ReturnBarcodeZoneClarity":0,"ScaleDownThreshold":214748347,"ScaleUpModes":[{"Mode":"SUM_AUTO"}],"TerminatePhase":"TP_BARCODE_RECOGNIZED","TextAssistedCorrectionMode":{"BottomTextPercentageSize":0,"LeftTextPercentageSize":0,"Mode":"TACM_VERIFYING","RightTextPercentageSize":0,"TopTextPercentageSize":0},"TextFilterModes":[{"MinImageDimension":65536,"Mode":"TFM_GENERAL_CONTOUR","Sensitivity":0}],"TextResultOrderModes":[{"Mode":"TROM_CONFIDENCE"},{"Mode":"TROM_POSITION"},{"Mode":"TROM_FORMAT"}],"TextureDetectionModes":[{"Mode":"TDM_GENERAL_WIDTH_CONCENTRATION","Sensitivity":5}],"Timeout":10000},"Version":"3.0"}':'{"ImageParameter":{"AccompanyingTextRecognitionModes":[{"Mode":"ATRM_SKIP"}],"BarcodeColourModes":[{"LightReflection":1,"Mode":"BICM_DARK_ON_LIGHT"}],"BarcodeComplementModes":[{"Mode":"BCM_SKIP"}],"BarcodeFormatIds":["BF_ALL"],"BarcodeFormatIds_2":null,"BinarizationModes":[{"BlockSizeX":0,"BlockSizeY":0,"EnableFillBinaryVacancy":1,"ImagePreprocessingModesIndex":-1,"Mode":"BM_LOCAL_BLOCK","ThreshValueCoefficient":10}],"ColourClusteringModes":[{"Mode":"CCM_SKIP"}],"ColourConversionModes":[{"BlueChannelWeight":-1,"GreenChannelWeight":-1,"Mode":"CICM_GENERAL","RedChannelWeight":-1}],"DPMCodeReadingModes":[{"Mode":"DPMCRM_SKIP"}],"DeblurLevel":9,"DeformationResistingModes":[{"Mode":"DRM_SKIP"}],"Description":"","ExpectedBarcodesCount":512,"FormatSpecificationNameArray":null,"GrayscaleTransformationModes":[{"Mode":"GTM_ORIGINAL"}],"ImagePreprocessingModes":[{"Mode":"IPM_GENERAL"}],"IntermediateResultSavingMode":{"Mode":"IRSM_MEMORY"},"IntermediateResultTypes":["IRT_NO_RESULT"],"LocalizationModes":[{"Mode":"LM_CONNECTED_BLOCKS"},{"Mode":"LM_SCAN_DIRECTLY","ScanDirection":0,"ScanStride":0},{"Mode":"LM_STATISTICS"},{"Mode":"LM_LINES"}],"MaxAlgorithmThreadCount":4,"Name":"default","PDFRasterDPI":300,"PDFReadingMode":{"Mode":"PDFRM_AUTO"},"Pages":"","RegionDefinitionNameArray":null,"RegionPredetectionModes":[{"Mode":"RPM_GENERAL"}],"ResultCoordinateType":"RCT_PIXEL","ReturnBarcodeZoneClarity":0,"ScaleDownThreshold":2300,"ScaleUpModes":[{"Mode":"SUM_AUTO"}],"TerminatePhase":"TP_BARCODE_RECOGNIZED","TextAssistedCorrectionMode":{"BottomTextPercentageSize":0,"LeftTextPercentageSize":0,"Mode":"TACM_VERIFYING","RightTextPercentageSize":0,"TopTextPercentageSize":0},"TextFilterModes":[{"MinImageDimension":65536,"Mode":"TFM_GENERAL_CONTOUR","Sensitivity":0}],"TextResultOrderModes":[{"Mode":"TROM_CONFIDENCE"},{"Mode":"TROM_POSITION"},{"Mode":"TROM_FORMAT"}],"TextureDetectionModes":[{"Mode":"TDM_GENERAL_WIDTH_CONCENTRATION","Sensitivity":5}],"Timeout":10000},"Version":"3.0"}');t=e}else{if("object"!=typeof e)throw TypeError("'setTemplateSettings(settings)': Type of 'settings' should be 'String' or 'PlainObject'.");t=D.stringify(e)}e=D.parse(t);return n.bWasm?m._wasmInstance.updateRuntimeSettings(e).then(function(){return m._wasmInstance.getRuntimeSettings()}):(n._runtimeSettings=e,n._initSettingsContent=null,n._innerServiceCmd(n._runtimeSettings,null).then(function(e){e=m._handleRetJsonString(e);return n._runtimeSettings=e.settings,n._runtimeSettings||(n._runtimeSettings=D.parse(m._defaultRuntimeSettingsStr)),e.settings}))},e.prototype.resetRuntimeSettings=function(){var t=this;return t.bWasm?m._wasmInstance.resetRuntimeSettings().then(function(){return m._wasmInstance.getRuntimeSettings()}):(t._runtimeSettings=D.parse(m._defaultRuntimeSettingsStr),t._initSettingsContent=null,t._innerServiceCmd(t._runtimeSettings,null).then(function(e){e=m._handleRetJsonString(e);return t._runtimeSettings=e.settings,t._runtimeSettings||(t._runtimeSettings=D.parse(m._defaultRuntimeSettingsStr)),e.settings}))},e.prototype.outputSettingsToString=function(e){if(!e)return m._defaultTemplateStr;for(var t=0;t<this._tplContentArr.length;++t)if(e==this._tplContentArr[t].ImageParameter.Name)return D.stringify(this._tplContentArr[t])},e.prototype.initRuntimeSettingsWithString=function(e){var t=this;if(D.isString(e))return t.bWasm?m._wasmInstance.initRuntimeSettingsWithString(e).then(function(){return m._wasmInstance.getRuntimeSettings()}):(t._runtimeSettings=null,t._initSettingsContent=D.parse(e),t._innerServiceCmd(null,t._initSettingsContent).then(function(e){e=m._handleRetJsonString(e);return t._runtimeSettings=e.settings,t._runtimeSettings||(t._runtimeSettings=D.parse(m._defaultRuntimeSettingsStr)),e.settings}));throw TypeError("'initRuntimeSettingsWithString(settings)': Type of 'settings' should be 'String'.")},e}(),m._dbr=!1,m._initH5=function(n,o){return new Promise(function(e,t){m._urlRoot=Dynamsoft.dcp._getPreUrl(Dynamsoft.dcp.detect.curPortIndex)+"dcp/dbr_"+m.Version.replace(/\./g,"")+"/";var n=5,o={method:"POST",url:m._urlRoot+"VersionInfo?t="+R.getRandom(),data:'{"method":"VersionInfo"}',onSuccess:function(){e()},onError:function(){if(--n<=0)return t("Failed to connect to the Barcode Reader Add-on, the library may be missing in the Dynamsoft Service directory.");setTimeout(function(){R.ajax(o)},300)},dataType:"json",async:!0,timeout:800};R.ajax(o)}).then(function(){return m._dbr=new m.Class,m._dbr._innerServiceCmd(null,null)}).then(function(e){try{var t=m._handleRetJsonString(e);m._dbr._runtimeSettings=t.settings,m._defaultRuntimeSettingsStr=R.stringify(t.settings),m._defaultTemplateStr=R.stringify(t.outputSettings),n(m._dbr)}catch(e){o(Error("Init template & runtimeSettings failed: "+e.message)||e)}},function(e){o(e)})},m.dbrInitPromiseFun=function(a,s){function d(){Dynamsoft.DBR&&Dynamsoft.DBR.BarcodeReader&&Dynamsoft.DBR.BarcodeReader.createInstance&&Dynamsoft.DBR.BarcodeReader.createInstance().then(function(e){return Dynamsoft.DBR.EnumErrorCode.DMERR_FAILED_TO_REACH_LTS==Dynamsoft.DBR.BarcodeReader.lastErrorCode&&(Dynamsoft.DWT.licenseException.code=Dynamsoft.DBR.BarcodeReader.lastErrorCode,Dynamsoft.DWT.licenseException.message=Dynamsoft.DBR.BarcodeReader.lastErrorString),Dynamsoft.DBR.BarcodeReader._bNeverShowDialog=!0,Dynamsoft.DWT.dbrCanvasMaxWH&&(e._canvasMaxWH=Dynamsoft.DWT.dbrCanvasMaxWH),(c._wasmInstance=e).getRuntimeSettings()}).then(function(e){c._dbr._runtimeSettings=e,c._defaultRuntimeSettingsStr=R.stringify(e),a(c._dbr)},s)}var e,_,t,n,c=Dynamsoft.BarcodeReaderAddon;c._dbr?c._dbr.bWasm&&!c._wasmInstance?d():a(c._dbr):(e=Dynamsoft.Lib.timestamp,n=Dynamsoft.DWT.ResourcesPath,_=!Dynamsoft.navInfo.bWin||R.product.bHTML5Edition&&(!Dynamsoft.DWT.UseLocalService||R.env.bMobile||Dynamsoft.DWT.UseBarcodeAddonWasm),t=function(){var e;if(_)return Dynamsoft.DBR&&Dynamsoft.DBR.BarcodeReader||Dynamsoft.BarcodeReader||window.DSBarcodeReader&&window.DSBarcodeReader.BarcodeReader?(Dynamsoft.DBR||(Dynamsoft.BarcodeReader?Dynamsoft.DBR={BarcodeReader:Dynamsoft.BarcodeReader}:window.DSBarcodeReader&&window.DSBarcodeReader.BarcodeReader&&(Dynamsoft.DBR={BarcodeReader:window.DSBarcodeReader.BarcodeReader})),Dynamsoft.DBR.BarcodeReader.engineResourcePath=Dynamsoft.DWT.ResourcesPath+"/addon/dbrjs/",R.isString(Dynamsoft.DWT.sessionPassword)&&(Dynamsoft.DBR.BarcodeReader.sessionPassword=Dynamsoft.DWT.sessionPassword),R.isArray(Dynamsoft.DWT.licenseServer)&&(Dynamsoft.DBR.BarcodeReader.licenseServer=Dynamsoft.DWT.licenseServer),R.isString(Dynamsoft.DWT.handshakeCode)?Dynamsoft.DBR.BarcodeReader.handshakeCode=Dynamsoft.DWT.handshakeCode:R.isString(Dynamsoft.DWT.organizationID)?Dynamsoft.DBR.BarcodeReader.organizationID=Dynamsoft.DWT.organizationID:R.isString(Dynamsoft.DWT.ProductKey)&&(e=Dynamsoft.DWT.ProductKey,""!=Dynamsoft.DWT.ProductKey&&"f"!=(t=Dynamsoft.DWT.ProductKey.charAt(0))&&"t"!=t&&(n=e,e=void 0),Dynamsoft.DBR.BarcodeReader.organizationID=n,Dynamsoft.DBR.BarcodeReader.productKeys=e),R.showLoadingMsg(-1,"",Dynamsoft.MSG.Init_CompilingWasm),Dynamsoft.DBR.BarcodeReader._bUseFullFeature=!0,Dynamsoft.DBR.BarcodeReader._bNeverShowDialog=!0,c._dbr=new c.Class,c._dbr.bWasm=!0,void d()):void 0;if(R.product.bHTML5Edition)c._initH5(a,s);else{var t=Dynamsoft.navInfoSync,n={method:"ReadBarcode",parameter:[Dynamsoft.DWT.ProductKey,4002,"",""]};if(!t.bIE)return s(Error("The DBR init error."));try{c._activeXInstance=new ActiveXObject("DBRModule.AtlDBR");var o,r=c._activeXInstance.Process(R.stringify(n),location.protocol+"//"+location.host),i=R.parse(r);if(!i)return s(Error("The DBR init error."));if(!("settings"in i))return o=i.description||"The DBR init error.",s(Error(o));c._dbr=new c.Class,c._dbr._runtimeSettings=i.settings,c._defaultRuntimeSettingsStr=R.stringify(i.settings),"outputSettings"in i&&(c._defaultTemplateStr=R.stringify(i.outputSettings)),a(c._dbr)}catch(e){return s(Error("The DBR .dll is missing or not accessible: "+(e.message||e)))}}},!_||R.detect.dbrwasmScriptLoaded?t():function(){try{if("object"==typeof WebAssembly&&"function"==typeof WebAssembly.instantiate){var e=new WebAssembly.Module(new Uint8Array([0,97,115,109,1,0,0,0]));if(e instanceof WebAssembly.Module)return new WebAssembly.Instance(e)instanceof WebAssembly.Instance}}catch(e){}}()?(n=R.getScript([n,"/addon/dbrjs/dbr.js",e].join(""),!0,function(e){R.detect.dbrwasmScriptLoaded=!0,t()}),R.isString(Dynamsoft.DWT.handshakeCode)?n.setAttribute("data-productKeys",Dynamsoft.DWT.handshakeCode):R.isString(Dynamsoft.DWT.organizationID)?n.setAttribute("data-organizationID",Dynamsoft.DWT.organizationID):R.isString(Dynamsoft.DWT.ProductKey)&&n.setAttribute("data-productKeys",Dynamsoft.DWT.ProductKey)):s(Error(Dynamsoft.MSG.Err_BrowserNotSupportWasm)))};R.DynamicLoadAddonFuns&&R.DynamicLoadAddonFuns.push(function(a){var e;t=Dynamsoft.dcp.b64bit?"dbrx64_"+Dynamsoft.BarcodeReaderAddon.Version+".dll":"dbr_"+Dynamsoft.BarcodeReaderAddon.Version+".dll",R.product.bHTML5Edition&&!a._isMobileMode()&&a._innerSend("GetAddOnVersion",R.html5.Funs.makeParams("barcodereader",t),!0,!1,!1),e={BarcodeReader:{decode:function(t){return R.License.checkProductKey(a,{Core:!0})?!R.isNumber(t)||t<0||t>=a.HowManyImagesInBuffer?(R.Errors.IndexOutOfRange(a),Promise.reject(m.BarcodeReaderException(a._errorCode,a._errorString))):new Promise(function(e){m._decoding?m._decodeQueue.push({method:e,args:[t]}):(m._decoding=!0,e(t))}).then(function(e){var i;if(R.product.bHTML5Edition){if(-1==(i=a._ImgManager.convertClientIndexToServerId(e)))throw R.Errors.IndexOutOfRange(a),setTimeout(m._decodeNext,0),m.BarcodeReaderException(a._errorCode,a._errorString)}else i=e;return new Promise(function(o,r){m.dbrInitPromiseFun(function(t){var n,e;if(!t.bWasm)return R.product.bHTML5Edition?t.bWasm?void 0:(n=a._ImgManager.convertServerIdToClientIndex(i),e=a.GetImagePartURL(n,-1,-1),t._innerDecode(4e3,e,"",a.clientId).then(function(e){e.imageid=a.IndexToImageID(n),setTimeout(m._decodeNext,0),o(e),R.License.isLTS()&&Dynamsoft.DWT.lcvrf(a)},function(e){setTimeout(m._decodeNext,0),r(e)})):(n=i,e=a.GetImagePartURL(n,-1,-1),t._innerDecode(4001,e,"").then(function(e){e.imageid=a.IndexToImageID(n),setTimeout(m._decodeNext,0),o(e)},function(e){setTimeout(m._decodeNext,0),r(e)}));e=(e=t.getRuntimeSettings()).then(function(e){if(0==e.expectedBarcodesCount)return e.expectedBarcodesCount=512,t.updateRuntimeSettings(e)}),(e=(e=a._isMobileMode()?(e=e.then(function(){var e=a._ImgManager.convertServerIdToClientIndex(i);return a._ImgManager.getWebViewer().GetImageData(a._ImgManager.getUidByIndex(e))})).then(function(e){return e.oriData||e.originalData}):e.then(function(){var e=a._ImgManager.convertServerIdToClientIndex(i);return a.GetImageURL(e,-1,-1)})).then(function(e){return e instanceof Blob||e instanceof ArrayBuffer?m._wasmInstance.decode(e):R.fetch(e,{mode:"cors",dataType:"blob"}).then(function(e){return m._wasmInstance.decode(e)})})).then(function(e){e.imageid=a.objImageIndexManager.convertServerIdToGuid(i),setTimeout(m._decodeNext,0),o(e)},function(e){var t="decode failed.";e&&(t=[t," ",e.errorString," (",e.httpCode,")"].join("")),setTimeout(m._decodeNext,0),r(Error(t))})},function(e){setTimeout(m._decodeNext,0),r(e)})})}):Promise.reject(m.BarcodeReaderException(a._errorCode,a._errorString))},resetRuntimeSettings:function(){return R.License.checkProductKey(a,{Core:!0})?new Promise(m.dbrInitPromiseFun).then(function(e){return e.resetRuntimeSettings()}):Promise.reject(m.BarcodeReaderException(a._errorCode,a._errorString))},getRuntimeSettings:function(e){return R.License.checkProductKey(a,{Core:!0})?!R.isString(e)||"speed"!=e&&"balance"!=e&&"coverage"!=e&&"default"!=e?new Promise(m.dbrInitPromiseFun).then(function(e){return e.getRuntimeSettings()}):this.updateRuntimeSettings(e):Promise.reject(m.BarcodeReaderException(a._errorCode,a._errorString))},updateRuntimeSettings:function(t){return R.License.checkProductKey(a,{Core:!0})?new Promise(m.dbrInitPromiseFun).then(function(e){return e.updateRuntimeSettings(t)}):Promise.reject(m.BarcodeReaderException(a._errorCode,a._errorString))},initRuntimeSettingsWithString:function(t){return R.License.checkProductKey(a,{Core:!0})?new Promise(m.dbrInitPromiseFun).then(function(e){return e.initRuntimeSettingsWithString(t)}):Promise.reject(m.BarcodeReaderException(a._errorCode,a._errorString))}}},R.product.bHTML5Edition?(a.__addon=a.__addon||{},R.mix(a.__addon,e)):(a.Addon=a.Addon||{},R.mix(a.Addon,e))}),Dynamsoft.unloadQueue.push(function(){m._wasmInstance&&(m._wasmInstance.destroy(),m._wasmInstance=!1)})});