/*!
* Dynamsoft JavaScript Library
* @product Dynamsoft Image IO WASM Worker JS
* @website http://www.dynamsoft.com
* @copyright Copyright 2023, Dynamsoft Corporation
* @author Dynamsoft
* @version 1.7.3 (2022-06-22T11:11:05.912Z)
* @fileoverview Dynamsoft JavaScript Library for Image IO WASM Worker
* 
*/


var ImageIOModule = (function() {
  var _scriptDir = typeof document !== 'undefined' && document.currentScript ? document.currentScript.src : undefined;
  if (typeof __filename !== 'undefined') _scriptDir = _scriptDir || __filename;
  return (
function(ImageIOModule) {
  ImageIOModule = ImageIOModule || {};

var Module=typeof ImageIOModule!=="undefined"?ImageIOModule:{};var moduleOverrides={};var key;for(key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var arguments_=[];var thisProgram="./this.program";var quit_=function(status,toThrow){throw toThrow};var ENVIRONMENT_IS_WEB=false;var ENVIRONMENT_IS_WORKER=false;var ENVIRONMENT_IS_NODE=false;var ENVIRONMENT_IS_SHELL=false;ENVIRONMENT_IS_WEB=typeof window==="object";ENVIRONMENT_IS_WORKER=typeof importScripts==="function";ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string";ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER;var scriptDirectory="";function locateFile(path){if(Module["locateFile"]){return Module["locateFile"](path,scriptDirectory)}return scriptDirectory+path}var read_,readAsync,readBinary,setWindowTitle;var nodeFS;var nodePath;if(ENVIRONMENT_IS_NODE){if(ENVIRONMENT_IS_WORKER){scriptDirectory=require("path").dirname(scriptDirectory)+"/"}else{scriptDirectory=__dirname+"/"}read_=function shell_read(filename,binary){if(!nodeFS)nodeFS=require("fs");if(!nodePath)nodePath=require("path");filename=nodePath["normalize"](filename);return nodeFS["readFileSync"](filename,binary?null:"utf8")};readBinary=function readBinary(filename){var ret=read_(filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};if(process["argv"].length>1){thisProgram=process["argv"][1].replace(/\\/g,"/")}arguments_=process["argv"].slice(2);process["on"]("uncaughtException",function(ex){if(!(ex instanceof ExitStatus)){throw ex}});process["on"]("unhandledRejection",abort);quit_=function(status){process["exit"](status)};Module["inspect"]=function(){return"[Emscripten Module object]"}}else if(ENVIRONMENT_IS_SHELL){if(typeof read!="undefined"){read_=function shell_read(f){return read(f)}}readBinary=function readBinary(f){var data;if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){arguments_=scriptArgs}else if(typeof arguments!="undefined"){arguments_=arguments}if(typeof quit==="function"){quit_=function(status){quit(status)}}if(typeof print!=="undefined"){if(typeof console==="undefined")console={};console.log=print;console.warn=console.error=typeof printErr!=="undefined"?printErr:print}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){if(ENVIRONMENT_IS_WORKER){scriptDirectory=self.location.href}else if(document.currentScript){scriptDirectory=document.currentScript.src}if(_scriptDir){scriptDirectory=_scriptDir}if(scriptDirectory.indexOf("blob:")!==0){scriptDirectory=scriptDirectory.substr(0,scriptDirectory.lastIndexOf("/")+1)}else{scriptDirectory=""}{read_=function shell_read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};if(ENVIRONMENT_IS_WORKER){readBinary=function readBinary(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.responseType="arraybuffer";xhr.send(null);return new Uint8Array(xhr.response)}}readAsync=function readAsync(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response);return}onerror()};xhr.onerror=onerror;xhr.send(null)}}setWindowTitle=function(title){document.title=title}}else{}var out=Module["print"]||console.log.bind(console);var err=Module["printErr"]||console.warn.bind(console);for(key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}moduleOverrides=null;if(Module["arguments"])arguments_=Module["arguments"];if(Module["thisProgram"])thisProgram=Module["thisProgram"];if(Module["quit"])quit_=Module["quit"];var STACK_ALIGN=16;function dynamicAlloc(size){var ret=HEAP32[DYNAMICTOP_PTR>>2];var end=ret+size+15&-16;HEAP32[DYNAMICTOP_PTR>>2]=end;return ret}function alignMemory(size,factor){if(!factor)factor=STACK_ALIGN;return Math.ceil(size/factor)*factor}function getNativeTypeSize(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return 4}else if(type[0]==="i"){var bits=Number(type.substr(1));assert(bits%8===0,"getNativeTypeSize invalid bits "+bits+", type "+type);return bits/8}else{return 0}}}}function warnOnce(text){if(!warnOnce.shown)warnOnce.shown={};if(!warnOnce.shown[text]){warnOnce.shown[text]=1;err(text)}}var asm2wasmImports={"f64-rem":function(x,y){return x%y},"debugger":function(){}};var LDSO={nextHandle:1,loadedLibs:{"-1":{refcount:Infinity,name:"__self__",module:Module,global:true}},loadedLibNames:{"__self__":-1}};Module["LDSO"]=LDSO;function fetchBinary(url){return fetch(url,{credentials:"same-origin"}).then(function(response){if(!response["ok"]){throw"failed to load binary file at '"+url+"'"}return response["arrayBuffer"]()}).then(function(buffer){return new Uint8Array(buffer)})}function loadDynamicLibrary(lib,flags){flags=flags||{global:true,nodelete:true};var handle=LDSO.loadedLibNames[lib];var dso;if(handle){dso=LDSO.loadedLibs[handle];if(flags.global&&!dso.global){dso.global=true;if(dso.module!=="loading"){mergeLibSymbols(dso.module)}}if(flags.nodelete&&dso.refcount!==Infinity){dso.refcount=Infinity}dso.refcount++;return flags.loadAsync?Promise.resolve(handle):handle}handle=LDSO.nextHandle++;dso={refcount:flags.nodelete?Infinity:1,name:lib,module:"loading",global:flags.global};LDSO.loadedLibNames[lib]=handle;LDSO.loadedLibs[handle]=dso;function loadLibData(libFile){if(flags.fs){var libData=flags.fs.readFile(libFile,{encoding:"binary"});if(!(libData instanceof Uint8Array)){libData=new Uint8Array(lib_data)}return flags.loadAsync?Promise.resolve(libData):libData}if(flags.loadAsync){return flags.fetchRetry(libFile,flags.fetchOptions).then(function(response){if(!response["ok"]){throw"failed to load binary file at '"+libFile+"'"}return response["arrayBuffer"]()}).then(function(buffer){return new Uint8Array(buffer)})}return readBinary(libFile)}function createLibModule(libData){return loadWebAssemblyModule(libData,flags)}function getLibModule(){if(Module["preloadedWasm"]!==undefined&&Module["preloadedWasm"][lib]!==undefined){var libModule=Module["preloadedWasm"][lib];return flags.loadAsync?Promise.resolve(libModule):libModule}if(flags.loadAsync){return loadLibData(lib).then(function(libData){return createLibModule(libData)})}return createLibModule(loadLibData(lib))}function mergeLibSymbols(libModule){for(var sym in libModule){if(!libModule.hasOwnProperty(sym)){continue}var module_sym=sym;if(sym[0]!=="_"){continue}if(!Module.hasOwnProperty(module_sym)){Module[module_sym]=libModule[sym]}}}function moduleLoaded(libModule){if(dso.global){mergeLibSymbols(libModule)}dso.module=libModule}if(flags.loadAsync){return getLibModule().then(function(libModule){moduleLoaded(libModule);return handle})}moduleLoaded(getLibModule());return handle}function relocateExports(exports,memoryBase,tableBase,moduleLocal){var relocated={};for(var e in exports){var value=exports[e];if(typeof value==="object"){value=value.value}if(typeof value==="number"){value+=memoryBase}relocated[e]=value;if(moduleLocal){moduleLocal[e]=value}}return relocated}function loadWebAssemblyModule(binary,flags){var int32View=new Uint32Array(new Uint8Array(binary.subarray(0,24)).buffer);assert(int32View[0]==1836278016,"need to see wasm magic number");assert(binary[8]===0,"need the dylink section to be first");var next=9;function getLEB(){var ret=0;var mul=1;while(1){var byte=binary[next++];ret+=(byte&127)*mul;mul*=128;if(!(byte&128))break}return ret}var sectionSize=getLEB();assert(binary[next]===6);next++;assert(binary[next]==="d".charCodeAt(0));next++;assert(binary[next]==="y".charCodeAt(0));next++;assert(binary[next]==="l".charCodeAt(0));next++;assert(binary[next]==="i".charCodeAt(0));next++;assert(binary[next]==="n".charCodeAt(0));next++;assert(binary[next]==="k".charCodeAt(0));next++;var memorySize=getLEB();var memoryAlign=getLEB();var tableSize=getLEB();var tableAlign=getLEB();var neededDynlibsCount=getLEB();var neededDynlibs=[];for(var i=0;i<neededDynlibsCount;++i){var nameLen=getLEB();var nameUTF8=binary.subarray(next,next+nameLen);next+=nameLen;var name=UTF8ArrayToString(nameUTF8,0);neededDynlibs.push(name)}function loadModule(){memoryAlign=Math.pow(2,memoryAlign);tableAlign=Math.pow(2,tableAlign);memoryAlign=Math.max(memoryAlign,STACK_ALIGN);var memoryBase=alignMemory(getMemory(memorySize+memoryAlign),memoryAlign);var env=asmLibraryArg;var table=wasmTable;var tableBase=table.length;var originalTable=table;table.grow(tableSize);assert(table===originalTable);for(var i=memoryBase;i<memoryBase+memorySize;i++){HEAP8[i]=0}for(var i=tableBase;i<tableBase+tableSize;i++){table.set(i,null)}var moduleLocal={};var resolveSymbol=function(sym,type,legalized){if(legalized){sym="orig$"+sym}var resolved=Module["asm"][sym];if(!resolved){resolved=Module[sym];if(!resolved){resolved=moduleLocal[sym]}}return resolved};for(var x in Module){if(!(x in env)){env[x]=Module[x]}}var proxyHandler={"get":function(obj,prop){switch(prop){case"__memory_base":case"gb":return memoryBase;case"__table_base":case"fb":return tableBase}if(prop in obj){return obj[prop]}if(prop.startsWith("g$")){var name=prop.substr(2);return obj[prop]=function(){return resolveSymbol(name,"global")}}if(prop.startsWith("fp$")){var parts=prop.split("$");assert(parts.length==3);var name=parts[1];var sig=parts[2];var legalized=sig.indexOf("j")>=0;var fp=0;return obj[prop]=function(){if(!fp){var f=resolveSymbol(name,"function",legalized);fp=addFunction(f,sig)}return fp}}if(prop.startsWith("invoke_")){return obj[prop]=invoke_X}return obj[prop]=function(){return resolveSymbol(prop,"function").apply(null,arguments)}}};var proxy=new Proxy(env,proxyHandler);var info={global:{"NaN":NaN,Infinity:Infinity},"global.Math":Math,env:proxy,wasi_snapshot_preview1:proxy,"asm2wasm":asm2wasmImports};function postInstantiation(instance,moduleLocal){var exports=relocateExports(instance.exports,memoryBase,tableBase,moduleLocal);var init=exports["__post_instantiate"];if(init){if(runtimeInitialized){init()}else{__ATINIT__.push(init)}}return exports}if(flags.loadAsync){if(flags.wasmModule){if(flags.log)flags.log("instantiate with wasm module.");return WebAssembly.instantiate(flags.wasmModule,info).then(function(result){return postInstantiation(result, moduleLocal)})}else{return WebAssembly.instantiate(binary, info).then(function(result){flags.wasmModule = result.module;return postInstantiation(result.instance,moduleLocal)})}} else{var instance=new WebAssembly.Instance(new WebAssembly.Module(binary),info);return postInstantiation(instance, moduleLocal)}}if(flags.loadAsync){return Promise.all(neededDynlibs.map(function(dynNeeded){return loadDynamicLibrary(dynNeeded,flags)})).then(function(){return loadModule()})}neededDynlibs.forEach(function(dynNeeded){loadDynamicLibrary(dynNeeded,flags)});return loadModule()}Module["loadWebAssemblyModule"]=loadWebAssemblyModule;function registerFunctions(sigs,newModule){sigs.forEach(function(sig){if(!Module["FUNCTION_TABLE_"+sig]){Module["FUNCTION_TABLE_"+sig]=[]}});var oldMaxx=alignFunctionTables();var newMaxx=alignFunctionTables(newModule);var maxx=oldMaxx+newMaxx;sigs.forEach(function(sig){var newTable=newModule["FUNCTION_TABLE_"+sig];var oldTable=Module["FUNCTION_TABLE_"+sig];assert(newTable!==oldTable);assert(oldTable.length===oldMaxx);for(var i=0;i<newTable.length;i++){oldTable.push(newTable[i])}assert(oldTable.length===maxx)});assert(maxx===alignFunctionTables())}Module["registerFunctions"]=registerFunctions;function convertJsFunctionToWasm(func,sig){if(typeof WebAssembly.Function==="function"){var typeNames={"i":"i32","j":"i64","f":"f32","d":"f64"};var type={parameters:[],results:sig[0]=="v"?[]:[typeNames[sig[0]]]};for(var i=1;i<sig.length;++i){type.parameters.push(typeNames[sig[i]])}return new WebAssembly.Function(type,func)}var typeSection=[1,0,1,96];var sigRet=sig.slice(0,1);var sigParam=sig.slice(1);var typeCodes={"i":127,"j":126,"f":125,"d":124};typeSection.push(sigParam.length);for(var i=0;i<sigParam.length;++i){typeSection.push(typeCodes[sigParam[i]])}if(sigRet=="v"){typeSection.push(0)}else{typeSection=typeSection.concat([1,typeCodes[sigRet]])}typeSection[1]=typeSection.length-2;var bytes=new Uint8Array([0,97,115,109,1,0,0,0].concat(typeSection,[2,7,1,1,101,1,102,0,0,7,5,1,1,102,0,0]));var module=new WebAssembly.Module(bytes);var instance=new WebAssembly.Instance(module,{"e":{"f":func}});var wrappedFunc=instance.exports["f"];return wrappedFunc}var freeTableIndexes=[];var functionsInTableMap;function addFunctionWasm(func,sig){var table=wasmTable;if(!functionsInTableMap){functionsInTableMap=new WeakMap;for(var i=0;i<table.length;i++){var item=table.get(i);if(item){functionsInTableMap.set(item,i)}}}if(functionsInTableMap.has(func)){return functionsInTableMap.get(func)}var ret;if(freeTableIndexes.length){ret=freeTableIndexes.pop()}else{ret=table.length;try{table.grow(1)}catch(err){if(!(err instanceof RangeError)){throw err}throw"Unable to grow wasm table. Use a higher value for RESERVED_FUNCTION_POINTERS or set ALLOW_TABLE_GROWTH."}}try{table.set(ret,func)}catch(err){if(!(err instanceof TypeError)){throw err}var wrapped=convertJsFunctionToWasm(func,sig);table.set(ret,wrapped)}functionsInTableMap.set(func,ret);return ret}function removeFunctionWasm(index){functionsInTableMap.delete(wasmTable.get(index));freeTableIndexes.push(index)}function addFunction(func,sig){return addFunctionWasm(func,sig)}var funcWrappers={};function dynCall(sig,ptr,args){if(args&&args.length){return Module["dynCall_"+sig].apply(null,[ptr].concat(args))}else{return Module["dynCall_"+sig].call(null,ptr)}}var tempRet0=0;var setTempRet0=function(value){tempRet0=value};var getTempRet0=function(){return tempRet0};var GLOBAL_BASE=1024;GLOBAL_BASE=alignMemory(GLOBAL_BASE,16);var wasmBinary;if(Module["wasmBinary"])wasmBinary=Module["wasmBinary"];var noExitRuntime;if(Module["noExitRuntime"])noExitRuntime=Module["noExitRuntime"];if(typeof WebAssembly!=="object"){err("no native wasm support detected")}function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=1?tempDouble>0?(Math_min(+Math_floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math_ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}var wasmMemory;var wasmTable=new WebAssembly.Table({"initial":4096,"element":"anyfunc"});var ABORT=false;var EXITSTATUS=0;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}function getCFunc(ident){var func=Module["_"+ident];assert(func,"Cannot call unknown function "+ident+", make sure it is exported");return func}function ccall(ident,returnType,argTypes,args,opts){var toC={"string":function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){var len=(str.length<<2)+1;ret=stackAlloc(len);stringToUTF8(str,ret,len)}return ret},"array":function(arr){var ret=stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}};function convertReturnValue(ret){if(returnType==="string")return UTF8ToString(ret);if(returnType==="boolean")return Boolean(ret);return ret}var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);ret=convertReturnValue(ret);if(stack!==0)stackRestore(stack);return ret}var ALLOC_NONE=3;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[_malloc,stackAlloc,dynamicAlloc][allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var stop;ptr=ret;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}function getMemory(size){if(!runtimeInitialized)return dynamicAlloc(size);return _malloc(size)}var UTF8Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf8"):undefined;function UTF8ArrayToString(heap,idx,maxBytesToRead){var endIdx=idx+maxBytesToRead;var endPtr=idx;while(heap[endPtr]&&!(endPtr>=endIdx))++endPtr;if(endPtr-idx>16&&heap.subarray&&UTF8Decoder){return UTF8Decoder.decode(heap.subarray(idx,endPtr))}else{var str="";while(idx<endPtr){var u0=heap[idx++];if(!(u0&128)){str+=String.fromCharCode(u0);continue}var u1=heap[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}var u2=heap[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u0=(u0&7)<<18|u1<<12|u2<<6|heap[idx++]&63}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}return str}function UTF8ToString(ptr,maxBytesToRead){return ptr?UTF8ArrayToString(HEAPU8,ptr,maxBytesToRead):""}function stringToUTF8Array(str,heap,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343){var u1=str.charCodeAt(++i);u=65536+((u&1023)<<10)|u1&1023}if(u<=127){if(outIdx>=endIdx)break;heap[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;heap[outIdx++]=192|u>>6;heap[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;heap[outIdx++]=224|u>>12;heap[outIdx++]=128|u>>6&63;heap[outIdx++]=128|u&63}else{if(outIdx+3>=endIdx)break;heap[outIdx++]=240|u>>18;heap[outIdx++]=128|u>>12&63;heap[outIdx++]=128|u>>6&63;heap[outIdx++]=128|u&63}}heap[outIdx]=0;return outIdx-startIdx}function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127)++len;else if(u<=2047)len+=2;else if(u<=65535)len+=3;else len+=4}return len}var UTF16Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf-16le"):undefined;function UTF16ToString(ptr){var endPtr=ptr;var idx=endPtr>>1;while(HEAP16[idx])++idx;endPtr=idx<<1;if(endPtr-ptr>32&&UTF16Decoder){return UTF16Decoder.decode(HEAPU8.subarray(ptr,endPtr))}else{var i=0;var str="";while(1){var codeUnit=HEAP16[ptr+i*2>>1];if(codeUnit==0)return str;++i;str+=String.fromCharCode(codeUnit)}}}function stringToUTF16(str,outPtr,maxBytesToWrite){if(maxBytesToWrite===undefined){maxBytesToWrite=2147483647}if(maxBytesToWrite<2)return 0;maxBytesToWrite-=2;var startPtr=outPtr;var numCharsToWrite=maxBytesToWrite<str.length*2?maxBytesToWrite/2:str.length;for(var i=0;i<numCharsToWrite;++i){var codeUnit=str.charCodeAt(i);HEAP16[outPtr>>1]=codeUnit;outPtr+=2}HEAP16[outPtr>>1]=0;return outPtr-startPtr}function lengthBytesUTF16(str){return str.length*2}function UTF32ToString(ptr){var i=0;var str="";while(1){var utf32=HEAP32[ptr+i*4>>2];if(utf32==0)return str;++i;if(utf32>=65536){var ch=utf32-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}else{str+=String.fromCharCode(utf32)}}}function stringToUTF32(str,outPtr,maxBytesToWrite){if(maxBytesToWrite===undefined){maxBytesToWrite=2147483647}if(maxBytesToWrite<4)return 0;var startPtr=outPtr;var endPtr=startPtr+maxBytesToWrite-4;for(var i=0;i<str.length;++i){var codeUnit=str.charCodeAt(i);if(codeUnit>=55296&&codeUnit<=57343){var trailSurrogate=str.charCodeAt(++i);codeUnit=65536+((codeUnit&1023)<<10)|trailSurrogate&1023}HEAP32[outPtr>>2]=codeUnit;outPtr+=4;if(outPtr+4>endPtr)break}HEAP32[outPtr>>2]=0;return outPtr-startPtr}function lengthBytesUTF32(str){var len=0;for(var i=0;i<str.length;++i){var codeUnit=str.charCodeAt(i);if(codeUnit>=55296&&codeUnit<=57343)++i;len+=4}return len}function allocateUTF8(str){var size=lengthBytesUTF8(str)+1;var ret=_malloc(size);if(ret)stringToUTF8Array(str,HEAP8,ret,size);return ret}function allocateUTF8OnStack(str){var size=lengthBytesUTF8(str)+1;var ret=stackAlloc(size);stringToUTF8Array(str,HEAP8,ret,size);return ret}function writeArrayToMemory(array,buffer){HEAP8.set(array,buffer)}function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}var WASM_PAGE_SIZE=65536;function alignUp(x,multiple){if(x%multiple>0){x+=multiple-x%multiple}return x}var buffer,HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateGlobalBufferAndViews(buf){buffer=buf;Module["HEAP8"]=HEAP8=new Int8Array(buf);Module["HEAP16"]=HEAP16=new Int16Array(buf);Module["HEAP32"]=HEAP32=new Int32Array(buf);Module["HEAPU8"]=HEAPU8=new Uint8Array(buf);Module["HEAPU16"]=HEAPU16=new Uint16Array(buf);Module["HEAPU32"]=HEAPU32=new Uint32Array(buf);Module["HEAPF32"]=HEAPF32=new Float32Array(buf);Module["HEAPF64"]=HEAPF64=new Float64Array(buf)}var STACK_BASE=52176,STACKTOP=STACK_BASE,STACK_MAX=5295056,DYNAMIC_BASE=5295056,DYNAMICTOP_PTR=51984;var INITIAL_INITIAL_MEMORY=Module["INITIAL_MEMORY"]||16777216;if(Module["wasmMemory"]){wasmMemory=Module["wasmMemory"]}else{wasmMemory=new WebAssembly.Memory({"initial":INITIAL_INITIAL_MEMORY/WASM_PAGE_SIZE,"maximum":2147483648/WASM_PAGE_SIZE})}if(wasmMemory){buffer=wasmMemory.buffer}INITIAL_INITIAL_MEMORY=buffer.byteLength;updateGlobalBufferAndViews(buffer);HEAP32[DYNAMICTOP_PTR>>2]=DYNAMIC_BASE;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback(Module);continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Module["dynCall_v"](func)}else{Module["dynCall_vi"](func,callback.arg)}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function initRuntime(){runtimeInitialized=true;if(!Module["noFSInit"]&&!FS.init.initialized)FS.init();TTY.init();callRuntimeCallbacks(__ATINIT__)}function preMain(){FS.ignorePermissions=false;callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}var Math_abs=Math.abs;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_min=Math.min;var Math_clz32=Math.clz32;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function getUniqueRunDependency(id){return id}function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["preloadedImages"]={};Module["preloadedAudios"]={};Module["preloadedWasm"]={};function abort(what){if(Module["onAbort"]){Module["onAbort"](what)}what+="";out(what);err(what);ABORT=true;EXITSTATUS=1;what="abort("+what+"). Build with -s ASSERTIONS=1 for more info.";throw new WebAssembly.RuntimeError(what)}addOnPreRun(function(){function loadDynamicLibraries(libs){if(libs){libs.forEach(function(lib){loadDynamicLibrary(lib,{global:true,nodelete:true})})}}if(Module["dynamicLibraries"]&&Module["dynamicLibraries"].length>0&&!readBinary){addRunDependency("preload_dynamicLibraries");Promise.all(Module["dynamicLibraries"].map(function(lib){return loadDynamicLibrary(lib,{loadAsync:true,global:true,nodelete:true})})).then(function(){removeRunDependency("preload_dynamicLibraries")});return}loadDynamicLibraries(Module["dynamicLibraries"])});function hasPrefix(str,prefix){return String.prototype.startsWith?str.startsWith(prefix):str.indexOf(prefix)===0}var dataURIPrefix="data:application/octet-stream;base64,";function isDataURI(filename){return hasPrefix(filename,dataURIPrefix)}var fileURIPrefix="file://";function isFileURI(filename){return hasPrefix(filename,fileURIPrefix)}var wasmBinaryFile="dynamsoft.imageio.wasm";if(!isDataURI(wasmBinaryFile)){wasmBinaryFile=locateFile(wasmBinaryFile)}function getBinary(){try{if(wasmBinary){return new Uint8Array(wasmBinary)}if(readBinary){return readBinary(wasmBinaryFile)}else{throw"both async and sync fetching of the wasm failed"}}catch(err){abort(err)}}function getBinaryPromise(){if(!wasmBinary&&(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER)&&typeof fetch==="function"&&!isFileURI(wasmBinaryFile)){return fetch(wasmBinaryFile,{credentials:"same-origin"}).then(function(response){if(!response["ok"]){throw"failed to load wasm binary file at '"+wasmBinaryFile+"'"}return response["arrayBuffer"]()}).catch(function(){return getBinary()})}return new Promise(function(resolve,reject){resolve(getBinary())})}function createWasm(){var info={"env":asmLibraryArg,"wasi_snapshot_preview1":asmLibraryArg,"global":{"NaN":NaN,Infinity:Infinity},"global.Math":Math,"asm2wasm":asm2wasmImports};function receiveInstance(instance,module){var exports=instance.exports;exports=relocateExports(exports,GLOBAL_BASE,0);Module["asm"]=exports;removeRunDependency("wasm-instantiate")}addRunDependency("wasm-instantiate");function receiveInstantiatedSource(output){receiveInstance(output["instance"])}function instantiateArrayBuffer(receiver){return getBinaryPromise().then(function(binary){return WebAssembly.instantiate(binary,info)}).then(receiver,function(reason){err("failed to asynchronously prepare wasm: "+reason);abort(reason)})}function instantiateAsync(){if(!wasmBinary&&typeof WebAssembly.instantiateStreaming==="function"&&!isDataURI(wasmBinaryFile)&&!isFileURI(wasmBinaryFile)&&typeof fetch==="function"){fetch(wasmBinaryFile,{credentials:"same-origin"}).then(function(response){var result=WebAssembly.instantiateStreaming(response,info);return result.then(receiveInstantiatedSource,function(reason){err("wasm streaming compile failed: "+reason);err("falling back to ArrayBuffer instantiation");instantiateArrayBuffer(receiveInstantiatedSource)})})}else{return instantiateArrayBuffer(receiveInstantiatedSource)}}if(Module["instantiateWasm"]){try{var exports=Module["instantiateWasm"](info,receiveInstance);return exports}catch(e){err("Module.instantiateWasm callback failed with error: "+e);return false}}instantiateAsync();return{}}Module["asm"]=createWasm;var tempDouble;var tempI64;__ATINIT__.push({func:function(){globalCtors()}});var tempDoublePtr=52160;function demangle(func){return func}Module["demangle"]=demangle;function demangleAll(text){var regex=/\b__Z[\w\d_]+/g;return text.replace(regex,function(x){var y=demangle(x);return x===y?x:y+" ["+x+"]"})}Module["demangleAll"]=demangleAll;function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}Module["jsStackTrace"]=jsStackTrace;function stackTrace(){var js=jsStackTrace();if(Module["extraStackTrace"])js+="\n"+Module["extraStackTrace"]();return demangleAll(js)}Module["stackTrace"]=stackTrace;function _AddAnnotationToPage(){return Module["_AddAnnotationToPage"].apply(null,arguments)}function _AddDIBToPage(){return Module["_AddDIBToPage"].apply(null,arguments)}function _AddImageToPage(){return Module["_AddImageToPage"].apply(null,arguments)}function _AddImageWatermarkToPage(){return Module["_AddImageWatermarkToPage"].apply(null,arguments)}function _AddPathToPage(){return Module["_AddPathToPage"].apply(null,arguments)}function _AddPdfPage(){return Module["_AddPdfPage"].apply(null,arguments)}function _AddTextToPage(){return Module["_AddTextToPage"].apply(null,arguments)}function _CreatePageFromImageDIB(){return Module["_CreatePageFromImageDIB"].apply(null,arguments)}function _CreatePageFromImageFileStream(){return Module["_CreatePageFromImageFileStream"].apply(null,arguments)}function _DIBChangeBitDepth(){return Module["_DIBChangeBitDepth"].apply(null,arguments)}function _DIBtoRGBA(){return Module["_DIBtoRGBA"].apply(null,arguments)}function _DeleteFile(){return Module["_DeleteFile"].apply(null,arguments)}function _DestroyDynamImageProc(){return Module["_DestroyDynamImageProc"].apply(null,arguments)}function _DynamImageProcAutoBrightnessAndContrast(){return Module["_DynamImageProcAutoBrightnessAndContrast"].apply(null,arguments)}function _DynamImageProcChangeBrightnessAndContrast(){return Module["_DynamImageProcChangeBrightnessAndContrast"].apply(null,arguments)}function _DynamImageProcColorFilter(){return Module["_DynamImageProcColorFilter"].apply(null,arguments)}function _DynamImageProcConvert(){return Module["_DynamImageProcConvert"].apply(null,arguments)}function _DynamImageProcConvertToBWScale(){return Module["_DynamImageProcConvertToBWScale"].apply(null,arguments)}function _DynamImageProcConvertToGrayScale(){return Module["_DynamImageProcConvertToGrayScale"].apply(null,arguments)}function _DynamImageProcCrop(){return Module["_DynamImageProcCrop"].apply(null,arguments)}function _DynamImageProcDocumentDetect(){return Module["_DynamImageProcDocumentDetect"].apply(null,arguments)}function _DynamImageProcDrawQuadrangle(){return Module["_DynamImageProcDrawQuadrangle"].apply(null,arguments)}function _DynamImageProcEqualize(){return Module["_DynamImageProcEqualize"].apply(null,arguments)}function _DynamImageProcErase(){return Module["_DynamImageProcErase"].apply(null,arguments)}function _DynamImageProcGetBlurryScore(){return Module["_DynamImageProcGetBlurryScore"].apply(null,arguments)}function _DynamImageProcGetBrightnessScore(){return Module["_DynamImageProcGetBrightnessScore"].apply(null,arguments)}function _DynamImageProcGetDataPointer(){return Module["_DynamImageProcGetDataPointer"].apply(null,arguments)}function _DynamImageProcGetErrorString(){return Module["_DynamImageProcGetErrorString"].apply(null,arguments)}function _DynamImageProcGetHeight(){return Module["_DynamImageProcGetHeight"].apply(null,arguments)}function _DynamImageProcGetSkewAngle(){return Module["_DynamImageProcGetSkewAngle"].apply(null,arguments)}function _DynamImageProcGetWidth(){return Module["_DynamImageProcGetWidth"].apply(null,arguments)}function _DynamImageProcInvert(){return Module["_DynamImageProcInvert"].apply(null,arguments)}function _DynamImageProcNormalize(){return Module["_DynamImageProcNormalize"].apply(null,arguments)}function _DynamImageProcPerspective(){return Module["_DynamImageProcPerspective"].apply(null,arguments)}function _DynamImageProcResize(){return Module["_DynamImageProcResize"].apply(null,arguments)}function _DynamImageProcRotateEX(){return Module["_DynamImageProcRotateEX"].apply(null,arguments)}function _DynamImageProcRotateFlipType(){return Module["_DynamImageProcRotateFlipType"].apply(null,arguments)}function _DynamImageProcSave(){return Module["_DynamImageProcSave"].apply(null,arguments)}function _DynamImageProcSetDPI(){return Module["_DynamImageProcSetDPI"].apply(null,arguments)}function _DynamImageProcSetDebugMode(){return Module["_DynamImageProcSetDebugMode"].apply(null,arguments)}function _DynamImageProcSetImageHeight(){return Module["_DynamImageProcSetImageHeight"].apply(null,arguments)}function _DynamImageProcSetImageWidth(){return Module["_DynamImageProcSetImageWidth"].apply(null,arguments)}function _DynamImageProcShadowRemovel(){return Module["_DynamImageProcShadowRemovel"].apply(null,arguments)}function _EndWritePdfPage(){return Module["_EndWritePdfPage"].apply(null,arguments)}function _FreeWatermarkAndFormXObject(){return Module["_FreeWatermarkAndFormXObject"].apply(null,arguments)}function _GetDIBMetaData(){return Module["_GetDIBMetaData"].apply(null,arguments)}function _GetDynamImageProcWasmVersion(){return Module["_GetDynamImageProcWasmVersion"].apply(null,arguments)}function _GetDynamicImageCoreWasmVersion(){return Module["_GetDynamicImageCoreWasmVersion"].apply(null,arguments)}function _GetDynamicPdfWWasmVersion(){return Module["_GetDynamicPdfWWasmVersion"].apply(null,arguments)}function _GetImageMetaData(){return Module["_GetImageMetaData"].apply(null,arguments)}function _GetJPEGExifData(){return Module["_GetJPEGExifData"].apply(null,arguments)}function _GetJPEGMetaData(){return Module["_GetJPEGMetaData"].apply(null,arguments)}function _GetPdfStream(){return Module["_GetPdfStream"].apply(null,arguments)}function _IfJPEGHaveExifInfo(){return Module["_IfJPEGHaveExifInfo"].apply(null,arguments)}function _InitDynamImageProc(){return Module["_InitDynamImageProc"].apply(null,arguments)}function _NewImageWatermark(){return Module["_NewImageWatermark"].apply(null,arguments)}function _NewWatermarkFormXObject(){return Module["_NewWatermarkFormXObject"].apply(null,arguments)}function _PDFInitFromJsonString(){return Module["_PDFInitFromJsonString"].apply(null,arguments)}function _RGBAtoDIB(){return Module["_RGBAtoDIB"].apply(null,arguments)}function _ReleasePdf(){return Module["_ReleasePdf"].apply(null,arguments)}function _RotateJPEGByExif(){return Module["_RotateJPEGByExif"].apply(null,arguments)}function _SaveDIBtoJP2(){return Module["_SaveDIBtoJP2"].apply(null,arguments)}function _SaveDIBtoJPEG(){return Module["_SaveDIBtoJPEG"].apply(null,arguments)}function _SaveDIBtoOnePageTiff(){return Module["_SaveDIBtoOnePageTiff"].apply(null,arguments)}function _SaveDIBtoPNG(){return Module["_SaveDIBtoPNG"].apply(null,arguments)}function _SaveRGBA_BGRAtoJPEG(){return Module["_SaveRGBA_BGRAtoJPEG"].apply(null,arguments)}function _SaveRGBA_BGRAtoPNG(){return Module["_SaveRGBA_BGRAtoPNG"].apply(null,arguments)}function _SetFileAttributes(){return Module["_SetFileAttributes"].apply(null,arguments)}function _SetPdfPageRotate(){return Module["_SetPdfPageRotate"].apply(null,arguments)}function __ZNSt12length_errorD1Ev(){return Module["__ZNSt12length_errorD1Ev"].apply(null,arguments)}function __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_(){return Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_"].apply(null,arguments)}function __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_(){return Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_"].apply(null,arguments)}function __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_(){return Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_"].apply(null,arguments)}function __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev(){return Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev"].apply(null,arguments)}function __ZNSt3__24cerrE(){return Module["__ZNSt3__24cerrE"].apply(null,arguments)}function __ZNSt3__24coutE(){return Module["__ZNSt3__24coutE"].apply(null,arguments)}function __ZNSt3__25ctypeIcE2idE(){return Module["__ZNSt3__25ctypeIcE2idE"].apply(null,arguments)}function __ZNSt3__26localeC1ERKS0_(){return Module["__ZNSt3__26localeC1ERKS0_"].apply(null,arguments)}function __ZNSt3__26localeD1Ev(){return Module["__ZNSt3__26localeD1Ev"].apply(null,arguments)}function __ZTINSt3__213basic_istreamIcNS_11char_traitsIcEEEE(){return Module["__ZTINSt3__213basic_istreamIcNS_11char_traitsIcEEEE"].apply(null,arguments)}function __ZTINSt3__213basic_ostreamIcNS_11char_traitsIcEEEE(){return Module["__ZTINSt3__213basic_ostreamIcNS_11char_traitsIcEEEE"].apply(null,arguments)}function __ZTINSt3__214basic_iostreamIcNS_11char_traitsIcEEEE(){return Module["__ZTINSt3__214basic_iostreamIcNS_11char_traitsIcEEEE"].apply(null,arguments)}function __ZTINSt3__215basic_streambufIcNS_11char_traitsIcEEEE(){return Module["__ZTINSt3__215basic_streambufIcNS_11char_traitsIcEEEE"].apply(null,arguments)}function __ZTINSt3__219__shared_weak_countE(){return Module["__ZTINSt3__219__shared_weak_countE"].apply(null,arguments)}function __ZTISt12length_error(){return Module["__ZTISt12length_error"].apply(null,arguments)}function __ZTISt9exception(){return Module["__ZTISt9exception"].apply(null,arguments)}function __ZTVN10__cxxabiv116__enum_type_infoE(){return Module["__ZTVN10__cxxabiv116__enum_type_infoE"].apply(null,arguments)}function __ZTVN10__cxxabiv117__class_type_infoE(){return Module["__ZTVN10__cxxabiv117__class_type_infoE"].apply(null,arguments)}function __ZTVN10__cxxabiv120__si_class_type_infoE(){return Module["__ZTVN10__cxxabiv120__si_class_type_infoE"].apply(null,arguments)}function __ZTVN10__cxxabiv121__vmi_class_type_infoE(){return Module["__ZTVN10__cxxabiv121__vmi_class_type_infoE"].apply(null,arguments)}function __ZTVSt12length_error(){return Module["__ZTVSt12length_error"].apply(null,arguments)}function ___assert_fail(condition,filename,line,func){abort("Assertion failed: "+UTF8ToString(condition)+", at: "+[filename?UTF8ToString(filename):"unknown filename",line,func?UTF8ToString(func):"unknown function"])}Module["___assert_fail"]=___assert_fail;function ___atomic_load_8(ptr,memmodel){return(setTempRet0(HEAP32[ptr+4>>2]),HEAP32[ptr>>2])|0}Module["___atomic_load_8"]=___atomic_load_8;function ___atomic_store_8(ptr,vall,valh,memmodel){HEAP32[ptr>>2]=vall;HEAP32[ptr+4>>2]=valh}Module["___atomic_store_8"]=___atomic_store_8;var ENV={};Module["ENV"]=ENV;function __getExecutableName(){return thisProgram||"./this.program"}Module["__getExecutableName"]=__getExecutableName;function ___buildEnvironment(environ){var MAX_ENV_VALUES=64;var TOTAL_ENV_SIZE=1024;var poolPtr;var envPtr;if(!___buildEnvironment.called){___buildEnvironment.called=true;ENV["USER"]="web_user";ENV["LOGNAME"]="web_user";ENV["PATH"]="/";ENV["PWD"]="/";ENV["HOME"]="/home/web_user";ENV["LANG"]=(typeof navigator==="object"&&navigator.languages&&navigator.languages[0]||"C").replace("-","_")+".UTF-8";ENV["_"]=__getExecutableName();poolPtr=getMemory(TOTAL_ENV_SIZE);envPtr=getMemory(MAX_ENV_VALUES*4);HEAP32[envPtr>>2]=poolPtr;HEAP32[environ>>2]=envPtr}else{envPtr=HEAP32[environ>>2];poolPtr=HEAP32[envPtr>>2]}var strings=[];var totalSize=0;for(var key in ENV){if(typeof ENV[key]==="string"){var line=key+"="+ENV[key];strings.push(line);totalSize+=line.length}}if(totalSize>TOTAL_ENV_SIZE){throw new Error("Environment size exceeded TOTAL_ENV_SIZE!")}var ptrSize=4;for(var i=0;i<strings.length;i++){var line=strings[i];writeAsciiToMemory(line,poolPtr);HEAP32[envPtr+i*ptrSize>>2]=poolPtr;poolPtr+=line.length+1}HEAP32[envPtr+strings.length*ptrSize>>2]=0}Module["___buildEnvironment"]=___buildEnvironment;function ___cxa_allocate_exception(size){return _malloc(size)}Module["___cxa_allocate_exception"]=___cxa_allocate_exception;var ___exception_infos={};Module["___exception_infos"]=___exception_infos;var ___exception_caught=[];Module["___exception_caught"]=___exception_caught;function ___exception_addRef(ptr){if(!ptr)return;var info=___exception_infos[ptr];info.refcount++}Module["___exception_addRef"]=___exception_addRef;function ___exception_deAdjust(adjusted){if(!adjusted||___exception_infos[adjusted])return adjusted;for(var key in ___exception_infos){var ptr=+key;var adj=___exception_infos[ptr].adjusted;var len=adj.length;for(var i=0;i<len;i++){if(adj[i]===adjusted){return ptr}}}return adjusted}Module["___exception_deAdjust"]=___exception_deAdjust;function ___cxa_begin_catch(ptr){var info=___exception_infos[ptr];if(info&&!info.caught){info.caught=true;__ZSt18uncaught_exceptionv.uncaught_exceptions--}if(info)info.rethrown=false;___exception_caught.push(ptr);___exception_addRef(___exception_deAdjust(ptr));return ptr}Module["___cxa_begin_catch"]=___cxa_begin_catch;var ___exception_last=0;Module["___exception_last"]=___exception_last;function ___cxa_throw(ptr,type,destructor){___exception_infos[ptr]={ptr:ptr,adjusted:[ptr],type:type,destructor:destructor,refcount:0,caught:false,rethrown:false};___exception_last=ptr;if(!("uncaught_exception"in __ZSt18uncaught_exceptionv)){__ZSt18uncaught_exceptionv.uncaught_exceptions=1}else{__ZSt18uncaught_exceptionv.uncaught_exceptions++}throw ptr}Module["___cxa_throw"]=___cxa_throw;function _llvm_cttz_i32(x){x=x|0;return(x?31-(Math_clz32(x^x-1)|0)|0:32)|0}Module["_llvm_cttz_i32"]=_llvm_cttz_i32;function ___gxx_personality_v0(){}Module["___gxx_personality_v0"]=___gxx_personality_v0;function setErrNo(value){HEAP32[___errno_location()>>2]=value;return value}Module["setErrNo"]=setErrNo;function ___map_file(pathname,size){setErrNo(63);return-1}Module["___map_file"]=___map_file;var PATH={splitPath:function(filename){var splitPathRe=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;return splitPathRe.exec(filename).slice(1)},normalizeArray:function(parts,allowAboveRoot){var up=0;for(var i=parts.length-1;i>=0;i--){var last=parts[i];if(last==="."){parts.splice(i,1)}else if(last===".."){parts.splice(i,1);up++}else if(up){parts.splice(i,1);up--}}if(allowAboveRoot){for(;up;up--){parts.unshift("..")}}return parts},normalize:function(path){var isAbsolute=path.charAt(0)==="/",trailingSlash=path.substr(-1)==="/";path=PATH.normalizeArray(path.split("/").filter(function(p){return!!p}),!isAbsolute).join("/");if(!path&&!isAbsolute){path="."}if(path&&trailingSlash){path+="/"}return(isAbsolute?"/":"")+path},dirname:function(path){var result=PATH.splitPath(path),root=result[0],dir=result[1];if(!root&&!dir){return"."}if(dir){dir=dir.substr(0,dir.length-1)}return root+dir},basename:function(path){if(path==="/")return"/";var lastSlash=path.lastIndexOf("/");if(lastSlash===-1)return path;return path.substr(lastSlash+1)},extname:function(path){return PATH.splitPath(path)[3]},join:function(){var paths=Array.prototype.slice.call(arguments,0);return PATH.normalize(paths.join("/"))},join2:function(l,r){return PATH.normalize(l+"/"+r)}};Module["PATH"]=PATH;var PATH_FS={resolve:function(){var resolvedPath="",resolvedAbsolute=false;for(var i=arguments.length-1;i>=-1&&!resolvedAbsolute;i--){var path=i>=0?arguments[i]:FS.cwd();if(typeof path!=="string"){throw new TypeError("Arguments to path.resolve must be strings")}else if(!path){return""}resolvedPath=path+"/"+resolvedPath;resolvedAbsolute=path.charAt(0)==="/"}resolvedPath=PATH.normalizeArray(resolvedPath.split("/").filter(function(p){return!!p}),!resolvedAbsolute).join("/");return(resolvedAbsolute?"/":"")+resolvedPath||"."},relative:function(from,to){from=PATH_FS.resolve(from).substr(1);to=PATH_FS.resolve(to).substr(1);function trim(arr){var start=0;for(;start<arr.length;start++){if(arr[start]!=="")break}var end=arr.length-1;for(;end>=0;end--){if(arr[end]!=="")break}if(start>end)return[];return arr.slice(start,end-start+1)}var fromParts=trim(from.split("/"));var toParts=trim(to.split("/"));var length=Math.min(fromParts.length,toParts.length);var samePartsLength=length;for(var i=0;i<length;i++){if(fromParts[i]!==toParts[i]){samePartsLength=i;break}}var outputParts=[];for(var i=samePartsLength;i<fromParts.length;i++){outputParts.push("..")}outputParts=outputParts.concat(toParts.slice(samePartsLength));return outputParts.join("/")}};Module["PATH_FS"]=PATH_FS;var TTY={ttys:[],init:function(){},shutdown:function(){},register:function(dev,ops){TTY.ttys[dev]={input:[],output:[],ops:ops};FS.registerDevice(dev,TTY.stream_ops)},stream_ops:{open:function(stream){var tty=TTY.ttys[stream.node.rdev];if(!tty){throw new FS.ErrnoError(43)}stream.tty=tty;stream.seekable=false},close:function(stream){stream.tty.ops.flush(stream.tty)},flush:function(stream){stream.tty.ops.flush(stream.tty)},read:function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.get_char){throw new FS.ErrnoError(60)}var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=stream.tty.ops.get_char(stream.tty)}catch(e){throw new FS.ErrnoError(29)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(6)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead},write:function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.put_char){throw new FS.ErrnoError(60)}try{for(var i=0;i<length;i++){stream.tty.ops.put_char(stream.tty,buffer[offset+i])}}catch(e){throw new FS.ErrnoError(29)}if(length){stream.node.timestamp=Date.now()}return i}},default_tty_ops:{get_char:function(tty){if(!tty.input.length){var result=null;if(ENVIRONMENT_IS_NODE){var BUFSIZE=256;var buf=Buffer.alloc?Buffer.alloc(BUFSIZE):new Buffer(BUFSIZE);var bytesRead=0;try{bytesRead=nodeFS.readSync(process.stdin.fd,buf,0,BUFSIZE,null)}catch(e){if(e.toString().indexOf("EOF")!=-1)bytesRead=0;else throw e}if(bytesRead>0){result=buf.slice(0,bytesRead).toString("utf-8")}else{result=null}}else if(typeof window!="undefined"&&typeof window.prompt=="function"){result=window.prompt("Input: ");if(result!==null){result+="\n"}}else if(typeof readline=="function"){result=readline();if(result!==null){result+="\n"}}if(!result){return null}tty.input=intArrayFromString(result,true)}return tty.input.shift()},put_char:function(tty,val){if(val===null||val===10){out(UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}},flush:function(tty){if(tty.output&&tty.output.length>0){out(UTF8ArrayToString(tty.output,0));tty.output=[]}}},default_tty1_ops:{put_char:function(tty,val){if(val===null||val===10){err(UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}},flush:function(tty){if(tty.output&&tty.output.length>0){err(UTF8ArrayToString(tty.output,0));tty.output=[]}}}};Module["TTY"]=TTY;var MEMFS={ops_table:null,mount:function(mount){return MEMFS.createNode(null,"/",16384|511,0)},createNode:function(parent,name,mode,dev){if(FS.isBlkdev(mode)||FS.isFIFO(mode)){throw new FS.ErrnoError(63)}if(!MEMFS.ops_table){MEMFS.ops_table={dir:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,lookup:MEMFS.node_ops.lookup,mknod:MEMFS.node_ops.mknod,rename:MEMFS.node_ops.rename,unlink:MEMFS.node_ops.unlink,rmdir:MEMFS.node_ops.rmdir,readdir:MEMFS.node_ops.readdir,symlink:MEMFS.node_ops.symlink},stream:{llseek:MEMFS.stream_ops.llseek}},file:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:{llseek:MEMFS.stream_ops.llseek,read:MEMFS.stream_ops.read,write:MEMFS.stream_ops.write,allocate:MEMFS.stream_ops.allocate,mmap:MEMFS.stream_ops.mmap,msync:MEMFS.stream_ops.msync}},link:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,readlink:MEMFS.node_ops.readlink},stream:{}},chrdev:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:FS.chrdev_stream_ops}}}var node=FS.createNode(parent,name,mode,dev);if(FS.isDir(node.mode)){node.node_ops=MEMFS.ops_table.dir.node;node.stream_ops=MEMFS.ops_table.dir.stream;node.contents={}}else if(FS.isFile(node.mode)){node.node_ops=MEMFS.ops_table.file.node;node.stream_ops=MEMFS.ops_table.file.stream;node.usedBytes=0;node.contents=null}else if(FS.isLink(node.mode)){node.node_ops=MEMFS.ops_table.link.node;node.stream_ops=MEMFS.ops_table.link.stream}else if(FS.isChrdev(node.mode)){node.node_ops=MEMFS.ops_table.chrdev.node;node.stream_ops=MEMFS.ops_table.chrdev.stream}node.timestamp=Date.now();if(parent){parent.contents[name]=node}return node},getFileDataAsRegularArray:function(node){if(node.contents&&node.contents.subarray){var arr=[];for(var i=0;i<node.usedBytes;++i)arr.push(node.contents[i]);return arr}return node.contents},getFileDataAsTypedArray:function(node){if(!node.contents)return new Uint8Array(0);if(node.contents.subarray)return node.contents.subarray(0,node.usedBytes);return new Uint8Array(node.contents)},expandFileStorage:function(node,newCapacity){var prevCapacity=node.contents?node.contents.length:0;if(prevCapacity>=newCapacity)return;var CAPACITY_DOUBLING_MAX=1024*1024;newCapacity=Math.max(newCapacity,prevCapacity*(prevCapacity<CAPACITY_DOUBLING_MAX?2:1.125)>>>0);if(prevCapacity!=0)newCapacity=Math.max(newCapacity,256);var oldContents=node.contents;node.contents=new Uint8Array(newCapacity);if(node.usedBytes>0)node.contents.set(oldContents.subarray(0,node.usedBytes),0);return},resizeFileStorage:function(node,newSize){if(node.usedBytes==newSize)return;if(newSize==0){node.contents=null;node.usedBytes=0;return}if(!node.contents||node.contents.subarray){var oldContents=node.contents;node.contents=new Uint8Array(newSize);if(oldContents){node.contents.set(oldContents.subarray(0,Math.min(newSize,node.usedBytes)))}node.usedBytes=newSize;return}if(!node.contents)node.contents=[];if(node.contents.length>newSize)node.contents.length=newSize;else while(node.contents.length<newSize)node.contents.push(0);node.usedBytes=newSize},node_ops:{getattr:function(node){var attr={};attr.dev=FS.isChrdev(node.mode)?node.id:1;attr.ino=node.id;attr.mode=node.mode;attr.nlink=1;attr.uid=0;attr.gid=0;attr.rdev=node.rdev;if(FS.isDir(node.mode)){attr.size=4096}else if(FS.isFile(node.mode)){attr.size=node.usedBytes}else if(FS.isLink(node.mode)){attr.size=node.link.length}else{attr.size=0}attr.atime=new Date(node.timestamp);attr.mtime=new Date(node.timestamp);attr.ctime=new Date(node.timestamp);attr.blksize=4096;attr.blocks=Math.ceil(attr.size/attr.blksize);return attr},setattr:function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}if(attr.size!==undefined){MEMFS.resizeFileStorage(node,attr.size)}},lookup:function(parent,name){throw FS.genericErrors[44]},mknod:function(parent,name,mode,dev){return MEMFS.createNode(parent,name,mode,dev)},rename:function(old_node,new_dir,new_name){if(FS.isDir(old_node.mode)){var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(new_node){for(var i in new_node.contents){throw new FS.ErrnoError(55)}}}delete old_node.parent.contents[old_node.name];old_node.name=new_name;new_dir.contents[new_name]=old_node;old_node.parent=new_dir},unlink:function(parent,name){delete parent.contents[name]},rmdir:function(parent,name){var node=FS.lookupNode(parent,name);for(var i in node.contents){throw new FS.ErrnoError(55)}delete parent.contents[name]},readdir:function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries},symlink:function(parent,newname,oldpath){var node=MEMFS.createNode(parent,newname,511|40960,0);node.link=oldpath;return node},readlink:function(node){if(!FS.isLink(node.mode)){throw new FS.ErrnoError(28)}return node.link}},stream_ops:{read:function(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=stream.node.usedBytes)return 0;var size=Math.min(stream.node.usedBytes-position,length);if(size>8&&contents.subarray){buffer.set(contents.subarray(position,position+size),offset)}else{for(var i=0;i<size;i++)buffer[offset+i]=contents[position+i]}return size},write:function(stream,buffer,offset,length,position,canOwn){if(buffer.buffer===HEAP8.buffer){canOwn=false}if(!length)return 0;var node=stream.node;node.timestamp=Date.now();if(buffer.subarray&&(!node.contents||node.contents.subarray)){if(canOwn){node.contents=buffer.subarray(offset,offset+length);node.usedBytes=length;return length}else if(node.usedBytes===0&&position===0){node.contents=buffer.slice(offset,offset+length);node.usedBytes=length;return length}else if(position+length<=node.usedBytes){node.contents.set(buffer.subarray(offset,offset+length),position);return length}}MEMFS.expandFileStorage(node,position+length);if(node.contents.subarray&&buffer.subarray)node.contents.set(buffer.subarray(offset,offset+length),position);else{for(var i=0;i<length;i++){node.contents[position+i]=buffer[offset+i]}}node.usedBytes=Math.max(node.usedBytes,position+length);return length},llseek:function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.usedBytes}}if(position<0){throw new FS.ErrnoError(28)}return position},allocate:function(stream,offset,length){MEMFS.expandFileStorage(stream.node,offset+length);stream.node.usedBytes=Math.max(stream.node.usedBytes,offset+length)},mmap:function(stream,buffer,offset,length,position,prot,flags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(43)}var ptr;var allocated;var contents=stream.node.contents;if(!(flags&2)&&contents.buffer===buffer.buffer){allocated=false;ptr=contents.byteOffset}else{if(position>0||position+length<contents.length){if(contents.subarray){contents=contents.subarray(position,position+length)}else{contents=Array.prototype.slice.call(contents,position,position+length)}}allocated=true;var fromHeap=buffer.buffer==HEAP8.buffer;ptr=_malloc(length);if(!ptr){throw new FS.ErrnoError(48)}(fromHeap?HEAP8:buffer).set(contents,ptr)}return{ptr:ptr,allocated:allocated}},msync:function(stream,buffer,offset,length,mmapFlags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(43)}if(mmapFlags&2){return 0}var bytesWritten=MEMFS.stream_ops.write(stream,buffer,0,length,offset,false);return 0}}};Module["MEMFS"]=MEMFS;var FS={root:null,mounts:[],devices:{},streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,trackingDelegate:{},tracking:{openFlags:{READ:1,WRITE:2}},ErrnoError:null,genericErrors:{},filesystems:null,syncFSRequests:0,handleFSError:function(e){if(!(e instanceof FS.ErrnoError))throw e+" : "+stackTrace();return setErrNo(e.errno)},lookupPath:function(path,opts){path=PATH_FS.resolve(FS.cwd(),path);opts=opts||{};if(!path)return{path:"",node:null};var defaults={follow_mount:true,recurse_count:0};for(var key in defaults){if(opts[key]===undefined){opts[key]=defaults[key]}}if(opts.recurse_count>8){throw new FS.ErrnoError(32)}var parts=PATH.normalizeArray(path.split("/").filter(function(p){return!!p}),false);var current=FS.root;var current_path="/";for(var i=0;i<parts.length;i++){var islast=i===parts.length-1;if(islast&&opts.parent){break}current=FS.lookupNode(current,parts[i]);current_path=PATH.join2(current_path,parts[i]);if(FS.isMountpoint(current)){if(!islast||islast&&opts.follow_mount){current=current.mounted.root}}if(!islast||opts.follow){var count=0;while(FS.isLink(current.mode)){var link=FS.readlink(current_path);current_path=PATH_FS.resolve(PATH.dirname(current_path),link);var lookup=FS.lookupPath(current_path,{recurse_count:opts.recurse_count});current=lookup.node;if(count++>40){throw new FS.ErrnoError(32)}}}}return{path:current_path,node:current}},getPath:function(node){var path;while(true){if(FS.isRoot(node)){var mount=node.mount.mountpoint;if(!path)return mount;return mount[mount.length-1]!=="/"?mount+"/"+path:mount+path}path=path?node.name+"/"+path:node.name;node=node.parent}},hashName:function(parentid,name){var hash=0;for(var i=0;i<name.length;i++){hash=(hash<<5)-hash+name.charCodeAt(i)|0}return(parentid+hash>>>0)%FS.nameTable.length},hashAddNode:function(node){var hash=FS.hashName(node.parent.id,node.name);node.name_next=FS.nameTable[hash];FS.nameTable[hash]=node},hashRemoveNode:function(node){var hash=FS.hashName(node.parent.id,node.name);if(FS.nameTable[hash]===node){FS.nameTable[hash]=node.name_next}else{var current=FS.nameTable[hash];while(current){if(current.name_next===node){current.name_next=node.name_next;break}current=current.name_next}}},lookupNode:function(parent,name){var errCode=FS.mayLookup(parent);if(errCode){throw new FS.ErrnoError(errCode,parent)}var hash=FS.hashName(parent.id,name);for(var node=FS.nameTable[hash];node;node=node.name_next){var nodeName=node.name;if(node.parent.id===parent.id&&nodeName===name){return node}}return FS.lookup(parent,name)},createNode:function(parent,name,mode,rdev){var node=new FS.FSNode(parent,name,mode,rdev);FS.hashAddNode(node);return node},destroyNode:function(node){FS.hashRemoveNode(node)},isRoot:function(node){return node===node.parent},isMountpoint:function(node){return!!node.mounted},isFile:function(mode){return(mode&61440)===32768},isDir:function(mode){return(mode&61440)===16384},isLink:function(mode){return(mode&61440)===40960},isChrdev:function(mode){return(mode&61440)===8192},isBlkdev:function(mode){return(mode&61440)===24576},isFIFO:function(mode){return(mode&61440)===4096},isSocket:function(mode){return(mode&49152)===49152},flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:function(str){var flags=FS.flagModes[str];if(typeof flags==="undefined"){throw new Error("Unknown file open mode: "+str)}return flags},flagsToPermissionString:function(flag){var perms=["r","w","rw"][flag&3];if(flag&512){perms+="w"}return perms},nodePermissions:function(node,perms){if(FS.ignorePermissions){return 0}if(perms.indexOf("r")!==-1&&!(node.mode&292)){return 2}else if(perms.indexOf("w")!==-1&&!(node.mode&146)){return 2}else if(perms.indexOf("x")!==-1&&!(node.mode&73)){return 2}return 0},mayLookup:function(dir){var errCode=FS.nodePermissions(dir,"x");if(errCode)return errCode;if(!dir.node_ops.lookup)return 2;return 0},mayCreate:function(dir,name){try{var node=FS.lookupNode(dir,name);return 20}catch(e){}return FS.nodePermissions(dir,"wx")},mayDelete:function(dir,name,isdir){var node;try{node=FS.lookupNode(dir,name)}catch(e){return e.errno}var errCode=FS.nodePermissions(dir,"wx");if(errCode){return errCode}if(isdir){if(!FS.isDir(node.mode)){return 54}if(FS.isRoot(node)||FS.getPath(node)===FS.cwd()){return 10}}else{if(FS.isDir(node.mode)){return 31}}return 0},mayOpen:function(node,flags){if(!node){return 44}if(FS.isLink(node.mode)){return 32}else if(FS.isDir(node.mode)){if(FS.flagsToPermissionString(flags)!=="r"||flags&512){return 31}}return FS.nodePermissions(node,FS.flagsToPermissionString(flags))},MAX_OPEN_FDS:4096,nextfd:function(fd_start,fd_end){fd_start=fd_start||0;fd_end=fd_end||FS.MAX_OPEN_FDS;for(var fd=fd_start;fd<=fd_end;fd++){if(!FS.streams[fd]){return fd}}throw new FS.ErrnoError(33)},getStream:function(fd){return FS.streams[fd]},createStream:function(stream,fd_start,fd_end){if(!FS.FSStream){FS.FSStream=function(){};FS.FSStream.prototype={object:{get:function(){return this.node},set:function(val){this.node=val}},isRead:{get:function(){return(this.flags&2097155)!==1}},isWrite:{get:function(){return(this.flags&2097155)!==0}},isAppend:{get:function(){return this.flags&1024}}}}var newStream=new FS.FSStream;for(var p in stream){newStream[p]=stream[p]}stream=newStream;var fd=FS.nextfd(fd_start,fd_end);stream.fd=fd;FS.streams[fd]=stream;return stream},closeStream:function(fd){FS.streams[fd]=null},chrdev_stream_ops:{open:function(stream){var device=FS.getDevice(stream.node.rdev);stream.stream_ops=device.stream_ops;if(stream.stream_ops.open){stream.stream_ops.open(stream)}},llseek:function(){throw new FS.ErrnoError(70)}},major:function(dev){return dev>>8},minor:function(dev){return dev&255},makedev:function(ma,mi){return ma<<8|mi},registerDevice:function(dev,ops){FS.devices[dev]={stream_ops:ops}},getDevice:function(dev){return FS.devices[dev]},getMounts:function(mount){var mounts=[];var check=[mount];while(check.length){var m=check.pop();mounts.push(m);check.push.apply(check,m.mounts)}return mounts},syncfs:function(populate,callback){if(typeof populate==="function"){callback=populate;populate=false}FS.syncFSRequests++;if(FS.syncFSRequests>1){err("warning: "+FS.syncFSRequests+" FS.syncfs operations in flight at once, probably just doing extra work")}var mounts=FS.getMounts(FS.root.mount);var completed=0;function doCallback(errCode){FS.syncFSRequests--;return callback(errCode)}function done(errCode){if(errCode){if(!done.errored){done.errored=true;return doCallback(errCode)}return}if(++completed>=mounts.length){doCallback(null)}}mounts.forEach(function(mount){if(!mount.type.syncfs){return done(null)}mount.type.syncfs(mount,populate,done)})},mount:function(type,opts,mountpoint){var root=mountpoint==="/";var pseudo=!mountpoint;var node;if(root&&FS.root){throw new FS.ErrnoError(10)}else if(!root&&!pseudo){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});mountpoint=lookup.path;node=lookup.node;if(FS.isMountpoint(node)){throw new FS.ErrnoError(10)}if(!FS.isDir(node.mode)){throw new FS.ErrnoError(54)}}var mount={type:type,opts:opts,mountpoint:mountpoint,mounts:[]};var mountRoot=type.mount(mount);mountRoot.mount=mount;mount.root=mountRoot;if(root){FS.root=mountRoot}else if(node){node.mounted=mount;if(node.mount){node.mount.mounts.push(mount)}}return mountRoot},unmount:function(mountpoint){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});if(!FS.isMountpoint(lookup.node)){throw new FS.ErrnoError(28)}var node=lookup.node;var mount=node.mounted;var mounts=FS.getMounts(mount);Object.keys(FS.nameTable).forEach(function(hash){var current=FS.nameTable[hash];while(current){var next=current.name_next;if(mounts.indexOf(current.mount)!==-1){FS.destroyNode(current)}current=next}});node.mounted=null;var idx=node.mount.mounts.indexOf(mount);node.mount.mounts.splice(idx,1)},lookup:function(parent,name){return parent.node_ops.lookup(parent,name)},mknod:function(path,mode,dev){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);if(!name||name==="."||name===".."){throw new FS.ErrnoError(28)}var errCode=FS.mayCreate(parent,name);if(errCode){throw new FS.ErrnoError(errCode)}if(!parent.node_ops.mknod){throw new FS.ErrnoError(63)}return parent.node_ops.mknod(parent,name,mode,dev)},create:function(path,mode){mode=mode!==undefined?mode:438;mode&=4095;mode|=32768;return FS.mknod(path,mode,0)},mkdir:function(path,mode){mode=mode!==undefined?mode:511;mode&=511|512;mode|=16384;return FS.mknod(path,mode,0)},mkdirTree:function(path,mode){var dirs=path.split("/");var d="";for(var i=0;i<dirs.length;++i){if(!dirs[i])continue;d+="/"+dirs[i];try{FS.mkdir(d,mode)}catch(e){if(e.errno!=20)throw e}}},mkdev:function(path,mode,dev){if(typeof dev==="undefined"){dev=mode;mode=438}mode|=8192;return FS.mknod(path,mode,dev)},symlink:function(oldpath,newpath){if(!PATH_FS.resolve(oldpath)){throw new FS.ErrnoError(44)}var lookup=FS.lookupPath(newpath,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(44)}var newname=PATH.basename(newpath);var errCode=FS.mayCreate(parent,newname);if(errCode){throw new FS.ErrnoError(errCode)}if(!parent.node_ops.symlink){throw new FS.ErrnoError(63)}return parent.node_ops.symlink(parent,newname,oldpath)},rename:function(old_path,new_path){var old_dirname=PATH.dirname(old_path);var new_dirname=PATH.dirname(new_path);var old_name=PATH.basename(old_path);var new_name=PATH.basename(new_path);var lookup,old_dir,new_dir;try{lookup=FS.lookupPath(old_path,{parent:true});old_dir=lookup.node;lookup=FS.lookupPath(new_path,{parent:true});new_dir=lookup.node}catch(e){throw new FS.ErrnoError(10)}if(!old_dir||!new_dir)throw new FS.ErrnoError(44);if(old_dir.mount!==new_dir.mount){throw new FS.ErrnoError(75)}var old_node=FS.lookupNode(old_dir,old_name);var relative=PATH_FS.relative(old_path,new_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(28)}relative=PATH_FS.relative(new_path,old_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(55)}var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(old_node===new_node){return}var isdir=FS.isDir(old_node.mode);var errCode=FS.mayDelete(old_dir,old_name,isdir);if(errCode){throw new FS.ErrnoError(errCode)}errCode=new_node?FS.mayDelete(new_dir,new_name,isdir):FS.mayCreate(new_dir,new_name);if(errCode){throw new FS.ErrnoError(errCode)}if(!old_dir.node_ops.rename){throw new FS.ErrnoError(63)}if(FS.isMountpoint(old_node)||new_node&&FS.isMountpoint(new_node)){throw new FS.ErrnoError(10)}if(new_dir!==old_dir){errCode=FS.nodePermissions(old_dir,"w");if(errCode){throw new FS.ErrnoError(errCode)}}try{if(FS.trackingDelegate["willMovePath"]){FS.trackingDelegate["willMovePath"](old_path,new_path)}}catch(e){err("FS.trackingDelegate['willMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}FS.hashRemoveNode(old_node);try{old_dir.node_ops.rename(old_node,new_dir,new_name)}catch(e){throw e}finally{FS.hashAddNode(old_node)}try{if(FS.trackingDelegate["onMovePath"])FS.trackingDelegate["onMovePath"](old_path,new_path)}catch(e){err("FS.trackingDelegate['onMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}},rmdir:function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var errCode=FS.mayDelete(parent,name,true);if(errCode){throw new FS.ErrnoError(errCode)}if(!parent.node_ops.rmdir){throw new FS.ErrnoError(63)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(10)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){err("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.rmdir(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){err("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}},readdir:function(path){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;if(!node.node_ops.readdir){throw new FS.ErrnoError(54)}return node.node_ops.readdir(node)},unlink:function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var errCode=FS.mayDelete(parent,name,false);if(errCode){throw new FS.ErrnoError(errCode)}if(!parent.node_ops.unlink){throw new FS.ErrnoError(63)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(10)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){err("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.unlink(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){err("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}},readlink:function(path){var lookup=FS.lookupPath(path);var link=lookup.node;if(!link){throw new FS.ErrnoError(44)}if(!link.node_ops.readlink){throw new FS.ErrnoError(28)}return PATH_FS.resolve(FS.getPath(link.parent),link.node_ops.readlink(link))},stat:function(path,dontFollow){var lookup=FS.lookupPath(path,{follow:!dontFollow});var node=lookup.node;if(!node){throw new FS.ErrnoError(44)}if(!node.node_ops.getattr){throw new FS.ErrnoError(63)}return node.node_ops.getattr(node)},lstat:function(path){return FS.stat(path,true)},chmod:function(path,mode,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(63)}node.node_ops.setattr(node,{mode:mode&4095|node.mode&~4095,timestamp:Date.now()})},lchmod:function(path,mode){FS.chmod(path,mode,true)},fchmod:function(fd,mode){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(8)}FS.chmod(stream.node,mode)},chown:function(path,uid,gid,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(63)}node.node_ops.setattr(node,{timestamp:Date.now()})},lchown:function(path,uid,gid){FS.chown(path,uid,gid,true)},fchown:function(fd,uid,gid){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(8)}FS.chown(stream.node,uid,gid)},truncate:function(path,len){if(len<0){throw new FS.ErrnoError(28)}var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:true});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(63)}if(FS.isDir(node.mode)){throw new FS.ErrnoError(31)}if(!FS.isFile(node.mode)){throw new FS.ErrnoError(28)}var errCode=FS.nodePermissions(node,"w");if(errCode){throw new FS.ErrnoError(errCode)}node.node_ops.setattr(node,{size:len,timestamp:Date.now()})},ftruncate:function(fd,len){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(8)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(28)}FS.truncate(stream.node,len)},utime:function(path,atime,mtime){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;node.node_ops.setattr(node,{timestamp:Math.max(atime,mtime)})},open:function(path,flags,mode,fd_start,fd_end){if(path===""){throw new FS.ErrnoError(44)}flags=typeof flags==="string"?FS.modeStringToFlags(flags):flags;mode=typeof mode==="undefined"?438:mode;if(flags&64){mode=mode&4095|32768}else{mode=0}var node;if(typeof path==="object"){node=path}else{path=PATH.normalize(path);try{var lookup=FS.lookupPath(path,{follow:!(flags&131072)});node=lookup.node}catch(e){}}var created=false;if(flags&64){if(node){if(flags&128){throw new FS.ErrnoError(20)}}else{node=FS.mknod(path,mode,0);created=true}}if(!node){throw new FS.ErrnoError(44)}if(FS.isChrdev(node.mode)){flags&=~512}if(flags&65536&&!FS.isDir(node.mode)){throw new FS.ErrnoError(54)}if(!created){var errCode=FS.mayOpen(node,flags);if(errCode){throw new FS.ErrnoError(errCode)}}if(flags&512){FS.truncate(node,0)}flags&=~(128|512|131072);var stream=FS.createStream({node:node,path:FS.getPath(node),flags:flags,seekable:true,position:0,stream_ops:node.stream_ops,ungotten:[],error:false},fd_start,fd_end);if(stream.stream_ops.open){stream.stream_ops.open(stream)}if(Module["logReadFiles"]&&!(flags&1)){if(!FS.readFiles)FS.readFiles={};if(!(path in FS.readFiles)){FS.readFiles[path]=1;err("FS.trackingDelegate error on read file: "+path)}}try{if(FS.trackingDelegate["onOpenFile"]){var trackingFlags=0;if((flags&2097155)!==1){trackingFlags|=FS.tracking.openFlags.READ}if((flags&2097155)!==0){trackingFlags|=FS.tracking.openFlags.WRITE}FS.trackingDelegate["onOpenFile"](path,trackingFlags)}}catch(e){err("FS.trackingDelegate['onOpenFile']('"+path+"', flags) threw an exception: "+e.message)}return stream},close:function(stream){if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if(stream.getdents)stream.getdents=null;try{if(stream.stream_ops.close){stream.stream_ops.close(stream)}}catch(e){throw e}finally{FS.closeStream(stream.fd)}stream.fd=null},isClosed:function(stream){return stream.fd===null},llseek:function(stream,offset,whence){if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if(!stream.seekable||!stream.stream_ops.llseek){throw new FS.ErrnoError(70)}if(whence!=0&&whence!=1&&whence!=2){throw new FS.ErrnoError(28)}stream.position=stream.stream_ops.llseek(stream,offset,whence);stream.ungotten=[];return stream.position},read:function(stream,buffer,offset,length,position){if(length<0||position<0){throw new FS.ErrnoError(28)}if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(8)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(31)}if(!stream.stream_ops.read){throw new FS.ErrnoError(28)}var seeking=typeof position!=="undefined";if(!seeking){position=stream.position}else if(!stream.seekable){throw new FS.ErrnoError(70)}var bytesRead=stream.stream_ops.read(stream,buffer,offset,length,position);if(!seeking)stream.position+=bytesRead;return bytesRead},write:function(stream,buffer,offset,length,position,canOwn){if(length<0||position<0){throw new FS.ErrnoError(28)}if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(8)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(31)}if(!stream.stream_ops.write){throw new FS.ErrnoError(28)}if(stream.seekable&&stream.flags&1024){FS.llseek(stream,0,2)}var seeking=typeof position!=="undefined";if(!seeking){position=stream.position}else if(!stream.seekable){throw new FS.ErrnoError(70)}var bytesWritten=stream.stream_ops.write(stream,buffer,offset,length,position,canOwn);if(!seeking)stream.position+=bytesWritten;try{if(stream.path&&FS.trackingDelegate["onWriteToFile"])FS.trackingDelegate["onWriteToFile"](stream.path)}catch(e){err("FS.trackingDelegate['onWriteToFile']('"+stream.path+"') threw an exception: "+e.message)}return bytesWritten},allocate:function(stream,offset,length){if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if(offset<0||length<=0){throw new FS.ErrnoError(28)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(8)}if(!FS.isFile(stream.node.mode)&&!FS.isDir(stream.node.mode)){throw new FS.ErrnoError(43)}if(!stream.stream_ops.allocate){throw new FS.ErrnoError(138)}stream.stream_ops.allocate(stream,offset,length)},mmap:function(stream,buffer,offset,length,position,prot,flags){if((prot&2)!==0&&(flags&2)===0&&(stream.flags&2097155)!==2){throw new FS.ErrnoError(2)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(2)}if(!stream.stream_ops.mmap){throw new FS.ErrnoError(43)}return stream.stream_ops.mmap(stream,buffer,offset,length,position,prot,flags)},msync:function(stream,buffer,offset,length,mmapFlags){if(!stream||!stream.stream_ops.msync){return 0}return stream.stream_ops.msync(stream,buffer,offset,length,mmapFlags)},munmap:function(stream){return 0},ioctl:function(stream,cmd,arg){if(!stream.stream_ops.ioctl){throw new FS.ErrnoError(59)}return stream.stream_ops.ioctl(stream,cmd,arg)},readFile:function(path,opts){opts=opts||{};opts.flags=opts.flags||"r";opts.encoding=opts.encoding||"binary";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var ret;var stream=FS.open(path,opts.flags);var stat=FS.stat(path);var length=stat.size;var buf=new Uint8Array(length);FS.read(stream,buf,0,length,0);if(opts.encoding==="utf8"){ret=UTF8ArrayToString(buf,0)}else if(opts.encoding==="binary"){ret=buf}FS.close(stream);return ret},writeFile:function(path,data,opts){opts=opts||{};opts.flags=opts.flags||"w";var stream=FS.open(path,opts.flags,opts.mode);if(typeof data==="string"){var buf=new Uint8Array(lengthBytesUTF8(data)+1);var actualNumBytes=stringToUTF8Array(data,buf,0,buf.length);FS.write(stream,buf,0,actualNumBytes,undefined,opts.canOwn)}else if(ArrayBuffer.isView(data)){FS.write(stream,data,0,data.byteLength,undefined,opts.canOwn)}else{throw new Error("Unsupported data type")}FS.close(stream)},cwd:function(){return FS.currentPath},chdir:function(path){var lookup=FS.lookupPath(path,{follow:true});if(lookup.node===null){throw new FS.ErrnoError(44)}if(!FS.isDir(lookup.node.mode)){throw new FS.ErrnoError(54)}var errCode=FS.nodePermissions(lookup.node,"x");if(errCode){throw new FS.ErrnoError(errCode)}FS.currentPath=lookup.path},createDefaultDirectories:function(){FS.mkdir("/tmp");FS.mkdir("/home");FS.mkdir("/home/web_user")},createDefaultDevices:function(){FS.mkdir("/dev");FS.registerDevice(FS.makedev(1,3),{read:function(){return 0},write:function(stream,buffer,offset,length,pos){return length}});FS.mkdev("/dev/null",FS.makedev(1,3));TTY.register(FS.makedev(5,0),TTY.default_tty_ops);TTY.register(FS.makedev(6,0),TTY.default_tty1_ops);FS.mkdev("/dev/tty",FS.makedev(5,0));FS.mkdev("/dev/tty1",FS.makedev(6,0));var random_device;if(typeof crypto==="object"&&typeof crypto["getRandomValues"]==="function"){var randomBuffer=new Uint8Array(1);random_device=function(){crypto.getRandomValues(randomBuffer);return randomBuffer[0]}}else if(ENVIRONMENT_IS_NODE){try{var crypto_module=require("crypto");random_device=function(){return crypto_module["randomBytes"](1)[0]}}catch(e){}}else{}if(!random_device){random_device=function(){abort("random_device")}}FS.createDevice("/dev","random",random_device);FS.createDevice("/dev","urandom",random_device);FS.mkdir("/dev/shm");FS.mkdir("/dev/shm/tmp")},createSpecialDirectories:function(){FS.mkdir("/proc");FS.mkdir("/proc/self");FS.mkdir("/proc/self/fd");FS.mount({mount:function(){var node=FS.createNode("/proc/self","fd",16384|511,73);node.node_ops={lookup:function(parent,name){var fd=+name;var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(8);var ret={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:function(){return stream.path}}};ret.parent=ret;return ret}};return node}},{},"/proc/self/fd")},createStandardStreams:function(){if(Module["stdin"]){FS.createDevice("/dev","stdin",Module["stdin"])}else{FS.symlink("/dev/tty","/dev/stdin")}if(Module["stdout"]){FS.createDevice("/dev","stdout",null,Module["stdout"])}else{FS.symlink("/dev/tty","/dev/stdout")}if(Module["stderr"]){FS.createDevice("/dev","stderr",null,Module["stderr"])}else{FS.symlink("/dev/tty1","/dev/stderr")}var stdin=FS.open("/dev/stdin","r");var stdout=FS.open("/dev/stdout","w");var stderr=FS.open("/dev/stderr","w")},ensureErrnoError:function(){if(FS.ErrnoError)return;FS.ErrnoError=function ErrnoError(errno,node){this.node=node;this.setErrno=function(errno){this.errno=errno};this.setErrno(errno);this.message="FS error"};FS.ErrnoError.prototype=new Error;FS.ErrnoError.prototype.constructor=FS.ErrnoError;[44].forEach(function(code){FS.genericErrors[code]=new FS.ErrnoError(code);FS.genericErrors[code].stack="<generic error, no stack>"})},staticInit:function(){FS.ensureErrnoError();FS.nameTable=new Array(4096);FS.mount(MEMFS,{},"/");FS.createDefaultDirectories();FS.createDefaultDevices();FS.createSpecialDirectories();FS.filesystems={"MEMFS":MEMFS}},init:function(input,output,error){FS.init.initialized=true;FS.ensureErrnoError();Module["stdin"]=input||Module["stdin"];Module["stdout"]=output||Module["stdout"];Module["stderr"]=error||Module["stderr"];FS.createStandardStreams()},quit:function(){FS.init.initialized=false;var fflush=Module["_fflush"];if(fflush)fflush(0);for(var i=0;i<FS.streams.length;i++){var stream=FS.streams[i];if(!stream){continue}FS.close(stream)}},getMode:function(canRead,canWrite){var mode=0;if(canRead)mode|=292|73;if(canWrite)mode|=146;return mode},joinPath:function(parts,forceRelative){var path=PATH.join.apply(null,parts);if(forceRelative&&path[0]=="/")path=path.substr(1);return path},absolutePath:function(relative,base){return PATH_FS.resolve(base,relative)},standardizePath:function(path){return PATH.normalize(path)},findObject:function(path,dontResolveLastLink){var ret=FS.analyzePath(path,dontResolveLastLink);if(ret.exists){return ret.object}else{setErrNo(ret.error);return null}},analyzePath:function(path,dontResolveLastLink){try{var lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});path=lookup.path}catch(e){}var ret={isRoot:false,exists:false,error:0,name:null,path:null,object:null,parentExists:false,parentPath:null,parentObject:null};try{var lookup=FS.lookupPath(path,{parent:true});ret.parentExists=true;ret.parentPath=lookup.path;ret.parentObject=lookup.node;ret.name=PATH.basename(path);lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});ret.exists=true;ret.path=lookup.path;ret.object=lookup.node;ret.name=lookup.node.name;ret.isRoot=lookup.path==="/"}catch(e){ret.error=e.errno}return ret},createFolder:function(parent,name,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.mkdir(path,mode)},createPath:function(parent,path,canRead,canWrite){parent=typeof parent==="string"?parent:FS.getPath(parent);var parts=path.split("/").reverse();while(parts.length){var part=parts.pop();if(!part)continue;var current=PATH.join2(parent,part);try{FS.mkdir(current)}catch(e){}parent=current}return current},createFile:function(parent,name,properties,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.create(path,mode)},createDataFile:function(parent,name,data,canRead,canWrite,canOwn){var path=name?PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name):parent;var mode=FS.getMode(canRead,canWrite);var node=FS.create(path,mode);if(data){if(typeof data==="string"){var arr=new Array(data.length);for(var i=0,len=data.length;i<len;++i)arr[i]=data.charCodeAt(i);data=arr}FS.chmod(node,mode|146);var stream=FS.open(node,"w");FS.write(stream,data,0,data.length,0,canOwn);FS.close(stream);FS.chmod(node,mode)}return node},createDevice:function(parent,name,input,output){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(!!input,!!output);if(!FS.createDevice.major)FS.createDevice.major=64;var dev=FS.makedev(FS.createDevice.major++,0);FS.registerDevice(dev,{open:function(stream){stream.seekable=false},close:function(stream){if(output&&output.buffer&&output.buffer.length){output(10)}},read:function(stream,buffer,offset,length,pos){var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=input()}catch(e){throw new FS.ErrnoError(29)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(6)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead},write:function(stream,buffer,offset,length,pos){for(var i=0;i<length;i++){try{output(buffer[offset+i])}catch(e){throw new FS.ErrnoError(29)}}if(length){stream.node.timestamp=Date.now()}return i}});return FS.mkdev(path,mode,dev)},createLink:function(parent,name,target,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);return FS.symlink(target,path)},forceLoadFile:function(obj){if(obj.isDevice||obj.isFolder||obj.link||obj.contents)return true;var success=true;if(typeof XMLHttpRequest!=="undefined"){throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.")}else if(read_){try{obj.contents=intArrayFromString(read_(obj.url),true);obj.usedBytes=obj.contents.length}catch(e){success=false}}else{throw new Error("Cannot load without read() or XMLHttpRequest.")}if(!success)setErrNo(29);return success},createLazyFile:function(parent,name,url,canRead,canWrite){function LazyUint8Array(){this.lengthKnown=false;this.chunks=[]}LazyUint8Array.prototype.get=function LazyUint8Array_get(idx){if(idx>this.length-1||idx<0){return undefined}var chunkOffset=idx%this.chunkSize;var chunkNum=idx/this.chunkSize|0;return this.getter(chunkNum)[chunkOffset]};LazyUint8Array.prototype.setDataGetter=function LazyUint8Array_setDataGetter(getter){this.getter=getter};LazyUint8Array.prototype.cacheLength=function LazyUint8Array_cacheLength(){var xhr=new XMLHttpRequest;xhr.open("HEAD",url,false);xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);var datalength=Number(xhr.getResponseHeader("Content-length"));var header;var hasByteServing=(header=xhr.getResponseHeader("Accept-Ranges"))&&header==="bytes";var usesGzip=(header=xhr.getResponseHeader("Content-Encoding"))&&header==="gzip";var chunkSize=1024*1024;if(!hasByteServing)chunkSize=datalength;var doXHR=function(from,to){if(from>to)throw new Error("invalid range ("+from+", "+to+") or no bytes requested!");if(to>datalength-1)throw new Error("only "+datalength+" bytes available! programmer error!");var xhr=new XMLHttpRequest;xhr.open("GET",url,false);if(datalength!==chunkSize)xhr.setRequestHeader("Range","bytes="+from+"-"+to);if(typeof Uint8Array!="undefined")xhr.responseType="arraybuffer";if(xhr.overrideMimeType){xhr.overrideMimeType("text/plain; charset=x-user-defined")}xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);if(xhr.response!==undefined){return new Uint8Array(xhr.response||[])}else{return intArrayFromString(xhr.responseText||"",true)}};var lazyArray=this;lazyArray.setDataGetter(function(chunkNum){var start=chunkNum*chunkSize;var end=(chunkNum+1)*chunkSize-1;end=Math.min(end,datalength-1);if(typeof lazyArray.chunks[chunkNum]==="undefined"){lazyArray.chunks[chunkNum]=doXHR(start,end)}if(typeof lazyArray.chunks[chunkNum]==="undefined")throw new Error("doXHR failed!");return lazyArray.chunks[chunkNum]});if(usesGzip||!datalength){chunkSize=datalength=1;datalength=this.getter(0).length;chunkSize=datalength;out("LazyFiles on gzip forces download of the whole file when length is accessed")}this._length=datalength;this._chunkSize=chunkSize;this.lengthKnown=true};if(typeof XMLHttpRequest!=="undefined"){if(!ENVIRONMENT_IS_WORKER)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var lazyArray=new LazyUint8Array;Object.defineProperties(lazyArray,{length:{get:function(){if(!this.lengthKnown){this.cacheLength()}return this._length}},chunkSize:{get:function(){if(!this.lengthKnown){this.cacheLength()}return this._chunkSize}}});var properties={isDevice:false,contents:lazyArray}}else{var properties={isDevice:false,url:url}}var node=FS.createFile(parent,name,properties,canRead,canWrite);if(properties.contents){node.contents=properties.contents}else if(properties.url){node.contents=null;node.url=properties.url}Object.defineProperties(node,{usedBytes:{get:function(){return this.contents.length}}});var stream_ops={};var keys=Object.keys(node.stream_ops);keys.forEach(function(key){var fn=node.stream_ops[key];stream_ops[key]=function forceLoadLazyFile(){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(29)}return fn.apply(null,arguments)}});stream_ops.read=function stream_ops_read(stream,buffer,offset,length,position){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(29)}var contents=stream.node.contents;if(position>=contents.length)return 0;var size=Math.min(contents.length-position,length);if(contents.slice){for(var i=0;i<size;i++){buffer[offset+i]=contents[position+i]}}else{for(var i=0;i<size;i++){buffer[offset+i]=contents.get(position+i)}}return size};node.stream_ops=stream_ops;return node},createPreloadedFile:function(parent,name,url,canRead,canWrite,onload,onerror,dontCreateFile,canOwn,preFinish){Browser.init();var fullname=name?PATH_FS.resolve(PATH.join2(parent,name)):parent;var dep=getUniqueRunDependency("cp "+fullname);function processData(byteArray){function finish(byteArray){if(preFinish)preFinish();if(!dontCreateFile){FS.createDataFile(parent,name,byteArray,canRead,canWrite,canOwn)}if(onload)onload();removeRunDependency(dep)}var handled=false;Module["preloadPlugins"].forEach(function(plugin){if(handled)return;if(plugin["canHandle"](fullname)){plugin["handle"](byteArray,fullname,finish,function(){if(onerror)onerror();removeRunDependency(dep)});handled=true}});if(!handled)finish(byteArray)}addRunDependency(dep);if(typeof url=="string"){Browser.asyncLoad(url,function(byteArray){processData(byteArray)},onerror)}else{processData(url)}},indexedDB:function(){return window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB},DB_NAME:function(){return"EM_FS_"+window.location.pathname},DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",};Module["FS"]=FS;var SYSCALLS={mappings:{},DEFAULT_POLLMASK:5,umask:511,calculateAt:function(dirfd,path){if(path[0]!=="/"){var dir;if(dirfd===-100){dir=FS.cwd()}else{var dirstream=FS.getStream(dirfd);if(!dirstream)throw new FS.ErrnoError(8);dir=dirstream.path}path=PATH.join2(dir,path)}return path},doStat:function(func,path,buf){try{var stat=func(path)}catch(e){if(e&&e.node&&PATH.normalize(path)!==PATH.normalize(FS.getPath(e.node))){return-54}throw e}HEAP32[buf>>2]=stat.dev;HEAP32[buf+4>>2]=0;HEAP32[buf+8>>2]=stat.ino;HEAP32[buf+12>>2]=stat.mode;HEAP32[buf+16>>2]=stat.nlink;HEAP32[buf+20>>2]=stat.uid;HEAP32[buf+24>>2]=stat.gid;HEAP32[buf+28>>2]=stat.rdev;HEAP32[buf+32>>2]=0;tempI64=[stat.size>>>0,(tempDouble=stat.size,+Math_abs(tempDouble)>=1?tempDouble>0?(Math_min(+Math_floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math_ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[buf+40>>2]=tempI64[0],HEAP32[buf+44>>2]=tempI64[1];HEAP32[buf+48>>2]=4096;HEAP32[buf+52>>2]=stat.blocks;HEAP32[buf+56>>2]=stat.atime.getTime()/1e3|0;HEAP32[buf+60>>2]=0;HEAP32[buf+64>>2]=stat.mtime.getTime()/1e3|0;HEAP32[buf+68>>2]=0;HEAP32[buf+72>>2]=stat.ctime.getTime()/1e3|0;HEAP32[buf+76>>2]=0;tempI64=[stat.ino>>>0,(tempDouble=stat.ino,+Math_abs(tempDouble)>=1?tempDouble>0?(Math_min(+Math_floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math_ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[buf+80>>2]=tempI64[0],HEAP32[buf+84>>2]=tempI64[1];return 0},doMsync:function(addr,stream,len,flags,offset){var buffer=HEAPU8.slice(addr,addr+len);FS.msync(stream,buffer,offset,len,flags)},doMkdir:function(path,mode){path=PATH.normalize(path);if(path[path.length-1]==="/")path=path.substr(0,path.length-1);FS.mkdir(path,mode,0);return 0},doMknod:function(path,mode,dev){switch(mode&61440){case 32768:case 8192:case 24576:case 4096:case 49152:break;default:return-28}FS.mknod(path,mode,dev);return 0},doReadlink:function(path,buf,bufsize){if(bufsize<=0)return-28;var ret=FS.readlink(path);var len=Math.min(bufsize,lengthBytesUTF8(ret));var endChar=HEAP8[buf+len];stringToUTF8(ret,buf,bufsize+1);HEAP8[buf+len]=endChar;return len},doAccess:function(path,amode){if(amode&~7){return-28}var node;var lookup=FS.lookupPath(path,{follow:true});node=lookup.node;if(!node){return-44}var perms="";if(amode&4)perms+="r";if(amode&2)perms+="w";if(amode&1)perms+="x";if(perms&&FS.nodePermissions(node,perms)){return-2}return 0},doDup:function(path,flags,suggestFD){var suggest=FS.getStream(suggestFD);if(suggest)FS.close(suggest);return FS.open(path,flags,0,suggestFD,suggestFD).fd},doReadv:function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.read(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(curr<len)break}return ret},doWritev:function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.write(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr}return ret},varargs:undefined,get:function(){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret},getStr:function(ptr){var ret=UTF8ToString(ptr);return ret},getStreamFromFD:function(fd){var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(8);return stream},get64:function(low,high){return low}};Module["SYSCALLS"]=SYSCALLS;function syscallMmap2(addr,len,prot,flags,fd,off){off<<=12;var ptr;var allocated=false;if((flags&16)!==0&&addr%16384!==0){return-28}if((flags&32)!==0){ptr=_memalign(16384,len);if(!ptr)return-48;_memset(ptr,0,len);allocated=true}else{var info=FS.getStream(fd);if(!info)return-8;var res=FS.mmap(info,HEAPU8,addr,len,off,prot,flags);ptr=res.ptr;allocated=res.allocated}SYSCALLS.mappings[ptr]={malloc:ptr,len:len,allocated:allocated,fd:fd,prot:prot,flags:flags,offset:off};return ptr}Module["syscallMmap2"]=syscallMmap2;function ___sys_mmap2(addr,len,prot,flags,fd,off){try{return syscallMmap2(addr,len,prot,flags,fd,off)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_mmap2"]=___sys_mmap2;function ___syscall192(a0,a1,a2,a3,a4,a5){return ___sys_mmap2(a0,a1,a2,a3,a4,a5)}Module["___syscall192"]=___syscall192;function ___sys_stat64(path,buf){try{path=SYSCALLS.getStr(path);return SYSCALLS.doStat(FS.stat,path,buf)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_stat64"]=___sys_stat64;function ___syscall195(a0,a1){return ___sys_stat64(a0,a1)}Module["___syscall195"]=___syscall195;function ___sys_fstat64(fd,buf){try{var stream=SYSCALLS.getStreamFromFD(fd);return SYSCALLS.doStat(FS.stat,stream.path,buf)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_fstat64"]=___sys_fstat64;function ___syscall197(a0,a1){return ___sys_fstat64(a0,a1)}Module["___syscall197"]=___syscall197;function ___sys_getdents64(fd,dirp,count){try{var stream=SYSCALLS.getStreamFromFD(fd);if(!stream.getdents){stream.getdents=FS.readdir(stream.path)}var struct_size=280;var pos=0;var off=FS.llseek(stream,0,1);var idx=Math.floor(off/struct_size);while(idx<stream.getdents.length&&pos+struct_size<=count){var id;var type;var name=stream.getdents[idx];if(name[0]==="."){id=1;type=4}else{var child=FS.lookupNode(stream.node,name);id=child.id;type=FS.isChrdev(child.mode)?2:FS.isDir(child.mode)?4:FS.isLink(child.mode)?10:8}tempI64=[id>>>0,(tempDouble=id,+Math_abs(tempDouble)>=1?tempDouble>0?(Math_min(+Math_floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math_ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[dirp+pos>>2]=tempI64[0],HEAP32[dirp+pos+4>>2]=tempI64[1];tempI64=[(idx+1)*struct_size>>>0,(tempDouble=(idx+1)*struct_size,+Math_abs(tempDouble)>=1?tempDouble>0?(Math_min(+Math_floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math_ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[dirp+pos+8>>2]=tempI64[0],HEAP32[dirp+pos+12>>2]=tempI64[1];HEAP16[dirp+pos+16>>1]=280;HEAP8[dirp+pos+18>>0]=type;stringToUTF8(name,dirp+pos+19,256);pos+=struct_size;idx+=1}FS.llseek(stream,idx*struct_size,0);return pos}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_getdents64"]=___sys_getdents64;function ___syscall220(a0,a1,a2){return ___sys_getdents64(a0,a1,a2)}Module["___syscall220"]=___syscall220;function ___sys_fcntl64(fd,cmd,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(fd);switch(cmd){case 0:{var arg=SYSCALLS.get();if(arg<0){return-28}var newStream;newStream=FS.open(stream.path,stream.flags,0,arg);return newStream.fd}case 1:case 2:return 0;case 3:return stream.flags;case 4:{var arg=SYSCALLS.get();stream.flags|=arg;return 0}case 12:{var arg=SYSCALLS.get();var offset=0;HEAP16[arg+offset>>1]=2;return 0}case 13:case 14:return 0;case 16:case 8:return-28;case 9:setErrNo(28);return-1;default:{return-28}}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_fcntl64"]=___sys_fcntl64;function ___syscall221(a0,a1,a2){return ___sys_fcntl64(a0,a1,a2)}Module["___syscall221"]=___syscall221;function ___sys_read(fd,buf,count){try{var stream=SYSCALLS.getStreamFromFD(fd);return FS.read(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_read"]=___sys_read;function ___syscall3(a0,a1,a2){return ___sys_read(a0,a1,a2)}Module["___syscall3"]=___syscall3;function ___sys_open(path,flags,varargs){SYSCALLS.varargs=varargs;try{var pathname=SYSCALLS.getStr(path);var mode=SYSCALLS.get();var stream=FS.open(pathname,flags,mode);return stream.fd}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_open"]=___sys_open;function ___syscall5(a0,a1,a2){return ___sys_open(a0,a1,a2)}Module["___syscall5"]=___syscall5;function ___sys_ioctl(fd,op,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(fd);switch(op){case 21509:case 21505:{if(!stream.tty)return-59;return 0}case 21510:case 21511:case 21512:case 21506:case 21507:case 21508:{if(!stream.tty)return-59;return 0}case 21519:{if(!stream.tty)return-59;var argp=SYSCALLS.get();HEAP32[argp>>2]=0;return 0}case 21520:{if(!stream.tty)return-59;return-28}case 21531:{var argp=SYSCALLS.get();return FS.ioctl(stream,op,argp)}case 21523:{if(!stream.tty)return-59;return 0}case 21524:{if(!stream.tty)return-59;return 0}default:abort("bad ioctl syscall "+op)}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_ioctl"]=___sys_ioctl;function ___syscall54(a0,a1,a2){return ___sys_ioctl(a0,a1,a2)}Module["___syscall54"]=___syscall54;function syscallMunmap(addr,len){if((addr|0)===-1||len===0){return-28}var info=SYSCALLS.mappings[addr];if(!info)return 0;if(len===info.len){var stream=FS.getStream(info.fd);if(info.prot&2){SYSCALLS.doMsync(addr,stream,len,info.flags,info.offset)}FS.munmap(stream);SYSCALLS.mappings[addr]=null;if(info.allocated){_free(info.malloc)}}return 0}Module["syscallMunmap"]=syscallMunmap;function ___sys_munmap(addr,len){try{return syscallMunmap(addr,len)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___sys_munmap"]=___sys_munmap;function ___syscall91(a0,a1){return ___sys_munmap(a0,a1)}Module["___syscall91"]=___syscall91;function _fd_close(fd){try{var stream=SYSCALLS.getStreamFromFD(fd);FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return e.errno}}Module["_fd_close"]=_fd_close;function ___wasi_fd_close(a0){return _fd_close(a0)}Module["___wasi_fd_close"]=___wasi_fd_close;function _fd_fdstat_get(fd,pbuf){try{var stream=SYSCALLS.getStreamFromFD(fd);var type=stream.tty?2:FS.isDir(stream.mode)?3:FS.isLink(stream.mode)?7:4;HEAP8[pbuf>>0]=type;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return e.errno}}Module["_fd_fdstat_get"]=_fd_fdstat_get;function ___wasi_fd_fdstat_get(a0,a1){return _fd_fdstat_get(a0,a1)}Module["___wasi_fd_fdstat_get"]=___wasi_fd_fdstat_get;function _fd_read(fd,iov,iovcnt,pnum){try{var stream=SYSCALLS.getStreamFromFD(fd);var num=SYSCALLS.doReadv(stream,iov,iovcnt);HEAP32[pnum>>2]=num;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return e.errno}}Module["_fd_read"]=_fd_read;function ___wasi_fd_read(a0,a1,a2,a3){return _fd_read(a0,a1,a2,a3)}Module["___wasi_fd_read"]=___wasi_fd_read;function _fd_seek(fd,offset_low,offset_high,whence,newOffset){try{var stream=SYSCALLS.getStreamFromFD(fd);var HIGH_OFFSET=4294967296;var offset=offset_high*HIGH_OFFSET+(offset_low>>>0);var DOUBLE_LIMIT=9007199254740992;if(offset<=-DOUBLE_LIMIT||offset>=DOUBLE_LIMIT){return-61}FS.llseek(stream,offset,whence);tempI64=[stream.position>>>0,(tempDouble=stream.position,+Math_abs(tempDouble)>=1?tempDouble>0?(Math_min(+Math_floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math_ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[newOffset>>2]=tempI64[0],HEAP32[newOffset+4>>2]=tempI64[1];if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return e.errno}}Module["_fd_seek"]=_fd_seek;function ___wasi_fd_seek(a0,a1,a2,a3,a4){return _fd_seek(a0,a1,a2,a3,a4)}Module["___wasi_fd_seek"]=___wasi_fd_seek;function _fd_write(fd,iov,iovcnt,pnum){try{var stream=SYSCALLS.getStreamFromFD(fd);var num=SYSCALLS.doWritev(stream,iov,iovcnt);HEAP32[pnum>>2]=num;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return e.errno}}Module["_fd_write"]=_fd_write;function ___wasi_fd_write(a0,a1,a2,a3){return _fd_write(a0,a1,a2,a3)}Module["___wasi_fd_write"]=___wasi_fd_write;function getShiftFromSize(size){switch(size){case 1:return 0;case 2:return 1;case 4:return 2;case 8:return 3;default:throw new TypeError("Unknown type size: "+size)}}Module["getShiftFromSize"]=getShiftFromSize;function embind_init_charCodes(){var codes=new Array(256);for(var i=0;i<256;++i){codes[i]=String.fromCharCode(i)}embind_charCodes=codes}Module["embind_init_charCodes"]=embind_init_charCodes;var embind_charCodes=undefined;Module["embind_charCodes"]=embind_charCodes;function readLatin1String(ptr){var ret="";var c=ptr;while(HEAPU8[c]){ret+=embind_charCodes[HEAPU8[c++]]}return ret}Module["readLatin1String"]=readLatin1String;var awaitingDependencies={};Module["awaitingDependencies"]=awaitingDependencies;var registeredTypes={};Module["registeredTypes"]=registeredTypes;var typeDependencies={};Module["typeDependencies"]=typeDependencies;var char_0=48;Module["char_0"]=char_0;var char_9=57;Module["char_9"]=char_9;function makeLegalFunctionName(name){if(undefined===name){return"_unknown"}name=name.replace(/[^a-zA-Z0-9_]/g,"$");var f=name.charCodeAt(0);if(f>=char_0&&f<=char_9){return"_"+name}else{return name}}Module["makeLegalFunctionName"]=makeLegalFunctionName;function createNamedFunction(name,body){name=makeLegalFunctionName(name);return new Function("body","return function "+name+"() {\n"+'    "use strict";'+"    return body.apply(this, arguments);\n"+"};\n")(body)}Module["createNamedFunction"]=createNamedFunction;function extendError(baseErrorType,errorName){var errorClass=createNamedFunction(errorName,function(message){this.name=errorName;this.message=message;var stack=new Error(message).stack;if(stack!==undefined){this.stack=this.toString()+"\n"+stack.replace(/^Error(:[^\n]*)?\n/,"")}});errorClass.prototype=Object.create(baseErrorType.prototype);errorClass.prototype.constructor=errorClass;errorClass.prototype.toString=function(){if(this.message===undefined){return this.name}else{return this.name+": "+this.message}};return errorClass}Module["extendError"]=extendError;var BindingError=undefined;Module["BindingError"]=BindingError;function throwBindingError(message){throw new BindingError(message)}Module["throwBindingError"]=throwBindingError;var InternalError=undefined;Module["InternalError"]=InternalError;function throwInternalError(message){throw new InternalError(message)}Module["throwInternalError"]=throwInternalError;function whenDependentTypesAreResolved(myTypes,dependentTypes,getTypeConverters){myTypes.forEach(function(type){typeDependencies[type]=dependentTypes});function onComplete(typeConverters){var myTypeConverters=getTypeConverters(typeConverters);if(myTypeConverters.length!==myTypes.length){throwInternalError("Mismatched type converter count")}for(var i=0;i<myTypes.length;++i){registerType(myTypes[i],myTypeConverters[i])}}var typeConverters=new Array(dependentTypes.length);var unregisteredTypes=[];var registered=0;dependentTypes.forEach(function(dt,i){if(registeredTypes.hasOwnProperty(dt)){typeConverters[i]=registeredTypes[dt]}else{unregisteredTypes.push(dt);if(!awaitingDependencies.hasOwnProperty(dt)){awaitingDependencies[dt]=[]}awaitingDependencies[dt].push(function(){typeConverters[i]=registeredTypes[dt];++registered;if(registered===unregisteredTypes.length){onComplete(typeConverters)}})}});if(0===unregisteredTypes.length){onComplete(typeConverters)}}Module["whenDependentTypesAreResolved"]=whenDependentTypesAreResolved;function registerType(rawType,registeredInstance,options){options=options||{};if(!("argPackAdvance"in registeredInstance)){throw new TypeError("registerType registeredInstance requires argPackAdvance")}var name=registeredInstance.name;if(!rawType){throwBindingError('type "'+name+'" must have a positive integer typeid pointer')}if(registeredTypes.hasOwnProperty(rawType)){if(options.ignoreDuplicateRegistrations){return}else{throwBindingError("Cannot register type '"+name+"' twice")}}registeredTypes[rawType]=registeredInstance;delete typeDependencies[rawType];if(awaitingDependencies.hasOwnProperty(rawType)){var callbacks=awaitingDependencies[rawType];delete awaitingDependencies[rawType];callbacks.forEach(function(cb){cb()})}}Module["registerType"]=registerType;function __embind_register_bool(rawType,name,size,trueValue,falseValue){var shift=getShiftFromSize(size);name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":function(wt){return!!wt},"toWireType":function(destructors,o){return o?trueValue:falseValue},"argPackAdvance":8,"readValueFromPointer":function(pointer){var heap;if(size===1){heap=HEAP8}else if(size===2){heap=HEAP16}else if(size===4){heap=HEAP32}else{throw new TypeError("Unknown boolean type size: "+name)}return this["fromWireType"](heap[pointer>>shift])},destructorFunction:null})}Module["__embind_register_bool"]=__embind_register_bool;function ClassHandle_isAliasOf(other){if(!(this instanceof ClassHandle)){return false}if(!(other instanceof ClassHandle)){return false}var leftClass=this.$$.ptrType.registeredClass;var left=this.$$.ptr;var rightClass=other.$$.ptrType.registeredClass;var right=other.$$.ptr;while(leftClass.baseClass){left=leftClass.upcast(left);leftClass=leftClass.baseClass}while(rightClass.baseClass){right=rightClass.upcast(right);rightClass=rightClass.baseClass}return leftClass===rightClass&&left===right}Module["ClassHandle_isAliasOf"]=ClassHandle_isAliasOf;function shallowCopyInternalPointer(o){return{count:o.count,deleteScheduled:o.deleteScheduled,preservePointerOnDelete:o.preservePointerOnDelete,ptr:o.ptr,ptrType:o.ptrType,smartPtr:o.smartPtr,smartPtrType:o.smartPtrType}}Module["shallowCopyInternalPointer"]=shallowCopyInternalPointer;function throwInstanceAlreadyDeleted(obj){function getInstanceTypeName(handle){return handle.$$.ptrType.registeredClass.name}throwBindingError(getInstanceTypeName(obj)+" instance already deleted")}Module["throwInstanceAlreadyDeleted"]=throwInstanceAlreadyDeleted;var finalizationGroup=false;Module["finalizationGroup"]=finalizationGroup;function detachFinalizer(handle){}Module["detachFinalizer"]=detachFinalizer;function runDestructor($$){if($$.smartPtr){$$.smartPtrType.rawDestructor($$.smartPtr)}else{$$.ptrType.registeredClass.rawDestructor($$.ptr)}}Module["runDestructor"]=runDestructor;function releaseClassHandle($$){$$.count.value-=1;var toDelete=0===$$.count.value;if(toDelete){runDestructor($$)}}Module["releaseClassHandle"]=releaseClassHandle;function attachFinalizer(handle){if("undefined"===typeof FinalizationGroup){attachFinalizer=function(handle){return handle};return handle}finalizationGroup=new FinalizationGroup(function(iter){for(var result=iter.next();!result.done;result=iter.next()){var $$=result.value;if(!$$.ptr){console.warn("object already deleted: "+$$.ptr)}else{releaseClassHandle($$)}}});attachFinalizer=function(handle){finalizationGroup.register(handle,handle.$$,handle.$$);return handle};detachFinalizer=function(handle){finalizationGroup.unregister(handle.$$)};return attachFinalizer(handle)}Module["attachFinalizer"]=attachFinalizer;function ClassHandle_clone(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.preservePointerOnDelete){this.$$.count.value+=1;return this}else{var clone=attachFinalizer(Object.create(Object.getPrototypeOf(this),{$$:{value:shallowCopyInternalPointer(this.$$)}}));clone.$$.count.value+=1;clone.$$.deleteScheduled=false;return clone}}Module["ClassHandle_clone"]=ClassHandle_clone;function ClassHandle_delete(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete){throwBindingError("Object already scheduled for deletion")}detachFinalizer(this);releaseClassHandle(this.$$);if(!this.$$.preservePointerOnDelete){this.$$.smartPtr=undefined;this.$$.ptr=undefined}}Module["ClassHandle_delete"]=ClassHandle_delete;function ClassHandle_isDeleted(){return!this.$$.ptr}Module["ClassHandle_isDeleted"]=ClassHandle_isDeleted;var delayFunction=undefined;Module["delayFunction"]=delayFunction;var deletionQueue=[];Module["deletionQueue"]=deletionQueue;function flushPendingDeletes(){while(deletionQueue.length){var obj=deletionQueue.pop();obj.$$.deleteScheduled=false;obj["delete"]()}}Module["flushPendingDeletes"]=flushPendingDeletes;function ClassHandle_deleteLater(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete){throwBindingError("Object already scheduled for deletion")}deletionQueue.push(this);if(deletionQueue.length===1&&delayFunction){delayFunction(flushPendingDeletes)}this.$$.deleteScheduled=true;return this}Module["ClassHandle_deleteLater"]=ClassHandle_deleteLater;function init_ClassHandle(){ClassHandle.prototype["isAliasOf"]=ClassHandle_isAliasOf;ClassHandle.prototype["clone"]=ClassHandle_clone;ClassHandle.prototype["delete"]=ClassHandle_delete;ClassHandle.prototype["isDeleted"]=ClassHandle_isDeleted;ClassHandle.prototype["deleteLater"]=ClassHandle_deleteLater}Module["init_ClassHandle"]=init_ClassHandle;function ClassHandle(){}Module["ClassHandle"]=ClassHandle;var registeredPointers={};Module["registeredPointers"]=registeredPointers;function ensureOverloadTable(proto,methodName,humanName){if(undefined===proto[methodName].overloadTable){var prevFunc=proto[methodName];proto[methodName]=function(){if(!proto[methodName].overloadTable.hasOwnProperty(arguments.length)){throwBindingError("Function '"+humanName+"' called with an invalid number of arguments ("+arguments.length+") - expects one of ("+proto[methodName].overloadTable+")!")}return proto[methodName].overloadTable[arguments.length].apply(this,arguments)};proto[methodName].overloadTable=[];proto[methodName].overloadTable[prevFunc.argCount]=prevFunc}}Module["ensureOverloadTable"]=ensureOverloadTable;function exposePublicSymbol(name,value,numArguments){if(Module.hasOwnProperty(name)){if(undefined===numArguments||undefined!==Module[name].overloadTable&&undefined!==Module[name].overloadTable[numArguments]){throwBindingError("Cannot register public name '"+name+"' twice")}ensureOverloadTable(Module,name,name);if(Module.hasOwnProperty(numArguments)){throwBindingError("Cannot register multiple overloads of a function with the same number of arguments ("+numArguments+")!")}Module[name].overloadTable[numArguments]=value}else{Module[name]=value;if(undefined!==numArguments){Module[name].numArguments=numArguments}}}Module["exposePublicSymbol"]=exposePublicSymbol;function RegisteredClass(name,constructor,instancePrototype,rawDestructor,baseClass,getActualType,upcast,downcast){this.name=name;this.constructor=constructor;this.instancePrototype=instancePrototype;this.rawDestructor=rawDestructor;this.baseClass=baseClass;this.getActualType=getActualType;this.upcast=upcast;this.downcast=downcast;this.pureVirtualFunctions=[]}Module["RegisteredClass"]=RegisteredClass;function upcastPointer(ptr,ptrClass,desiredClass){while(ptrClass!==desiredClass){if(!ptrClass.upcast){throwBindingError("Expected null or instance of "+desiredClass.name+", got an instance of "+ptrClass.name)}ptr=ptrClass.upcast(ptr);ptrClass=ptrClass.baseClass}return ptr}Module["upcastPointer"]=upcastPointer;function constNoSmartPtrRawPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}return 0}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);return ptr}Module["constNoSmartPtrRawPointerToWireType"]=constNoSmartPtrRawPointerToWireType;function genericPointerToWireType(destructors,handle){var ptr;if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}if(this.isSmartPointer){ptr=this.rawConstructor();if(destructors!==null){destructors.push(this.rawDestructor,ptr)}return ptr}else{return 0}}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}if(!this.isConst&&handle.$$.ptrType.isConst){throwBindingError("Cannot convert argument of type "+(handle.$$.smartPtrType?handle.$$.smartPtrType.name:handle.$$.ptrType.name)+" to parameter type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);if(this.isSmartPointer){if(undefined===handle.$$.smartPtr){throwBindingError("Passing raw pointer to smart pointer is illegal")}switch(this.sharingPolicy){case 0:if(handle.$$.smartPtrType===this){ptr=handle.$$.smartPtr}else{throwBindingError("Cannot convert argument of type "+(handle.$$.smartPtrType?handle.$$.smartPtrType.name:handle.$$.ptrType.name)+" to parameter type "+this.name)}break;case 1:ptr=handle.$$.smartPtr;break;case 2:if(handle.$$.smartPtrType===this){ptr=handle.$$.smartPtr}else{var clonedHandle=handle["clone"]();ptr=this.rawShare(ptr,__emval_register(function(){clonedHandle["delete"]()}));if(destructors!==null){destructors.push(this.rawDestructor,ptr)}}break;default:throwBindingError("Unsupporting sharing policy")}}return ptr}Module["genericPointerToWireType"]=genericPointerToWireType;function nonConstNoSmartPtrRawPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}return 0}if(!handle.$$){throwBindingError('Cannot pass "'+_embind_repr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}if(handle.$$.ptrType.isConst){throwBindingError("Cannot convert argument of type "+handle.$$.ptrType.name+" to parameter type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);return ptr}Module["nonConstNoSmartPtrRawPointerToWireType"]=nonConstNoSmartPtrRawPointerToWireType;function simpleReadValueFromPointer(pointer){return this["fromWireType"](HEAPU32[pointer>>2])}Module["simpleReadValueFromPointer"]=simpleReadValueFromPointer;function RegisteredPointer_getPointee(ptr){if(this.rawGetPointee){ptr=this.rawGetPointee(ptr)}return ptr}Module["RegisteredPointer_getPointee"]=RegisteredPointer_getPointee;function RegisteredPointer_destructor(ptr){if(this.rawDestructor){this.rawDestructor(ptr)}}Module["RegisteredPointer_destructor"]=RegisteredPointer_destructor;function RegisteredPointer_deleteObject(handle){if(handle!==null){handle["delete"]()}}Module["RegisteredPointer_deleteObject"]=RegisteredPointer_deleteObject;function downcastPointer(ptr,ptrClass,desiredClass){if(ptrClass===desiredClass){return ptr}if(undefined===desiredClass.baseClass){return null}var rv=downcastPointer(ptr,ptrClass,desiredClass.baseClass);if(rv===null){return null}return desiredClass.downcast(rv)}Module["downcastPointer"]=downcastPointer;function getInheritedInstanceCount(){return Object.keys(registeredInstances).length}Module["getInheritedInstanceCount"]=getInheritedInstanceCount;function getLiveInheritedInstances(){var rv=[];for(var k in registeredInstances){if(registeredInstances.hasOwnProperty(k)){rv.push(registeredInstances[k])}}return rv}Module["getLiveInheritedInstances"]=getLiveInheritedInstances;function setDelayFunction(fn){delayFunction=fn;if(deletionQueue.length&&delayFunction){delayFunction(flushPendingDeletes)}}Module["setDelayFunction"]=setDelayFunction;function init_embind(){Module["getInheritedInstanceCount"]=getInheritedInstanceCount;Module["getLiveInheritedInstances"]=getLiveInheritedInstances;Module["flushPendingDeletes"]=flushPendingDeletes;Module["setDelayFunction"]=setDelayFunction}Module["init_embind"]=init_embind;var registeredInstances={};Module["registeredInstances"]=registeredInstances;function getBasestPointer(class_,ptr){if(ptr===undefined){throwBindingError("ptr should not be undefined")}while(class_.baseClass){ptr=class_.upcast(ptr);class_=class_.baseClass}return ptr}Module["getBasestPointer"]=getBasestPointer;function getInheritedInstance(class_,ptr){ptr=getBasestPointer(class_,ptr);return registeredInstances[ptr]}Module["getInheritedInstance"]=getInheritedInstance;function makeClassHandle(prototype,record){if(!record.ptrType||!record.ptr){throwInternalError("makeClassHandle requires ptr and ptrType")}var hasSmartPtrType=!!record.smartPtrType;var hasSmartPtr=!!record.smartPtr;if(hasSmartPtrType!==hasSmartPtr){throwInternalError("Both smartPtrType and smartPtr must be specified")}record.count={value:1};return attachFinalizer(Object.create(prototype,{$$:{value:record}}))}Module["makeClassHandle"]=makeClassHandle;function RegisteredPointer_fromWireType(ptr){var rawPointer=this.getPointee(ptr);if(!rawPointer){this.destructor(ptr);return null}var registeredInstance=getInheritedInstance(this.registeredClass,rawPointer);if(undefined!==registeredInstance){if(0===registeredInstance.$$.count.value){registeredInstance.$$.ptr=rawPointer;registeredInstance.$$.smartPtr=ptr;return registeredInstance["clone"]()}else{var rv=registeredInstance["clone"]();this.destructor(ptr);return rv}}function makeDefaultHandle(){if(this.isSmartPointer){return makeClassHandle(this.registeredClass.instancePrototype,{ptrType:this.pointeeType,ptr:rawPointer,smartPtrType:this,smartPtr:ptr})}else{return makeClassHandle(this.registeredClass.instancePrototype,{ptrType:this,ptr:ptr})}}var actualType=this.registeredClass.getActualType(rawPointer);var registeredPointerRecord=registeredPointers[actualType];if(!registeredPointerRecord){return makeDefaultHandle.call(this)}var toType;if(this.isConst){toType=registeredPointerRecord.constPointerType}else{toType=registeredPointerRecord.pointerType}var dp=downcastPointer(rawPointer,this.registeredClass,toType.registeredClass);if(dp===null){return makeDefaultHandle.call(this)}if(this.isSmartPointer){return makeClassHandle(toType.registeredClass.instancePrototype,{ptrType:toType,ptr:dp,smartPtrType:this,smartPtr:ptr})}else{return makeClassHandle(toType.registeredClass.instancePrototype,{ptrType:toType,ptr:dp})}}Module["RegisteredPointer_fromWireType"]=RegisteredPointer_fromWireType;function init_RegisteredPointer(){RegisteredPointer.prototype.getPointee=RegisteredPointer_getPointee;RegisteredPointer.prototype.destructor=RegisteredPointer_destructor;RegisteredPointer.prototype["argPackAdvance"]=8;RegisteredPointer.prototype["readValueFromPointer"]=simpleReadValueFromPointer;RegisteredPointer.prototype["deleteObject"]=RegisteredPointer_deleteObject;RegisteredPointer.prototype["fromWireType"]=RegisteredPointer_fromWireType}Module["init_RegisteredPointer"]=init_RegisteredPointer;function RegisteredPointer(name,registeredClass,isReference,isConst,isSmartPointer,pointeeType,sharingPolicy,rawGetPointee,rawConstructor,rawShare,rawDestructor){this.name=name;this.registeredClass=registeredClass;this.isReference=isReference;this.isConst=isConst;this.isSmartPointer=isSmartPointer;this.pointeeType=pointeeType;this.sharingPolicy=sharingPolicy;this.rawGetPointee=rawGetPointee;this.rawConstructor=rawConstructor;this.rawShare=rawShare;this.rawDestructor=rawDestructor;if(!isSmartPointer&&registeredClass.baseClass===undefined){if(isConst){this["toWireType"]=constNoSmartPtrRawPointerToWireType;this.destructorFunction=null}else{this["toWireType"]=nonConstNoSmartPtrRawPointerToWireType;this.destructorFunction=null}}else{this["toWireType"]=genericPointerToWireType}}Module["RegisteredPointer"]=RegisteredPointer;function replacePublicSymbol(name,value,numArguments){if(!Module.hasOwnProperty(name)){throwInternalError("Replacing nonexistant public symbol")}if(undefined!==Module[name].overloadTable&&undefined!==numArguments){Module[name].overloadTable[numArguments]=value}else{Module[name]=value;Module[name].argCount=numArguments}}Module["replacePublicSymbol"]=replacePublicSymbol;function embind__requireFunction(signature,rawFunction){signature=readLatin1String(signature);function makeDynCaller(dynCall){var args=[];for(var i=1;i<signature.length;++i){args.push("a"+i)}var name="dynCall_"+signature+"_"+rawFunction;var body="return function "+name+"("+args.join(", ")+") {\n";body+="    return dynCall(rawFunction"+(args.length?", ":"")+args.join(", ")+");\n";body+="};\n";return new Function("dynCall","rawFunction",body)(dynCall,rawFunction)}var dc=Module["dynCall_"+signature];var fp=makeDynCaller(dc);if(typeof fp!=="function"){throwBindingError("unknown function pointer with signature "+signature+": "+rawFunction)}return fp}Module["embind__requireFunction"]=embind__requireFunction;var UnboundTypeError=undefined;Module["UnboundTypeError"]=UnboundTypeError;function getTypeName(type){var ptr=___getTypeName(type);var rv=readLatin1String(ptr);_free(ptr);return rv}Module["getTypeName"]=getTypeName;function throwUnboundTypeError(message,types){var unboundTypes=[];var seen={};function visit(type){if(seen[type]){return}if(registeredTypes[type]){return}if(typeDependencies[type]){typeDependencies[type].forEach(visit);return}unboundTypes.push(type);seen[type]=true}types.forEach(visit);throw new UnboundTypeError(message+": "+unboundTypes.map(getTypeName).join([", "]))}Module["throwUnboundTypeError"]=throwUnboundTypeError;function __embind_register_class(rawType,rawPointerType,rawConstPointerType,baseClassRawType,getActualTypeSignature,getActualType,upcastSignature,upcast,downcastSignature,downcast,name,destructorSignature,rawDestructor){name=readLatin1String(name);getActualType=embind__requireFunction(getActualTypeSignature,getActualType);if(upcast){upcast=embind__requireFunction(upcastSignature,upcast)}if(downcast){downcast=embind__requireFunction(downcastSignature,downcast)}rawDestructor=embind__requireFunction(destructorSignature,rawDestructor);var legalFunctionName=makeLegalFunctionName(name);exposePublicSymbol(legalFunctionName,function(){throwUnboundTypeError("Cannot construct "+name+" due to unbound types",[baseClassRawType])});whenDependentTypesAreResolved([rawType,rawPointerType,rawConstPointerType],baseClassRawType?[baseClassRawType]:[],function(base){base=base[0];var baseClass;var basePrototype;if(baseClassRawType){baseClass=base.registeredClass;basePrototype=baseClass.instancePrototype}else{basePrototype=ClassHandle.prototype}var constructor=createNamedFunction(legalFunctionName,function(){if(Object.getPrototypeOf(this)!==instancePrototype){throw new BindingError("Use 'new' to construct "+name)}if(undefined===registeredClass.constructor_body){throw new BindingError(name+" has no accessible constructor")}var body=registeredClass.constructor_body[arguments.length];if(undefined===body){throw new BindingError("Tried to invoke ctor of "+name+" with invalid number of parameters ("+arguments.length+") - expected ("+Object.keys(registeredClass.constructor_body).toString()+") parameters instead!")}return body.apply(this,arguments)});var instancePrototype=Object.create(basePrototype,{constructor:{value:constructor}});constructor.prototype=instancePrototype;var registeredClass=new RegisteredClass(name,constructor,instancePrototype,rawDestructor,baseClass,getActualType,upcast,downcast);var referenceConverter=new RegisteredPointer(name,registeredClass,true,false,false);var pointerConverter=new RegisteredPointer(name+"*",registeredClass,false,false,false);var constPointerConverter=new RegisteredPointer(name+" const*",registeredClass,false,true,false);registeredPointers[rawType]={pointerType:pointerConverter,constPointerType:constPointerConverter};replacePublicSymbol(legalFunctionName,constructor);return[referenceConverter,pointerConverter,constPointerConverter]})}Module["__embind_register_class"]=__embind_register_class;function heap32VectorToArray(count,firstElement){var array=[];for(var i=0;i<count;i++){array.push(HEAP32[(firstElement>>2)+i])}return array}Module["heap32VectorToArray"]=heap32VectorToArray;function runDestructors(destructors){while(destructors.length){var ptr=destructors.pop();var del=destructors.pop();del(ptr)}}Module["runDestructors"]=runDestructors;function __embind_register_class_constructor(rawClassType,argCount,rawArgTypesAddr,invokerSignature,invoker,rawConstructor){assert(argCount>0);var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);invoker=embind__requireFunction(invokerSignature,invoker);var args=[rawConstructor];var destructors=[];whenDependentTypesAreResolved([],[rawClassType],function(classType){classType=classType[0];var humanName="constructor "+classType.name;if(undefined===classType.registeredClass.constructor_body){classType.registeredClass.constructor_body=[]}if(undefined!==classType.registeredClass.constructor_body[argCount-1]){throw new BindingError("Cannot register multiple constructors with identical number of parameters ("+(argCount-1)+") for class '"+classType.name+"'! Overload resolution is currently only performed using the parameter count, not actual type info!")}classType.registeredClass.constructor_body[argCount-1]=function unboundTypeHandler(){throwUnboundTypeError("Cannot construct "+classType.name+" due to unbound types",rawArgTypes)};whenDependentTypesAreResolved([],rawArgTypes,function(argTypes){classType.registeredClass.constructor_body[argCount-1]=function constructor_body(){if(arguments.length!==argCount-1){throwBindingError(humanName+" called with "+arguments.length+" arguments, expected "+(argCount-1))}destructors.length=0;args.length=argCount;for(var i=1;i<argCount;++i){args[i]=argTypes[i]["toWireType"](destructors,arguments[i-1])}var ptr=invoker.apply(null,args);runDestructors(destructors);return argTypes[0]["fromWireType"](ptr)};return[]});return[]})}Module["__embind_register_class_constructor"]=__embind_register_class_constructor;function new_(constructor,argumentList){if(!(constructor instanceof Function)){throw new TypeError("new_ called with constructor type "+typeof constructor+" which is not a function")}var dummy=createNamedFunction(constructor.name||"unknownFunctionName",function(){});dummy.prototype=constructor.prototype;var obj=new dummy;var r=constructor.apply(obj,argumentList);return r instanceof Object?r:obj}Module["new_"]=new_;function craftInvokerFunction(humanName,argTypes,classType,cppInvokerFunc,cppTargetFunc){var argCount=argTypes.length;if(argCount<2){throwBindingError("argTypes array size mismatch! Must at least get return value and 'this' types!")}var isClassMethodFunc=argTypes[1]!==null&&classType!==null;var needsDestructorStack=false;for(var i=1;i<argTypes.length;++i){if(argTypes[i]!==null&&argTypes[i].destructorFunction===undefined){needsDestructorStack=true;break}}var returns=argTypes[0].name!=="void";var argsList="";var argsListWired="";for(var i=0;i<argCount-2;++i){argsList+=(i!==0?", ":"")+"arg"+i;argsListWired+=(i!==0?", ":"")+"arg"+i+"Wired"}var invokerFnBody="return function "+makeLegalFunctionName(humanName)+"("+argsList+") {\n"+"if (arguments.length !== "+(argCount-2)+") {\n"+"throwBindingError('function "+humanName+" called with ' + arguments.length + ' arguments, expected "+(argCount-2)+" args!');\n"+"}\n";if(needsDestructorStack){invokerFnBody+="var destructors = [];\n"}var dtorStack=needsDestructorStack?"destructors":"null";var args1=["throwBindingError","invoker","fn","runDestructors","retType","classParam"];var args2=[throwBindingError,cppInvokerFunc,cppTargetFunc,runDestructors,argTypes[0],argTypes[1]];if(isClassMethodFunc){invokerFnBody+="var thisWired = classParam.toWireType("+dtorStack+", this);\n"}for(var i=0;i<argCount-2;++i){invokerFnBody+="var arg"+i+"Wired = argType"+i+".toWireType("+dtorStack+", arg"+i+"); // "+argTypes[i+2].name+"\n";args1.push("argType"+i);args2.push(argTypes[i+2])}if(isClassMethodFunc){argsListWired="thisWired"+(argsListWired.length>0?", ":"")+argsListWired}invokerFnBody+=(returns?"var rv = ":"")+"invoker(fn"+(argsListWired.length>0?", ":"")+argsListWired+");\n";if(needsDestructorStack){invokerFnBody+="runDestructors(destructors);\n"}else{for(var i=isClassMethodFunc?1:2;i<argTypes.length;++i){var paramName=i===1?"thisWired":"arg"+(i-2)+"Wired";if(argTypes[i].destructorFunction!==null){invokerFnBody+=paramName+"_dtor("+paramName+"); // "+argTypes[i].name+"\n";args1.push(paramName+"_dtor");args2.push(argTypes[i].destructorFunction)}}}if(returns){invokerFnBody+="var ret = retType.fromWireType(rv);\n"+"return ret;\n"}else{}invokerFnBody+="}\n";args1.push(invokerFnBody);var invokerFunction=new_(Function,args1).apply(null,args2);return invokerFunction}Module["craftInvokerFunction"]=craftInvokerFunction;function __embind_register_class_function(rawClassType,methodName,argCount,rawArgTypesAddr,invokerSignature,rawInvoker,context,isPureVirtual){var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);methodName=readLatin1String(methodName);rawInvoker=embind__requireFunction(invokerSignature,rawInvoker);whenDependentTypesAreResolved([],[rawClassType],function(classType){classType=classType[0];var humanName=classType.name+"."+methodName;if(isPureVirtual){classType.registeredClass.pureVirtualFunctions.push(methodName)}function unboundTypesHandler(){throwUnboundTypeError("Cannot call "+humanName+" due to unbound types",rawArgTypes)}var proto=classType.registeredClass.instancePrototype;var method=proto[methodName];if(undefined===method||undefined===method.overloadTable&&method.className!==classType.name&&method.argCount===argCount-2){unboundTypesHandler.argCount=argCount-2;unboundTypesHandler.className=classType.name;proto[methodName]=unboundTypesHandler}else{ensureOverloadTable(proto,methodName,humanName);proto[methodName].overloadTable[argCount-2]=unboundTypesHandler}whenDependentTypesAreResolved([],rawArgTypes,function(argTypes){var memberFunction=craftInvokerFunction(humanName,argTypes,classType,rawInvoker,context);if(undefined===proto[methodName].overloadTable){memberFunction.argCount=argCount-2;proto[methodName]=memberFunction}else{proto[methodName].overloadTable[argCount-2]=memberFunction}return[]});return[]})}Module["__embind_register_class_function"]=__embind_register_class_function;var emval_free_list=[];Module["emval_free_list"]=emval_free_list;var emval_handle_array=[{},{value:undefined},{value:null},{value:true},{value:false}];Module["emval_handle_array"]=emval_handle_array;function __emval_decref(handle){if(handle>4&&0===--emval_handle_array[handle].refcount){emval_handle_array[handle]=undefined;emval_free_list.push(handle)}}Module["__emval_decref"]=__emval_decref;function count_emval_handles(){var count=0;for(var i=5;i<emval_handle_array.length;++i){if(emval_handle_array[i]!==undefined){++count}}return count}Module["count_emval_handles"]=count_emval_handles;function get_first_emval(){for(var i=5;i<emval_handle_array.length;++i){if(emval_handle_array[i]!==undefined){return emval_handle_array[i]}}return null}Module["get_first_emval"]=get_first_emval;function init_emval(){Module["count_emval_handles"]=count_emval_handles;Module["get_first_emval"]=get_first_emval}Module["init_emval"]=init_emval;function __emval_register(value){switch(value){case undefined:{return 1}case null:{return 2}case true:{return 3}case false:{return 4}default:{var handle=emval_free_list.length?emval_free_list.pop():emval_handle_array.length;emval_handle_array[handle]={refcount:1,value:value};return handle}}}Module["__emval_register"]=__emval_register;function __embind_register_emval(rawType,name){name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":function(handle){var rv=emval_handle_array[handle].value;__emval_decref(handle);return rv},"toWireType":function(destructors,value){return __emval_register(value)},"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:null})}Module["__embind_register_emval"]=__embind_register_emval;function _embind_repr(v){if(v===null){return"null"}var t=typeof v;if(t==="object"||t==="array"||t==="function"){return v.toString()}else{return""+v}}Module["_embind_repr"]=_embind_repr;function floatReadValueFromPointer(name,shift){switch(shift){case 2:return function(pointer){return this["fromWireType"](HEAPF32[pointer>>2])};case 3:return function(pointer){return this["fromWireType"](HEAPF64[pointer>>3])};default:throw new TypeError("Unknown float type: "+name)}}Module["floatReadValueFromPointer"]=floatReadValueFromPointer;function __embind_register_float(rawType,name,size){var shift=getShiftFromSize(size);name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":function(value){return value},"toWireType":function(destructors,value){if(typeof value!=="number"&&typeof value!=="boolean"){throw new TypeError('Cannot convert "'+_embind_repr(value)+'" to '+this.name)}return value},"argPackAdvance":8,"readValueFromPointer":floatReadValueFromPointer(name,shift),destructorFunction:null})}Module["__embind_register_float"]=__embind_register_float;function integerReadValueFromPointer(name,shift,signed){switch(shift){case 0:return signed?function readS8FromPointer(pointer){return HEAP8[pointer]}:function readU8FromPointer(pointer){return HEAPU8[pointer]};case 1:return signed?function readS16FromPointer(pointer){return HEAP16[pointer>>1]}:function readU16FromPointer(pointer){return HEAPU16[pointer>>1]};case 2:return signed?function readS32FromPointer(pointer){return HEAP32[pointer>>2]}:function readU32FromPointer(pointer){return HEAPU32[pointer>>2]};default:throw new TypeError("Unknown integer type: "+name)}}Module["integerReadValueFromPointer"]=integerReadValueFromPointer;function __embind_register_integer(primitiveType,name,size,minRange,maxRange){name=readLatin1String(name);if(maxRange===-1){maxRange=4294967295}var shift=getShiftFromSize(size);var fromWireType=function(value){return value};if(minRange===0){var bitshift=32-8*size;fromWireType=function(value){return value<<bitshift>>>bitshift}}var isUnsignedType=name.indexOf("unsigned")!=-1;registerType(primitiveType,{name:name,"fromWireType":fromWireType,"toWireType":function(destructors,value){if(typeof value!=="number"&&typeof value!=="boolean"){throw new TypeError('Cannot convert "'+_embind_repr(value)+'" to '+this.name)}if(value<minRange||value>maxRange){throw new TypeError('Passing a number "'+_embind_repr(value)+'" from JS side to C/C++ side to an argument of type "'+name+'", which is outside the valid range ['+minRange+", "+maxRange+"]!")}return isUnsignedType?value>>>0:value|0},"argPackAdvance":8,"readValueFromPointer":integerReadValueFromPointer(name,shift,minRange!==0),destructorFunction:null})}Module["__embind_register_integer"]=__embind_register_integer;function __embind_register_memory_view(rawType,dataTypeIndex,name){var typeMapping=[Int8Array,Uint8Array,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array];var TA=typeMapping[dataTypeIndex];function decodeMemoryView(handle){handle=handle>>2;var heap=HEAPU32;var size=heap[handle];var data=heap[handle+1];return new TA(buffer,data,size)}name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":decodeMemoryView,"argPackAdvance":8,"readValueFromPointer":decodeMemoryView},{ignoreDuplicateRegistrations:true})}Module["__embind_register_memory_view"]=__embind_register_memory_view;function __embind_register_std_string(rawType,name){name=readLatin1String(name);var stdStringIsUTF8=name==="std::string";registerType(rawType,{name:name,"fromWireType":function(value){var length=HEAPU32[value>>2];var str;if(stdStringIsUTF8){var endChar=HEAPU8[value+4+length];var endCharSwap=0;if(endChar!=0){endCharSwap=endChar;HEAPU8[value+4+length]=0}var decodeStartPtr=value+4;for(var i=0;i<=length;++i){var currentBytePtr=value+4+i;if(HEAPU8[currentBytePtr]==0){var stringSegment=UTF8ToString(decodeStartPtr);if(str===undefined){str=stringSegment}else{str+=String.fromCharCode(0);str+=stringSegment}decodeStartPtr=currentBytePtr+1}}if(endCharSwap!=0){HEAPU8[value+4+length]=endCharSwap}}else{var a=new Array(length);for(var i=0;i<length;++i){a[i]=String.fromCharCode(HEAPU8[value+4+i])}str=a.join("")}_free(value);return str},"toWireType":function(destructors,value){if(value instanceof ArrayBuffer){value=new Uint8Array(value)}var getLength;var valueIsOfTypeString=typeof value==="string";if(!(valueIsOfTypeString||value instanceof Uint8Array||value instanceof Uint8ClampedArray||value instanceof Int8Array)){throwBindingError("Cannot pass non-string to std::string")}if(stdStringIsUTF8&&valueIsOfTypeString){getLength=function(){return lengthBytesUTF8(value)}}else{getLength=function(){return value.length}}var length=getLength();var ptr=_malloc(4+length+1);HEAPU32[ptr>>2]=length;if(stdStringIsUTF8&&valueIsOfTypeString){stringToUTF8(value,ptr+4,length+1)}else{if(valueIsOfTypeString){for(var i=0;i<length;++i){var charCode=value.charCodeAt(i);if(charCode>255){_free(ptr);throwBindingError("String has UTF-16 code units that do not fit in 8 bits")}HEAPU8[ptr+4+i]=charCode}}else{for(var i=0;i<length;++i){HEAPU8[ptr+4+i]=value[i]}}}if(destructors!==null){destructors.push(_free,ptr)}return ptr},"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:function(ptr){_free(ptr)}})}Module["__embind_register_std_string"]=__embind_register_std_string;function __embind_register_std_wstring(rawType,charSize,name){name=readLatin1String(name);var decodeString,encodeString,getHeap,lengthBytesUTF,shift;if(charSize===2){decodeString=UTF16ToString;encodeString=stringToUTF16;lengthBytesUTF=lengthBytesUTF16;getHeap=function(){return HEAPU16};shift=1}else if(charSize===4){decodeString=UTF32ToString;encodeString=stringToUTF32;lengthBytesUTF=lengthBytesUTF32;getHeap=function(){return HEAPU32};shift=2}registerType(rawType,{name:name,"fromWireType":function(value){var length=HEAPU32[value>>2];var HEAP=getHeap();var str;var endChar=HEAP[value+4+length*charSize>>shift];var endCharSwap=0;if(endChar!=0){endCharSwap=endChar;HEAP[value+4+length*charSize>>shift]=0}var decodeStartPtr=value+4;for(var i=0;i<=length;++i){var currentBytePtr=value+4+i*charSize;if(HEAP[currentBytePtr>>shift]==0){var stringSegment=decodeString(decodeStartPtr);if(str===undefined){str=stringSegment}else{str+=String.fromCharCode(0);str+=stringSegment}decodeStartPtr=currentBytePtr+charSize}}if(endCharSwap!=0){HEAP[value+4+length*charSize>>shift]=endCharSwap}_free(value);return str},"toWireType":function(destructors,value){if(!(typeof value==="string")){throwBindingError("Cannot pass non-string to C++ string type "+name)}var length=lengthBytesUTF(value);var ptr=_malloc(4+length+charSize);HEAPU32[ptr>>2]=length>>shift;encodeString(value,ptr+4,length+charSize);if(destructors!==null){destructors.push(_free,ptr)}return ptr},"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:function(ptr){_free(ptr)}})}Module["__embind_register_std_wstring"]=__embind_register_std_wstring;function __embind_register_void(rawType,name){name=readLatin1String(name);registerType(rawType,{isVoid:true,name:name,"argPackAdvance":0,"fromWireType":function(){return undefined},"toWireType":function(destructors,o){return undefined}})}Module["__embind_register_void"]=__embind_register_void;function requireHandle(handle){if(!handle){throwBindingError("Cannot use deleted val. handle = "+handle)}return emval_handle_array[handle].value}Module["requireHandle"]=requireHandle;function requireRegisteredType(rawType,humanName){var impl=registeredTypes[rawType];if(undefined===impl){throwBindingError(humanName+" has unknown type "+getTypeName(rawType))}return impl}Module["requireRegisteredType"]=requireRegisteredType;function __emval_as(handle,returnType,destructorsRef){handle=requireHandle(handle);returnType=requireRegisteredType(returnType,"emval::as");var destructors=[];var rd=__emval_register(destructors);HEAP32[destructorsRef>>2]=rd;return returnType["toWireType"](destructors,handle)}Module["__emval_as"]=__emval_as;function __emval_incref(handle){if(handle>4){emval_handle_array[handle].refcount+=1}}Module["__emval_incref"]=__emval_incref;function __emval_is_number(handle){handle=requireHandle(handle);return typeof handle==="number"}Module["__emval_is_number"]=__emval_is_number;function __emval_run_destructors(handle){var destructors=emval_handle_array[handle].value;runDestructors(destructors);__emval_decref(handle)}Module["__emval_run_destructors"]=__emval_run_destructors;function __emval_take_value(type,argv){type=requireRegisteredType(type,"_emval_take_value");var v=type["readValueFromPointer"](argv);return __emval_register(v)}Module["__emval_take_value"]=__emval_take_value;function _abort(){abort()}Module["_abort"]=_abort;function _aes_gcm_decrypt(){return Module["_aes_gcm_decrypt"].apply(null,arguments)}function _aes_gcm_encrypt(){return Module["_aes_gcm_encrypt"].apply(null,arguments)}function _appendTiffPageWithTag(){return Module["_appendTiffPageWithTag"].apply(null,arguments)}function _clock(){if(_clock.start===undefined)_clock.start=Date.now();return(Date.now()-_clock.start)*(1e6/1e3)|0}Module["_clock"]=_clock;function _closeTiff(){return Module["_closeTiff"].apply(null,arguments)}function _difftime(time1,time0){return time1-time0}Module["_difftime"]=_difftime;function _ds_destroy_file(){return Module["_ds_destroy_file"].apply(null,arguments)}function _ds_get_file(){return Module["_ds_get_file"].apply(null,arguments)}function _dynamFindMemoryFormatStream(){return Module["_dynamFindMemoryFormatStream"].apply(null,arguments)}function _emscripten_get_heap_size(){return HEAPU8.length}Module["_emscripten_get_heap_size"]=_emscripten_get_heap_size;function _longjmp(env,value){_setThrew(env,value||1);throw"longjmp"}Module["_longjmp"]=_longjmp;function _emscripten_longjmp(env,value){_longjmp(env,value)}Module["_emscripten_longjmp"]=_emscripten_longjmp;function emscripten_realloc_buffer(size){try{wasmMemory.grow(size-buffer.byteLength+65535>>>16);updateGlobalBufferAndViews(wasmMemory.buffer);return 1}catch(e){}}Module["emscripten_realloc_buffer"]=emscripten_realloc_buffer;function _emscripten_resize_heap(requestedSize){requestedSize=requestedSize>>>0;var oldSize=_emscripten_get_heap_size();var PAGE_MULTIPLE=65536;var maxHeapSize=2147483648;if(requestedSize>maxHeapSize){return false}var minHeapSize=16777216;for(var cutDown=1;cutDown<=4;cutDown*=2){var overGrownHeapSize=oldSize*(1+.2/cutDown);overGrownHeapSize=Math.min(overGrownHeapSize,requestedSize+100663296);var newSize=Math.min(maxHeapSize,alignUp(Math.max(minHeapSize,requestedSize,overGrownHeapSize),PAGE_MULTIPLE));var replacement=emscripten_realloc_buffer(newSize);if(replacement){return true}}return false}Module["_emscripten_resize_heap"]=_emscripten_resize_heap;function _emscripten_run_script_string(ptr){var s=eval(UTF8ToString(ptr));if(s==null){return 0}s+="";var me=_emscripten_run_script_string;var len=lengthBytesUTF8(s);if(!me.bufferSize||me.bufferSize<len+1){if(me.bufferSize)_free(me.buffer);me.bufferSize=len+1;me.buffer=_malloc(me.bufferSize)}stringToUTF8(s,me.buffer,me.bufferSize);return me.buffer}Module["_emscripten_run_script_string"]=_emscripten_run_script_string;function _endTiffWriter(){return Module["_endTiffWriter"].apply(null,arguments)}function _exit(status){exit(status)}Module["_exit"]=_exit;function _fseeko(){return Module["_fseeko"].apply(null,arguments)}function _ftello(){return Module["_ftello"].apply(null,arguments)}function _getTempRet0(){return getTempRet0()|0}Module["_getTempRet0"]=_getTempRet0;function _getenv(name){if(name===0)return 0;name=UTF8ToString(name);if(!ENV.hasOwnProperty(name))return 0;if(_getenv.ret)_free(_getenv.ret);_getenv.ret=allocateUTF8(ENV[name]);return _getenv.ret}Module["_getenv"]=_getenv;function _gettimeofday(ptr){var now=Date.now();HEAP32[ptr>>2]=now/1e3|0;HEAP32[ptr+4>>2]=now%1e3*1e3|0;return 0}Module["_gettimeofday"]=_gettimeofday;var ___tm_current=52016;Module["___tm_current"]=___tm_current;var ___tm_timezone=(stringToUTF8("GMT",52064,4),52064);Module["___tm_timezone"]=___tm_timezone;function _gmtime_r(time,tmPtr){var date=new Date(HEAP32[time>>2]*1e3);HEAP32[tmPtr>>2]=date.getUTCSeconds();HEAP32[tmPtr+4>>2]=date.getUTCMinutes();HEAP32[tmPtr+8>>2]=date.getUTCHours();HEAP32[tmPtr+12>>2]=date.getUTCDate();HEAP32[tmPtr+16>>2]=date.getUTCMonth();HEAP32[tmPtr+20>>2]=date.getUTCFullYear()-1900;HEAP32[tmPtr+24>>2]=date.getUTCDay();HEAP32[tmPtr+36>>2]=0;HEAP32[tmPtr+32>>2]=0;var start=Date.UTC(date.getUTCFullYear(),0,1,0,0,0,0);var yday=(date.getTime()-start)/(1e3*60*60*24)|0;HEAP32[tmPtr+28>>2]=yday;HEAP32[tmPtr+40>>2]=___tm_timezone;return tmPtr}Module["_gmtime_r"]=_gmtime_r;function _gmtime(time){return _gmtime_r(time,___tm_current)}Module["_gmtime"]=_gmtime;function _invoke_i(){return Module["_invoke_i"].apply(null,arguments)}function _invoke_ii(){return Module["_invoke_ii"].apply(null,arguments)}function _invoke_iii(){return Module["_invoke_iii"].apply(null,arguments)}function _invoke_iiii(){return Module["_invoke_iiii"].apply(null,arguments)}function _invoke_iiiii(){return Module["_invoke_iiiii"].apply(null,arguments)}function _invoke_iiiiii(){return Module["_invoke_iiiiii"].apply(null,arguments)}function _invoke_iiiiiii(){return Module["_invoke_iiiiiii"].apply(null,arguments)}function _invoke_v(){return Module["_invoke_v"].apply(null,arguments)}function _invoke_vi(){return Module["_invoke_vi"].apply(null,arguments)}function _invoke_vidddddd(){return Module["_invoke_vidddddd"].apply(null,arguments)}function _invoke_vii(){return Module["_invoke_vii"].apply(null,arguments)}function _invoke_viid(){return Module["_invoke_viid"].apply(null,arguments)}function _invoke_viii(){return Module["_invoke_viii"].apply(null,arguments)}function _invoke_viiii(){return Module["_invoke_viiii"].apply(null,arguments)}function _invoke_viiiii(){return Module["_invoke_viiiii"].apply(null,arguments)}function _invoke_viiiiii(){return Module["_invoke_viiiiii"].apply(null,arguments)}function _invoke_viiiiiii(){return Module["_invoke_viiiiiii"].apply(null,arguments)}function _invoke_viiiiiiii(){return Module["_invoke_viiiiiiii"].apply(null,arguments)}function _invoke_viiiiiiiii(){return Module["_invoke_viiiiiiiii"].apply(null,arguments)}function _llvm_stackrestore(p){var self=_llvm_stacksave;var ret=self.LLVM_SAVEDSTACKS[p];self.LLVM_SAVEDSTACKS.splice(p,1);stackRestore(ret)}Module["_llvm_stackrestore"]=_llvm_stackrestore;function _llvm_stacksave(){var self=_llvm_stacksave;if(!self.LLVM_SAVEDSTACKS){self.LLVM_SAVEDSTACKS=[]}self.LLVM_SAVEDSTACKS.push(stackSave());return self.LLVM_SAVEDSTACKS.length-1}Module["_llvm_stacksave"]=_llvm_stacksave;function _llvm_trap(){abort("trap!")}Module["_llvm_trap"]=_llvm_trap;function _loadOnepageImageFromMem(){return Module["_loadOnepageImageFromMem"].apply(null,arguments)}function _loadOnepageRGBAFromMem(){return Module["_loadOnepageRGBAFromMem"].apply(null,arguments)}function _loadTiffFromMem(){return Module["_loadTiffFromMem"].apply(null,arguments)}function _tzset(){if(_tzset.called)return;_tzset.called=true;HEAP32[__get_timezone()>>2]=(new Date).getTimezoneOffset()*60;var currentYear=(new Date).getFullYear();var winter=new Date(currentYear,0,1);var summer=new Date(currentYear,6,1);HEAP32[__get_daylight()>>2]=Number(winter.getTimezoneOffset()!=summer.getTimezoneOffset());function extractZone(date){var match=date.toTimeString().match(/\(([A-Za-z ]+)\)$/);return match?match[1]:"GMT"}var winterName=extractZone(winter);var summerName=extractZone(summer);var winterNamePtr=allocateUTF8(winterName);var summerNamePtr=allocateUTF8(summerName);if(summer.getTimezoneOffset()<winter.getTimezoneOffset()){HEAP32[__get_tzname()>>2]=winterNamePtr;HEAP32[__get_tzname()+4>>2]=summerNamePtr}else{HEAP32[__get_tzname()>>2]=summerNamePtr;HEAP32[__get_tzname()+4>>2]=winterNamePtr}}Module["_tzset"]=_tzset;function _localtime_r(time,tmPtr){_tzset();var date=new Date(HEAP32[time>>2]*1e3);HEAP32[tmPtr>>2]=date.getSeconds();HEAP32[tmPtr+4>>2]=date.getMinutes();HEAP32[tmPtr+8>>2]=date.getHours();HEAP32[tmPtr+12>>2]=date.getDate();HEAP32[tmPtr+16>>2]=date.getMonth();HEAP32[tmPtr+20>>2]=date.getFullYear()-1900;HEAP32[tmPtr+24>>2]=date.getDay();var start=new Date(date.getFullYear(),0,1);var yday=(date.getTime()-start.getTime())/(1e3*60*60*24)|0;HEAP32[tmPtr+28>>2]=yday;HEAP32[tmPtr+36>>2]=-(date.getTimezoneOffset()*60);var summerOffset=new Date(date.getFullYear(),6,1).getTimezoneOffset();var winterOffset=start.getTimezoneOffset();var dst=(summerOffset!=winterOffset&&date.getTimezoneOffset()==Math.min(winterOffset,summerOffset))|0;HEAP32[tmPtr+32>>2]=dst;var zonePtr=HEAP32[__get_tzname()+(dst?4:0)>>2];HEAP32[tmPtr+40>>2]=zonePtr;return tmPtr}Module["_localtime_r"]=_localtime_r;function _localtime(time){return _localtime_r(time,___tm_current)}Module["_localtime"]=_localtime;function _emscripten_memcpy_big(dest,src,num){HEAPU8.copyWithin(dest,src,src+num)}Module["_emscripten_memcpy_big"]=_emscripten_memcpy_big;function _mktime(tmPtr){_tzset();var date=new Date(HEAP32[tmPtr+20>>2]+1900,HEAP32[tmPtr+16>>2],HEAP32[tmPtr+12>>2],HEAP32[tmPtr+8>>2],HEAP32[tmPtr+4>>2],HEAP32[tmPtr>>2],0);var dst=HEAP32[tmPtr+32>>2];var guessedOffset=date.getTimezoneOffset();var start=new Date(date.getFullYear(),0,1);var summerOffset=new Date(date.getFullYear(),6,1).getTimezoneOffset();var winterOffset=start.getTimezoneOffset();var dstOffset=Math.min(winterOffset,summerOffset);if(dst<0){HEAP32[tmPtr+32>>2]=Number(summerOffset!=winterOffset&&dstOffset==guessedOffset)}else if(dst>0!=(dstOffset==guessedOffset)){var nonDstOffset=Math.max(winterOffset,summerOffset);var trueOffset=dst>0?dstOffset:nonDstOffset;date.setTime(date.getTime()+(trueOffset-guessedOffset)*6e4)}HEAP32[tmPtr+24>>2]=date.getDay();var yday=(date.getTime()-start.getTime())/(1e3*60*60*24)|0;HEAP32[tmPtr+28>>2]=yday;return date.getTime()/1e3|0}Module["_mktime"]=_mktime;function _mmap(){return Module["_mmap"].apply(null,arguments)}function _munmap(){return Module["_munmap"].apply(null,arguments)}function _newTiffMem(){return Module["_newTiffMem"].apply(null,arguments)}function _opj_stream_create_mem_read_stream(){return Module["_opj_stream_create_mem_read_stream"].apply(null,arguments)}function _pthread_attr_init(attr){return 0}Module["_pthread_attr_init"]=_pthread_attr_init;function _pthread_attr_setdetachstate(){}Module["_pthread_attr_setdetachstate"]=_pthread_attr_setdetachstate;function _pthread_create(){return 6}Module["_pthread_create"]=_pthread_create;function _pthread_join(){}Module["_pthread_join"]=_pthread_join;function _pthread_mutexattr_destroy(){}Module["_pthread_mutexattr_destroy"]=_pthread_mutexattr_destroy;function _pthread_mutexattr_init(){}Module["_pthread_mutexattr_init"]=_pthread_mutexattr_init;function _pthread_mutexattr_settype(){}Module["_pthread_mutexattr_settype"]=_pthread_mutexattr_settype;function _readTiffMetaData(){return Module["_readTiffMetaData"].apply(null,arguments)}function _readTiffPage(){return Module["_readTiffPage"].apply(null,arguments)}function _saveBWImageAsJBig2ForPDF(){return Module["_saveBWImageAsJBig2ForPDF"].apply(null,arguments)}function _saveBWImageAsTiffFax(){return Module["_saveBWImageAsTiffFax"].apply(null,arguments)}function _saveDIBAsBMPV2(){return Module["_saveDIBAsBMPV2"].apply(null,arguments)}function _setTempRet0($i){setTempRet0($i|0)}Module["_setTempRet0"]=_setTempRet0;function _stderr(){return Module["_stderr"].apply(null,arguments)}function _stdout(){return Module["_stdout"].apply(null,arguments)}function __isLeapYear(year){return year%4===0&&(year%100!==0||year%400===0)}Module["__isLeapYear"]=__isLeapYear;function __arraySum(array,index){var sum=0;for(var i=0;i<=index;sum+=array[i++]){}return sum}Module["__arraySum"]=__arraySum;var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];Module["__MONTH_DAYS_LEAP"]=__MONTH_DAYS_LEAP;var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];Module["__MONTH_DAYS_REGULAR"]=__MONTH_DAYS_REGULAR;function __addDays(date,days){var newDate=new Date(date.getTime());while(days>0){var leap=__isLeapYear(newDate.getFullYear());var currentMonth=newDate.getMonth();var daysInCurrentMonth=(leap?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR)[currentMonth];if(days>daysInCurrentMonth-newDate.getDate()){days-=daysInCurrentMonth-newDate.getDate()+1;newDate.setDate(1);if(currentMonth<11){newDate.setMonth(currentMonth+1)}else{newDate.setMonth(0);newDate.setFullYear(newDate.getFullYear()+1)}}else{newDate.setDate(newDate.getDate()+days);return newDate}}return newDate}Module["__addDays"]=__addDays;function _strftime(s,maxsize,format,tm){var tm_zone=HEAP32[tm+40>>2];var date={tm_sec:HEAP32[tm>>2],tm_min:HEAP32[tm+4>>2],tm_hour:HEAP32[tm+8>>2],tm_mday:HEAP32[tm+12>>2],tm_mon:HEAP32[tm+16>>2],tm_year:HEAP32[tm+20>>2],tm_wday:HEAP32[tm+24>>2],tm_yday:HEAP32[tm+28>>2],tm_isdst:HEAP32[tm+32>>2],tm_gmtoff:HEAP32[tm+36>>2],tm_zone:tm_zone?UTF8ToString(tm_zone):""};var pattern=UTF8ToString(format);var EXPANSION_RULES_1={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S","%Ec":"%c","%EC":"%C","%Ex":"%m/%d/%y","%EX":"%H:%M:%S","%Ey":"%y","%EY":"%Y","%Od":"%d","%Oe":"%e","%OH":"%H","%OI":"%I","%Om":"%m","%OM":"%M","%OS":"%S","%Ou":"%u","%OU":"%U","%OV":"%V","%Ow":"%w","%OW":"%W","%Oy":"%y"};for(var rule in EXPANSION_RULES_1){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_1[rule])}var WEEKDAYS=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];var MONTHS=["January","February","March","April","May","June","July","August","September","October","November","December"];function leadingSomething(value,digits,character){var str=typeof value==="number"?value.toString():value||"";while(str.length<digits){str=character[0]+str}return str}function leadingNulls(value,digits){return leadingSomething(value,digits,"0")}function compareByDay(date1,date2){function sgn(value){return value<0?-1:value>0?1:0}var compare;if((compare=sgn(date1.getFullYear()-date2.getFullYear()))===0){if((compare=sgn(date1.getMonth()-date2.getMonth()))===0){compare=sgn(date1.getDate()-date2.getDate())}}return compare}function getFirstWeekStartDate(janFourth){switch(janFourth.getDay()){case 0:return new Date(janFourth.getFullYear()-1,11,29);case 1:return janFourth;case 2:return new Date(janFourth.getFullYear(),0,3);case 3:return new Date(janFourth.getFullYear(),0,2);case 4:return new Date(janFourth.getFullYear(),0,1);case 5:return new Date(janFourth.getFullYear()-1,11,31);case 6:return new Date(janFourth.getFullYear()-1,11,30)}}function getWeekBasedYear(date){var thisDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);var janFourthThisYear=new Date(thisDate.getFullYear(),0,4);var janFourthNextYear=new Date(thisDate.getFullYear()+1,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);if(compareByDay(firstWeekStartThisYear,thisDate)<=0){if(compareByDay(firstWeekStartNextYear,thisDate)<=0){return thisDate.getFullYear()+1}else{return thisDate.getFullYear()}}else{return thisDate.getFullYear()-1}}var EXPANSION_RULES_2={"%a":function(date){return WEEKDAYS[date.tm_wday].substring(0,3)},"%A":function(date){return WEEKDAYS[date.tm_wday]},"%b":function(date){return MONTHS[date.tm_mon].substring(0,3)},"%B":function(date){return MONTHS[date.tm_mon]},"%C":function(date){var year=date.tm_year+1900;return leadingNulls(year/100|0,2)},"%d":function(date){return leadingNulls(date.tm_mday,2)},"%e":function(date){return leadingSomething(date.tm_mday,2," ")},"%g":function(date){return getWeekBasedYear(date).toString().substring(2)},"%G":function(date){return getWeekBasedYear(date)},"%H":function(date){return leadingNulls(date.tm_hour,2)},"%I":function(date){var twelveHour=date.tm_hour;if(twelveHour==0)twelveHour=12;else if(twelveHour>12)twelveHour-=12;return leadingNulls(twelveHour,2)},"%j":function(date){return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900)?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,date.tm_mon-1),3)},"%m":function(date){return leadingNulls(date.tm_mon+1,2)},"%M":function(date){return leadingNulls(date.tm_min,2)},"%n":function(){return"\n"},"%p":function(date){if(date.tm_hour>=0&&date.tm_hour<12){return"AM"}else{return"PM"}},"%S":function(date){return leadingNulls(date.tm_sec,2)},"%t":function(){return"\t"},"%u":function(date){return date.tm_wday||7},"%U":function(date){var janFirst=new Date(date.tm_year+1900,0,1);var firstSunday=janFirst.getDay()===0?janFirst:__addDays(janFirst,7-janFirst.getDay());var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstSunday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstSundayUntilEndJanuary=31-firstSunday.getDate();var days=firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstSunday,janFirst)===0?"01":"00"},"%V":function(date){var janFourthThisYear=new Date(date.tm_year+1900,0,4);var janFourthNextYear=new Date(date.tm_year+1901,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);var endDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);if(compareByDay(endDate,firstWeekStartThisYear)<0){return"53"}if(compareByDay(firstWeekStartNextYear,endDate)<=0){return"01"}var daysDifference;if(firstWeekStartThisYear.getFullYear()<date.tm_year+1900){daysDifference=date.tm_yday+32-firstWeekStartThisYear.getDate()}else{daysDifference=date.tm_yday+1-firstWeekStartThisYear.getDate()}return leadingNulls(Math.ceil(daysDifference/7),2)},"%w":function(date){return date.tm_wday},"%W":function(date){var janFirst=new Date(date.tm_year,0,1);var firstMonday=janFirst.getDay()===1?janFirst:__addDays(janFirst,janFirst.getDay()===0?1:7-janFirst.getDay()+1);var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstMonday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstMondayUntilEndJanuary=31-firstMonday.getDate();var days=firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstMonday,janFirst)===0?"01":"00"},"%y":function(date){return(date.tm_year+1900).toString().substring(2)},"%Y":function(date){return date.tm_year+1900},"%z":function(date){var off=date.tm_gmtoff;var ahead=off>=0;off=Math.abs(off)/60;off=off/60*100+off%60;return(ahead?"+":"-")+String("0000"+off).slice(-4)},"%Z":function(date){return date.tm_zone},"%%":function(){return"%"}};for(var rule in EXPANSION_RULES_2){if(pattern.indexOf(rule)>=0){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_2[rule](date))}}var bytes=intArrayFromString(pattern,false);if(bytes.length>maxsize){return 0}writeArrayToMemory(bytes,s);return bytes.length-1}Module["_strftime"]=_strftime;function _strftime_l(s,maxsize,format,tm){return _strftime(s,maxsize,format,tm)}Module["_strftime_l"]=_strftime_l;function _sysconf(name){switch(name){case 30:return 16384;case 85:var maxHeapSize=2147483648;return maxHeapSize/16384;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 80:case 81:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:case 79:return 200809;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:{if(typeof navigator==="object")return navigator["hardwareConcurrency"]||1;return 1}}setErrNo(28);return-1}Module["_sysconf"]=_sysconf;function _time(ptr){var ret=Date.now()/1e3|0;if(ptr){HEAP32[ptr>>2]=ret}return ret}Module["_time"]=_time;var FSNode=function(parent,name,mode,rdev){if(!parent){parent=this}this.parent=parent;this.mount=parent.mount;this.mounted=null;this.id=FS.nextInode++;this.name=name;this.mode=mode;this.node_ops={};this.stream_ops={};this.rdev=rdev};var readMode=292|73;var writeMode=146;Object.defineProperties(FSNode.prototype,{read:{get:function(){return(this.mode&readMode)===readMode},set:function(val){val?this.mode|=readMode:this.mode&=~readMode}},write:{get:function(){return(this.mode&writeMode)===writeMode},set:function(val){val?this.mode|=writeMode:this.mode&=~writeMode}},isFolder:{get:function(){return FS.isDir(this.mode)}},isDevice:{get:function(){return FS.isChrdev(this.mode)}}});FS.FSNode=FSNode;FS.staticInit();embind_init_charCodes();BindingError=Module["BindingError"]=extendError(Error,"BindingError");InternalError=Module["InternalError"]=extendError(Error,"InternalError");init_ClassHandle();init_RegisteredPointer();init_embind();UnboundTypeError=Module["UnboundTypeError"]=extendError(Error,"UnboundTypeError");init_emval();var ASSERTIONS=false;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}var gb=GLOBAL_BASE,fb=0;var fp$_free$vi=function(){if(!Module["fp$_free$vi"]){var fid=addFunction(Module["_free"]||_free,"vi");Module["fp$_free$vi"]=fid}return Module["fp$_free$vi"]};function invoke_X(){var sp=stackSave();try{var args=Array.prototype.slice.call(arguments);return wasmTable.get(args[0]).apply(null,args.slice(1))}catch(e){stackRestore(sp);if(e!==e+0&&e!=="longjmp")throw e;_setThrew(1,0)}}function dynCall_X(index){index=index|0;return mftCall_X(index)}function dynCall_ii(index,a1){index=index|0;a1=a1|0;return mftCall_ii(index,a1|0)|0}function dynCall_iii(index,a1,a2){index=index|0;a1=a1|0;a2=a2|0;return mftCall_iii(index,a1|0,a2|0)|0}function dynCall_iiid(index,a1,a2,a3){index=index|0;a1=a1|0;a2=a2|0;a3=+a3;return mftCall_iiid(index,a1|0,a2|0,+a3)|0}function dynCall_iiii(index,a1,a2,a3){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;return mftCall_iiii(index,a1|0,a2|0,a3|0)|0}function dynCall_iiiidddii(index,a1,a2,a3,a4,a5,a6,a7,a8){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=+a4;a5=+a5;a6=+a6;a7=a7|0;a8=a8|0;return mftCall_iiiidddii(index,a1|0,a2|0,a3|0,+a4,+a5,+a6,a7|0,a8|0)|0}function dynCall_iiiii(index,a1,a2,a3,a4){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;return mftCall_iiiii(index,a1|0,a2|0,a3|0,a4|0)|0}function dynCall_iiiiid(index,a1,a2,a3,a4,a5){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=+a5;return mftCall_iiiiid(index,a1|0,a2|0,a3|0,a4|0,+a5)|0}function dynCall_iiiiii(index,a1,a2,a3,a4,a5){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;return mftCall_iiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0)|0}function dynCall_iiiiiid(index,a1,a2,a3,a4,a5,a6){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=+a6;return mftCall_iiiiiid(index,a1|0,a2|0,a3|0,a4|0,a5|0,+a6)|0}function dynCall_iiiiiii(index,a1,a2,a3,a4,a5,a6){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;return mftCall_iiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0)|0}function dynCall_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;return mftCall_iiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0)|0}function dynCall_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;a8=a8|0;return mftCall_iiiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0,a8|0)|0}function dynCall_iiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;a8=a8|0;a9=a9|0;a10=a10|0;return mftCall_iiiiiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0,a8|0,a9|0,a10|0)|0}function dynCall_iiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;a8=a8|0;a9=a9|0;a10=a10|0;a11=a11|0;return mftCall_iiiiiiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0,a8|0,a9|0,a10|0,a11|0)|0}function dynCall_iiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;a8=a8|0;a9=a9|0;a10=a10|0;a11=a11|0;a12=a12|0;return mftCall_iiiiiiiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0,a8|0,a9|0,a10|0,a11|0,a12|0)|0}function dynCall_v(index){index=index|0;mftCall_v(index)}function dynCall_vi(index,a1){index=index|0;a1=a1|0;mftCall_vi(index,a1|0)}function dynCall_vii(index,a1,a2){index=index|0;a1=a1|0;a2=a2|0;mftCall_vii(index,a1|0,a2|0)}function dynCall_viid(index,a1,a2,a3){index=index|0;a1=a1|0;a2=a2|0;a3=+a3;mftCall_viid(index,a1|0,a2|0,+a3)}function dynCall_viii(index,a1,a2,a3){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;mftCall_viii(index,a1|0,a2|0,a3|0)}function dynCall_viiidddii(index,a1,a2,a3,a4,a5,a6,a7,a8){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=+a4;a5=+a5;a6=+a6;a7=a7|0;a8=a8|0;mftCall_viiidddii(index,a1|0,a2|0,a3|0,+a4,+a5,+a6,a7|0,a8|0)}function dynCall_viiii(index,a1,a2,a3,a4){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;mftCall_viiii(index,a1|0,a2|0,a3|0,a4|0)}function dynCall_viiiii(index,a1,a2,a3,a4,a5){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;mftCall_viiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0)}function dynCall_viiiiii(index,a1,a2,a3,a4,a5,a6){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;mftCall_viiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0)}function dynCall_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;mftCall_viiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0)}function dynCall_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;a8=a8|0;mftCall_viiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0,a8|0)}function dynCall_viiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;a8=a8|0;a9=a9|0;a10=a10|0;mftCall_viiiiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0,a8|0,a9|0,a10|0)}function dynCall_viiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;a8=a8|0;a9=a9|0;a10=a10|0;a11=a11|0;mftCall_viiiiiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0,a8|0,a9|0,a10|0,a11|0)}function dynCall_viiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12){index=index|0;a1=a1|0;a2=a2|0;a3=a3|0;a4=a4|0;a5=a5|0;a6=a6|0;a7=a7|0;a8=a8|0;a9=a9|0;a10=a10|0;a11=a11|0;a12=a12|0;mftCall_viiiiiiiiiiii(index,a1|0,a2|0,a3|0,a4|0,a5|0,a6|0,a7|0,a8|0,a9|0,a10|0,a11|0,a12|0)}var asmGlobalArg={};var asmLibraryArg={"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"_AddAnnotationToPage":_AddAnnotationToPage,"_AddDIBToPage":_AddDIBToPage,"_AddImageToPage":_AddImageToPage,"_AddImageWatermarkToPage":_AddImageWatermarkToPage,"_AddPathToPage":_AddPathToPage,"_AddPdfPage":_AddPdfPage,"_AddTextToPage":_AddTextToPage,"_CreatePageFromImageDIB":_CreatePageFromImageDIB,"_CreatePageFromImageFileStream":_CreatePageFromImageFileStream,"_DIBChangeBitDepth":_DIBChangeBitDepth,"_DIBtoRGBA":_DIBtoRGBA,"_DeleteFile":_DeleteFile,"_DestroyDynamImageProc":_DestroyDynamImageProc,"_DynamImageProcAutoBrightnessAndContrast":_DynamImageProcAutoBrightnessAndContrast,"_DynamImageProcChangeBrightnessAndContrast":_DynamImageProcChangeBrightnessAndContrast,"_DynamImageProcColorFilter":_DynamImageProcColorFilter,"_DynamImageProcConvert":_DynamImageProcConvert,"_DynamImageProcConvertToBWScale":_DynamImageProcConvertToBWScale,"_DynamImageProcConvertToGrayScale":_DynamImageProcConvertToGrayScale,"_DynamImageProcCrop":_DynamImageProcCrop,"_DynamImageProcDocumentDetect":_DynamImageProcDocumentDetect,"_DynamImageProcDrawQuadrangle":_DynamImageProcDrawQuadrangle,"_DynamImageProcEqualize":_DynamImageProcEqualize,"_DynamImageProcErase":_DynamImageProcErase,"_DynamImageProcGetBlurryScore":_DynamImageProcGetBlurryScore,"_DynamImageProcGetBrightnessScore":_DynamImageProcGetBrightnessScore,"_DynamImageProcGetDataPointer":_DynamImageProcGetDataPointer,"_DynamImageProcGetErrorString":_DynamImageProcGetErrorString,"_DynamImageProcGetHeight":_DynamImageProcGetHeight,"_DynamImageProcGetSkewAngle":_DynamImageProcGetSkewAngle,"_DynamImageProcGetWidth":_DynamImageProcGetWidth,"_DynamImageProcInvert":_DynamImageProcInvert,"_DynamImageProcNormalize":_DynamImageProcNormalize,"_DynamImageProcPerspective":_DynamImageProcPerspective,"_DynamImageProcResize":_DynamImageProcResize,"_DynamImageProcRotateEX":_DynamImageProcRotateEX,"_DynamImageProcRotateFlipType":_DynamImageProcRotateFlipType,"_DynamImageProcSave":_DynamImageProcSave,"_DynamImageProcSetDPI":_DynamImageProcSetDPI,"_DynamImageProcSetDebugMode":_DynamImageProcSetDebugMode,"_DynamImageProcSetImageHeight":_DynamImageProcSetImageHeight,"_DynamImageProcSetImageWidth":_DynamImageProcSetImageWidth,"_DynamImageProcShadowRemovel":_DynamImageProcShadowRemovel,"_EndWritePdfPage":_EndWritePdfPage,"_FreeWatermarkAndFormXObject":_FreeWatermarkAndFormXObject,"_GetDIBMetaData":_GetDIBMetaData,"_GetDynamImageProcWasmVersion":_GetDynamImageProcWasmVersion,"_GetDynamicImageCoreWasmVersion":_GetDynamicImageCoreWasmVersion,"_GetDynamicPdfWWasmVersion":_GetDynamicPdfWWasmVersion,"_GetImageMetaData":_GetImageMetaData,"_GetJPEGExifData":_GetJPEGExifData,"_GetJPEGMetaData":_GetJPEGMetaData,"_GetPdfStream":_GetPdfStream,"_IfJPEGHaveExifInfo":_IfJPEGHaveExifInfo,"_InitDynamImageProc":_InitDynamImageProc,"_NewImageWatermark":_NewImageWatermark,"_NewWatermarkFormXObject":_NewWatermarkFormXObject,"_PDFInitFromJsonString":_PDFInitFromJsonString,"_RGBAtoDIB":_RGBAtoDIB,"_ReleasePdf":_ReleasePdf,"_RotateJPEGByExif":_RotateJPEGByExif,"_SaveDIBtoJP2":_SaveDIBtoJP2,"_SaveDIBtoJPEG":_SaveDIBtoJPEG,"_SaveDIBtoOnePageTiff":_SaveDIBtoOnePageTiff,"_SaveDIBtoPNG":_SaveDIBtoPNG,"_SaveRGBA_BGRAtoJPEG":_SaveRGBA_BGRAtoJPEG,"_SaveRGBA_BGRAtoPNG":_SaveRGBA_BGRAtoPNG,"_SetFileAttributes":_SetFileAttributes,"_SetPdfPageRotate":_SetPdfPageRotate,"__ZNSt12length_errorD1Ev":__ZNSt12length_errorD1Ev,"__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_":__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_,"__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_":__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_,"__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_":__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_,"__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev":__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev,"__ZNSt3__24cerrE":__ZNSt3__24cerrE,"__ZNSt3__24coutE":__ZNSt3__24coutE,"__ZNSt3__25ctypeIcE2idE":__ZNSt3__25ctypeIcE2idE,"__ZNSt3__26localeC1ERKS0_":__ZNSt3__26localeC1ERKS0_,"__ZNSt3__26localeD1Ev":__ZNSt3__26localeD1Ev,"__ZTINSt3__213basic_istreamIcNS_11char_traitsIcEEEE":__ZTINSt3__213basic_istreamIcNS_11char_traitsIcEEEE,"__ZTINSt3__213basic_ostreamIcNS_11char_traitsIcEEEE":__ZTINSt3__213basic_ostreamIcNS_11char_traitsIcEEEE,"__ZTINSt3__214basic_iostreamIcNS_11char_traitsIcEEEE":__ZTINSt3__214basic_iostreamIcNS_11char_traitsIcEEEE,"__ZTINSt3__215basic_streambufIcNS_11char_traitsIcEEEE":__ZTINSt3__215basic_streambufIcNS_11char_traitsIcEEEE,"__ZTINSt3__219__shared_weak_countE":__ZTINSt3__219__shared_weak_countE,"__ZTISt12length_error":__ZTISt12length_error,"__ZTISt9exception":__ZTISt9exception,"__ZTVN10__cxxabiv116__enum_type_infoE":__ZTVN10__cxxabiv116__enum_type_infoE,"__ZTVN10__cxxabiv117__class_type_infoE":__ZTVN10__cxxabiv117__class_type_infoE,"__ZTVN10__cxxabiv120__si_class_type_infoE":__ZTVN10__cxxabiv120__si_class_type_infoE,"__ZTVN10__cxxabiv121__vmi_class_type_infoE":__ZTVN10__cxxabiv121__vmi_class_type_infoE,"__ZTVSt12length_error":__ZTVSt12length_error,"___assert_fail":___assert_fail,"___atomic_load_8":___atomic_load_8,"___atomic_store_8":___atomic_store_8,"___buildEnvironment":___buildEnvironment,"___cxa_allocate_exception":___cxa_allocate_exception,"___cxa_begin_catch":___cxa_begin_catch,"___cxa_throw":___cxa_throw,"___exception_addRef":___exception_addRef,"___exception_deAdjust":___exception_deAdjust,"___gxx_personality_v0":___gxx_personality_v0,"___map_file":___map_file,"___sys_fcntl64":___sys_fcntl64,"___sys_fstat64":___sys_fstat64,"___sys_getdents64":___sys_getdents64,"___sys_ioctl":___sys_ioctl,"___sys_mmap2":___sys_mmap2,"___sys_munmap":___sys_munmap,"___sys_open":___sys_open,"___sys_read":___sys_read,"___sys_stat64":___sys_stat64,"___syscall192":___syscall192,"___syscall195":___syscall195,"___syscall197":___syscall197,"___syscall220":___syscall220,"___syscall221":___syscall221,"___syscall3":___syscall3,"___syscall5":___syscall5,"___syscall54":___syscall54,"___syscall91":___syscall91,"___wasi_fd_close":___wasi_fd_close,"___wasi_fd_fdstat_get":___wasi_fd_fdstat_get,"___wasi_fd_read":___wasi_fd_read,"___wasi_fd_seek":___wasi_fd_seek,"___wasi_fd_write":___wasi_fd_write,"__addDays":__addDays,"__arraySum":__arraySum,"__embind_register_bool":__embind_register_bool,"__embind_register_class":__embind_register_class,"__embind_register_class_constructor":__embind_register_class_constructor,"__embind_register_class_function":__embind_register_class_function,"__embind_register_emval":__embind_register_emval,"__embind_register_float":__embind_register_float,"__embind_register_integer":__embind_register_integer,"__embind_register_memory_view":__embind_register_memory_view,"__embind_register_std_string":__embind_register_std_string,"__embind_register_std_wstring":__embind_register_std_wstring,"__embind_register_void":__embind_register_void,"__emval_as":__emval_as,"__emval_decref":__emval_decref,"__emval_incref":__emval_incref,"__emval_is_number":__emval_is_number,"__emval_register":__emval_register,"__emval_run_destructors":__emval_run_destructors,"__emval_take_value":__emval_take_value,"__getExecutableName":__getExecutableName,"__isLeapYear":__isLeapYear,"__memory_base":1024,"__table_base":0,"_abort":_abort,"_aes_gcm_decrypt":_aes_gcm_decrypt,"_aes_gcm_encrypt":_aes_gcm_encrypt,"_appendTiffPageWithTag":_appendTiffPageWithTag,"_clock":_clock,"_closeTiff":_closeTiff,"_difftime":_difftime,"_ds_destroy_file":_ds_destroy_file,"_ds_get_file":_ds_get_file,"_dynamFindMemoryFormatStream":_dynamFindMemoryFormatStream,"_embind_repr":_embind_repr,"_emscripten_get_heap_size":_emscripten_get_heap_size,"_emscripten_longjmp":_emscripten_longjmp,"_emscripten_memcpy_big":_emscripten_memcpy_big,"_emscripten_resize_heap":_emscripten_resize_heap,"_emscripten_run_script_string":_emscripten_run_script_string,"_endTiffWriter":_endTiffWriter,"_exit":_exit,"_fd_close":_fd_close,"_fd_fdstat_get":_fd_fdstat_get,"_fd_read":_fd_read,"_fd_seek":_fd_seek,"_fd_write":_fd_write,"_fseeko":_fseeko,"_ftello":_ftello,"_getTempRet0":_getTempRet0,"_getenv":_getenv,"_gettimeofday":_gettimeofday,"_gmtime":_gmtime,"_gmtime_r":_gmtime_r,"_invoke_i":_invoke_i,"_invoke_ii":_invoke_ii,"_invoke_iii":_invoke_iii,"_invoke_iiii":_invoke_iiii,"_invoke_iiiii":_invoke_iiiii,"_invoke_iiiiii":_invoke_iiiiii,"_invoke_iiiiiii":_invoke_iiiiiii,"_invoke_v":_invoke_v,"_invoke_vi":_invoke_vi,"_invoke_vidddddd":_invoke_vidddddd,"_invoke_vii":_invoke_vii,"_invoke_viid":_invoke_viid,"_invoke_viii":_invoke_viii,"_invoke_viiii":_invoke_viiii,"_invoke_viiiii":_invoke_viiiii,"_invoke_viiiiii":_invoke_viiiiii,"_invoke_viiiiiii":_invoke_viiiiiii,"_invoke_viiiiiiii":_invoke_viiiiiiii,"_invoke_viiiiiiiii":_invoke_viiiiiiiii,"_llvm_cttz_i32":_llvm_cttz_i32,"_llvm_stackrestore":_llvm_stackrestore,"_llvm_stacksave":_llvm_stacksave,"_llvm_trap":_llvm_trap,"_loadOnepageImageFromMem":_loadOnepageImageFromMem,"_loadOnepageRGBAFromMem":_loadOnepageRGBAFromMem,"_loadTiffFromMem":_loadTiffFromMem,"_localtime":_localtime,"_localtime_r":_localtime_r,"_longjmp":_longjmp,"_mktime":_mktime,"_mmap":_mmap,"_munmap":_munmap,"_newTiffMem":_newTiffMem,"_opj_stream_create_mem_read_stream":_opj_stream_create_mem_read_stream,"_pthread_attr_init":_pthread_attr_init,"_pthread_attr_setdetachstate":_pthread_attr_setdetachstate,"_pthread_create":_pthread_create,"_pthread_join":_pthread_join,"_pthread_mutexattr_destroy":_pthread_mutexattr_destroy,"_pthread_mutexattr_init":_pthread_mutexattr_init,"_pthread_mutexattr_settype":_pthread_mutexattr_settype,"_readTiffMetaData":_readTiffMetaData,"_readTiffPage":_readTiffPage,"_saveBWImageAsJBig2ForPDF":_saveBWImageAsJBig2ForPDF,"_saveBWImageAsTiffFax":_saveBWImageAsTiffFax,"_saveDIBAsBMPV2":_saveDIBAsBMPV2,"_setTempRet0":_setTempRet0,"_stderr":_stderr,"_stdout":_stdout,"_strftime":_strftime,"_strftime_l":_strftime_l,"_sysconf":_sysconf,"_time":_time,"_tzset":_tzset,"abort":abort,"fb":fb,"fp$_free$vi":fp$_free$vi,"gb":gb,"getTempRet0":getTempRet0,"memory":wasmMemory,"setTempRet0":setTempRet0,"table":wasmTable,"tempDoublePtr":tempDoublePtr};var asm=Module["asm"](asmGlobalArg,asmLibraryArg,buffer);Module["asm"]=asm;var __GLOBAL__I_000101=Module["__GLOBAL__I_000101"]=function(){return Module["asm"]["__GLOBAL__I_000101"].apply(null,arguments)};var __GLOBAL__sub_I_DynamicImageCore_wasm_cpp=Module["__GLOBAL__sub_I_DynamicImageCore_wasm_cpp"]=function(){return Module["asm"]["__GLOBAL__sub_I_DynamicImageCore_wasm_cpp"].apply(null,arguments)};var __GLOBAL__sub_I_DynamicPdfW_wasm_cpp=Module["__GLOBAL__sub_I_DynamicPdfW_wasm_cpp"]=function(){return Module["asm"]["__GLOBAL__sub_I_DynamicPdfW_wasm_cpp"].apply(null,arguments)};var __GLOBAL__sub_I_ImageIO_global_cpp=Module["__GLOBAL__sub_I_ImageIO_global_cpp"]=function(){return Module["asm"]["__GLOBAL__sub_I_ImageIO_global_cpp"].apply(null,arguments)};var __GLOBAL__sub_I_ImageProc_wasm_cpp=Module["__GLOBAL__sub_I_ImageProc_wasm_cpp"]=function(){return Module["asm"]["__GLOBAL__sub_I_ImageProc_wasm_cpp"].apply(null,arguments)};var __GLOBAL__sub_I_bind_cpp=Module["__GLOBAL__sub_I_bind_cpp"]=function(){return Module["asm"]["__GLOBAL__sub_I_bind_cpp"].apply(null,arguments)};var __GLOBAL__sub_I_iostream_cpp=Module["__GLOBAL__sub_I_iostream_cpp"]=function(){return Module["asm"]["__GLOBAL__sub_I_iostream_cpp"].apply(null,arguments)};var __GLOBAL__sub_I_json_value_cpp=Module["__GLOBAL__sub_I_json_value_cpp"]=function(){return Module["asm"]["__GLOBAL__sub_I_json_value_cpp"].apply(null,arguments)};var __Z10Write_FreePvS_=Module["__Z10Write_FreePvS_"]=function(){return Module["asm"]["__Z10Write_FreePvS_"].apply(null,arguments)};var __Z11SplitStringRKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEc=Module["__Z11SplitStringRKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEc"]=function(){return Module["asm"]["__Z11SplitStringRKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEc"].apply(null,arguments)};var __Z11Write_AllocPPvm=Module["__Z11Write_AllocPPvm"]=function(){return Module["asm"]["__Z11Write_AllocPPvm"].apply(null,arguments)};var __Z12CalculateMD5Phm=Module["__Z12CalculateMD5Phm"]=function(){return Module["asm"]["__Z12CalculateMD5Phm"].apply(null,arguments)};var __Z13VerifyLicenseiRyRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_yRS6_=Module["__Z13VerifyLicenseiRyRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_yRS6_"]=function(){return Module["asm"]["__Z13VerifyLicenseiRyRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_yRS6_"].apply(null,arguments)};var __Z15DecodeLTSBase64RKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERS5_S8_S8_Ri=Module["__Z15DecodeLTSBase64RKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERS5_S8_S8_Ri"]=function(){return Module["asm"]["__Z15DecodeLTSBase64RKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERS5_S8_S8_Ri"].apply(null,arguments)};var __Z15SHA512TransformPyPh=Module["__Z15SHA512TransformPyPh"]=function(){return Module["asm"]["__Z15SHA512TransformPyPh"].apply(null,arguments)};var __Z16BeforeCreatePagePvPPhPmPFiS1_mEjj=Module["__Z16BeforeCreatePagePvPPhPmPFiS1_mEjj"]=function(){return Module["asm"]["__Z16BeforeCreatePagePvPPhPmPFiS1_mEjj"].apply(null,arguments)};var __Z16GetResultFromDIBPhmiPiRNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEibb=Module["__Z16GetResultFromDIBPhmiPiRNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEibb"]=function(){return Module["asm"]["__Z16GetResultFromDIBPhmiPiRNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEibb"].apply(null,arguments)};var __Z16VerifyLTSLicenseiRKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_S7_NS_3mapIiiNS_4lessIiEENS3_INS_4pairIKiiEEEEEERS5_=Module["__Z16VerifyLTSLicenseiRKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_S7_NS_3mapIiiNS_4lessIiEENS3_INS_4pairIKiiEEEEEERS5_"]=function(){return Module["asm"]["__Z16VerifyLTSLicenseiRKNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_S7_NS_3mapIiiNS_4lessIiEENS3_INS_4pairIKiiEEEEEERS5_"].apply(null,arguments)};var __Z20ReadingImageWithTypePvPhmij=Module["__Z20ReadingImageWithTypePvPhmij"]=function(){return Module["asm"]["__Z20ReadingImageWithTypePvPhmij"].apply(null,arguments)};var __Z22FunEncodeImageCallBackPvPhm=Module["__Z22FunEncodeImageCallBackPvPhm"]=function(){return Module["asm"]["__Z22FunEncodeImageCallBackPvPhm"].apply(null,arguments)};var __Z8PDFWritePvPKhm=Module["__Z8PDFWritePvPKhm"]=function(){return Module["asm"]["__Z8PDFWritePvPKhm"].apply(null,arguments)};var __ZL13__DOUBLE_BITSd=Module["__ZL13__DOUBLE_BITSd"]=function(){return Module["asm"]["__ZL13__DOUBLE_BITSd"].apply(null,arguments)};var __ZL28demangling_terminate_handlerv=Module["__ZL28demangling_terminate_handlerv"]=function(){return Module["asm"]["__ZL28demangling_terminate_handlerv"].apply(null,arguments)};var __ZL8is_equalPKSt9type_infoS1_b=Module["__ZL8is_equalPKSt9type_infoS1_b"]=function(){return Module["asm"]["__ZL8is_equalPKSt9type_infoS1_b"].apply(null,arguments)};var __ZN10BigInteger15multiByteDivideERS_S0_S0_S0_=Module["__ZN10BigInteger15multiByteDivideERS_S0_S0_S0_"]=function(){return Module["asm"]["__ZN10BigInteger15multiByteDivideERS_S0_S0_S0_"].apply(null,arguments)};var __ZN10BigInteger16BarrettReductionES_S_S_=Module["__ZN10BigInteger16BarrettReductionES_S_S_"]=function(){return Module["asm"]["__ZN10BigInteger16BarrettReductionES_S_S_"].apply(null,arguments)};var __ZN10BigInteger16singleByteDivideERS_S0_S0_S0_=Module["__ZN10BigInteger16singleByteDivideERS_S0_S0_S0_"]=function(){return Module["asm"]["__ZN10BigInteger16singleByteDivideERS_S0_S0_S0_"].apply(null,arguments)};var __ZN10BigIntegerC2EPhi=Module["__ZN10BigIntegerC2EPhi"]=function(){return Module["asm"]["__ZN10BigIntegerC2EPhi"].apply(null,arguments)};var __ZN10BigIntegeraSERKS_=Module["__ZN10BigIntegeraSERKS_"]=function(){return Module["asm"]["__ZN10BigIntegeraSERKS_"].apply(null,arguments)};var __ZN10BigIntegermIES_=Module["__ZN10BigIntegermIES_"]=function(){return Module["asm"]["__ZN10BigIntegermIES_"].apply(null,arguments)};var __ZN10BigIntegermiES_=Module["__ZN10BigIntegermiES_"]=function(){return Module["asm"]["__ZN10BigIntegermiES_"].apply(null,arguments)};var __ZN10BigIntegermlES_=Module["__ZN10BigIntegermlES_"]=function(){return Module["asm"]["__ZN10BigIntegermlES_"].apply(null,arguments)};var __ZN10BigIntegerngEv=Module["__ZN10BigIntegerngEv"]=function(){return Module["asm"]["__ZN10BigIntegerngEv"].apply(null,arguments)};var __ZN10BigIntegerplERS_=Module["__ZN10BigIntegerplERS_"]=function(){return Module["asm"]["__ZN10BigIntegerplERS_"].apply(null,arguments)};var __ZN10BigIntegerrmES_=Module["__ZN10BigIntegerrmES_"]=function(){return Module["asm"]["__ZN10BigIntegerrmES_"].apply(null,arguments)};var __ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE17cxa_guard_acquireEv=Module["__ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE17cxa_guard_acquireEv"]=function(){return Module["asm"]["__ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE17cxa_guard_acquireEv"].apply(null,arguments)};var __ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE17cxa_guard_releaseEv=Module["__ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE17cxa_guard_releaseEv"]=function(){return Module["asm"]["__ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE17cxa_guard_releaseEv"].apply(null,arguments)};var __ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE7derivedEv=Module["__ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE7derivedEv"]=function(){return Module["asm"]["__ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEE7derivedEv"].apply(null,arguments)};var __ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEEC2EPj=Module["__ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEEC2EPj"]=function(){return Module["asm"]["__ZN10__cxxabiv112_GLOBAL__N_111GuardObjectINS0_17InitByteNoThreadsEEC2EPj"].apply(null,arguments)};var __ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreads17acquire_init_byteEv=Module["__ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreads17acquire_init_byteEv"]=function(){return Module["asm"]["__ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreads17acquire_init_byteEv"].apply(null,arguments)};var __ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreads17release_init_byteEv=Module["__ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreads17release_init_byteEv"]=function(){return Module["asm"]["__ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreads17release_init_byteEv"].apply(null,arguments)};var __ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreadsCI2NS0_11GuardObjectIS1_EEEPj=Module["__ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreadsCI2NS0_11GuardObjectIS1_EEEPj"]=function(){return Module["asm"]["__ZN10__cxxabiv112_GLOBAL__N_117InitByteNoThreadsCI2NS0_11GuardObjectIS1_EEEPj"].apply(null,arguments)};var __ZN10__cxxabiv116__enum_type_infoD0Ev=Module["__ZN10__cxxabiv116__enum_type_infoD0Ev"]=function(){return Module["asm"]["__ZN10__cxxabiv116__enum_type_infoD0Ev"].apply(null,arguments)};var __ZN10__cxxabiv116__shim_type_infoD2Ev=Module["__ZN10__cxxabiv116__shim_type_infoD2Ev"]=function(){return Module["asm"]["__ZN10__cxxabiv116__shim_type_infoD2Ev"].apply(null,arguments)};var __ZN10__cxxabiv117__class_type_infoD0Ev=Module["__ZN10__cxxabiv117__class_type_infoD0Ev"]=function(){return Module["asm"]["__ZN10__cxxabiv117__class_type_infoD0Ev"].apply(null,arguments)};var __ZN10__cxxabiv119__pointer_type_infoD0Ev=Module["__ZN10__cxxabiv119__pointer_type_infoD0Ev"]=function(){return Module["asm"]["__ZN10__cxxabiv119__pointer_type_infoD0Ev"].apply(null,arguments)};var __ZN10__cxxabiv120__si_class_type_infoD0Ev=Module["__ZN10__cxxabiv120__si_class_type_infoD0Ev"]=function(){return Module["asm"]["__ZN10__cxxabiv120__si_class_type_infoD0Ev"].apply(null,arguments)};var __ZN10__cxxabiv121__vmi_class_type_infoD0Ev=Module["__ZN10__cxxabiv121__vmi_class_type_infoD0Ev"]=function(){return Module["asm"]["__ZN10__cxxabiv121__vmi_class_type_infoD0Ev"].apply(null,arguments)};var __ZN10__cxxabiv123__fundamental_type_infoD0Ev=Module["__ZN10__cxxabiv123__fundamental_type_infoD0Ev"]=function(){return Module["asm"]["__ZN10__cxxabiv123__fundamental_type_infoD0Ev"].apply(null,arguments)};var __ZN10emscripten8internal12operator_newI11DynamicPdfWJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_=Module["__ZN10emscripten8internal12operator_newI11DynamicPdfWJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_"]=function(){return Module["asm"]["__ZN10emscripten8internal12operator_newI11DynamicPdfWJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_"].apply(null,arguments)};var __ZN10emscripten8internal12operator_newI16DynamicImagecoreJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_=Module["__ZN10emscripten8internal12operator_newI16DynamicImagecoreJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_"]=function(){return Module["asm"]["__ZN10emscripten8internal12operator_newI16DynamicImagecoreJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_"].apply(null,arguments)};var __ZN10emscripten8internal12operator_newI9ImageProcJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_=Module["__ZN10emscripten8internal12operator_newI9ImageProcJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_"]=function(){return Module["asm"]["__ZN10emscripten8internal12operator_newI9ImageProcJNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiS9_EEEPT_DpOT0_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valESA_ES9_PS2_JSA_SA_EE6invokeERKSC_SD_PNS0_7_EM_VALESI_=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valESA_ES9_PS2_JSA_SA_EE6invokeERKSC_SD_PNS0_7_EM_VALESI_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valESA_ES9_PS2_JSA_SA_EE6invokeERKSC_SD_PNS0_7_EM_VALESI_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiES9_PS2_JiEE6invokeERKSB_SC_i=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiES9_PS2_JiEE6invokeERKSB_SC_i"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiES9_PS2_JiEE6invokeERKSB_SC_i"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmES9_PS2_JmmEE6invokeERKSB_SC_mm=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmES9_PS2_JmmEE6invokeERKSB_SC_mm"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmES9_PS2_JmmEE6invokeERKSB_SC_mm"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmRKS9_ES9_PS2_JmmSB_EE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_E=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmRKS9_ES9_PS2_JmmSB_EE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_E"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmRKS9_ES9_PS2_JmmSB_EE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_E"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmRKS9_SB_ES9_PS2_JmmSB_SB_EE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_ESL_=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmRKS9_SB_ES9_PS2_JmmSB_SB_EE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_ESL_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmRKS9_SB_ES9_PS2_JmmSB_SB_EE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_ESL_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmbES9_PS2_JmmbEE6invokeERKSB_SC_mmb=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmbES9_PS2_JmmbEE6invokeERKSB_SC_mmb"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmbES9_PS2_JmmbEE6invokeERKSB_SC_mmb"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiRKS9_bES9_PS2_JmmiSB_bEE6invokeERKSD_SE_mmiPNS0_11BindingTypeIS9_vEUt_Eb=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiRKS9_bES9_PS2_JmmiSB_bEE6invokeERKSD_SE_mmiPNS0_11BindingTypeIS9_vEUt_Eb"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiRKS9_bES9_PS2_JmmiSB_bEE6invokeERKSD_SE_mmiPNS0_11BindingTypeIS9_vEUt_Eb"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFvvEvPS2_JEE6invokeERKS4_S5_=Module["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFvvEvPS2_JEE6invokeERKS4_S5_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM11DynamicPdfWFvvEvPS2_JEE6invokeERKS4_S5_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiES9_PS2_JiEE6invokeERKSB_SC_i=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiES9_PS2_JiEE6invokeERKSB_SC_i"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiES9_PS2_JiEE6invokeERKSB_SC_i"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiibES9_PS2_JiibEE6invokeERKSB_SC_iib=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiibES9_PS2_JiibEE6invokeERKSB_SC_iib"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiibES9_PS2_JiibEE6invokeERKSB_SC_iib"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEjRKS9_bES9_PS2_JjSB_bEE6invokeERKSD_SE_jPNS0_11BindingTypeIS9_vEUt_Eb=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEjRKS9_bES9_PS2_JjSB_bEE6invokeERKSD_SE_jPNS0_11BindingTypeIS9_vEUt_Eb"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEjRKS9_bES9_PS2_JjSB_bEE6invokeERKSD_SE_jPNS0_11BindingTypeIS9_vEUt_Eb"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmES9_PS2_JmmEE6invokeERKSB_SC_mm=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmES9_PS2_JmmEE6invokeERKSB_SC_mm"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmES9_PS2_JmmEE6invokeERKSB_SC_mm"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiES9_PS2_JmmiEE6invokeERKSB_SC_mmi=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiES9_PS2_JmmiEE6invokeERKSB_SC_mmi"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiES9_PS2_JmmiEE6invokeERKSB_SC_mmi"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiibES9_PS2_JmmiibEE6invokeERKSB_SC_mmiib=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiibES9_PS2_JmmiibEE6invokeERKSB_SC_mmiib"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiibES9_PS2_JmmiibEE6invokeERKSB_SC_mmiib"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiibES9_PS2_JmmiiibEE6invokeERKSB_SC_mmiiib=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiibES9_PS2_JmmiiibEE6invokeERKSB_SC_mmiiib"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiibES9_PS2_JmmiiibEE6invokeERKSB_SC_mmiiib"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiiiiiiiES9_PS2_JmmiiiiiiiiEE6invokeERKSB_SC_mmiiiiiiii=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiiiiiiiES9_PS2_JmmiiiiiiiiEE6invokeERKSB_SC_mmiiiiiiii"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiiiiiiiES9_PS2_JmmiiiiiiiiEE6invokeERKSB_SC_mmiiiiiiii"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFvmmRKNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmEvPS2_JmmSB_mEE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_Em=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFvmmRKNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmEvPS2_JmmSB_mEE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_Em"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFvmmRKNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmEvPS2_JmmSB_mEE6invokeERKSD_SE_mmPNS0_11BindingTypeIS9_vEUt_Em"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFvvEvPS2_JEE6invokeERKS4_S5_=Module["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFvvEvPS2_JEE6invokeERKS4_S5_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM16DynamicImagecoreFvvEvPS2_JEE6invokeERKS4_S5_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNS_3valEvES3_PS2_JEE6invokeERKS5_S6_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valEbES9_PS2_JSA_bEE6invokeERKSC_SD_PNS0_7_EM_VALEb=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valEbES9_PS2_JSA_bEE6invokeERKSC_SD_PNS0_7_EM_VALEb"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valEbES9_PS2_JSA_bEE6invokeERKSC_SD_PNS0_7_EM_VALEb"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valEbiRKS9_ES9_PS2_JSA_biSC_EE6invokeERKSE_SF_PNS0_7_EM_VALEbiPNS0_11BindingTypeIS9_vEUt_E=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valEbiRKS9_ES9_PS2_JSA_biSC_EE6invokeERKSE_SF_PNS0_7_EM_VALEbiPNS0_11BindingTypeIS9_vEUt_E"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEENS_3valEbiRKS9_ES9_PS2_JSA_biSC_EE6invokeERKSE_SF_PNS0_7_EM_VALEbiPNS0_11BindingTypeIS9_vEUt_E"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKS9_ES9_PS2_JSB_EE6invokeERKSD_SE_PNS0_11BindingTypeIS9_vEUt_E"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEdES9_PS2_JdEE6invokeERKSB_SC_d=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEdES9_PS2_JdEE6invokeERKSB_SC_d"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEdES9_PS2_JdEE6invokeERKSB_SC_d"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiRKS9_ES9_PS2_JiSB_EE6invokeERKSD_SE_iPNS0_11BindingTypeIS9_vEUt_E=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiRKS9_ES9_PS2_JiSB_EE6invokeERKSD_SE_iPNS0_11BindingTypeIS9_vEUt_E"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiRKS9_ES9_PS2_JiSB_EE6invokeERKSD_SE_iPNS0_11BindingTypeIS9_vEUt_E"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEidddRKS9_SB_ES9_PS2_JidddSB_SB_EE6invokeERKSD_SE_idddPNS0_11BindingTypeIS9_vEUt_ESL_=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEidddRKS9_SB_ES9_PS2_JidddSB_SB_EE6invokeERKSD_SE_idddPNS0_11BindingTypeIS9_vEUt_ESL_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEidddRKS9_SB_ES9_PS2_JidddSB_SB_EE6invokeERKSD_SE_idddPNS0_11BindingTypeIS9_vEUt_ESL_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiES9_PS2_JiiEE6invokeERKSB_SC_ii=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiES9_PS2_JiiEE6invokeERKSB_SC_ii"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiES9_PS2_JiiEE6invokeERKSB_SC_ii"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiES9_PS2_JiiiEE6invokeERKSB_SC_iii=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiES9_PS2_JiiiEE6invokeERKSB_SC_iii"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiES9_PS2_JiiiEE6invokeERKSB_SC_iii"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiES9_PS2_JiiiiEE6invokeERKSB_SC_iiii=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiES9_PS2_JiiiiEE6invokeERKSB_SC_iiii"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiES9_PS2_JiiiiEE6invokeERKSB_SC_iiii"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiRKS9_ES9_PS2_JiiiiSB_EE6invokeERKSD_SE_iiiiPNS0_11BindingTypeIS9_vEUt_E=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiRKS9_ES9_PS2_JiiiiSB_EE6invokeERKSD_SE_iiiiPNS0_11BindingTypeIS9_vEUt_E"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiRKS9_ES9_PS2_JiiiiSB_EE6invokeERKSD_SE_iiiiPNS0_11BindingTypeIS9_vEUt_E"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiibiES9_PS2_JiiiibiEE6invokeERKSB_SC_iiiibi=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiibiES9_PS2_JiiiibiEE6invokeERKSB_SC_iiiibi"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiibiES9_PS2_JiiiibiEE6invokeERKSB_SC_iiiibi"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiibibbES9_PS2_JiiiibibbEE6invokeERKSB_SC_iiiibibb=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiibibbES9_PS2_JiiiibibbEE6invokeERKSB_SC_iiiibibb"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiibibbES9_PS2_JiiiibibbEE6invokeERKSB_SC_iiiibibb"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiiiiiES9_PS2_JiiiiiiiiEE6invokeERKSB_SC_iiiiiiii=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiiiiiES9_PS2_JiiiiiiiiEE6invokeERKSB_SC_iiiiiiii"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiiiiiES9_PS2_JiiiiiiiiEE6invokeERKSB_SC_iiiiiiii"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiiiiiRKS9_ES9_PS2_JiiiiiiiiSB_EE6invokeERKSD_SE_iiiiiiiiPNS0_11BindingTypeIS9_vEUt_E=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiiiiiRKS9_ES9_PS2_JiiiiiiiiSB_EE6invokeERKSD_SE_iiiiiiiiPNS0_11BindingTypeIS9_vEUt_E"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEiiiiiiiiRKS9_ES9_PS2_JiiiiiiiiSB_EE6invokeERKSD_SE_iiiiiiiiPNS0_11BindingTypeIS9_vEUt_E"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiiES9_PS2_JmmiiiEE6invokeERKSB_SC_mmiii=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiiES9_PS2_JmmiiiEE6invokeERKSB_SC_mmiii"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEmmiiiES9_PS2_JmmiiiEE6invokeERKSB_SC_mmiii"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEEvES9_PS2_JEE6invokeERKSB_SC_"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFvbEvPS2_JbEE6invokeERKS4_S5_b=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFvbEvPS2_JbEE6invokeERKS4_S5_b"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFvbEvPS2_JbEE6invokeERKS4_S5_b"].apply(null,arguments)};var __ZN10emscripten8internal13MethodInvokerIM9ImageProcFvvEvPS2_JEE6invokeERKS4_S5_=Module["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFvvEvPS2_JEE6invokeERKS4_S5_"]=function(){return Module["asm"]["__ZN10emscripten8internal13MethodInvokerIM9ImageProcFvvEvPS2_JEE6invokeERKS4_S5_"].apply(null,arguments)};var __ZN10emscripten8internal13getActualTypeI11DynamicPdfWEEPKvPT_=Module["__ZN10emscripten8internal13getActualTypeI11DynamicPdfWEEPKvPT_"]=function(){return Module["asm"]["__ZN10emscripten8internal13getActualTypeI11DynamicPdfWEEPKvPT_"].apply(null,arguments)};var __ZN10emscripten8internal13getActualTypeI16DynamicImagecoreEEPKvPT_=Module["__ZN10emscripten8internal13getActualTypeI16DynamicImagecoreEEPKvPT_"]=function(){return Module["asm"]["__ZN10emscripten8internal13getActualTypeI16DynamicImagecoreEEPKvPT_"].apply(null,arguments)};var __ZN10emscripten8internal13getActualTypeI9ImageProcEEPKvPT_=Module["__ZN10emscripten8internal13getActualTypeI9ImageProcEEPKvPT_"]=function(){return Module["asm"]["__ZN10emscripten8internal13getActualTypeI9ImageProcEEPKvPT_"].apply(null,arguments)};var __ZN10emscripten8internal14raw_destructorI11DynamicPdfWEEvPT_=Module["__ZN10emscripten8internal14raw_destructorI11DynamicPdfWEEvPT_"]=function(){return Module["asm"]["__ZN10emscripten8internal14raw_destructorI11DynamicPdfWEEvPT_"].apply(null,arguments)};var __ZN10emscripten8internal14raw_destructorI16DynamicImagecoreEEvPT_=Module["__ZN10emscripten8internal14raw_destructorI16DynamicImagecoreEEvPT_"]=function(){return Module["asm"]["__ZN10emscripten8internal14raw_destructorI16DynamicImagecoreEEvPT_"].apply(null,arguments)};var __ZN10emscripten8internal14raw_destructorI9ImageProcEEvPT_=Module["__ZN10emscripten8internal14raw_destructorI9ImageProcEEvPT_"]=function(){return Module["asm"]["__ZN10emscripten8internal14raw_destructorI9ImageProcEEvPT_"].apply(null,arguments)};var __ZN10emscripten8internal7InvokerIP11DynamicPdfWJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_=Module["__ZN10emscripten8internal7InvokerIP11DynamicPdfWJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_"]=function(){return Module["asm"]["__ZN10emscripten8internal7InvokerIP11DynamicPdfWJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_"].apply(null,arguments)};var __ZN10emscripten8internal7InvokerIP16DynamicImagecoreJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_=Module["__ZN10emscripten8internal7InvokerIP16DynamicImagecoreJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_"]=function(){return Module["asm"]["__ZN10emscripten8internal7InvokerIP16DynamicImagecoreJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_"].apply(null,arguments)};var __ZN10emscripten8internal7InvokerIP9ImageProcJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_=Module["__ZN10emscripten8internal7InvokerIP9ImageProcJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_"]=function(){return Module["asm"]["__ZN10emscripten8internal7InvokerIP9ImageProcJONSt3__212basic_stringIcNS4_11char_traitsIcEENS4_9allocatorIcEEEEOiSB_EE6invokeEPFS3_SB_SC_SB_EPNS0_11BindingTypeISA_vEUt_EiSJ_"].apply(null,arguments)};var __ZN11DynamicPdfW10NewPdfPageEN10emscripten3valES1_=Module["__ZN11DynamicPdfW10NewPdfPageEN10emscripten3valES1_"]=function(){return Module["asm"]["__ZN11DynamicPdfW10NewPdfPageEN10emscripten3valES1_"].apply(null,arguments)};var __ZN11DynamicPdfW11EndWritePdfEv=Module["__ZN11DynamicPdfW11EndWritePdfEv"]=function(){return Module["asm"]["__ZN11DynamicPdfW11EndWritePdfEv"].apply(null,arguments)};var __ZN11DynamicPdfW12WritePdfPageEv=Module["__ZN11DynamicPdfW12WritePdfPageEv"]=function(){return Module["asm"]["__ZN11DynamicPdfW12WritePdfPageEv"].apply(null,arguments)};var __ZN11DynamicPdfW13GetPdfContentEv=Module["__ZN11DynamicPdfW13GetPdfContentEv"]=function(){return Module["asm"]["__ZN11DynamicPdfW13GetPdfContentEv"].apply(null,arguments)};var __ZN11DynamicPdfW13InitPdfWriterERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN11DynamicPdfW13InitPdfWriterERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN11DynamicPdfW13InitPdfWriterERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN11DynamicPdfW14GetWasmVersionEv=Module["__ZN11DynamicPdfW14GetWasmVersionEv"]=function(){return Module["asm"]["__ZN11DynamicPdfW14GetWasmVersionEv"].apply(null,arguments)};var __ZN11DynamicPdfW14PdfPageAddPathERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN11DynamicPdfW14PdfPageAddPathERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN11DynamicPdfW14PdfPageAddPathERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN11DynamicPdfW14PdfPageAddTextEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_=Module["__ZN11DynamicPdfW14PdfPageAddTextEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_"]=function(){return Module["asm"]["__ZN11DynamicPdfW14PdfPageAddTextEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_"].apply(null,arguments)};var __ZN11DynamicPdfW15PdfPageAddImageEmmiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEb=Module["__ZN11DynamicPdfW15PdfPageAddImageEmmiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEb"]=function(){return Module["asm"]["__ZN11DynamicPdfW15PdfPageAddImageEmmiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEb"].apply(null,arguments)};var __ZN11DynamicPdfW16FreeReservedDataEv=Module["__ZN11DynamicPdfW16FreeReservedDataEv"]=function(){return Module["asm"]["__ZN11DynamicPdfW16FreeReservedDataEv"].apply(null,arguments)};var __ZN11DynamicPdfW16GetPdfContentMD5Ev=Module["__ZN11DynamicPdfW16GetPdfContentMD5Ev"]=function(){return Module["asm"]["__ZN11DynamicPdfW16GetPdfContentMD5Ev"].apply(null,arguments)};var __ZN11DynamicPdfW16PdfPageSetRotateEi=Module["__ZN11DynamicPdfW16PdfPageSetRotateEi"]=function(){return Module["asm"]["__ZN11DynamicPdfW16PdfPageSetRotateEi"].apply(null,arguments)};var __ZN11DynamicPdfW18InitImageWatermarkEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN11DynamicPdfW18InitImageWatermarkEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN11DynamicPdfW18InitImageWatermarkEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN11DynamicPdfW19AddPageFromImageDIBEmm=Module["__ZN11DynamicPdfW19AddPageFromImageDIBEmm"]=function(){return Module["asm"]["__ZN11DynamicPdfW19AddPageFromImageDIBEmm"].apply(null,arguments)};var __ZN11DynamicPdfW19GetPdfContentBase64Ev=Module["__ZN11DynamicPdfW19GetPdfContentBase64Ev"]=function(){return Module["asm"]["__ZN11DynamicPdfW19GetPdfContentBase64Ev"].apply(null,arguments)};var __ZN11DynamicPdfW20PdfPageAddAnnotationERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN11DynamicPdfW20PdfPageAddAnnotationERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN11DynamicPdfW20PdfPageAddAnnotationERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN11DynamicPdfW24PdfPageAddImageWatermarkEv=Module["__ZN11DynamicPdfW24PdfPageAddImageWatermarkEv"]=function(){return Module["asm"]["__ZN11DynamicPdfW24PdfPageAddImageWatermarkEv"].apply(null,arguments)};var __ZN11DynamicPdfW26AddPageFromImageFileStreamEmmb=Module["__ZN11DynamicPdfW26AddPageFromImageFileStreamEmmb"]=function(){return Module["asm"]["__ZN11DynamicPdfW26AddPageFromImageFileStreamEmmb"].apply(null,arguments)};var __ZN12CLicenseAuth12FormatDomainERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN12CLicenseAuth12FormatDomainERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN12CLicenseAuth12FormatDomainERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN12CLicenseAuth14EditionMatchedEb=Module["__ZN12CLicenseAuth14EditionMatchedEb"]=function(){return Module["asm"]["__ZN12CLicenseAuth14EditionMatchedEb"].apply(null,arguments)};var __ZN12CLicenseAuth14GetVersionDescEv=Module["__ZN12CLicenseAuth14GetVersionDescEv"]=function(){return Module["asm"]["__ZN12CLicenseAuth14GetVersionDescEv"].apply(null,arguments)};var __ZN12CLicenseAuth14ProductMatchedEyy=Module["__ZN12CLicenseAuth14ProductMatchedEyy"]=function(){return Module["asm"]["__ZN12CLicenseAuth14ProductMatchedEyy"].apply(null,arguments)};var __ZN12CLicenseAuth14VersionMatchedEiiy=Module["__ZN12CLicenseAuth14VersionMatchedEiiy"]=function(){return Module["asm"]["__ZN12CLicenseAuth14VersionMatchedEiiy"].apply(null,arguments)};var __ZN12CLicenseAuth17GetDWTLicenseInfoERKNSt3__26vectorIN16DynamsoftLicense12SLicenseInfoENS0_9allocatorIS3_EEEENS0_12basic_stringIcNS0_11char_traitsIcEENS4_IcEEEEi=Module["__ZN12CLicenseAuth17GetDWTLicenseInfoERKNSt3__26vectorIN16DynamsoftLicense12SLicenseInfoENS0_9allocatorIS3_EEEENS0_12basic_stringIcNS0_11char_traitsIcEENS4_IcEEEEi"]=function(){return Module["asm"]["__ZN12CLicenseAuth17GetDWTLicenseInfoERKNSt3__26vectorIN16DynamsoftLicense12SLicenseInfoENS0_9allocatorIS3_EEEENS0_12basic_stringIcNS0_11char_traitsIcEENS4_IcEEEEi"].apply(null,arguments)};var __ZN12CLicenseAuth18GetProductMesgInfoEy=Module["__ZN12CLicenseAuth18GetProductMesgInfoEy"]=function(){return Module["asm"]["__ZN12CLicenseAuth18GetProductMesgInfoEy"].apply(null,arguments)};var __ZN12CLicenseAuth20ReseveredInfoMatchedEyyy=Module["__ZN12CLicenseAuth20ReseveredInfoMatchedEyyy"]=function(){return Module["asm"]["__ZN12CLicenseAuth20ReseveredInfoMatchedEyyy"].apply(null,arguments)};var __ZN12CLicenseAuth8GetCountEyii=Module["__ZN12CLicenseAuth8GetCountEyii"]=function(){return Module["asm"]["__ZN12CLicenseAuth8GetCountEyii"].apply(null,arguments)};var __ZN12CLicenseAuthD0Ev=Module["__ZN12CLicenseAuthD0Ev"]=function(){return Module["asm"]["__ZN12CLicenseAuthD0Ev"].apply(null,arguments)};var __ZN12CLicenseAuthD2Ev=Module["__ZN12CLicenseAuthD2Ev"]=function(){return Module["asm"]["__ZN12CLicenseAuthD2Ev"].apply(null,arguments)};var __ZN12_GLOBAL__N_114register_floatIdEEvPKc=Module["__ZN12_GLOBAL__N_114register_floatIdEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_114register_floatIdEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_114register_floatIfEEvPKc=Module["__ZN12_GLOBAL__N_114register_floatIfEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_114register_floatIfEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerIaEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerIaEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerIaEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerIcEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerIcEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerIcEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerIhEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerIhEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerIhEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerIiEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerIiEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerIiEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerIjEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerIjEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerIjEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerIlEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerIlEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerIlEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerImEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerImEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerImEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerIsEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerIsEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerIsEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_116register_integerItEEvPKc=Module["__ZN12_GLOBAL__N_116register_integerItEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_116register_integerItEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIaEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIaEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIaEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIcEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIcEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIcEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIdEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIdEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIdEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIeEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIeEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIeEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIfEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIfEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIfEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIhEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIhEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIhEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIiEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIiEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIiEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIjEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIjEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIjEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIlEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIlEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIlEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewImEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewImEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewImEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewIsEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewIsEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewIsEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_120register_memory_viewItEEvPKc=Module["__ZN12_GLOBAL__N_120register_memory_viewItEEvPKc"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_120register_memory_viewItEEvPKc"].apply(null,arguments)};var __ZN12_GLOBAL__N_19AtomicIntIhE4loadENSt3__212_GLOBAL__N_121__libcpp_atomic_orderE=Module["__ZN12_GLOBAL__N_19AtomicIntIhE4loadENSt3__212_GLOBAL__N_121__libcpp_atomic_orderE"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_19AtomicIntIhE4loadENSt3__212_GLOBAL__N_121__libcpp_atomic_orderE"].apply(null,arguments)};var __ZN12_GLOBAL__N_19AtomicIntIhE5storeEhNSt3__212_GLOBAL__N_121__libcpp_atomic_orderE=Module["__ZN12_GLOBAL__N_19AtomicIntIhE5storeEhNSt3__212_GLOBAL__N_121__libcpp_atomic_orderE"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_19AtomicIntIhE5storeEhNSt3__212_GLOBAL__N_121__libcpp_atomic_orderE"].apply(null,arguments)};var __ZN12_GLOBAL__N_19AtomicIntIhEC2EPh=Module["__ZN12_GLOBAL__N_19AtomicIntIhEC2EPh"]=function(){return Module["asm"]["__ZN12_GLOBAL__N_19AtomicIntIhEC2EPh"].apply(null,arguments)};var __ZN14CLicenseReader11SplitStringERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEc=Module["__ZN14CLicenseReader11SplitStringERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEc"]=function(){return Module["asm"]["__ZN14CLicenseReader11SplitStringERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEc"].apply(null,arguments)};var __ZN14CLicenseReader16DecodeProductKeyEPKhiRKNSt3__212basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEESA_b=Module["__ZN14CLicenseReader16DecodeProductKeyEPKhiRKNSt3__212basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEESA_b"]=function(){return Module["asm"]["__ZN14CLicenseReader16DecodeProductKeyEPKhiRKNSt3__212basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEESA_b"].apply(null,arguments)};var __ZN14CLicenseReader17DecodeProductKeysERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN14CLicenseReader17DecodeProductKeysERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN14CLicenseReader17DecodeProductKeysERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN14CRSAEncryption7DecryptEPKhiS1_iS1_iPh=Module["__ZN14CRSAEncryption7DecryptEPKhiS1_iS1_iPh"]=function(){return Module["asm"]["__ZN14CRSAEncryption7DecryptEPKhiS1_iS1_iPh"].apply(null,arguments)};var __ZN16DynamicImagecore10RotateJpegEmmi=Module["__ZN16DynamicImagecore10RotateJpegEmmi"]=function(){return Module["asm"]["__ZN16DynamicImagecore10RotateJpegEmmi"].apply(null,arguments)};var __ZN16DynamicImagecore11EndReadTiffEv=Module["__ZN16DynamicImagecore11EndReadTiffEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore11EndReadTiffEv"].apply(null,arguments)};var __ZN16DynamicImagecore12EndWriteTiffEv=Module["__ZN16DynamicImagecore12EndWriteTiffEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore12EndWriteTiffEv"].apply(null,arguments)};var __ZN16DynamicImagecore12ReadTiffPageEiib=Module["__ZN16DynamicImagecore12ReadTiffPageEiib"]=function(){return Module["asm"]["__ZN16DynamicImagecore12ReadTiffPageEiib"].apply(null,arguments)};var __ZN16DynamicImagecore13AESGcmEncryptERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN16DynamicImagecore13AESGcmEncryptERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN16DynamicImagecore13AESGcmEncryptERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN16DynamicImagecore13GetTiffStreamEv=Module["__ZN16DynamicImagecore13GetTiffStreamEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore13GetTiffStreamEv"].apply(null,arguments)};var __ZN16DynamicImagecore13ReadImageInfoEmm=Module["__ZN16DynamicImagecore13ReadImageInfoEmm"]=function(){return Module["asm"]["__ZN16DynamicImagecore13ReadImageInfoEmm"].apply(null,arguments)};var __ZN16DynamicImagecore14GetCurrentDataEv=Module["__ZN16DynamicImagecore14GetCurrentDataEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore14GetCurrentDataEv"].apply(null,arguments)};var __ZN16DynamicImagecore14GetImageFormatEmm=Module["__ZN16DynamicImagecore14GetImageFormatEmm"]=function(){return Module["asm"]["__ZN16DynamicImagecore14GetImageFormatEmm"].apply(null,arguments)};var __ZN16DynamicImagecore14GetLicenseInfoEv=Module["__ZN16DynamicImagecore14GetLicenseInfoEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore14GetLicenseInfoEv"].apply(null,arguments)};var __ZN16DynamicImagecore14GetWasmVersionEv=Module["__ZN16DynamicImagecore14GetWasmVersionEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore14GetWasmVersionEv"].apply(null,arguments)};var __ZN16DynamicImagecore15GetTiffPageInfoEi=Module["__ZN16DynamicImagecore15GetTiffPageInfoEi"]=function(){return Module["asm"]["__ZN16DynamicImagecore15GetTiffPageInfoEi"].apply(null,arguments)};var __ZN16DynamicImagecore16AddTagToNextPageEjRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEb=Module["__ZN16DynamicImagecore16AddTagToNextPageEjRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEb"]=function(){return Module["asm"]["__ZN16DynamicImagecore16AddTagToNextPageEjRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEb"].apply(null,arguments)};var __ZN16DynamicImagecore16FreeReservedDataEv=Module["__ZN16DynamicImagecore16FreeReservedDataEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore16FreeReservedDataEv"].apply(null,arguments)};var __ZN16DynamicImagecore16GetMultipartFileEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEm=Module["__ZN16DynamicImagecore16GetMultipartFileEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEm"]=function(){return Module["asm"]["__ZN16DynamicImagecore16GetMultipartFileEmmRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEm"].apply(null,arguments)};var __ZN16DynamicImagecore16GetTiffStreamMD5Ev=Module["__ZN16DynamicImagecore16GetTiffStreamMD5Ev"]=function(){return Module["asm"]["__ZN16DynamicImagecore16GetTiffStreamMD5Ev"].apply(null,arguments)};var __ZN16DynamicImagecore17AppendImageToTiffEmmiiib=Module["__ZN16DynamicImagecore17AppendImageToTiffEmmiiib"]=function(){return Module["asm"]["__ZN16DynamicImagecore17AppendImageToTiffEmmiiib"].apply(null,arguments)};var __ZN16DynamicImagecore17GetCurrentDataMD5Ev=Module["__ZN16DynamicImagecore17GetCurrentDataMD5Ev"]=function(){return Module["asm"]["__ZN16DynamicImagecore17GetCurrentDataMD5Ev"].apply(null,arguments)};var __ZN16DynamicImagecore19GetTiffStreamBase64Ev=Module["__ZN16DynamicImagecore19GetTiffStreamBase64Ev"]=function(){return Module["asm"]["__ZN16DynamicImagecore19GetTiffStreamBase64Ev"].apply(null,arguments)};var __ZN16DynamicImagecore20DestroyMultipartFileEv=Module["__ZN16DynamicImagecore20DestroyMultipartFileEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore20DestroyMultipartFileEv"].apply(null,arguments)};var __ZN16DynamicImagecore20GetCurrentDataBase64Ev=Module["__ZN16DynamicImagecore20GetCurrentDataBase64Ev"]=function(){return Module["asm"]["__ZN16DynamicImagecore20GetCurrentDataBase64Ev"].apply(null,arguments)};var __ZN16DynamicImagecore6GetMD5Emm=Module["__ZN16DynamicImagecore6GetMD5Emm"]=function(){return Module["asm"]["__ZN16DynamicImagecore6GetMD5Emm"].apply(null,arguments)};var __ZN16DynamicImagecore7NewTiffEv=Module["__ZN16DynamicImagecore7NewTiffEv"]=function(){return Module["asm"]["__ZN16DynamicImagecore7NewTiffEv"].apply(null,arguments)};var __ZN16DynamicImagecore8LoadTiffEmm=Module["__ZN16DynamicImagecore8LoadTiffEmm"]=function(){return Module["asm"]["__ZN16DynamicImagecore8LoadTiffEmm"].apply(null,arguments)};var __ZN16DynamicImagecore9ReadImageEmmiib=Module["__ZN16DynamicImagecore9ReadImageEmmiib"]=function(){return Module["asm"]["__ZN16DynamicImagecore9ReadImageEmmiib"].apply(null,arguments)};var __ZN16DynamicImagecore9SaveImageEmmiiiiiiii=Module["__ZN16DynamicImagecore9SaveImageEmmiiiiiiii"]=function(){return Module["asm"]["__ZN16DynamicImagecore9SaveImageEmmiiiiiiii"].apply(null,arguments)};var __ZN17CParseLicenseInfo6CalVefEPKcS1_S1_Pc=Module["__ZN17CParseLicenseInfo6CalVefEPKcS1_S1_Pc"]=function(){return Module["asm"]["__ZN17CParseLicenseInfo6CalVefEPKcS1_S1_Pc"].apply(null,arguments)};var __ZN4CMD512MD5TransformEPjPh=Module["__ZN4CMD512MD5TransformEPjPh"]=function(){return Module["asm"]["__ZN4CMD512MD5TransformEPjPh"].apply(null,arguments)};var __ZN4CMD58MD5FinalEPh=Module["__ZN4CMD58MD5FinalEPh"]=function(){return Module["asm"]["__ZN4CMD58MD5FinalEPh"].apply(null,arguments)};var __ZN4CMD59MD5UpdateEPhj=Module["__ZN4CMD59MD5UpdateEPhj"]=function(){return Module["asm"]["__ZN4CMD59MD5UpdateEPhj"].apply(null,arguments)};var __ZN4CMD5D0Ev=Module["__ZN4CMD5D0Ev"]=function(){return Module["asm"]["__ZN4CMD5D0Ev"].apply(null,arguments)};var __ZN4CMD5D2Ev=Module["__ZN4CMD5D2Ev"]=function(){return Module["asm"]["__ZN4CMD5D2Ev"].apply(null,arguments)};var __ZN4Json10CharReader7FactoryC2Ev=Module["__ZN4Json10CharReader7FactoryC2Ev"]=function(){return Module["asm"]["__ZN4Json10CharReader7FactoryC2Ev"].apply(null,arguments)};var __ZN4Json10CharReader7FactoryD0Ev=Module["__ZN4Json10CharReader7FactoryD0Ev"]=function(){return Module["asm"]["__ZN4Json10CharReader7FactoryD0Ev"].apply(null,arguments)};var __ZN4Json10CharReader7FactoryD2Ev=Module["__ZN4Json10CharReader7FactoryD2Ev"]=function(){return Module["asm"]["__ZN4Json10CharReader7FactoryD2Ev"].apply(null,arguments)};var __ZN4Json10CharReaderC2Ev=Module["__ZN4Json10CharReaderC2Ev"]=function(){return Module["asm"]["__ZN4Json10CharReaderC2Ev"].apply(null,arguments)};var __ZN4Json10CharReaderD0Ev=Module["__ZN4Json10CharReaderD0Ev"]=function(){return Module["asm"]["__ZN4Json10CharReaderD0Ev"].apply(null,arguments)};var __ZN4Json10CharReaderD2Ev=Module["__ZN4Json10CharReaderD2Ev"]=function(){return Module["asm"]["__ZN4Json10CharReaderD2Ev"].apply(null,arguments)};var __ZN4Json10LogicErrorC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE=Module["__ZN4Json10LogicErrorC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json10LogicErrorC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json10LogicErrorD0Ev=Module["__ZN4Json10LogicErrorD0Ev"]=function(){return Module["asm"]["__ZN4Json10LogicErrorD0Ev"].apply(null,arguments)};var __ZN4Json11OurFeatures3allEv=Module["__ZN4Json11OurFeatures3allEv"]=function(){return Module["asm"]["__ZN4Json11OurFeatures3allEv"].apply(null,arguments)};var __ZN4Json12RuntimeErrorC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE=Module["__ZN4Json12RuntimeErrorC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json12RuntimeErrorC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json12RuntimeErrorD0Ev=Module["__ZN4Json12RuntimeErrorD0Ev"]=function(){return Module["asm"]["__ZN4Json12RuntimeErrorD0Ev"].apply(null,arguments)};var __ZN4Json12_GLOBAL__N_113valueToStringEdbjNS_13PrecisionTypeE=Module["__ZN4Json12_GLOBAL__N_113valueToStringEdbjNS_13PrecisionTypeE"]=function(){return Module["asm"]["__ZN4Json12_GLOBAL__N_113valueToStringEdbjNS_13PrecisionTypeE"].apply(null,arguments)};var __ZN4Json13OurCharReader5parseEPKcS2_PNS_5ValueEPNSt3__212basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE=Module["__ZN4Json13OurCharReader5parseEPKcS2_PNS_5ValueEPNSt3__212basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json13OurCharReader5parseEPKcS2_PNS_5ValueEPNSt3__212basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json13OurCharReaderC2EbRKNS_11OurFeaturesE=Module["__ZN4Json13OurCharReaderC2EbRKNS_11OurFeaturesE"]=function(){return Module["asm"]["__ZN4Json13OurCharReaderC2EbRKNS_11OurFeaturesE"].apply(null,arguments)};var __ZN4Json13OurCharReaderD0Ev=Module["__ZN4Json13OurCharReaderD0Ev"]=function(){return Module["asm"]["__ZN4Json13OurCharReaderD0Ev"].apply(null,arguments)};var __ZN4Json13OurCharReaderD2Ev=Module["__ZN4Json13OurCharReaderD2Ev"]=function(){return Module["asm"]["__ZN4Json13OurCharReaderD2Ev"].apply(null,arguments)};var __ZN4Json13valueToStringEdjNS_13PrecisionTypeE=Module["__ZN4Json13valueToStringEdjNS_13PrecisionTypeE"]=function(){return Module["asm"]["__ZN4Json13valueToStringEdjNS_13PrecisionTypeE"].apply(null,arguments)};var __ZN4Json13valueToStringEx=Module["__ZN4Json13valueToStringEx"]=function(){return Module["asm"]["__ZN4Json13valueToStringEx"].apply(null,arguments)};var __ZN4Json13valueToStringEy=Module["__ZN4Json13valueToStringEy"]=function(){return Module["asm"]["__ZN4Json13valueToStringEy"].apply(null,arguments)};var __ZN4Json15throwLogicErrorERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN4Json15throwLogicErrorERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json15throwLogicErrorERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json16fixNumericLocaleINSt3__211__wrap_iterIPcEEEET_S5_S5_=Module["__ZN4Json16fixNumericLocaleINSt3__211__wrap_iterIPcEEEET_S5_S5_"]=function(){return Module["asm"]["__ZN4Json16fixNumericLocaleINSt3__211__wrap_iterIPcEEEET_S5_S5_"].apply(null,arguments)};var __ZN4Json17CharReaderBuilder11setDefaultsEPNS_5ValueE=Module["__ZN4Json17CharReaderBuilder11setDefaultsEPNS_5ValueE"]=function(){return Module["asm"]["__ZN4Json17CharReaderBuilder11setDefaultsEPNS_5ValueE"].apply(null,arguments)};var __ZN4Json17CharReaderBuilderC2Ev=Module["__ZN4Json17CharReaderBuilderC2Ev"]=function(){return Module["asm"]["__ZN4Json17CharReaderBuilderC2Ev"].apply(null,arguments)};var __ZN4Json17CharReaderBuilderD0Ev=Module["__ZN4Json17CharReaderBuilderD0Ev"]=function(){return Module["asm"]["__ZN4Json17CharReaderBuilderD0Ev"].apply(null,arguments)};var __ZN4Json17CharReaderBuilderD2Ev=Module["__ZN4Json17CharReaderBuilderD2Ev"]=function(){return Module["asm"]["__ZN4Json17CharReaderBuilderD2Ev"].apply(null,arguments)};var __ZN4Json17throwRuntimeErrorERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN4Json17throwRuntimeErrorERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json17throwRuntimeErrorERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json5Value10dupPayloadERKS0_=Module["__ZN4Json5Value10dupPayloadERKS0_"]=function(){return Module["asm"]["__ZN4Json5Value10dupPayloadERKS0_"].apply(null,arguments)};var __ZN4Json5Value10setCommentENSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEENS_16CommentPlacementE=Module["__ZN4Json5Value10setCommentENSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEENS_16CommentPlacementE"]=function(){return Module["asm"]["__ZN4Json5Value10setCommentENSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEENS_16CommentPlacementE"].apply(null,arguments)};var __ZN4Json5Value11swapPayloadERS0_=Module["__ZN4Json5Value11swapPayloadERS0_"]=function(){return Module["asm"]["__ZN4Json5Value11swapPayloadERS0_"].apply(null,arguments)};var __ZN4Json5Value13nullSingletonEv=Module["__ZN4Json5Value13nullSingletonEv"]=function(){return Module["asm"]["__ZN4Json5Value13nullSingletonEv"].apply(null,arguments)};var __ZN4Json5Value14releasePayloadEv=Module["__ZN4Json5Value14releasePayloadEv"]=function(){return Module["asm"]["__ZN4Json5Value14releasePayloadEv"].apply(null,arguments)};var __ZN4Json5Value14setIsAllocatedEb=Module["__ZN4Json5Value14setIsAllocatedEb"]=function(){return Module["asm"]["__ZN4Json5Value14setIsAllocatedEb"].apply(null,arguments)};var __ZN4Json5Value14setOffsetLimitEl=Module["__ZN4Json5Value14setOffsetLimitEl"]=function(){return Module["asm"]["__ZN4Json5Value14setOffsetLimitEl"].apply(null,arguments)};var __ZN4Json5Value14setOffsetStartEl=Module["__ZN4Json5Value14setOffsetStartEl"]=function(){return Module["asm"]["__ZN4Json5Value14setOffsetStartEl"].apply(null,arguments)};var __ZN4Json5Value16resolveReferenceEPKcS2_=Module["__ZN4Json5Value16resolveReferenceEPKcS2_"]=function(){return Module["asm"]["__ZN4Json5Value16resolveReferenceEPKcS2_"].apply(null,arguments)};var __ZN4Json5Value4swapERS0_=Module["__ZN4Json5Value4swapERS0_"]=function(){return Module["asm"]["__ZN4Json5Value4swapERS0_"].apply(null,arguments)};var __ZN4Json5Value7dupMetaERKS0_=Module["__ZN4Json5Value7dupMetaERKS0_"]=function(){return Module["asm"]["__ZN4Json5Value7dupMetaERKS0_"].apply(null,arguments)};var __ZN4Json5Value7setTypeENS_9ValueTypeE=Module["__ZN4Json5Value7setTypeENS_9ValueTypeE"]=function(){return Module["asm"]["__ZN4Json5Value7setTypeENS_9ValueTypeE"].apply(null,arguments)};var __ZN4Json5Value8CZStringC2EPKcjNS1_17DuplicationPolicyE=Module["__ZN4Json5Value8CZStringC2EPKcjNS1_17DuplicationPolicyE"]=function(){return Module["asm"]["__ZN4Json5Value8CZStringC2EPKcjNS1_17DuplicationPolicyE"].apply(null,arguments)};var __ZN4Json5Value8CZStringC2ERKS1_=Module["__ZN4Json5Value8CZStringC2ERKS1_"]=function(){return Module["asm"]["__ZN4Json5Value8CZStringC2ERKS1_"].apply(null,arguments)};var __ZN4Json5Value8CZStringC2Ej=Module["__ZN4Json5Value8CZStringC2Ej"]=function(){return Module["asm"]["__ZN4Json5Value8CZStringC2Ej"].apply(null,arguments)};var __ZN4Json5Value8CZStringD2Ev=Module["__ZN4Json5Value8CZStringD2Ev"]=function(){return Module["asm"]["__ZN4Json5Value8CZStringD2Ev"].apply(null,arguments)};var __ZN4Json5Value8Comments3setENS_16CommentPlacementENSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE=Module["__ZN4Json5Value8Comments3setENS_16CommentPlacementENSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json5Value8Comments3setENS_16CommentPlacementENSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json5Value8CommentsC2EOS1_=Module["__ZN4Json5Value8CommentsC2EOS1_"]=function(){return Module["asm"]["__ZN4Json5Value8CommentsC2EOS1_"].apply(null,arguments)};var __ZN4Json5Value8CommentsC2Ev=Module["__ZN4Json5Value8CommentsC2Ev"]=function(){return Module["asm"]["__ZN4Json5Value8CommentsC2Ev"].apply(null,arguments)};var __ZN4Json5Value8CommentsD2Ev=Module["__ZN4Json5Value8CommentsD2Ev"]=function(){return Module["asm"]["__ZN4Json5Value8CommentsD2Ev"].apply(null,arguments)};var __ZN4Json5Value8CommentsaSEOS1_=Module["__ZN4Json5Value8CommentsaSEOS1_"]=function(){return Module["asm"]["__ZN4Json5Value8CommentsaSEOS1_"].apply(null,arguments)};var __ZN4Json5Value8CommentsaSERKS1_=Module["__ZN4Json5Value8CommentsaSERKS1_"]=function(){return Module["asm"]["__ZN4Json5Value8CommentsaSERKS1_"].apply(null,arguments)};var __ZN4Json5Value9initBasicENS_9ValueTypeEb=Module["__ZN4Json5Value9initBasicENS_9ValueTypeEb"]=function(){return Module["asm"]["__ZN4Json5Value9initBasicENS_9ValueTypeEb"].apply(null,arguments)};var __ZN4Json5ValueC2ENS_9ValueTypeE=Module["__ZN4Json5ValueC2ENS_9ValueTypeE"]=function(){return Module["asm"]["__ZN4Json5ValueC2ENS_9ValueTypeE"].apply(null,arguments)};var __ZN4Json5ValueC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE=Module["__ZN4Json5ValueC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json5ValueC2ERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json5ValueC2ERKS0_=Module["__ZN4Json5ValueC2ERKS0_"]=function(){return Module["asm"]["__ZN4Json5ValueC2ERKS0_"].apply(null,arguments)};var __ZN4Json5ValueC2Eb=Module["__ZN4Json5ValueC2Eb"]=function(){return Module["asm"]["__ZN4Json5ValueC2Eb"].apply(null,arguments)};var __ZN4Json5ValueC2Ed=Module["__ZN4Json5ValueC2Ed"]=function(){return Module["asm"]["__ZN4Json5ValueC2Ed"].apply(null,arguments)};var __ZN4Json5ValueC2Ei=Module["__ZN4Json5ValueC2Ei"]=function(){return Module["asm"]["__ZN4Json5ValueC2Ei"].apply(null,arguments)};var __ZN4Json5ValueC2Ex=Module["__ZN4Json5ValueC2Ex"]=function(){return Module["asm"]["__ZN4Json5ValueC2Ex"].apply(null,arguments)};var __ZN4Json5ValueC2Ey=Module["__ZN4Json5ValueC2Ey"]=function(){return Module["asm"]["__ZN4Json5ValueC2Ey"].apply(null,arguments)};var __ZN4Json5ValueD2Ev=Module["__ZN4Json5ValueD2Ev"]=function(){return Module["asm"]["__ZN4Json5ValueD2Ev"].apply(null,arguments)};var __ZN4Json5ValueaSEOS0_=Module["__ZN4Json5ValueaSEOS0_"]=function(){return Module["asm"]["__ZN4Json5ValueaSEOS0_"].apply(null,arguments)};var __ZN4Json5ValueixEPKc=Module["__ZN4Json5ValueixEPKc"]=function(){return Module["asm"]["__ZN4Json5ValueixEPKc"].apply(null,arguments)};var __ZN4Json5ValueixERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE=Module["__ZN4Json5ValueixERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json5ValueixERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json5ValueixEi=Module["__ZN4Json5ValueixEi"]=function(){return Module["asm"]["__ZN4Json5ValueixEi"].apply(null,arguments)};var __ZN4Json5ValueixEj=Module["__ZN4Json5ValueixEj"]=function(){return Module["asm"]["__ZN4Json5ValueixEj"].apply(null,arguments)};var __ZN4Json9ExceptionC2ENSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE=Module["__ZN4Json9ExceptionC2ENSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json9ExceptionC2ENSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json9ExceptionD0Ev=Module["__ZN4Json9ExceptionD0Ev"]=function(){return Module["asm"]["__ZN4Json9ExceptionD0Ev"].apply(null,arguments)};var __ZN4Json9ExceptionD2Ev=Module["__ZN4Json9ExceptionD2Ev"]=function(){return Module["asm"]["__ZN4Json9ExceptionD2Ev"].apply(null,arguments)};var __ZN4Json9OurReader10addCommentEPKcS2_NS_16CommentPlacementE=Module["__ZN4Json9OurReader10addCommentEPKcS2_NS_16CommentPlacementE"]=function(){return Module["asm"]["__ZN4Json9OurReader10addCommentEPKcS2_NS_16CommentPlacementE"].apply(null,arguments)};var __ZN4Json9OurReader10readNumberEb=Module["__ZN4Json9OurReader10readNumberEb"]=function(){return Module["asm"]["__ZN4Json9OurReader10readNumberEb"].apply(null,arguments)};var __ZN4Json9OurReader10readObjectERNS0_5TokenE=Module["__ZN4Json9OurReader10readObjectERNS0_5TokenE"]=function(){return Module["asm"]["__ZN4Json9OurReader10readObjectERNS0_5TokenE"].apply(null,arguments)};var __ZN4Json9OurReader10readStringEv=Module["__ZN4Json9OurReader10readStringEv"]=function(){return Module["asm"]["__ZN4Json9OurReader10readStringEv"].apply(null,arguments)};var __ZN4Json9OurReader10skipSpacesEv=Module["__ZN4Json9OurReader10skipSpacesEv"]=function(){return Module["asm"]["__ZN4Json9OurReader10skipSpacesEv"].apply(null,arguments)};var __ZN4Json9OurReader11getNextCharEv=Module["__ZN4Json9OurReader11getNextCharEv"]=function(){return Module["asm"]["__ZN4Json9OurReader11getNextCharEv"].apply(null,arguments)};var __ZN4Json9OurReader11readCommentEv=Module["__ZN4Json9OurReader11readCommentEv"]=function(){return Module["asm"]["__ZN4Json9OurReader11readCommentEv"].apply(null,arguments)};var __ZN4Json9OurReader12currentValueEv=Module["__ZN4Json9OurReader12currentValueEv"]=function(){return Module["asm"]["__ZN4Json9OurReader12currentValueEv"].apply(null,arguments)};var __ZN4Json9OurReader12decodeDoubleERNS0_5TokenERNS_5ValueE=Module["__ZN4Json9OurReader12decodeDoubleERNS0_5TokenERNS_5ValueE"]=function(){return Module["asm"]["__ZN4Json9OurReader12decodeDoubleERNS0_5TokenERNS_5ValueE"].apply(null,arguments)};var __ZN4Json9OurReader12decodeNumberERNS0_5TokenE=Module["__ZN4Json9OurReader12decodeNumberERNS0_5TokenE"]=function(){return Module["asm"]["__ZN4Json9OurReader12decodeNumberERNS0_5TokenE"].apply(null,arguments)};var __ZN4Json9OurReader12decodeNumberERNS0_5TokenERNS_5ValueE=Module["__ZN4Json9OurReader12decodeNumberERNS0_5TokenERNS_5ValueE"]=function(){return Module["asm"]["__ZN4Json9OurReader12decodeNumberERNS0_5TokenERNS_5ValueE"].apply(null,arguments)};var __ZN4Json9OurReader12decodeStringERNS0_5TokenE=Module["__ZN4Json9OurReader12decodeStringERNS0_5TokenE"]=function(){return Module["asm"]["__ZN4Json9OurReader12decodeStringERNS0_5TokenE"].apply(null,arguments)};var __ZN4Json9OurReader12decodeStringERNS0_5TokenERNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE=Module["__ZN4Json9OurReader12decodeStringERNS0_5TokenERNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN4Json9OurReader12decodeStringERNS0_5TokenERNSt3__212basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE"].apply(null,arguments)};var __ZN4Json9OurReader12normalizeEOLEPKcS2_=Module["__ZN4Json9OurReader12normalizeEOLEPKcS2_"]=function(){return Module["asm"]["__ZN4Json9OurReader12normalizeEOLEPKcS2_"].apply(null,arguments)};var __ZN4Json9OurReader15containsNewLineEPKcS2_=Module["__ZN4Json9OurReader15containsNewLineEPKcS2_"]=function(){return Module["asm"]["__ZN4Json9OurReader15containsNewLineEPKcS2_"].apply(null,arguments)};var __ZN4Json9OurReader16recoverFromErrorENS0_9TokenTypeE=Module["__ZN4Json9OurReader16recoverFromErrorENS0_9TokenTypeE"]=function(){return Module["asm"]["__ZN4Json9OurReader16recoverFromErrorENS0_9TokenTypeE"].apply(null,arguments)};var __ZN4Json9OurReader17readCStyleCommentEPb=Module["__ZN4Json9OurReader17readCStyleCommentEPb"]=function(){return Module["asm"]["__ZN4Json9OurReader17readCStyleCommentEPb"].apply(null,arguments)};var __ZN4Json9OurReader17skipCommentTokensERNS0_5TokenE=Module["__ZN4Json9OurReader17skipCommentTokensERNS0_5TokenE"]=function(){return Module["asm"]["__ZN4Json9OurReader17skipCommentTokensERNS0_5TokenE"].apply(null,arguments)};var __ZN4Json9OurReader18addErrorAndRecoverERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERNS0_5TokenENS0_9TokenTypeE=Module["__ZN4Json9OurReader18addErrorAndRecoverERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERNS0_5TokenENS0_9TokenTypeE"]=function(){return Module["asm"]["__ZN4Json9OurReader18addErrorAndRecoverERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERNS0_5TokenENS0_9TokenTypeE"].apply(null,arguments)};var __ZN4Json9OurReader19readCppStyleCommentEv=Module["__ZN4Json9OurReader19readCppStyleCommentEv"]=function(){return Module["asm"]["__ZN4Json9OurReader19readCppStyleCommentEv"].apply(null,arguments)};var __ZN4Json9OurReader21readStringSingleQuoteEv=Module["__ZN4Json9OurReader21readStringSingleQuoteEv"]=function(){return Module["asm"]["__ZN4Json9OurReader21readStringSingleQuoteEv"].apply(null,arguments)};var __ZN4Json9OurReader22decodeUnicodeCodePointERNS0_5TokenERPKcS4_Rj=Module["__ZN4Json9OurReader22decodeUnicodeCodePointERNS0_5TokenERPKcS4_Rj"]=function(){return Module["asm"]["__ZN4Json9OurReader22decodeUnicodeCodePointERNS0_5TokenERPKcS4_Rj"].apply(null,arguments)};var __ZN4Json9OurReader27decodeUnicodeEscapeSequenceERNS0_5TokenERPKcS4_Rj=Module["__ZN4Json9OurReader27decodeUnicodeEscapeSequenceERNS0_5TokenERPKcS4_Rj"]=function(){return Module["asm"]["__ZN4Json9OurReader27decodeUnicodeEscapeSequenceERNS0_5TokenERPKcS4_Rj"].apply(null,arguments)};var __ZN4Json9OurReader5matchEPKci=Module["__ZN4Json9OurReader5matchEPKci"]=function(){return Module["asm"]["__ZN4Json9OurReader5matchEPKci"].apply(null,arguments)};var __ZN4Json9OurReader5parseEPKcS2_RNS_5ValueEb=Module["__ZN4Json9OurReader5parseEPKcS2_RNS_5ValueEb"]=function(){return Module["asm"]["__ZN4Json9OurReader5parseEPKcS2_RNS_5ValueEb"].apply(null,arguments)};var __ZN4Json9OurReader7skipBomEb=Module["__ZN4Json9OurReader7skipBomEb"]=function(){return Module["asm"]["__ZN4Json9OurReader7skipBomEb"].apply(null,arguments)};var __ZN4Json9OurReader8addErrorERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERNS0_5TokenEPKc=Module["__ZN4Json9OurReader8addErrorERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERNS0_5TokenEPKc"]=function(){return Module["asm"]["__ZN4Json9OurReader8addErrorERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERNS0_5TokenEPKc"].apply(null,arguments)};var __ZN4Json9OurReader9ErrorInfoC2ERKS1_=Module["__ZN4Json9OurReader9ErrorInfoC2ERKS1_"]=function(){return Module["asm"]["__ZN4Json9OurReader9ErrorInfoC2ERKS1_"].apply(null,arguments)};var __ZN4Json9OurReader9ErrorInfoC2Ev=Module["__ZN4Json9OurReader9ErrorInfoC2Ev"]=function(){return Module["asm"]["__ZN4Json9OurReader9ErrorInfoC2Ev"].apply(null,arguments)};var __ZN4Json9OurReader9ErrorInfoD2Ev=Module["__ZN4Json9OurReader9ErrorInfoD2Ev"]=function(){return Module["asm"]["__ZN4Json9OurReader9ErrorInfoD2Ev"].apply(null,arguments)};var __ZN4Json9OurReader9readArrayERNS0_5TokenE=Module["__ZN4Json9OurReader9readArrayERNS0_5TokenE"]=function(){return Module["asm"]["__ZN4Json9OurReader9readArrayERNS0_5TokenE"].apply(null,arguments)};var __ZN4Json9OurReader9readTokenERNS0_5TokenE=Module["__ZN4Json9OurReader9readTokenERNS0_5TokenE"]=function(){return Module["asm"]["__ZN4Json9OurReader9readTokenERNS0_5TokenE"].apply(null,arguments)};var __ZN4Json9OurReader9readValueEv=Module["__ZN4Json9OurReader9readValueEv"]=function(){return Module["asm"]["__ZN4Json9OurReader9readValueEv"].apply(null,arguments)};var __ZN4Json9OurReaderC2ERKNS_11OurFeaturesE=Module["__ZN4Json9OurReaderC2ERKNS_11OurFeaturesE"]=function(){return Module["asm"]["__ZN4Json9OurReaderC2ERKNS_11OurFeaturesE"].apply(null,arguments)};var __ZN4Json9OurReaderD2Ev=Module["__ZN4Json9OurReaderD2Ev"]=function(){return Module["asm"]["__ZN4Json9OurReaderD2Ev"].apply(null,arguments)};var __ZN4JsonL10IsIntegralEd=Module["__ZN4JsonL10IsIntegralEd"]=function(){return Module["asm"]["__ZN4JsonL10IsIntegralEd"].apply(null,arguments)};var __ZN4JsonL11cloneUniqueINSt3__25arrayINS1_12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEELm3EEEEENS1_10unique_ptrIT_NS1_14default_deleteISB_EEEERKSE_=Module["__ZN4JsonL11cloneUniqueINSt3__25arrayINS1_12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEELm3EEEEENS1_10unique_ptrIT_NS1_14default_deleteISB_EEEERKSE_"]=function(){return Module["asm"]["__ZN4JsonL11cloneUniqueINSt3__25arrayINS1_12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEELm3EEEEENS1_10unique_ptrIT_NS1_14default_deleteISB_EEEERKSE_"].apply(null,arguments)};var __ZN4JsonL12uintToStringEyRPc=Module["__ZN4JsonL12uintToStringEyRPc"]=function(){return Module["asm"]["__ZN4JsonL12uintToStringEyRPc"].apply(null,arguments)};var __ZN4JsonL15codePointToUTF8Ej=Module["__ZN4JsonL15codePointToUTF8Ej"]=function(){return Module["asm"]["__ZN4JsonL15codePointToUTF8Ej"].apply(null,arguments)};var __ZN4JsonL15integerToDoubleIiEEdT_=Module["__ZN4JsonL15integerToDoubleIiEEdT_"]=function(){return Module["asm"]["__ZN4JsonL15integerToDoubleIiEEdT_"].apply(null,arguments)};var __ZN4JsonL18releaseStringValueEPcj=Module["__ZN4JsonL18releaseStringValueEPcj"]=function(){return Module["asm"]["__ZN4JsonL18releaseStringValueEPcj"].apply(null,arguments)};var __ZN4JsonL20decodePrefixedStringEbPKcPjPS1_=Module["__ZN4JsonL20decodePrefixedStringEbPKcPjPS1_"]=function(){return Module["asm"]["__ZN4JsonL20decodePrefixedStringEbPKcPjPS1_"].apply(null,arguments)};var __ZN4JsonL20duplicateStringValueEPKcm=Module["__ZN4JsonL20duplicateStringValueEPKcm"]=function(){return Module["asm"]["__ZN4JsonL20duplicateStringValueEPKcm"].apply(null,arguments)};var __ZN4JsonL26releasePrefixedStringValueEPc=Module["__ZN4JsonL26releasePrefixedStringValueEPc"]=function(){return Module["asm"]["__ZN4JsonL26releasePrefixedStringValueEPc"].apply(null,arguments)};var __ZN4JsonL29duplicateAndPrefixStringValueEPKcj=Module["__ZN4JsonL29duplicateAndPrefixStringValueEPKcj"]=function(){return Module["asm"]["__ZN4JsonL29duplicateAndPrefixStringValueEPKcj"].apply(null,arguments)};var __ZN4JsonL7InRangeIiiEEbdT_T0_=Module["__ZN4JsonL7InRangeIiiEEbdT_T0_"]=function(){return Module["asm"]["__ZN4JsonL7InRangeIiiEEbdT_T0_"].apply(null,arguments)};var __ZN4JsonL7InRangeIijEEbdT_T0_=Module["__ZN4JsonL7InRangeIijEEbdT_T0_"]=function(){return Module["asm"]["__ZN4JsonL7InRangeIijEEbdT_T0_"].apply(null,arguments)};var __ZN53EmscriptenBindingInitializer_native_and_builtin_typesC2Ev=Module["__ZN53EmscriptenBindingInitializer_native_and_builtin_typesC2Ev"]=function(){return Module["asm"]["__ZN53EmscriptenBindingInitializer_native_and_builtin_typesC2Ev"].apply(null,arguments)};var __ZN7CBase6410_DecodeRawERNS_10TempBucketERKS0_=Module["__ZN7CBase6410_DecodeRawERNS_10TempBucketERKS0_"]=function(){return Module["asm"]["__ZN7CBase6410_DecodeRawERNS_10TempBucketERKS0_"].apply(null,arguments)};var __ZN7CBase6410_EncodeRawERNS_10TempBucketERKS0_=Module["__ZN7CBase6410_EncodeRawERNS_10TempBucketERKS0_"]=function(){return Module["asm"]["__ZN7CBase6410_EncodeRawERNS_10TempBucketERKS0_"].apply(null,arguments)};var __ZN7CBase6411AllocDecodeEj=Module["__ZN7CBase6411AllocDecodeEj"]=function(){return Module["asm"]["__ZN7CBase6411AllocDecodeEj"].apply(null,arguments)};var __ZN7CBase6411AllocEncodeEj=Module["__ZN7CBase6411AllocEncodeEj"]=function(){return Module["asm"]["__ZN7CBase6411AllocEncodeEj"].apply(null,arguments)};var __ZN7CBase6414EncodedMessageEv=Module["__ZN7CBase6414EncodedMessageEv"]=function(){return Module["asm"]["__ZN7CBase6414EncodedMessageEv"].apply(null,arguments)};var __ZN7CBase6414_IsBadMimeCharEh=Module["__ZN7CBase6414_IsBadMimeCharEh"]=function(){return Module["asm"]["__ZN7CBase6414_IsBadMimeCharEh"].apply(null,arguments)};var __ZN7CBase6415SetDecodeBufferEPKhj=Module["__ZN7CBase6415SetDecodeBufferEPKhj"]=function(){return Module["asm"]["__ZN7CBase6415SetDecodeBufferEPKhj"].apply(null,arguments)};var __ZN7CBase6415SetEncodeBufferEPKhj=Module["__ZN7CBase6415SetEncodeBufferEPKhj"]=function(){return Module["asm"]["__ZN7CBase6415SetEncodeBufferEPKhj"].apply(null,arguments)};var __ZN7CBase6415_DecodeToBufferERKNS_10TempBucketEPh=Module["__ZN7CBase6415_DecodeToBufferERKNS_10TempBucketEPh"]=function(){return Module["asm"]["__ZN7CBase6415_DecodeToBufferERKNS_10TempBucketEPh"].apply(null,arguments)};var __ZN7CBase6415_EncodeToBufferERKNS_10TempBucketEPh=Module["__ZN7CBase6415_EncodeToBufferERKNS_10TempBucketEPh"]=function(){return Module["asm"]["__ZN7CBase6415_EncodeToBufferERKNS_10TempBucketEPh"].apply(null,arguments)};var __ZN7CBase646DecodeEPKhj=Module["__ZN7CBase646DecodeEPKhj"]=function(){return Module["asm"]["__ZN7CBase646DecodeEPKhj"].apply(null,arguments)};var __ZN7CBase646DecodeEPc=Module["__ZN7CBase646DecodeEPc"]=function(){return Module["asm"]["__ZN7CBase646DecodeEPc"].apply(null,arguments)};var __ZN7CBase646EncodeEPKhj=Module["__ZN7CBase646EncodeEPKhj"]=function(){return Module["asm"]["__ZN7CBase646EncodeEPKhj"].apply(null,arguments)};var __ZN7CBase646EncodeEPc=Module["__ZN7CBase646EncodeEPc"]=function(){return Module["asm"]["__ZN7CBase646EncodeEPc"].apply(null,arguments)};var __ZN7CBase64D0Ev=Module["__ZN7CBase64D0Ev"]=function(){return Module["asm"]["__ZN7CBase64D0Ev"].apply(null,arguments)};var __ZN7CBase64D2Ev=Module["__ZN7CBase64D2Ev"]=function(){return Module["asm"]["__ZN7CBase64D2Ev"].apply(null,arguments)};var __ZN7CLtsLic4InitERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_=Module["__ZN7CLtsLic4InitERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_"]=function(){return Module["asm"]["__ZN7CLtsLic4InitERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_"].apply(null,arguments)};var __ZN9CBlowFish10InitializeEPKci=Module["__ZN9CBlowFish10InitializeEPKci"]=function(){return Module["asm"]["__ZN9CBlowFish10InitializeEPKci"].apply(null,arguments)};var __ZN9CBlowFish17Blowfish_decipherEPjS0_=Module["__ZN9CBlowFish17Blowfish_decipherEPjS0_"]=function(){return Module["asm"]["__ZN9CBlowFish17Blowfish_decipherEPjS0_"].apply(null,arguments)};var __ZN9CBlowFish17Blowfish_encipherEPjS0_=Module["__ZN9CBlowFish17Blowfish_encipherEPjS0_"]=function(){return Module["asm"]["__ZN9CBlowFish17Blowfish_encipherEPjS0_"].apply(null,arguments)};var __ZN9CBlowFish6DecodeEPhS0_ji=Module["__ZN9CBlowFish6DecodeEPhS0_ji"]=function(){return Module["asm"]["__ZN9CBlowFish6DecodeEPhS0_ji"].apply(null,arguments)};var __ZN9ImageProc10RotateLeftEv=Module["__ZN9ImageProc10RotateLeftEv"]=function(){return Module["asm"]["__ZN9ImageProc10RotateLeftEv"].apply(null,arguments)};var __ZN9ImageProc11PerspectiveEiiiiiiii=Module["__ZN9ImageProc11PerspectiveEiiiiiiii"]=function(){return Module["asm"]["__ZN9ImageProc11PerspectiveEiiiiiiii"].apply(null,arguments)};var __ZN9ImageProc11RotateRightEv=Module["__ZN9ImageProc11RotateRightEv"]=function(){return Module["asm"]["__ZN9ImageProc11RotateRightEv"].apply(null,arguments)};var __ZN9ImageProc12GetImageInfoEv=Module["__ZN9ImageProc12GetImageInfoEv"]=function(){return Module["asm"]["__ZN9ImageProc12GetImageInfoEv"].apply(null,arguments)};var __ZN9ImageProc12GetSkewAngleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc12GetSkewAngleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc12GetSkewAngleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc12SetDebugModeEb=Module["__ZN9ImageProc12SetDebugModeEb"]=function(){return Module["asm"]["__ZN9ImageProc12SetDebugModeEb"].apply(null,arguments)};var __ZN9ImageProc13SetImageWidthEiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc13SetImageWidthEiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc13SetImageWidthEiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc13ShadowRemovelERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc13ShadowRemovelERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc13ShadowRemovelERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc14ChangeContrastEd=Module["__ZN9ImageProc14ChangeContrastEd"]=function(){return Module["asm"]["__ZN9ImageProc14ChangeContrastEd"].apply(null,arguments)};var __ZN9ImageProc14DocumentDetectEidddRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_=Module["__ZN9ImageProc14DocumentDetectEidddRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_"]=function(){return Module["asm"]["__ZN9ImageProc14DocumentDetectEidddRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEES8_"].apply(null,arguments)};var __ZN9ImageProc14DrawQuadrangleEiiiiiiiiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc14DrawQuadrangleEiiiiiiiiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc14DrawQuadrangleEiiiiiiiiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc14GetBlurryScoreERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc14GetBlurryScoreERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc14GetBlurryScoreERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc14GetWasmVersionEv=Module["__ZN9ImageProc14GetWasmVersionEv"]=function(){return Module["asm"]["__ZN9ImageProc14GetWasmVersionEv"].apply(null,arguments)};var __ZN9ImageProc14SetImageHeightEiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc14SetImageHeightEiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc14SetImageHeightEiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc15ChangeImageSizeEiii=Module["__ZN9ImageProc15ChangeImageSizeEiii"]=function(){return Module["asm"]["__ZN9ImageProc15ChangeImageSizeEiii"].apply(null,arguments)};var __ZN9ImageProc15GetCurrentImageEv=Module["__ZN9ImageProc15GetCurrentImageEv"]=function(){return Module["asm"]["__ZN9ImageProc15GetCurrentImageEv"].apply(null,arguments)};var __ZN9ImageProc15InitImageObjectEmmiii=Module["__ZN9ImageProc15InitImageObjectEmmiii"]=function(){return Module["asm"]["__ZN9ImageProc15InitImageObjectEmmiii"].apply(null,arguments)};var __ZN9ImageProc16ChangeBrightnessEd=Module["__ZN9ImageProc16ChangeBrightnessEd"]=function(){return Module["asm"]["__ZN9ImageProc16ChangeBrightnessEd"].apply(null,arguments)};var __ZN9ImageProc16ConvertToBWScaleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc16ConvertToBWScaleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc16ConvertToBWScaleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc16FreeReservedDataEv=Module["__ZN9ImageProc16FreeReservedDataEv"]=function(){return Module["asm"]["__ZN9ImageProc16FreeReservedDataEv"].apply(null,arguments)};var __ZN9ImageProc17EnhanceAndSharpenERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc17EnhanceAndSharpenERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc17EnhanceAndSharpenERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc18ConvertToGrayScaleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc18ConvertToGrayScaleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc18ConvertToGrayScaleERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc27ChangeBrightnessAndContrastEii=Module["__ZN9ImageProc27ChangeBrightnessAndContrastEii"]=function(){return Module["asm"]["__ZN9ImageProc27ChangeBrightnessAndContrastEii"].apply(null,arguments)};var __ZN9ImageProc4CropEiiii=Module["__ZN9ImageProc4CropEiiii"]=function(){return Module["asm"]["__ZN9ImageProc4CropEiiii"].apply(null,arguments)};var __ZN9ImageProc4FlipEv=Module["__ZN9ImageProc4FlipEv"]=function(){return Module["asm"]["__ZN9ImageProc4FlipEv"].apply(null,arguments)};var __ZN9ImageProc4SaveEiiiibibb=Module["__ZN9ImageProc4SaveEiiiibibb"]=function(){return Module["asm"]["__ZN9ImageProc4SaveEiiiibibb"].apply(null,arguments)};var __ZN9ImageProc5EraseEiiiiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc5EraseEiiiiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc5EraseEiiiiRKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc6InvertEv=Module["__ZN9ImageProc6InvertEv"]=function(){return Module["asm"]["__ZN9ImageProc6InvertEv"].apply(null,arguments)};var __ZN9ImageProc6MirrorEv=Module["__ZN9ImageProc6MirrorEv"]=function(){return Module["asm"]["__ZN9ImageProc6MirrorEv"].apply(null,arguments)};var __ZN9ImageProc6RotateEN10emscripten3valEb=Module["__ZN9ImageProc6RotateEN10emscripten3valEb"]=function(){return Module["asm"]["__ZN9ImageProc6RotateEN10emscripten3valEb"].apply(null,arguments)};var __ZN9ImageProc6SetDPIEiiiibi=Module["__ZN9ImageProc6SetDPIEiiiibi"]=function(){return Module["asm"]["__ZN9ImageProc6SetDPIEiiiibi"].apply(null,arguments)};var __ZN9ImageProc8BrightenERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc8BrightenERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc8BrightenERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc8EqualizeERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc8EqualizeERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc8EqualizeERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc8RotateExEN10emscripten3valEbiRKNSt3__212basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE=Module["__ZN9ImageProc8RotateExEN10emscripten3valEbiRKNSt3__212basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc8RotateExEN10emscripten3valEbiRKNSt3__212basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE"].apply(null,arguments)};var __ZN9ImageProc9NormalizeERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE=Module["__ZN9ImageProc9NormalizeERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZN9ImageProc9NormalizeERKNSt3__212basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE"].apply(null,arguments)};var __ZNK10__cxxabiv116__enum_type_info9can_catchEPKNS_16__shim_type_infoERPv=Module["__ZNK10__cxxabiv116__enum_type_info9can_catchEPKNS_16__shim_type_infoERPv"]=function(){return Module["asm"]["__ZNK10__cxxabiv116__enum_type_info9can_catchEPKNS_16__shim_type_infoERPv"].apply(null,arguments)};var __ZNK10__cxxabiv116__shim_type_info5noop1Ev=Module["__ZNK10__cxxabiv116__shim_type_info5noop1Ev"]=function(){return Module["asm"]["__ZNK10__cxxabiv116__shim_type_info5noop1Ev"].apply(null,arguments)};var __ZNK10__cxxabiv116__shim_type_info5noop2Ev=Module["__ZNK10__cxxabiv116__shim_type_info5noop2Ev"]=function(){return Module["asm"]["__ZNK10__cxxabiv116__shim_type_info5noop2Ev"].apply(null,arguments)};var __ZNK10__cxxabiv117__class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib=Module["__ZNK10__cxxabiv117__class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib"]=function(){return Module["asm"]["__ZNK10__cxxabiv117__class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib"].apply(null,arguments)};var __ZNK10__cxxabiv117__class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib=Module["__ZNK10__cxxabiv117__class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib"]=function(){return Module["asm"]["__ZNK10__cxxabiv117__class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib"].apply(null,arguments)};var __ZNK10__cxxabiv117__class_type_info24process_found_base_classEPNS_19__dynamic_cast_infoEPvi=Module["__ZNK10__cxxabiv117__class_type_info24process_found_base_classEPNS_19__dynamic_cast_infoEPvi"]=function(){return Module["asm"]["__ZNK10__cxxabiv117__class_type_info24process_found_base_classEPNS_19__dynamic_cast_infoEPvi"].apply(null,arguments)};var __ZNK10__cxxabiv117__class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi=Module["__ZNK10__cxxabiv117__class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi"]=function(){return Module["asm"]["__ZNK10__cxxabiv117__class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi"].apply(null,arguments)};var __ZNK10__cxxabiv117__class_type_info29process_static_type_above_dstEPNS_19__dynamic_cast_infoEPKvS4_i=Module["__ZNK10__cxxabiv117__class_type_info29process_static_type_above_dstEPNS_19__dynamic_cast_infoEPKvS4_i"]=function(){return Module["asm"]["__ZNK10__cxxabiv117__class_type_info29process_static_type_above_dstEPNS_19__dynamic_cast_infoEPKvS4_i"].apply(null,arguments)};var __ZNK10__cxxabiv117__class_type_info29process_static_type_below_dstEPNS_19__dynamic_cast_infoEPKvi=Module["__ZNK10__cxxabiv117__class_type_info29process_static_type_below_dstEPNS_19__dynamic_cast_infoEPKvi"]=function(){return Module["asm"]["__ZNK10__cxxabiv117__class_type_info29process_static_type_below_dstEPNS_19__dynamic_cast_infoEPKvi"].apply(null,arguments)};var __ZNK10__cxxabiv117__class_type_info9can_catchEPKNS_16__shim_type_infoERPv=Module["__ZNK10__cxxabiv117__class_type_info9can_catchEPKNS_16__shim_type_infoERPv"]=function(){return Module["asm"]["__ZNK10__cxxabiv117__class_type_info9can_catchEPKNS_16__shim_type_infoERPv"].apply(null,arguments)};var __ZNK10__cxxabiv117__pbase_type_info9can_catchEPKNS_16__shim_type_infoERPv=Module["__ZNK10__cxxabiv117__pbase_type_info9can_catchEPKNS_16__shim_type_infoERPv"]=function(){return Module["asm"]["__ZNK10__cxxabiv117__pbase_type_info9can_catchEPKNS_16__shim_type_infoERPv"].apply(null,arguments)};var __ZNK10__cxxabiv119__pointer_type_info16can_catch_nestedEPKNS_16__shim_type_infoE=Module["__ZNK10__cxxabiv119__pointer_type_info16can_catch_nestedEPKNS_16__shim_type_infoE"]=function(){return Module["asm"]["__ZNK10__cxxabiv119__pointer_type_info16can_catch_nestedEPKNS_16__shim_type_infoE"].apply(null,arguments)};var __ZNK10__cxxabiv119__pointer_type_info9can_catchEPKNS_16__shim_type_infoERPv=Module["__ZNK10__cxxabiv119__pointer_type_info9can_catchEPKNS_16__shim_type_infoERPv"]=function(){return Module["asm"]["__ZNK10__cxxabiv119__pointer_type_info9can_catchEPKNS_16__shim_type_infoERPv"].apply(null,arguments)};var __ZNK10__cxxabiv120__si_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib=Module["__ZNK10__cxxabiv120__si_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib"]=function(){return Module["asm"]["__ZNK10__cxxabiv120__si_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib"].apply(null,arguments)};var __ZNK10__cxxabiv120__si_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib=Module["__ZNK10__cxxabiv120__si_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib"]=function(){return Module["asm"]["__ZNK10__cxxabiv120__si_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib"].apply(null,arguments)};var __ZNK10__cxxabiv120__si_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi=Module["__ZNK10__cxxabiv120__si_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi"]=function(){return Module["asm"]["__ZNK10__cxxabiv120__si_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi"].apply(null,arguments)};var __ZNK10__cxxabiv121__vmi_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib=Module["__ZNK10__cxxabiv121__vmi_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib"]=function(){return Module["asm"]["__ZNK10__cxxabiv121__vmi_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib"].apply(null,arguments)};var __ZNK10__cxxabiv121__vmi_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib=Module["__ZNK10__cxxabiv121__vmi_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib"]=function(){return Module["asm"]["__ZNK10__cxxabiv121__vmi_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib"].apply(null,arguments)};var __ZNK10__cxxabiv121__vmi_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi=Module["__ZNK10__cxxabiv121__vmi_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi"]=function(){return Module["asm"]["__ZNK10__cxxabiv121__vmi_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi"].apply(null,arguments)};var __ZNK10__cxxabiv122__base_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib=Module["__ZNK10__cxxabiv122__base_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib"]=function(){return Module["asm"]["__ZNK10__cxxabiv122__base_class_type_info16search_above_dstEPNS_19__dynamic_cast_infoEPKvS4_ib"].apply(null,arguments)};var __ZNK10__cxxabiv122__base_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib=Module["__ZNK10__cxxabiv122__base_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib"]=function(){return Module["asm"]["__ZNK10__cxxabiv122__base_class_type_info16search_below_dstEPNS_19__dynamic_cast_infoEPKvib"].apply(null,arguments)};var __ZNK10__cxxabiv122__base_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi=Module["__ZNK10__cxxabiv122__base_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi"]=function(){return Module["asm"]["__ZNK10__cxxabiv122__base_class_type_info27has_unambiguous_public_baseEPNS_19__dynamic_cast_infoEPvi"].apply(null,arguments)};var __ZNK10__cxxabiv123__fundamental_type_info9can_catchEPKNS_16__shim_type_infoERPv=Module["__ZNK10__cxxabiv123__fundamental_type_info9can_catchEPKNS_16__shim_type_infoERPv"]=function(){return Module["asm"]["__ZNK10__cxxabiv123__fundamental_type_info9can_catchEPKNS_16__shim_type_infoERPv"].apply(null,arguments)};var __ZNK10__cxxabiv129__pointer_to_member_type_info16can_catch_nestedEPKNS_16__shim_type_infoE=Module["__ZNK10__cxxabiv129__pointer_to_member_type_info16can_catch_nestedEPKNS_16__shim_type_infoE"]=function(){return Module["asm"]["__ZNK10__cxxabiv129__pointer_to_member_type_info16can_catch_nestedEPKNS_16__shim_type_infoE"].apply(null,arguments)};var __ZNK4Json17CharReaderBuilder13newCharReaderEv=Module["__ZNK4Json17CharReaderBuilder13newCharReaderEv"]=function(){return Module["asm"]["__ZNK4Json17CharReaderBuilder13newCharReaderEv"].apply(null,arguments)};var __ZNK4Json5Value11isAllocatedEv=Module["__ZNK4Json5Value11isAllocatedEv"]=function(){return Module["asm"]["__ZNK4Json5Value11isAllocatedEv"].apply(null,arguments)};var __ZNK4Json5Value4findEPKcS2_=Module["__ZNK4Json5Value4findEPKcS2_"]=function(){return Module["asm"]["__ZNK4Json5Value4findEPKcS2_"].apply(null,arguments)};var __ZNK4Json5Value4typeEv=Module["__ZNK4Json5Value4typeEv"]=function(){return Module["asm"]["__ZNK4Json5Value4typeEv"].apply(null,arguments)};var __ZNK4Json5Value5asIntEv=Module["__ZNK4Json5Value5asIntEv"]=function(){return Module["asm"]["__ZNK4Json5Value5asIntEv"].apply(null,arguments)};var __ZNK4Json5Value5isIntEv=Module["__ZNK4Json5Value5isIntEv"]=function(){return Module["asm"]["__ZNK4Json5Value5isIntEv"].apply(null,arguments)};var __ZNK4Json5Value6asBoolEv=Module["__ZNK4Json5Value6asBoolEv"]=function(){return Module["asm"]["__ZNK4Json5Value6asBoolEv"].apply(null,arguments)};var __ZNK4Json5Value6asUIntEv=Module["__ZNK4Json5Value6asUIntEv"]=function(){return Module["asm"]["__ZNK4Json5Value6asUIntEv"].apply(null,arguments)};var __ZNK4Json5Value6isUIntEv=Module["__ZNK4Json5Value6isUIntEv"]=function(){return Module["asm"]["__ZNK4Json5Value6isUIntEv"].apply(null,arguments)};var __ZNK4Json5Value7isArrayEv=Module["__ZNK4Json5Value7isArrayEv"]=function(){return Module["asm"]["__ZNK4Json5Value7isArrayEv"].apply(null,arguments)};var __ZNK4Json5Value8CZStringeqERKS1_=Module["__ZNK4Json5Value8CZStringeqERKS1_"]=function(){return Module["asm"]["__ZNK4Json5Value8CZStringeqERKS1_"].apply(null,arguments)};var __ZNK4Json5Value8CZStringltERKS1_=Module["__ZNK4Json5Value8CZStringltERKS1_"]=function(){return Module["asm"]["__ZNK4Json5Value8CZStringltERKS1_"].apply(null,arguments)};var __ZNK4Json5Value8asStringEv=Module["__ZNK4Json5Value8asStringEv"]=function(){return Module["asm"]["__ZNK4Json5Value8asStringEv"].apply(null,arguments)};var __ZNK4Json5Value8isMemberEPKc=Module["__ZNK4Json5Value8isMemberEPKc"]=function(){return Module["asm"]["__ZNK4Json5Value8isMemberEPKc"].apply(null,arguments)};var __ZNK4Json5Value8isMemberEPKcS2_=Module["__ZNK4Json5Value8isMemberEPKcS2_"]=function(){return Module["asm"]["__ZNK4Json5Value8isMemberEPKcS2_"].apply(null,arguments)};var __ZNK4Json5Value8isMemberERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE=Module["__ZNK4Json5Value8isMemberERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZNK4Json5Value8isMemberERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEE"].apply(null,arguments)};var __ZNK4Json5Value8isObjectEv=Module["__ZNK4Json5Value8isObjectEv"]=function(){return Module["asm"]["__ZNK4Json5Value8isObjectEv"].apply(null,arguments)};var __ZNK4Json5Value8isStringEv=Module["__ZNK4Json5Value8isStringEv"]=function(){return Module["asm"]["__ZNK4Json5Value8isStringEv"].apply(null,arguments)};var __ZNK4Json5ValueixEPKc=Module["__ZNK4Json5ValueixEPKc"]=function(){return Module["asm"]["__ZNK4Json5ValueixEPKc"].apply(null,arguments)};var __ZNK4Json9Exception4whatEv=Module["__ZNK4Json9Exception4whatEv"]=function(){return Module["asm"]["__ZNK4Json9Exception4whatEv"].apply(null,arguments)};var __ZNK4Json9OurReader24getLocationLineAndColumnEPKc=Module["__ZNK4Json9OurReader24getLocationLineAndColumnEPKc"]=function(){return Module["asm"]["__ZNK4Json9OurReader24getLocationLineAndColumnEPKc"].apply(null,arguments)};var __ZNK4Json9OurReader24getLocationLineAndColumnEPKcRiS3_=Module["__ZNK4Json9OurReader24getLocationLineAndColumnEPKcRiS3_"]=function(){return Module["asm"]["__ZNK4Json9OurReader24getLocationLineAndColumnEPKcRiS3_"].apply(null,arguments)};var __ZNK4Json9OurReader25getFormattedErrorMessagesEv=Module["__ZNK4Json9OurReader25getFormattedErrorMessagesEv"]=function(){return Module["asm"]["__ZNK4Json9OurReader25getFormattedErrorMessagesEv"].apply(null,arguments)};var __ZNK7CBase6414DecodedMessageEPj=Module["__ZNK7CBase6414DecodedMessageEPj"]=function(){return Module["asm"]["__ZNK7CBase6414DecodedMessageEPj"].apply(null,arguments)};var __ZNK7CBase6414DecodedMessageEv=Module["__ZNK7CBase6414DecodedMessageEv"]=function(){return Module["asm"]["__ZNK7CBase6414DecodedMessageEv"].apply(null,arguments)};var __ZNKSt11logic_error4whatEv=Module["__ZNKSt11logic_error4whatEv"]=function(){return Module["asm"]["__ZNKSt11logic_error4whatEv"].apply(null,arguments)};var __ZNKSt3__210__time_put8__do_putEPcRS1_PK2tmcc=Module["__ZNKSt3__210__time_put8__do_putEPcRS1_PK2tmcc"]=function(){return Module["asm"]["__ZNKSt3__210__time_put8__do_putEPcRS1_PK2tmcc"].apply(null,arguments)};var __ZNKSt3__210__time_put8__do_putEPwRS1_PK2tmcc=Module["__ZNKSt3__210__time_put8__do_putEPwRS1_PK2tmcc"]=function(){return Module["asm"]["__ZNKSt3__210__time_put8__do_putEPwRS1_PK2tmcc"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE11do_groupingEv=Module["__ZNKSt3__210moneypunctIcLb0EE11do_groupingEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE11do_groupingEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE13do_neg_formatEv=Module["__ZNKSt3__210moneypunctIcLb0EE13do_neg_formatEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE13do_neg_formatEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE13do_pos_formatEv=Module["__ZNKSt3__210moneypunctIcLb0EE13do_pos_formatEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE13do_pos_formatEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE14do_curr_symbolEv=Module["__ZNKSt3__210moneypunctIcLb0EE14do_curr_symbolEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE14do_curr_symbolEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE14do_frac_digitsEv=Module["__ZNKSt3__210moneypunctIcLb0EE14do_frac_digitsEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE14do_frac_digitsEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE16do_decimal_pointEv=Module["__ZNKSt3__210moneypunctIcLb0EE16do_decimal_pointEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE16do_decimal_pointEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE16do_negative_signEv=Module["__ZNKSt3__210moneypunctIcLb0EE16do_negative_signEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE16do_negative_signEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE16do_positive_signEv=Module["__ZNKSt3__210moneypunctIcLb0EE16do_positive_signEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE16do_positive_signEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb0EE16do_thousands_sepEv=Module["__ZNKSt3__210moneypunctIcLb0EE16do_thousands_sepEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb0EE16do_thousands_sepEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE11do_groupingEv=Module["__ZNKSt3__210moneypunctIcLb1EE11do_groupingEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE11do_groupingEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE13do_neg_formatEv=Module["__ZNKSt3__210moneypunctIcLb1EE13do_neg_formatEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE13do_neg_formatEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE13do_pos_formatEv=Module["__ZNKSt3__210moneypunctIcLb1EE13do_pos_formatEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE13do_pos_formatEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE14do_curr_symbolEv=Module["__ZNKSt3__210moneypunctIcLb1EE14do_curr_symbolEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE14do_curr_symbolEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE14do_frac_digitsEv=Module["__ZNKSt3__210moneypunctIcLb1EE14do_frac_digitsEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE14do_frac_digitsEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE16do_decimal_pointEv=Module["__ZNKSt3__210moneypunctIcLb1EE16do_decimal_pointEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE16do_decimal_pointEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE16do_negative_signEv=Module["__ZNKSt3__210moneypunctIcLb1EE16do_negative_signEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE16do_negative_signEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE16do_positive_signEv=Module["__ZNKSt3__210moneypunctIcLb1EE16do_positive_signEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE16do_positive_signEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIcLb1EE16do_thousands_sepEv=Module["__ZNKSt3__210moneypunctIcLb1EE16do_thousands_sepEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIcLb1EE16do_thousands_sepEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE11do_groupingEv=Module["__ZNKSt3__210moneypunctIwLb0EE11do_groupingEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE11do_groupingEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE13do_neg_formatEv=Module["__ZNKSt3__210moneypunctIwLb0EE13do_neg_formatEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE13do_neg_formatEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE13do_pos_formatEv=Module["__ZNKSt3__210moneypunctIwLb0EE13do_pos_formatEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE13do_pos_formatEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE14do_curr_symbolEv=Module["__ZNKSt3__210moneypunctIwLb0EE14do_curr_symbolEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE14do_curr_symbolEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE14do_frac_digitsEv=Module["__ZNKSt3__210moneypunctIwLb0EE14do_frac_digitsEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE14do_frac_digitsEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE16do_decimal_pointEv=Module["__ZNKSt3__210moneypunctIwLb0EE16do_decimal_pointEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE16do_decimal_pointEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE16do_negative_signEv=Module["__ZNKSt3__210moneypunctIwLb0EE16do_negative_signEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE16do_negative_signEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE16do_positive_signEv=Module["__ZNKSt3__210moneypunctIwLb0EE16do_positive_signEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE16do_positive_signEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb0EE16do_thousands_sepEv=Module["__ZNKSt3__210moneypunctIwLb0EE16do_thousands_sepEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb0EE16do_thousands_sepEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE11do_groupingEv=Module["__ZNKSt3__210moneypunctIwLb1EE11do_groupingEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE11do_groupingEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE13do_neg_formatEv=Module["__ZNKSt3__210moneypunctIwLb1EE13do_neg_formatEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE13do_neg_formatEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE13do_pos_formatEv=Module["__ZNKSt3__210moneypunctIwLb1EE13do_pos_formatEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE13do_pos_formatEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE14do_curr_symbolEv=Module["__ZNKSt3__210moneypunctIwLb1EE14do_curr_symbolEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE14do_curr_symbolEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE14do_frac_digitsEv=Module["__ZNKSt3__210moneypunctIwLb1EE14do_frac_digitsEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE14do_frac_digitsEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE16do_decimal_pointEv=Module["__ZNKSt3__210moneypunctIwLb1EE16do_decimal_pointEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE16do_decimal_pointEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE16do_negative_signEv=Module["__ZNKSt3__210moneypunctIwLb1EE16do_negative_signEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE16do_negative_signEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE16do_positive_signEv=Module["__ZNKSt3__210moneypunctIwLb1EE16do_positive_signEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE16do_positive_signEv"].apply(null,arguments)};var __ZNKSt3__210moneypunctIwLb1EE16do_thousands_sepEv=Module["__ZNKSt3__210moneypunctIwLb1EE16do_thousands_sepEv"]=function(){return Module["asm"]["__ZNKSt3__210moneypunctIwLb1EE16do_thousands_sepEv"].apply(null,arguments)};var __ZNKSt3__212_GLOBAL__N_111__fake_bindclEv=Module["__ZNKSt3__212_GLOBAL__N_111__fake_bindclEv"]=function(){return Module["asm"]["__ZNKSt3__212_GLOBAL__N_111__fake_bindclEv"].apply(null,arguments)};var __ZNKSt3__212_GLOBAL__N_114initial_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEclEv=Module["__ZNKSt3__212_GLOBAL__N_114initial_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEclEv"]=function(){return Module["asm"]["__ZNKSt3__212_GLOBAL__N_114initial_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEclEv"].apply(null,arguments)};var __ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_range3endEv=Module["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_range3endEv"]=function(){return Module["asm"]["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_range3endEv"].apply(null,arguments)};var __ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_range5beginEv=Module["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_range5beginEv"]=function(){return Module["asm"]["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_range5beginEv"].apply(null,arguments)};var __ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangedeEv=Module["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangedeEv"]=function(){return Module["asm"]["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangedeEv"].apply(null,arguments)};var __ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE3endEv=Module["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE3endEv"]=function(){return Module["asm"]["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE3endEv"].apply(null,arguments)};var __ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5beginEv=Module["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5beginEv"]=function(){return Module["asm"]["__ZNKSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5beginEv"].apply(null,arguments)};var __ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"]=function(){return Module["asm"]["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"].apply(null,arguments)};var __ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findEcm=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findEcm"]=function(){return Module["asm"]["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findEcm"].apply(null,arguments)};var __ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEPKc=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEPKc"]=function(){return Module["asm"]["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEPKc"].apply(null,arguments)};var __ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEmmPKcm=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEmmPKcm"]=function(){return Module["asm"]["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEmmPKcm"].apply(null,arguments)};var __ZNKSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv=Module["__ZNKSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv"]=function(){return Module["asm"]["__ZNKSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv"].apply(null,arguments)};var __ZNKSt3__218__libcpp_refstring5c_strEv=Module["__ZNKSt3__218__libcpp_refstring5c_strEv"]=function(){return Module["asm"]["__ZNKSt3__218__libcpp_refstring5c_strEv"].apply(null,arguments)};var __ZNKSt3__219__shared_weak_count13__get_deleterERKSt9type_info=Module["__ZNKSt3__219__shared_weak_count13__get_deleterERKSt9type_info"]=function(){return Module["asm"]["__ZNKSt3__219__shared_weak_count13__get_deleterERKSt9type_info"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIcE3__XEv=Module["__ZNKSt3__220__time_get_c_storageIcE3__XEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIcE3__XEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIcE3__cEv=Module["__ZNKSt3__220__time_get_c_storageIcE3__cEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIcE3__cEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIcE3__rEv=Module["__ZNKSt3__220__time_get_c_storageIcE3__rEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIcE3__rEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIcE3__xEv=Module["__ZNKSt3__220__time_get_c_storageIcE3__xEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIcE3__xEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIcE7__am_pmEv=Module["__ZNKSt3__220__time_get_c_storageIcE7__am_pmEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIcE7__am_pmEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIcE7__weeksEv=Module["__ZNKSt3__220__time_get_c_storageIcE7__weeksEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIcE7__weeksEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIcE8__monthsEv=Module["__ZNKSt3__220__time_get_c_storageIcE8__monthsEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIcE8__monthsEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIwE3__XEv=Module["__ZNKSt3__220__time_get_c_storageIwE3__XEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIwE3__XEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIwE3__cEv=Module["__ZNKSt3__220__time_get_c_storageIwE3__cEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIwE3__cEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIwE3__rEv=Module["__ZNKSt3__220__time_get_c_storageIwE3__rEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIwE3__rEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIwE3__xEv=Module["__ZNKSt3__220__time_get_c_storageIwE3__xEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIwE3__xEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIwE7__am_pmEv=Module["__ZNKSt3__220__time_get_c_storageIwE7__am_pmEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIwE7__am_pmEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIwE7__weeksEv=Module["__ZNKSt3__220__time_get_c_storageIwE7__weeksEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIwE7__weeksEv"].apply(null,arguments)};var __ZNKSt3__220__time_get_c_storageIwE8__monthsEv=Module["__ZNKSt3__220__time_get_c_storageIwE8__monthsEv"]=function(){return Module["asm"]["__ZNKSt3__220__time_get_c_storageIwE8__monthsEv"].apply(null,arguments)};var __ZNKSt3__220__vector_base_commonILb1EE20__throw_length_errorEv=Module["__ZNKSt3__220__vector_base_commonILb1EE20__throw_length_errorEv"]=function(){return Module["asm"]["__ZNKSt3__220__vector_base_commonILb1EE20__throw_length_errorEv"].apply(null,arguments)};var __ZNKSt3__220__vector_base_commonILb1EE20__throw_out_of_rangeEv=Module["__ZNKSt3__220__vector_base_commonILb1EE20__throw_out_of_rangeEv"]=function(){return Module["asm"]["__ZNKSt3__220__vector_base_commonILb1EE20__throw_out_of_rangeEv"].apply(null,arguments)};var __ZNKSt3__221__basic_string_commonILb1EE20__throw_length_errorEv=Module["__ZNKSt3__221__basic_string_commonILb1EE20__throw_length_errorEv"]=function(){return Module["asm"]["__ZNKSt3__221__basic_string_commonILb1EE20__throw_length_errorEv"].apply(null,arguments)};var __ZNKSt3__221__basic_string_commonILb1EE20__throw_out_of_rangeEv=Module["__ZNKSt3__221__basic_string_commonILb1EE20__throw_out_of_rangeEv"]=function(){return Module["asm"]["__ZNKSt3__221__basic_string_commonILb1EE20__throw_out_of_rangeEv"].apply(null,arguments)};var __ZNKSt3__25ctypeIcE10do_tolowerEPcPKc=Module["__ZNKSt3__25ctypeIcE10do_tolowerEPcPKc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIcE10do_tolowerEPcPKc"].apply(null,arguments)};var __ZNKSt3__25ctypeIcE10do_tolowerEc=Module["__ZNKSt3__25ctypeIcE10do_tolowerEc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIcE10do_tolowerEc"].apply(null,arguments)};var __ZNKSt3__25ctypeIcE10do_toupperEPcPKc=Module["__ZNKSt3__25ctypeIcE10do_toupperEPcPKc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIcE10do_toupperEPcPKc"].apply(null,arguments)};var __ZNKSt3__25ctypeIcE10do_toupperEc=Module["__ZNKSt3__25ctypeIcE10do_toupperEc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIcE10do_toupperEc"].apply(null,arguments)};var __ZNKSt3__25ctypeIcE8do_widenEPKcS3_Pc=Module["__ZNKSt3__25ctypeIcE8do_widenEPKcS3_Pc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIcE8do_widenEPKcS3_Pc"].apply(null,arguments)};var __ZNKSt3__25ctypeIcE8do_widenEc=Module["__ZNKSt3__25ctypeIcE8do_widenEc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIcE8do_widenEc"].apply(null,arguments)};var __ZNKSt3__25ctypeIcE9do_narrowEPKcS3_cPc=Module["__ZNKSt3__25ctypeIcE9do_narrowEPKcS3_cPc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIcE9do_narrowEPKcS3_cPc"].apply(null,arguments)};var __ZNKSt3__25ctypeIcE9do_narrowEcc=Module["__ZNKSt3__25ctypeIcE9do_narrowEcc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIcE9do_narrowEcc"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE10do_scan_isEtPKwS3_=Module["__ZNKSt3__25ctypeIwE10do_scan_isEtPKwS3_"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE10do_scan_isEtPKwS3_"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE10do_tolowerEPwPKw=Module["__ZNKSt3__25ctypeIwE10do_tolowerEPwPKw"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE10do_tolowerEPwPKw"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE10do_tolowerEw=Module["__ZNKSt3__25ctypeIwE10do_tolowerEw"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE10do_tolowerEw"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE10do_toupperEPwPKw=Module["__ZNKSt3__25ctypeIwE10do_toupperEPwPKw"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE10do_toupperEPwPKw"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE10do_toupperEw=Module["__ZNKSt3__25ctypeIwE10do_toupperEw"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE10do_toupperEw"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE11do_scan_notEtPKwS3_=Module["__ZNKSt3__25ctypeIwE11do_scan_notEtPKwS3_"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE11do_scan_notEtPKwS3_"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE5do_isEPKwS3_Pt=Module["__ZNKSt3__25ctypeIwE5do_isEPKwS3_Pt"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE5do_isEPKwS3_Pt"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE5do_isEtw=Module["__ZNKSt3__25ctypeIwE5do_isEtw"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE5do_isEtw"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE8do_widenEPKcS3_Pw=Module["__ZNKSt3__25ctypeIwE8do_widenEPKcS3_Pw"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE8do_widenEPKcS3_Pw"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE8do_widenEc=Module["__ZNKSt3__25ctypeIwE8do_widenEc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE8do_widenEc"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE9do_narrowEPKwS3_cPc=Module["__ZNKSt3__25ctypeIwE9do_narrowEPKwS3_cPc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE9do_narrowEPKwS3_cPc"].apply(null,arguments)};var __ZNKSt3__25ctypeIwE9do_narrowEwc=Module["__ZNKSt3__25ctypeIwE9do_narrowEwc"]=function(){return Module["asm"]["__ZNKSt3__25ctypeIwE9do_narrowEwc"].apply(null,arguments)};var __ZNKSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE10__root_ptrEv=Module["__ZNKSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE10__root_ptrEv"]=function(){return Module["asm"]["__ZNKSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE10__root_ptrEv"].apply(null,arguments)};var __ZNKSt3__26locale5__imp9has_facetEl=Module["__ZNKSt3__26locale5__imp9has_facetEl"]=function(){return Module["asm"]["__ZNKSt3__26locale5__imp9has_facetEl"].apply(null,arguments)};var __ZNKSt3__26locale5__imp9use_facetEl=Module["__ZNKSt3__26locale5__imp9use_facetEl"]=function(){return Module["asm"]["__ZNKSt3__26locale5__imp9use_facetEl"].apply(null,arguments)};var __ZNKSt3__26locale9use_facetERNS0_2idE=Module["__ZNKSt3__26locale9use_facetERNS0_2idE"]=function(){return Module["asm"]["__ZNKSt3__26locale9use_facetERNS0_2idE"].apply(null,arguments)};var __ZNKSt3__27codecvtIDic11__mbstate_tE10do_unshiftERS1_PcS4_RS4_=Module["__ZNKSt3__27codecvtIDic11__mbstate_tE10do_unshiftERS1_PcS4_RS4_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDic11__mbstate_tE10do_unshiftERS1_PcS4_RS4_"].apply(null,arguments)};var __ZNKSt3__27codecvtIDic11__mbstate_tE11do_encodingEv=Module["__ZNKSt3__27codecvtIDic11__mbstate_tE11do_encodingEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDic11__mbstate_tE11do_encodingEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIDic11__mbstate_tE13do_max_lengthEv=Module["__ZNKSt3__27codecvtIDic11__mbstate_tE13do_max_lengthEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDic11__mbstate_tE13do_max_lengthEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIDic11__mbstate_tE16do_always_noconvEv=Module["__ZNKSt3__27codecvtIDic11__mbstate_tE16do_always_noconvEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDic11__mbstate_tE16do_always_noconvEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIDic11__mbstate_tE5do_inERS1_PKcS5_RS5_PDiS7_RS7_=Module["__ZNKSt3__27codecvtIDic11__mbstate_tE5do_inERS1_PKcS5_RS5_PDiS7_RS7_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDic11__mbstate_tE5do_inERS1_PKcS5_RS5_PDiS7_RS7_"].apply(null,arguments)};var __ZNKSt3__27codecvtIDic11__mbstate_tE6do_outERS1_PKDiS5_RS5_PcS7_RS7_=Module["__ZNKSt3__27codecvtIDic11__mbstate_tE6do_outERS1_PKDiS5_RS5_PcS7_RS7_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDic11__mbstate_tE6do_outERS1_PKDiS5_RS5_PcS7_RS7_"].apply(null,arguments)};var __ZNKSt3__27codecvtIDic11__mbstate_tE9do_lengthERS1_PKcS5_m=Module["__ZNKSt3__27codecvtIDic11__mbstate_tE9do_lengthERS1_PKcS5_m"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDic11__mbstate_tE9do_lengthERS1_PKcS5_m"].apply(null,arguments)};var __ZNKSt3__27codecvtIDsc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_=Module["__ZNKSt3__27codecvtIDsc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDsc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_"].apply(null,arguments)};var __ZNKSt3__27codecvtIDsc11__mbstate_tE11do_encodingEv=Module["__ZNKSt3__27codecvtIDsc11__mbstate_tE11do_encodingEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDsc11__mbstate_tE11do_encodingEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIDsc11__mbstate_tE13do_max_lengthEv=Module["__ZNKSt3__27codecvtIDsc11__mbstate_tE13do_max_lengthEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDsc11__mbstate_tE13do_max_lengthEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIDsc11__mbstate_tE16do_always_noconvEv=Module["__ZNKSt3__27codecvtIDsc11__mbstate_tE16do_always_noconvEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDsc11__mbstate_tE16do_always_noconvEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIDsc11__mbstate_tE5do_inERS1_PKcS5_RS5_PDsS7_RS7_=Module["__ZNKSt3__27codecvtIDsc11__mbstate_tE5do_inERS1_PKcS5_RS5_PDsS7_RS7_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDsc11__mbstate_tE5do_inERS1_PKcS5_RS5_PDsS7_RS7_"].apply(null,arguments)};var __ZNKSt3__27codecvtIDsc11__mbstate_tE6do_outERS1_PKDsS5_RS5_PcS7_RS7_=Module["__ZNKSt3__27codecvtIDsc11__mbstate_tE6do_outERS1_PKDsS5_RS5_PcS7_RS7_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDsc11__mbstate_tE6do_outERS1_PKDsS5_RS5_PcS7_RS7_"].apply(null,arguments)};var __ZNKSt3__27codecvtIDsc11__mbstate_tE9do_lengthERS1_PKcS5_m=Module["__ZNKSt3__27codecvtIDsc11__mbstate_tE9do_lengthERS1_PKcS5_m"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIDsc11__mbstate_tE9do_lengthERS1_PKcS5_m"].apply(null,arguments)};var __ZNKSt3__27codecvtIcc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_=Module["__ZNKSt3__27codecvtIcc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIcc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_"].apply(null,arguments)};var __ZNKSt3__27codecvtIcc11__mbstate_tE11do_encodingEv=Module["__ZNKSt3__27codecvtIcc11__mbstate_tE11do_encodingEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIcc11__mbstate_tE11do_encodingEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIcc11__mbstate_tE13do_max_lengthEv=Module["__ZNKSt3__27codecvtIcc11__mbstate_tE13do_max_lengthEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIcc11__mbstate_tE13do_max_lengthEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIcc11__mbstate_tE16do_always_noconvEv=Module["__ZNKSt3__27codecvtIcc11__mbstate_tE16do_always_noconvEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIcc11__mbstate_tE16do_always_noconvEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIcc11__mbstate_tE5do_inERS1_PKcS5_RS5_PcS7_RS7_=Module["__ZNKSt3__27codecvtIcc11__mbstate_tE5do_inERS1_PKcS5_RS5_PcS7_RS7_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIcc11__mbstate_tE5do_inERS1_PKcS5_RS5_PcS7_RS7_"].apply(null,arguments)};var __ZNKSt3__27codecvtIcc11__mbstate_tE6do_outERS1_PKcS5_RS5_PcS7_RS7_=Module["__ZNKSt3__27codecvtIcc11__mbstate_tE6do_outERS1_PKcS5_RS5_PcS7_RS7_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIcc11__mbstate_tE6do_outERS1_PKcS5_RS5_PcS7_RS7_"].apply(null,arguments)};var __ZNKSt3__27codecvtIcc11__mbstate_tE9do_lengthERS1_PKcS5_m=Module["__ZNKSt3__27codecvtIcc11__mbstate_tE9do_lengthERS1_PKcS5_m"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIcc11__mbstate_tE9do_lengthERS1_PKcS5_m"].apply(null,arguments)};var __ZNKSt3__27codecvtIwc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_=Module["__ZNKSt3__27codecvtIwc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIwc11__mbstate_tE10do_unshiftERS1_PcS4_RS4_"].apply(null,arguments)};var __ZNKSt3__27codecvtIwc11__mbstate_tE11do_encodingEv=Module["__ZNKSt3__27codecvtIwc11__mbstate_tE11do_encodingEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIwc11__mbstate_tE11do_encodingEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIwc11__mbstate_tE13do_max_lengthEv=Module["__ZNKSt3__27codecvtIwc11__mbstate_tE13do_max_lengthEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIwc11__mbstate_tE13do_max_lengthEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIwc11__mbstate_tE16do_always_noconvEv=Module["__ZNKSt3__27codecvtIwc11__mbstate_tE16do_always_noconvEv"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIwc11__mbstate_tE16do_always_noconvEv"].apply(null,arguments)};var __ZNKSt3__27codecvtIwc11__mbstate_tE5do_inERS1_PKcS5_RS5_PwS7_RS7_=Module["__ZNKSt3__27codecvtIwc11__mbstate_tE5do_inERS1_PKcS5_RS5_PwS7_RS7_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIwc11__mbstate_tE5do_inERS1_PKcS5_RS5_PwS7_RS7_"].apply(null,arguments)};var __ZNKSt3__27codecvtIwc11__mbstate_tE6do_outERS1_PKwS5_RS5_PcS7_RS7_=Module["__ZNKSt3__27codecvtIwc11__mbstate_tE6do_outERS1_PKwS5_RS5_PcS7_RS7_"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIwc11__mbstate_tE6do_outERS1_PKwS5_RS5_PcS7_RS7_"].apply(null,arguments)};var __ZNKSt3__27codecvtIwc11__mbstate_tE9do_lengthERS1_PKcS5_m=Module["__ZNKSt3__27codecvtIwc11__mbstate_tE9do_lengthERS1_PKcS5_m"]=function(){return Module["asm"]["__ZNKSt3__27codecvtIwc11__mbstate_tE9do_lengthERS1_PKcS5_m"].apply(null,arguments)};var __ZNKSt3__27collateIcE10do_compareEPKcS3_S3_S3_=Module["__ZNKSt3__27collateIcE10do_compareEPKcS3_S3_S3_"]=function(){return Module["asm"]["__ZNKSt3__27collateIcE10do_compareEPKcS3_S3_S3_"].apply(null,arguments)};var __ZNKSt3__27collateIcE12do_transformEPKcS3_=Module["__ZNKSt3__27collateIcE12do_transformEPKcS3_"]=function(){return Module["asm"]["__ZNKSt3__27collateIcE12do_transformEPKcS3_"].apply(null,arguments)};var __ZNKSt3__27collateIcE7do_hashEPKcS3_=Module["__ZNKSt3__27collateIcE7do_hashEPKcS3_"]=function(){return Module["asm"]["__ZNKSt3__27collateIcE7do_hashEPKcS3_"].apply(null,arguments)};var __ZNKSt3__27collateIwE10do_compareEPKwS3_S3_S3_=Module["__ZNKSt3__27collateIwE10do_compareEPKwS3_S3_S3_"]=function(){return Module["asm"]["__ZNKSt3__27collateIwE10do_compareEPKwS3_S3_S3_"].apply(null,arguments)};var __ZNKSt3__27collateIwE12do_transformEPKwS3_=Module["__ZNKSt3__27collateIwE12do_transformEPKwS3_"]=function(){return Module["asm"]["__ZNKSt3__27collateIwE12do_transformEPKwS3_"].apply(null,arguments)};var __ZNKSt3__27collateIwE7do_hashEPKwS3_=Module["__ZNKSt3__27collateIwE7do_hashEPKwS3_"]=function(){return Module["asm"]["__ZNKSt3__27collateIwE7do_hashEPKwS3_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__do_get_signedIlEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__do_get_signedIlEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__do_get_signedIlEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__do_get_signedIxEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__do_get_signedIxEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__do_get_signedIxEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedIjEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedIjEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedIjEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedImEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedImEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedImEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedItEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedItEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedItEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedIyEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedIyEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__do_get_unsignedIyEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIdEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIdEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIdEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIeEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIeEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIeEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIfEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIfEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE23__do_get_floating_pointIfEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRPv=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRPv"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRPv"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRb=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRb"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRb"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRd=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRd"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRd"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRe=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRe"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRe"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRf=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRf"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRf"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRl=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRl"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRl"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRm=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRm"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRm"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRt=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRt"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRt"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRx=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRx"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRx"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRy=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRy"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjRy"].apply(null,arguments)};var __ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjS8_=Module["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjS8_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjS8_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__do_get_signedIlEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__do_get_signedIlEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__do_get_signedIlEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__do_get_signedIxEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__do_get_signedIxEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__do_get_signedIxEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedIjEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedIjEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedIjEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedImEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedImEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedImEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedItEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedItEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedItEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedIyEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedIyEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__do_get_unsignedIyEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIdEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIdEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIdEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIeEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIeEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIeEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIfEES4_S4_S4_RNS_8ios_baseERjRT_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIfEES4_S4_S4_RNS_8ios_baseERjRT_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE23__do_get_floating_pointIfEES4_S4_S4_RNS_8ios_baseERjRT_"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRPv=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRPv"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRPv"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRb=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRb"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRb"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRd=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRd"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRd"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRe=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRe"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRe"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRf=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRf"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRf"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRl=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRl"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRl"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRm=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRm"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRm"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRt=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRt"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRt"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRx=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRx"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRx"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRy=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRy"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjRy"].apply(null,arguments)};var __ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjS8_=Module["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjS8_"]=function(){return Module["asm"]["__ZNKSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjS8_"].apply(null,arguments)};var __ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcPKv=Module["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcPKv"]=function(){return Module["asm"]["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcPKv"].apply(null,arguments)};var __ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcb=Module["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcb"]=function(){return Module["asm"]["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcb"].apply(null,arguments)};var __ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcd=Module["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcd"]=function(){return Module["asm"]["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcd"].apply(null,arguments)};var __ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEce=Module["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEce"]=function(){return Module["asm"]["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEce"].apply(null,arguments)};var __ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcl=Module["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcl"]=function(){return Module["asm"]["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcl"].apply(null,arguments)};var __ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcm=Module["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcm"]=function(){return Module["asm"]["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcm"].apply(null,arguments)};var __ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcx=Module["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcx"]=function(){return Module["asm"]["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcx"].apply(null,arguments)};var __ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcy=Module["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcy"]=function(){return Module["asm"]["__ZNKSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcy"].apply(null,arguments)};var __ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwPKv=Module["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwPKv"]=function(){return Module["asm"]["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwPKv"].apply(null,arguments)};var __ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwb=Module["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwb"]=function(){return Module["asm"]["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwb"].apply(null,arguments)};var __ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwd=Module["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwd"]=function(){return Module["asm"]["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwd"].apply(null,arguments)};var __ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwe=Module["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwe"]=function(){return Module["asm"]["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwe"].apply(null,arguments)};var __ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwl=Module["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwl"]=function(){return Module["asm"]["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwl"].apply(null,arguments)};var __ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwm=Module["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwm"]=function(){return Module["asm"]["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwm"].apply(null,arguments)};var __ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwx=Module["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwx"]=function(){return Module["asm"]["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwx"].apply(null,arguments)};var __ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwy=Module["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwy"]=function(){return Module["asm"]["__ZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwy"].apply(null,arguments)};var __ZNKSt3__28ios_base6getlocEv=Module["__ZNKSt3__28ios_base6getlocEv"]=function(){return Module["asm"]["__ZNKSt3__28ios_base6getlocEv"].apply(null,arguments)};var __ZNKSt3__28messagesIcE6do_getEliiRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZNKSt3__28messagesIcE6do_getEliiRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZNKSt3__28messagesIcE6do_getEliiRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"].apply(null,arguments)};var __ZNKSt3__28messagesIcE7do_openERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNS_6localeE=Module["__ZNKSt3__28messagesIcE7do_openERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNS_6localeE"]=function(){return Module["asm"]["__ZNKSt3__28messagesIcE7do_openERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNS_6localeE"].apply(null,arguments)};var __ZNKSt3__28messagesIcE8do_closeEl=Module["__ZNKSt3__28messagesIcE8do_closeEl"]=function(){return Module["asm"]["__ZNKSt3__28messagesIcE8do_closeEl"].apply(null,arguments)};var __ZNKSt3__28messagesIwE6do_getEliiRKNS_12basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEEE=Module["__ZNKSt3__28messagesIwE6do_getEliiRKNS_12basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEEE"]=function(){return Module["asm"]["__ZNKSt3__28messagesIwE6do_getEliiRKNS_12basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEEE"].apply(null,arguments)};var __ZNKSt3__28messagesIwE7do_openERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNS_6localeE=Module["__ZNKSt3__28messagesIwE7do_openERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNS_6localeE"]=function(){return Module["asm"]["__ZNKSt3__28messagesIwE7do_openERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNS_6localeE"].apply(null,arguments)};var __ZNKSt3__28messagesIwE8do_closeEl=Module["__ZNKSt3__28messagesIwE8do_closeEl"]=function(){return Module["asm"]["__ZNKSt3__28messagesIwE8do_closeEl"].apply(null,arguments)};var __ZNKSt3__28numpunctIcE11do_groupingEv=Module["__ZNKSt3__28numpunctIcE11do_groupingEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIcE11do_groupingEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIcE11do_truenameEv=Module["__ZNKSt3__28numpunctIcE11do_truenameEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIcE11do_truenameEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIcE12do_falsenameEv=Module["__ZNKSt3__28numpunctIcE12do_falsenameEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIcE12do_falsenameEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIcE16do_decimal_pointEv=Module["__ZNKSt3__28numpunctIcE16do_decimal_pointEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIcE16do_decimal_pointEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIcE16do_thousands_sepEv=Module["__ZNKSt3__28numpunctIcE16do_thousands_sepEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIcE16do_thousands_sepEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIwE11do_groupingEv=Module["__ZNKSt3__28numpunctIwE11do_groupingEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIwE11do_groupingEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIwE11do_truenameEv=Module["__ZNKSt3__28numpunctIwE11do_truenameEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIwE11do_truenameEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIwE12do_falsenameEv=Module["__ZNKSt3__28numpunctIwE12do_falsenameEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIwE12do_falsenameEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIwE16do_decimal_pointEv=Module["__ZNKSt3__28numpunctIwE16do_decimal_pointEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIwE16do_decimal_pointEv"].apply(null,arguments)};var __ZNKSt3__28numpunctIwE16do_thousands_sepEv=Module["__ZNKSt3__28numpunctIwE16do_thousands_sepEv"]=function(){return Module["asm"]["__ZNKSt3__28numpunctIwE16do_thousands_sepEv"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE10__get_hourERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE10__get_hourERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE10__get_hourERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE10__get_yearERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE10__get_yearERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE10__get_yearERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_am_pmERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_am_pmERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_am_pmERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_monthERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_monthERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_monthERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_year4ERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_year4ERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11__get_year4ERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_dateES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_dateES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_dateES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_timeES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_timeES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_timeES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_yearES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_yearES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE11do_get_yearES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE12__get_minuteERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE12__get_minuteERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE12__get_minuteERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE12__get_secondERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE12__get_secondERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE12__get_secondERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_12_hourERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_12_hourERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_12_hourERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_percentERS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_percentERS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_percentERS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_weekdayERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_weekdayERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13__get_weekdayERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13do_date_orderEv=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13do_date_orderEv"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE13do_date_orderEv"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE14do_get_weekdayES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE14do_get_weekdayES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE14do_get_weekdayES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__get_monthnameERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__get_monthnameERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE15__get_monthnameERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE16do_get_monthnameES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE16do_get_monthnameES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE16do_get_monthnameES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__get_weekdaynameERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__get_weekdaynameERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__get_weekdaynameERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__get_white_spaceERS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__get_white_spaceERS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE17__get_white_spaceERS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE18__get_day_year_numERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE18__get_day_year_numERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE18__get_day_year_numERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE3getES4_S4_RNS_8ios_baseERjP2tmPKcSC_=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE3getES4_S4_RNS_8ios_baseERjP2tmPKcSC_"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE3getES4_S4_RNS_8ios_baseERjP2tmPKcSC_"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjP2tmcc=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjP2tmcc"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_RNS_8ios_baseERjP2tmcc"].apply(null,arguments)};var __ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE9__get_dayERiRS4_S4_RjRKNS_5ctypeIcEE=Module["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE9__get_dayERiRS4_S4_RjRKNS_5ctypeIcEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE9__get_dayERiRS4_S4_RjRKNS_5ctypeIcEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE10__get_hourERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE10__get_hourERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE10__get_hourERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE10__get_yearERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE10__get_yearERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE10__get_yearERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_am_pmERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_am_pmERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_am_pmERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_monthERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_monthERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_monthERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_year4ERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_year4ERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11__get_year4ERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_dateES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_dateES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_dateES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_timeES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_timeES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_timeES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_yearES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_yearES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE11do_get_yearES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE12__get_minuteERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE12__get_minuteERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE12__get_minuteERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE12__get_secondERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE12__get_secondERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE12__get_secondERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_12_hourERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_12_hourERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_12_hourERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_percentERS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_percentERS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_percentERS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_weekdayERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_weekdayERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13__get_weekdayERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13do_date_orderEv=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13do_date_orderEv"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE13do_date_orderEv"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE14do_get_weekdayES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE14do_get_weekdayES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE14do_get_weekdayES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__get_monthnameERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__get_monthnameERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE15__get_monthnameERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE16do_get_monthnameES4_S4_RNS_8ios_baseERjP2tm=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE16do_get_monthnameES4_S4_RNS_8ios_baseERjP2tm"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE16do_get_monthnameES4_S4_RNS_8ios_baseERjP2tm"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__get_weekdaynameERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__get_weekdaynameERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__get_weekdaynameERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__get_white_spaceERS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__get_white_spaceERS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE17__get_white_spaceERS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE18__get_day_year_numERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE18__get_day_year_numERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE18__get_day_year_numERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE3getES4_S4_RNS_8ios_baseERjP2tmPKwSC_=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE3getES4_S4_RNS_8ios_baseERjP2tmPKwSC_"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE3getES4_S4_RNS_8ios_baseERjP2tmPKwSC_"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjP2tmcc=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjP2tmcc"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_RNS_8ios_baseERjP2tmcc"].apply(null,arguments)};var __ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE9__get_dayERiRS4_S4_RjRKNS_5ctypeIwEE=Module["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE9__get_dayERiRS4_S4_RjRKNS_5ctypeIwEE"]=function(){return Module["asm"]["__ZNKSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE9__get_dayERiRS4_S4_RjRKNS_5ctypeIwEE"].apply(null,arguments)};var __ZNKSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcPK2tmcc=Module["__ZNKSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcPK2tmcc"]=function(){return Module["asm"]["__ZNKSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_RNS_8ios_baseEcPK2tmcc"].apply(null,arguments)};var __ZNKSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwPK2tmcc=Module["__ZNKSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwPK2tmcc"]=function(){return Module["asm"]["__ZNKSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwPK2tmcc"].apply(null,arguments)};var __ZNKSt3__29__num_getIwE10__do_widenERNS_8ios_baseEPw=Module["__ZNKSt3__29__num_getIwE10__do_widenERNS_8ios_baseEPw"]=function(){return Module["asm"]["__ZNKSt3__29__num_getIwE10__do_widenERNS_8ios_baseEPw"].apply(null,arguments)};var __ZNKSt3__29__num_getIwE12__do_widen_pIwEEPKT_RNS_8ios_baseEPS3_=Module["__ZNKSt3__29__num_getIwE12__do_widen_pIwEEPKT_RNS_8ios_baseEPS3_"]=function(){return Module["asm"]["__ZNKSt3__29__num_getIwE12__do_widen_pIwEEPKT_RNS_8ios_baseEPS3_"].apply(null,arguments)};var __ZNKSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_bRNS_8ios_baseERjRNS_12basic_stringIcS3_NS_9allocatorIcEEEE=Module["__ZNKSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_bRNS_8ios_baseERjRNS_12basic_stringIcS3_NS_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZNKSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_bRNS_8ios_baseERjRNS_12basic_stringIcS3_NS_9allocatorIcEEEE"].apply(null,arguments)};var __ZNKSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_bRNS_8ios_baseERjRe=Module["__ZNKSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_bRNS_8ios_baseERjRe"]=function(){return Module["asm"]["__ZNKSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_bRNS_8ios_baseERjRe"].apply(null,arguments)};var __ZNKSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERjRNS_12basic_stringIwS3_NS_9allocatorIwEEEE=Module["__ZNKSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERjRNS_12basic_stringIwS3_NS_9allocatorIwEEEE"]=function(){return Module["asm"]["__ZNKSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERjRNS_12basic_stringIwS3_NS_9allocatorIwEEEE"].apply(null,arguments)};var __ZNKSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERjRe=Module["__ZNKSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERjRe"]=function(){return Module["asm"]["__ZNKSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERjRe"].apply(null,arguments)};var __ZNKSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_bRNS_8ios_baseEcRKNS_12basic_stringIcS3_NS_9allocatorIcEEEE=Module["__ZNKSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_bRNS_8ios_baseEcRKNS_12basic_stringIcS3_NS_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZNKSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_bRNS_8ios_baseEcRKNS_12basic_stringIcS3_NS_9allocatorIcEEEE"].apply(null,arguments)};var __ZNKSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_bRNS_8ios_baseEce=Module["__ZNKSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_bRNS_8ios_baseEce"]=function(){return Module["asm"]["__ZNKSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_putES4_bRNS_8ios_baseEce"].apply(null,arguments)};var __ZNKSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_bRNS_8ios_baseEwRKNS_12basic_stringIwS3_NS_9allocatorIwEEEE=Module["__ZNKSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_bRNS_8ios_baseEwRKNS_12basic_stringIwS3_NS_9allocatorIwEEEE"]=function(){return Module["asm"]["__ZNKSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_bRNS_8ios_baseEwRKNS_12basic_stringIwS3_NS_9allocatorIwEEEE"].apply(null,arguments)};var __ZNKSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_bRNS_8ios_baseEwe=Module["__ZNKSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_bRNS_8ios_baseEwe"]=function(){return Module["asm"]["__ZNKSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_bRNS_8ios_baseEwe"].apply(null,arguments)};var __ZNSt11logic_errorC2EPKc=Module["__ZNSt11logic_errorC2EPKc"]=function(){return Module["asm"]["__ZNSt11logic_errorC2EPKc"].apply(null,arguments)};var __ZNSt11logic_errorD0Ev=Module["__ZNSt11logic_errorD0Ev"]=function(){return Module["asm"]["__ZNSt11logic_errorD0Ev"].apply(null,arguments)};var __ZNSt11logic_errorD2Ev=Module["__ZNSt11logic_errorD2Ev"]=function(){return Module["asm"]["__ZNSt11logic_errorD2Ev"].apply(null,arguments)};var __ZNSt12length_errorD0Ev=Module["__ZNSt12length_errorD0Ev"]=function(){return Module["asm"]["__ZNSt12length_errorD0Ev"].apply(null,arguments)};var __ZNSt13exception_ptrC1ERKS_=Module["__ZNSt13exception_ptrC1ERKS_"]=function(){return Module["asm"]["__ZNSt13exception_ptrC1ERKS_"].apply(null,arguments)};var __ZNSt13exception_ptrD1Ev=Module["__ZNSt13exception_ptrD1Ev"]=function(){return Module["asm"]["__ZNSt13exception_ptrD1Ev"].apply(null,arguments)};var __ZNSt3__210__stdinbufIcE5imbueERKNS_6localeE=Module["__ZNSt3__210__stdinbufIcE5imbueERKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIcE5imbueERKNS_6localeE"].apply(null,arguments)};var __ZNSt3__210__stdinbufIcE5uflowEv=Module["__ZNSt3__210__stdinbufIcE5uflowEv"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIcE5uflowEv"].apply(null,arguments)};var __ZNSt3__210__stdinbufIcE9__getcharEb=Module["__ZNSt3__210__stdinbufIcE9__getcharEb"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIcE9__getcharEb"].apply(null,arguments)};var __ZNSt3__210__stdinbufIcE9pbackfailEi=Module["__ZNSt3__210__stdinbufIcE9pbackfailEi"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIcE9pbackfailEi"].apply(null,arguments)};var __ZNSt3__210__stdinbufIcE9underflowEv=Module["__ZNSt3__210__stdinbufIcE9underflowEv"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIcE9underflowEv"].apply(null,arguments)};var __ZNSt3__210__stdinbufIcEC2EP8_IO_FILEP11__mbstate_t=Module["__ZNSt3__210__stdinbufIcEC2EP8_IO_FILEP11__mbstate_t"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIcEC2EP8_IO_FILEP11__mbstate_t"].apply(null,arguments)};var __ZNSt3__210__stdinbufIcED0Ev=Module["__ZNSt3__210__stdinbufIcED0Ev"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIcED0Ev"].apply(null,arguments)};var __ZNSt3__210__stdinbufIwE5imbueERKNS_6localeE=Module["__ZNSt3__210__stdinbufIwE5imbueERKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIwE5imbueERKNS_6localeE"].apply(null,arguments)};var __ZNSt3__210__stdinbufIwE5uflowEv=Module["__ZNSt3__210__stdinbufIwE5uflowEv"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIwE5uflowEv"].apply(null,arguments)};var __ZNSt3__210__stdinbufIwE9__getcharEb=Module["__ZNSt3__210__stdinbufIwE9__getcharEb"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIwE9__getcharEb"].apply(null,arguments)};var __ZNSt3__210__stdinbufIwE9pbackfailEj=Module["__ZNSt3__210__stdinbufIwE9pbackfailEj"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIwE9pbackfailEj"].apply(null,arguments)};var __ZNSt3__210__stdinbufIwE9underflowEv=Module["__ZNSt3__210__stdinbufIwE9underflowEv"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIwE9underflowEv"].apply(null,arguments)};var __ZNSt3__210__stdinbufIwEC2EP8_IO_FILEP11__mbstate_t=Module["__ZNSt3__210__stdinbufIwEC2EP8_IO_FILEP11__mbstate_t"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIwEC2EP8_IO_FILEP11__mbstate_t"].apply(null,arguments)};var __ZNSt3__210__stdinbufIwED0Ev=Module["__ZNSt3__210__stdinbufIwED0Ev"]=function(){return Module["asm"]["__ZNSt3__210__stdinbufIwED0Ev"].apply(null,arguments)};var __ZNSt3__210__time_putD2Ev=Module["__ZNSt3__210__time_putD2Ev"]=function(){return Module["asm"]["__ZNSt3__210__time_putD2Ev"].apply(null,arguments)};var __ZNSt3__210moneypunctIcLb0EED0Ev=Module["__ZNSt3__210moneypunctIcLb0EED0Ev"]=function(){return Module["asm"]["__ZNSt3__210moneypunctIcLb0EED0Ev"].apply(null,arguments)};var __ZNSt3__210moneypunctIcLb0EED2Ev=Module["__ZNSt3__210moneypunctIcLb0EED2Ev"]=function(){return Module["asm"]["__ZNSt3__210moneypunctIcLb0EED2Ev"].apply(null,arguments)};var __ZNSt3__210moneypunctIcLb1EED0Ev=Module["__ZNSt3__210moneypunctIcLb1EED0Ev"]=function(){return Module["asm"]["__ZNSt3__210moneypunctIcLb1EED0Ev"].apply(null,arguments)};var __ZNSt3__210moneypunctIcLb1EED2Ev=Module["__ZNSt3__210moneypunctIcLb1EED2Ev"]=function(){return Module["asm"]["__ZNSt3__210moneypunctIcLb1EED2Ev"].apply(null,arguments)};var __ZNSt3__210moneypunctIwLb0EED0Ev=Module["__ZNSt3__210moneypunctIwLb0EED0Ev"]=function(){return Module["asm"]["__ZNSt3__210moneypunctIwLb0EED0Ev"].apply(null,arguments)};var __ZNSt3__210moneypunctIwLb0EED2Ev=Module["__ZNSt3__210moneypunctIwLb0EED2Ev"]=function(){return Module["asm"]["__ZNSt3__210moneypunctIwLb0EED2Ev"].apply(null,arguments)};var __ZNSt3__210moneypunctIwLb1EED0Ev=Module["__ZNSt3__210moneypunctIwLb1EED0Ev"]=function(){return Module["asm"]["__ZNSt3__210moneypunctIwLb1EED0Ev"].apply(null,arguments)};var __ZNSt3__210moneypunctIwLb1EED2Ev=Module["__ZNSt3__210moneypunctIwLb1EED2Ev"]=function(){return Module["asm"]["__ZNSt3__210moneypunctIwLb1EED2Ev"].apply(null,arguments)};var __ZNSt3__211__call_onceERVmPvPFvS2_E=Module["__ZNSt3__211__call_onceERVmPvPFvS2_E"]=function(){return Module["asm"]["__ZNSt3__211__call_onceERVmPvPFvS2_E"].apply(null,arguments)};var __ZNSt3__211__money_getIcE13__gather_infoEbRKNS_6localeERNS_10money_base7patternERcS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESF_SF_SF_Ri=Module["__ZNSt3__211__money_getIcE13__gather_infoEbRKNS_6localeERNS_10money_base7patternERcS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESF_SF_SF_Ri"]=function(){return Module["asm"]["__ZNSt3__211__money_getIcE13__gather_infoEbRKNS_6localeERNS_10money_base7patternERcS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESF_SF_SF_Ri"].apply(null,arguments)};var __ZNSt3__211__money_getIwE13__gather_infoEbRKNS_6localeERNS_10money_base7patternERwS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS9_IwNSA_IwEENSC_IwEEEESJ_SJ_Ri=Module["__ZNSt3__211__money_getIwE13__gather_infoEbRKNS_6localeERNS_10money_base7patternERwS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS9_IwNSA_IwEENSC_IwEEEESJ_SJ_Ri"]=function(){return Module["asm"]["__ZNSt3__211__money_getIwE13__gather_infoEbRKNS_6localeERNS_10money_base7patternERwS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS9_IwNSA_IwEENSC_IwEEEESJ_SJ_Ri"].apply(null,arguments)};var __ZNSt3__211__money_putIcE13__gather_infoEbbRKNS_6localeERNS_10money_base7patternERcS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESF_SF_Ri=Module["__ZNSt3__211__money_putIcE13__gather_infoEbbRKNS_6localeERNS_10money_base7patternERcS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESF_SF_Ri"]=function(){return Module["asm"]["__ZNSt3__211__money_putIcE13__gather_infoEbbRKNS_6localeERNS_10money_base7patternERcS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESF_SF_Ri"].apply(null,arguments)};var __ZNSt3__211__money_putIcE8__formatEPcRS2_S3_jPKcS5_RKNS_5ctypeIcEEbRKNS_10money_base7patternEccRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESL_SL_i=Module["__ZNSt3__211__money_putIcE8__formatEPcRS2_S3_jPKcS5_RKNS_5ctypeIcEEbRKNS_10money_base7patternEccRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESL_SL_i"]=function(){return Module["asm"]["__ZNSt3__211__money_putIcE8__formatEPcRS2_S3_jPKcS5_RKNS_5ctypeIcEEbRKNS_10money_base7patternEccRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEESL_SL_i"].apply(null,arguments)};var __ZNSt3__211__money_putIwE13__gather_infoEbbRKNS_6localeERNS_10money_base7patternERwS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS9_IwNSA_IwEENSC_IwEEEESJ_Ri=Module["__ZNSt3__211__money_putIwE13__gather_infoEbbRKNS_6localeERNS_10money_base7patternERwS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS9_IwNSA_IwEENSC_IwEEEESJ_Ri"]=function(){return Module["asm"]["__ZNSt3__211__money_putIwE13__gather_infoEbbRKNS_6localeERNS_10money_base7patternERwS8_RNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS9_IwNSA_IwEENSC_IwEEEESJ_Ri"].apply(null,arguments)};var __ZNSt3__211__money_putIwE8__formatEPwRS2_S3_jPKwS5_RKNS_5ctypeIwEEbRKNS_10money_base7patternEwwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNSE_IwNSF_IwEENSH_IwEEEESQ_i=Module["__ZNSt3__211__money_putIwE8__formatEPwRS2_S3_jPKwS5_RKNS_5ctypeIwEEbRKNS_10money_base7patternEwwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNSE_IwNSF_IwEENSH_IwEEEESQ_i"]=function(){return Module["asm"]["__ZNSt3__211__money_putIwE8__formatEPwRS2_S3_jPKwS5_RKNS_5ctypeIwEEbRKNS_10money_base7patternEwwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEERKNSE_IwNSF_IwEENSH_IwEEEESQ_i"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIcE4syncEv=Module["__ZNSt3__211__stdoutbufIcE4syncEv"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIcE4syncEv"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIcE5imbueERKNS_6localeE=Module["__ZNSt3__211__stdoutbufIcE5imbueERKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIcE5imbueERKNS_6localeE"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIcE6xsputnEPKcl=Module["__ZNSt3__211__stdoutbufIcE6xsputnEPKcl"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIcE6xsputnEPKcl"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIcE8overflowEi=Module["__ZNSt3__211__stdoutbufIcE8overflowEi"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIcE8overflowEi"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIcEC2EP8_IO_FILEP11__mbstate_t=Module["__ZNSt3__211__stdoutbufIcEC2EP8_IO_FILEP11__mbstate_t"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIcEC2EP8_IO_FILEP11__mbstate_t"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIcED0Ev=Module["__ZNSt3__211__stdoutbufIcED0Ev"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIcED0Ev"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIwE4syncEv=Module["__ZNSt3__211__stdoutbufIwE4syncEv"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIwE4syncEv"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIwE5imbueERKNS_6localeE=Module["__ZNSt3__211__stdoutbufIwE5imbueERKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIwE5imbueERKNS_6localeE"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIwE6xsputnEPKwl=Module["__ZNSt3__211__stdoutbufIwE6xsputnEPKwl"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIwE6xsputnEPKwl"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIwE8overflowEj=Module["__ZNSt3__211__stdoutbufIwE8overflowEj"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIwE8overflowEj"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIwEC2EP8_IO_FILEP11__mbstate_t=Module["__ZNSt3__211__stdoutbufIwEC2EP8_IO_FILEP11__mbstate_t"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIwEC2EP8_IO_FILEP11__mbstate_t"].apply(null,arguments)};var __ZNSt3__211__stdoutbufIwED0Ev=Module["__ZNSt3__211__stdoutbufIwED0Ev"]=function(){return Module["asm"]["__ZNSt3__211__stdoutbufIwED0Ev"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE11eq_int_typeEii=Module["__ZNSt3__211char_traitsIcE11eq_int_typeEii"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE11eq_int_typeEii"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE11to_int_typeEc=Module["__ZNSt3__211char_traitsIcE11to_int_typeEc"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE11to_int_typeEc"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE12to_char_typeEi=Module["__ZNSt3__211char_traitsIcE12to_char_typeEi"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE12to_char_typeEi"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE2eqEcc=Module["__ZNSt3__211char_traitsIcE2eqEcc"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE2eqEcc"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE4copyEPcPKcm=Module["__ZNSt3__211char_traitsIcE4copyEPcPKcm"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE4copyEPcPKcm"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE4findEPKcmRS2_=Module["__ZNSt3__211char_traitsIcE4findEPKcmRS2_"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE4findEPKcmRS2_"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE4moveEPcPKcm=Module["__ZNSt3__211char_traitsIcE4moveEPcPKcm"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE4moveEPcPKcm"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE6assignEPcmc=Module["__ZNSt3__211char_traitsIcE6assignEPcmc"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE6assignEPcmc"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE6assignERcRKc=Module["__ZNSt3__211char_traitsIcE6assignERcRKc"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE6assignERcRKc"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE6lengthEPKc=Module["__ZNSt3__211char_traitsIcE6lengthEPKc"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE6lengthEPKc"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE7compareEPKcS3_m=Module["__ZNSt3__211char_traitsIcE7compareEPKcS3_m"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE7compareEPKcS3_m"].apply(null,arguments)};var __ZNSt3__211char_traitsIcE7not_eofEi=Module["__ZNSt3__211char_traitsIcE7not_eofEi"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIcE7not_eofEi"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE11eq_int_typeEjj=Module["__ZNSt3__211char_traitsIwE11eq_int_typeEjj"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE11eq_int_typeEjj"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE11to_int_typeEw=Module["__ZNSt3__211char_traitsIwE11to_int_typeEw"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE11to_int_typeEw"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE12to_char_typeEj=Module["__ZNSt3__211char_traitsIwE12to_char_typeEj"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE12to_char_typeEj"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE4copyEPwPKwm=Module["__ZNSt3__211char_traitsIwE4copyEPwPKwm"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE4copyEPwPKwm"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE4moveEPwPKwm=Module["__ZNSt3__211char_traitsIwE4moveEPwPKwm"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE4moveEPwPKwm"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE6assignEPwmw=Module["__ZNSt3__211char_traitsIwE6assignEPwmw"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE6assignEPwmw"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE6assignERwRKw=Module["__ZNSt3__211char_traitsIwE6assignERwRKw"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE6assignERwRKw"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE6lengthEPKw=Module["__ZNSt3__211char_traitsIwE6lengthEPKw"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE6lengthEPKw"].apply(null,arguments)};var __ZNSt3__211char_traitsIwE7not_eofEj=Module["__ZNSt3__211char_traitsIwE7not_eofEj"]=function(){return Module["asm"]["__ZNSt3__211char_traitsIwE7not_eofEj"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_110as_integerIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pmi=Module["__ZNSt3__212_GLOBAL__N_110as_integerIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pmi"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_110as_integerIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pmi"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_110as_integerIyNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pmi=Module["__ZNSt3__212_GLOBAL__N_110as_integerIyNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pmi"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_110as_integerIyNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pmi"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_111__fake_bindC2EMNS_6locale2idEFvvEPS3_=Module["__ZNSt3__212_GLOBAL__N_111__fake_bindC2EMNS_6locale2idEFvvEPS3_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_111__fake_bindC2EMNS_6locale2idEFvvEPS3_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_111i_to_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEiEET_T0_=Module["__ZNSt3__212_GLOBAL__N_111i_to_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEiEET_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_111i_to_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEiEET_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_111i_to_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEjEET_T0_=Module["__ZNSt3__212_GLOBAL__N_111i_to_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEjEET_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_111i_to_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEjEET_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_112throw_helperISt12out_of_rangeEEvRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZNSt3__212_GLOBAL__N_112throw_helperISt12out_of_rangeEEvRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_112throw_helperISt12out_of_rangeEEvRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_112throw_helperISt16invalid_argumentEEvRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZNSt3__212_GLOBAL__N_112throw_helperISt16invalid_argumentEEvRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_112throw_helperISt16invalid_argumentEEvRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_115as_float_helperIdNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFdPKcPPcEEET_RKS7_RKT0_PmT1_=Module["__ZNSt3__212_GLOBAL__N_115as_float_helperIdNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFdPKcPPcEEET_RKS7_RKT0_PmT1_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_115as_float_helperIdNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFdPKcPPcEEET_RKS7_RKT0_PmT1_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_117as_integer_helperIlNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFlPKcPPciEEET_RKS7_RKT0_PmiT1_=Module["__ZNSt3__212_GLOBAL__N_117as_integer_helperIlNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFlPKcPPciEEET_RKS7_RKT0_PmiT1_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_117as_integer_helperIlNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFlPKcPPciEEET_RKS7_RKT0_PmiT1_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_117as_integer_helperIyNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFyPKcPPciEEET_RKS7_RKT0_PmiT1_=Module["__ZNSt3__212_GLOBAL__N_117as_integer_helperIyNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFyPKcPPciEEET_RKS7_RKT0_PmiT1_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_117as_integer_helperIyNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFyPKcPPciEEET_RKS7_RKT0_PmiT1_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_129throw_from_string_invalid_argERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZNSt3__212_GLOBAL__N_129throw_from_string_invalid_argERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_129throw_from_string_invalid_argERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_130throw_from_string_out_of_rangeERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZNSt3__212_GLOBAL__N_130throw_from_string_out_of_rangeERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_130throw_from_string_out_of_rangeERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIcLb0EEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIcLb0EEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIcLb0EEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIcLb1EEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIcLb1EEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIcLb1EEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIwLb0EEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIwLb0EEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIwLb0EEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIwLb1EEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIwLb1EEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_10moneypunctIwLb1EEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_5ctypeIcEEDnbjEERT_T0_T1_T2_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_5ctypeIcEEDnbjEERT_T0_T1_T2_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_5ctypeIcEEDnbjEERT_T0_T1_T2_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_5ctypeIwEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_5ctypeIwEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_5ctypeIwEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_6locale5__impEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_6locale5__impEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_6locale5__impEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIDic11__mbstate_tEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIDic11__mbstate_tEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIDic11__mbstate_tEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIDsc11__mbstate_tEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIDsc11__mbstate_tEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIDsc11__mbstate_tEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIcc11__mbstate_tEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIcc11__mbstate_tEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIcc11__mbstate_tEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIwc11__mbstate_tEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIwc11__mbstate_tEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7codecvtIwc11__mbstate_tEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7collateIcEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7collateIcEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7collateIcEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7collateIwEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7collateIwEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7collateIwEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_7num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_7num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_7num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_8messagesIcEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_8messagesIcEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_8messagesIcEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_8messagesIwEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_8messagesIwEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_8messagesIwEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_8numpunctIcEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_8numpunctIcEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_8numpunctIcEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_8numpunctIwEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_8numpunctIwEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_8numpunctIwEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_8time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_8time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_8time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_8time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_8time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_8time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_8time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_8time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_8time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_8time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_8time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_8time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_9money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_9money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_9money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_9money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_9money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_9money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_14makeINS_9money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_=Module["__ZNSt3__212_GLOBAL__N_14makeINS_9money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_14makeINS_9money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEjEERT_T0_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_17countofIcEEmPKT_S4_=Module["__ZNSt3__212_GLOBAL__N_17countofIcEEmPKT_S4_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_17countofIcEEmPKT_S4_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_17countofIwEEmPKT_S4_=Module["__ZNSt3__212_GLOBAL__N_17countofIwEEmPKT_S4_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_17countofIwEEmPKT_S4_"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_18as_floatIdNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pm=Module["__ZNSt3__212_GLOBAL__N_18as_floatIdNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pm"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_18as_floatIdNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEET_RKS7_RKT0_Pm"].apply(null,arguments)};var __ZNSt3__212_GLOBAL__N_19as_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFiPcmPKczEdEET_T0_SD_PKNSD_10value_typeET1_=Module["__ZNSt3__212_GLOBAL__N_19as_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFiPcmPKczEdEET_T0_SD_PKNSD_10value_typeET1_"]=function(){return Module["asm"]["__ZNSt3__212_GLOBAL__N_19as_stringINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPFiPcmPKczEdEET_T0_SD_PKNSD_10value_typeET1_"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeC2ENS_16__deque_iteratorIS3_PS3_RS3_PS9_lLl0EEESC_=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeC2ENS_16__deque_iteratorIS3_PS3_RS3_PS9_lLl0EEESC_"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeC2ENS_16__deque_iteratorIS3_PS3_RS3_PS9_lLl0EEESC_"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeppEv=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeppEv"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeppEv"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__deque_block_rangeC2EPS3_S8_=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__deque_block_rangeC2EPS3_S8_"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__deque_block_rangeC2EPS3_S8_"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE21_ConstructTransactionC2EPS6_RNS6_19__deque_block_rangeE=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE21_ConstructTransactionC2EPS6_RNS6_19__deque_block_rangeE"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE21_ConstructTransactionC2EPS6_RNS6_19__deque_block_rangeE"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE21_ConstructTransactionD2Ev=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE21_ConstructTransactionD2Ev"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE21_ConstructTransactionD2Ev"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE3endEv=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE3endEv"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE3endEv"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5beginEv=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5beginEv"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5beginEv"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5clearEv=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5clearEv"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5clearEv"].apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEED2Ev=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEED2Ev"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEED2Ev"].apply(null,arguments)};var __ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE3endEv=Module["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE3endEv"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE3endEv"].apply(null,arguments)};var __ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE5beginEv=Module["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE5beginEv"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE5beginEv"].apply(null,arguments)};var __ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE5clearEv=Module["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE5clearEv"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEE5clearEv"].apply(null,arguments)};var __ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEED2Ev=Module["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEED2Ev"]=function(){return Module["asm"]["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEED2Ev"].apply(null,arguments)};var __ZNSt3__212__do_nothingEPv=Module["__ZNSt3__212__do_nothingEPv"]=function(){return Module["asm"]["__ZNSt3__212__do_nothingEPv"].apply(null,arguments)};var __ZNSt3__212__next_primeEm=Module["__ZNSt3__212__next_primeEm"]=function(){return Module["asm"]["__ZNSt3__212__next_primeEm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE21__grow_by_and_replaceEmmmmmmPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE21__grow_by_and_replaceEmmmmmmPKc"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE21__grow_by_and_replaceEmmmmmmPKc"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE23__append_forward_unsafeIPcEERS5_T_S9_=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE23__append_forward_unsafeIPcEERS5_T_S9_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE23__append_forward_unsafeIPcEERS5_T_S9_"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE5eraseEmm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE5eraseEmm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE5eraseEmm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEPKcm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEPKcm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEPKcmm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEPKcmm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEPKcmm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEmc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEmc"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initEmc"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initIPKcEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESA_SA_=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initIPKcEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESA_SA_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initIPKcEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESA_SA_"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initIPcEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeES9_S9_=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initIPcEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeES9_S9_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6__initIPcEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeES9_S9_"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKc"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKc"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKcm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKcm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEmc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEmc"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEmc"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6assignEPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6assignEPKc"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6assignEPKc"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6assignEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6assignEPKcm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6assignEPKcm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKc"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKc"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKcm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKcm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6resizeEmc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6resizeEmc"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6resizeEmc"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7replaceEmmPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7replaceEmmPKcm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7replaceEmmPKcm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7reserveEm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7reserveEm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7reserveEm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9__grow_byEmmmmmm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9__grow_byEmmmmmm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9__grow_byEmmmmmm"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9push_backEc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9push_backEc"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9push_backEc"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2ERKS5_=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2ERKS5_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2ERKS5_"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2ERKS5_mmRKS4_=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2ERKS5_mmRKS4_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2ERKS5_mmRKS4_"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEaSERKS5_=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEaSERKS5_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEaSERKS5_"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE21__grow_by_and_replaceEmmmmmmPKw=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE21__grow_by_and_replaceEmmmmmmPKw"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE21__grow_by_and_replaceEmmmmmmPKw"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE23__append_forward_unsafeIPwEERS5_T_S9_=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE23__append_forward_unsafeIPwEERS5_T_S9_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE23__append_forward_unsafeIPwEERS5_T_S9_"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initEPKwm=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initEPKwm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initEPKwm"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initEmw=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initEmw"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initEmw"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initIPKwEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESA_SA_=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initIPKwEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESA_SA_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initIPKwEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESA_SA_"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initIPwEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeES9_S9_=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initIPwEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeES9_S9_"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6__initIPwEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeES9_S9_"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6appendEPKwm=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6appendEPKwm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6appendEPKwm"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6assignEPKw=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6assignEPKw"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6assignEPKw"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6assignEPKwm=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6assignEPKwm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE6assignEPKwm"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE9__grow_byEmmmmmm=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE9__grow_byEmmmmmm"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE9__grow_byEmmmmmm"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE9push_backEw=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE9push_backEw"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEE9push_backEw"].apply(null,arguments)};var __ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEED2Ev=Module["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__212basic_stringIwNS_11char_traitsIwEENS_9allocatorIwEEED2Ev"].apply(null,arguments)};var __ZNSt3__213__lower_boundIRNS_6__lessIjmEEPKjmEET0_S6_S6_RKT1_T_=Module["__ZNSt3__213__lower_boundIRNS_6__lessIjmEEPKjmEET0_S6_S6_RKT1_T_"]=function(){return Module["asm"]["__ZNSt3__213__lower_boundIRNS_6__lessIjmEEPKjmEET0_S6_S6_RKT1_T_"].apply(null,arguments)};var __ZNSt3__213__vector_baseIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEED2Ev=Module["__ZNSt3__213__vector_baseIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__213__vector_baseIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEED2Ev"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEE6sentryC2ERS3_b=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEE6sentryC2ERS3_b"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEE6sentryC2ERS3_b"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED0Ev=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED1Ev=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED1Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED1Ev"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERd=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERd"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERd"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERi=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERi"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERi"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERl=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERl"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERl"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERm=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERm"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERm"].apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERx=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERx"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERx"].apply(null,arguments)};var __ZNSt3__213basic_istreamIwNS_11char_traitsIwEEED0Ev=Module["__ZNSt3__213basic_istreamIwNS_11char_traitsIwEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIwNS_11char_traitsIwEEED0Ev"].apply(null,arguments)};var __ZNSt3__213basic_istreamIwNS_11char_traitsIwEEED1Ev=Module["__ZNSt3__213basic_istreamIwNS_11char_traitsIwEEED1Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_istreamIwNS_11char_traitsIwEEED1Ev"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE3putEc=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE3putEc"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE3putEc"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5flushEv=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5flushEv"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5flushEv"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC2ERS3_=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC2ERS3_"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC2ERS3_"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD2Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD2Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD2Ev"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEd=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEd"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEd"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEi=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEi"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEi"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEm=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEm"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEm"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEt=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEt"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEt"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEx=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEx"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEx"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIwNS_11char_traitsIwEEED0Ev=Module["__ZNSt3__213basic_ostreamIwNS_11char_traitsIwEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIwNS_11char_traitsIwEEED0Ev"].apply(null,arguments)};var __ZNSt3__213basic_ostreamIwNS_11char_traitsIwEEED1Ev=Module["__ZNSt3__213basic_ostreamIwNS_11char_traitsIwEEED1Ev"]=function(){return Module["asm"]["__ZNSt3__213basic_ostreamIwNS_11char_traitsIwEEED1Ev"].apply(null,arguments)};var __ZNSt3__214__num_get_base10__get_baseERNS_8ios_baseE=Module["__ZNSt3__214__num_get_base10__get_baseERNS_8ios_baseE"]=function(){return Module["asm"]["__ZNSt3__214__num_get_base10__get_baseERNS_8ios_baseE"].apply(null,arguments)};var __ZNSt3__214__num_put_base12__format_intEPcPKcbj=Module["__ZNSt3__214__num_put_base12__format_intEPcPKcbj"]=function(){return Module["asm"]["__ZNSt3__214__num_put_base12__format_intEPcPKcbj"].apply(null,arguments)};var __ZNSt3__214__num_put_base14__format_floatEPcPKcj=Module["__ZNSt3__214__num_put_base14__format_floatEPcPKcj"]=function(){return Module["asm"]["__ZNSt3__214__num_put_base14__format_floatEPcPKcj"].apply(null,arguments)};var __ZNSt3__214__num_put_base18__identify_paddingEPcS1_RKNS_8ios_baseE=Module["__ZNSt3__214__num_put_base18__identify_paddingEPcS1_RKNS_8ios_baseE"]=function(){return Module["asm"]["__ZNSt3__214__num_put_base18__identify_paddingEPcS1_RKNS_8ios_baseE"].apply(null,arguments)};var __ZNSt3__214__ptr_in_rangeIcEEbPKT_S3_S3_=Module["__ZNSt3__214__ptr_in_rangeIcEEbPKT_S3_S3_"]=function(){return Module["asm"]["__ZNSt3__214__ptr_in_rangeIcEEbPKT_S3_S3_"].apply(null,arguments)};var __ZNSt3__214__ptr_in_rangeIwEEbPKT_S3_S3_=Module["__ZNSt3__214__ptr_in_rangeIwEEbPKT_S3_S3_"]=function(){return Module["asm"]["__ZNSt3__214__ptr_in_rangeIwEEbPKT_S3_S3_"].apply(null,arguments)};var __ZNSt3__214__scan_keywordINS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEPKNS_12basic_stringIcS3_NS_9allocatorIcEEEENS_5ctypeIcEEEET0_RT_SE_SD_SD_RKT1_Rjb=Module["__ZNSt3__214__scan_keywordINS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEPKNS_12basic_stringIcS3_NS_9allocatorIcEEEENS_5ctypeIcEEEET0_RT_SE_SD_SD_RKT1_Rjb"]=function(){return Module["asm"]["__ZNSt3__214__scan_keywordINS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEPKNS_12basic_stringIcS3_NS_9allocatorIcEEEENS_5ctypeIcEEEET0_RT_SE_SD_SD_RKT1_Rjb"].apply(null,arguments)};var __ZNSt3__214__scan_keywordINS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEPKNS_12basic_stringIwS3_NS_9allocatorIwEEEENS_5ctypeIwEEEET0_RT_SE_SD_SD_RKT1_Rjb=Module["__ZNSt3__214__scan_keywordINS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEPKNS_12basic_stringIwS3_NS_9allocatorIwEEEENS_5ctypeIwEEEET0_RT_SE_SD_SD_RKT1_Rjb"]=function(){return Module["asm"]["__ZNSt3__214__scan_keywordINS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEPKNS_12basic_stringIwS3_NS_9allocatorIwEEEENS_5ctypeIwEEEET0_RT_SE_SD_SD_RKT1_Rjb"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE10push_frontEOS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE10push_frontEOS4_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE10push_frontEOS4_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE9push_backEOS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE9push_backEOS4_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE9push_backEOS4_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEED2Ev=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEED2Ev"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEED2Ev"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE10push_frontERKS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE10push_frontERKS4_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE10push_frontERKS4_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE18__construct_at_endINS_13move_iteratorIPS4_EEEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESE_SE_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE18__construct_at_endINS_13move_iteratorIPS4_EEEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESE_SE_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE18__construct_at_endINS_13move_iteratorIPS4_EEEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESE_SE_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE21_ConstructTransactionC2EPPS4_m=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE21_ConstructTransactionC2EPPS4_m"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE21_ConstructTransactionC2EPPS4_m"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE21_ConstructTransactionD2Ev=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE21_ConstructTransactionD2Ev"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE21_ConstructTransactionD2Ev"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE9push_backEOS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE9push_backEOS4_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE9push_backEOS4_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEEC2EmmS7_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEEC2EmmS7_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEEC2EmmS7_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEED2Ev=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEED2Ev"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEED2Ev"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE18__construct_at_endEm=Module["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE18__construct_at_endEm"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE18__construct_at_endEm"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionC2EPPS3_m=Module["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionC2EPPS3_m"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionC2EPPS3_m"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionD2Ev=Module["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionD2Ev"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionD2Ev"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEEC2EmmS6_=Module["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEEC2EmmS6_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEEC2EmmS6_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEED2Ev=Module["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPNS_6locale5facetERNS_15__sso_allocatorIS3_Lm28EEEED2Ev"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE10push_frontEOS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE10push_frontEOS4_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE10push_frontEOS4_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE9push_backEOS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE9push_backEOS4_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE9push_backEOS4_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEED2Ev=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEED2Ev"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEED2Ev"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE10push_frontERKS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE10push_frontERKS4_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE10push_frontERKS4_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE18__construct_at_endINS_13move_iteratorIPS4_EEEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESE_SE_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE18__construct_at_endINS_13move_iteratorIPS4_EEEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESE_SE_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE18__construct_at_endINS_13move_iteratorIPS4_EEEENS_9enable_ifIXsr27__is_cpp17_forward_iteratorIT_EE5valueEvE4typeESE_SE_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE21_ConstructTransactionC2EPPS4_m=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE21_ConstructTransactionC2EPPS4_m"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE21_ConstructTransactionC2EPPS4_m"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE21_ConstructTransactionD2Ev=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE21_ConstructTransactionD2Ev"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE21_ConstructTransactionD2Ev"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE9push_backEOS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE9push_backEOS4_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE9push_backEOS4_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEEC2EmmS7_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEEC2EmmS7_"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEEC2EmmS7_"].apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEED2Ev=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEED2Ev"]=function(){return Module["asm"]["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEED2Ev"].apply(null,arguments)};var __ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev"]=function(){return Module["asm"]["__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev"].apply(null,arguments)};var __ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__215__num_get_floatIdEET_PKcS3_Rj=Module["__ZNSt3__215__num_get_floatIdEET_PKcS3_Rj"]=function(){return Module["asm"]["__ZNSt3__215__num_get_floatIdEET_PKcS3_Rj"].apply(null,arguments)};var __ZNSt3__215__num_get_floatIeEET_PKcS3_Rj=Module["__ZNSt3__215__num_get_floatIeEET_PKcS3_Rj"]=function(){return Module["asm"]["__ZNSt3__215__num_get_floatIeEET_PKcS3_Rj"].apply(null,arguments)};var __ZNSt3__215__num_get_floatIfEET_PKcS3_Rj=Module["__ZNSt3__215__num_get_floatIfEET_PKcS3_Rj"]=function(){return Module["asm"]["__ZNSt3__215__num_get_floatIfEET_PKcS3_Rj"].apply(null,arguments)};var __ZNSt3__215__refstring_imp12_GLOBAL__N_113data_from_repEPNS1_9_Rep_baseE=Module["__ZNSt3__215__refstring_imp12_GLOBAL__N_113data_from_repEPNS1_9_Rep_baseE"]=function(){return Module["asm"]["__ZNSt3__215__refstring_imp12_GLOBAL__N_113data_from_repEPNS1_9_Rep_baseE"].apply(null,arguments)};var __ZNSt3__215__refstring_imp12_GLOBAL__N_113rep_from_dataEPKc=Module["__ZNSt3__215__refstring_imp12_GLOBAL__N_113rep_from_dataEPKc"]=function(){return Module["asm"]["__ZNSt3__215__refstring_imp12_GLOBAL__N_113rep_from_dataEPKc"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE4syncEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE4syncEv"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE4syncEv"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5imbueERKNS_6localeE=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5imbueERKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5imbueERKNS_6localeE"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5uflowEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5uflowEv"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5uflowEv"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6setbufEPcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6setbufEPcl"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6setbufEPcl"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsgetnEPcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsgetnEPcl"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsgetnEPcl"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsputnEPKcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsputnEPKcl"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsputnEPKcl"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE7seekoffExNS_8ios_base7seekdirEj=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE7seekoffExNS_8ios_base7seekdirEj"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE7seekoffExNS_8ios_base7seekdirEj"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE7seekposENS_4fposI11__mbstate_tEEj=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE7seekposENS_4fposI11__mbstate_tEEj"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE7seekposENS_4fposI11__mbstate_tEEj"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE8overflowEi=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE8overflowEi"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE8overflowEi"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9pbackfailEi=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9pbackfailEi"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9pbackfailEi"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9showmanycEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9showmanycEv"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9showmanycEv"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9underflowEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9underflowEv"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9underflowEv"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED0Ev=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE4syncEv=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE4syncEv"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE4syncEv"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE5imbueERKNS_6localeE=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE5imbueERKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE5imbueERKNS_6localeE"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE5uflowEv=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE5uflowEv"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE5uflowEv"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6setbufEPwl=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6setbufEPwl"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6setbufEPwl"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6xsgetnEPwl=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6xsgetnEPwl"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6xsgetnEPwl"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6xsputnEPKwl=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6xsputnEPKwl"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE6xsputnEPKwl"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE7seekoffExNS_8ios_base7seekdirEj=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE7seekoffExNS_8ios_base7seekdirEj"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE7seekoffExNS_8ios_base7seekdirEj"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE7seekposENS_4fposI11__mbstate_tEEj=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE7seekposENS_4fposI11__mbstate_tEEj"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE7seekposENS_4fposI11__mbstate_tEEj"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE8overflowEj=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE8overflowEj"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE8overflowEj"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9pbackfailEj=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9pbackfailEj"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9pbackfailEj"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9showmanycEv=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9showmanycEv"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9showmanycEv"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9underflowEv=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9underflowEv"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEE9underflowEv"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEEC2Ev=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEEC2Ev"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEEC2Ev"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEED0Ev=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEED0Ev"].apply(null,arguments)};var __ZNSt3__215basic_streambufIwNS_11char_traitsIwEEED2Ev=Module["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__215basic_streambufIwNS_11char_traitsIwEEED2Ev"].apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE"]=function(){return Module["asm"]["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE"].apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj"]=function(){return Module["asm"]["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj"].apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekposENS_4fposI11__mbstate_tEEj=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekposENS_4fposI11__mbstate_tEEj"]=function(){return Module["asm"]["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekposENS_4fposI11__mbstate_tEEj"].apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi"]=function(){return Module["asm"]["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi"].apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi"]=function(){return Module["asm"]["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi"].apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv"]=function(){return Module["asm"]["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv"].apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"].apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__215recursive_mutex4lockEv=Module["__ZNSt3__215recursive_mutex4lockEv"]=function(){return Module["asm"]["__ZNSt3__215recursive_mutex4lockEv"].apply(null,arguments)};var __ZNSt3__215recursive_mutex6unlockEv=Module["__ZNSt3__215recursive_mutex6unlockEv"]=function(){return Module["asm"]["__ZNSt3__215recursive_mutex6unlockEv"].apply(null,arguments)};var __ZNSt3__215recursive_mutexC1Ev=Module["__ZNSt3__215recursive_mutexC1Ev"]=function(){return Module["asm"]["__ZNSt3__215recursive_mutexC1Ev"].apply(null,arguments)};var __ZNSt3__215recursive_mutexD1Ev=Module["__ZNSt3__215recursive_mutexD1Ev"]=function(){return Module["asm"]["__ZNSt3__215recursive_mutexD1Ev"].apply(null,arguments)};var __ZNSt3__216__check_groupingERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjS8_Rj=Module["__ZNSt3__216__check_groupingERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjS8_Rj"]=function(){return Module["asm"]["__ZNSt3__216__check_groupingERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjS8_Rj"].apply(null,arguments)};var __ZNSt3__216__narrow_to_utf8ILm32EED0Ev=Module["__ZNSt3__216__narrow_to_utf8ILm32EED0Ev"]=function(){return Module["asm"]["__ZNSt3__216__narrow_to_utf8ILm32EED0Ev"].apply(null,arguments)};var __ZNSt3__216__pad_and_outputIcNS_11char_traitsIcEEEENS_19ostreambuf_iteratorIT_T0_EES6_PKS4_S8_S8_RNS_8ios_baseES4_=Module["__ZNSt3__216__pad_and_outputIcNS_11char_traitsIcEEEENS_19ostreambuf_iteratorIT_T0_EES6_PKS4_S8_S8_RNS_8ios_baseES4_"]=function(){return Module["asm"]["__ZNSt3__216__pad_and_outputIcNS_11char_traitsIcEEEENS_19ostreambuf_iteratorIT_T0_EES6_PKS4_S8_S8_RNS_8ios_baseES4_"].apply(null,arguments)};var __ZNSt3__216__pad_and_outputIwNS_11char_traitsIwEEEENS_19ostreambuf_iteratorIT_T0_EES6_PKS4_S8_S8_RNS_8ios_baseES4_=Module["__ZNSt3__216__pad_and_outputIwNS_11char_traitsIwEEEENS_19ostreambuf_iteratorIT_T0_EES6_PKS4_S8_S8_RNS_8ios_baseES4_"]=function(){return Module["asm"]["__ZNSt3__216__pad_and_outputIwNS_11char_traitsIwEEEENS_19ostreambuf_iteratorIT_T0_EES6_PKS4_S8_S8_RNS_8ios_baseES4_"].apply(null,arguments)};var __ZNSt3__217_DeallocateCaller27__do_deallocate_handle_sizeEPvm=Module["__ZNSt3__217_DeallocateCaller27__do_deallocate_handle_sizeEPvm"]=function(){return Module["asm"]["__ZNSt3__217_DeallocateCaller27__do_deallocate_handle_sizeEPvm"].apply(null,arguments)};var __ZNSt3__217_DeallocateCaller9__do_callEPv=Module["__ZNSt3__217_DeallocateCaller9__do_callEPv"]=function(){return Module["asm"]["__ZNSt3__217_DeallocateCaller9__do_callEPv"].apply(null,arguments)};var __ZNSt3__217__libcpp_sscanf_lEPKcP15__locale_structS1_z=Module["__ZNSt3__217__libcpp_sscanf_lEPKcP15__locale_structS1_z"]=function(){return Module["asm"]["__ZNSt3__217__libcpp_sscanf_lEPKcP15__locale_structS1_z"].apply(null,arguments)};var __ZNSt3__217__widen_from_utf8ILm32EED0Ev=Module["__ZNSt3__217__widen_from_utf8ILm32EED0Ev"]=function(){return Module["asm"]["__ZNSt3__217__widen_from_utf8ILm32EED0Ev"].apply(null,arguments)};var __ZNSt3__218__insertion_sort_3IRNS_6__lessIjjEEPjEEvT0_S5_T_=Module["__ZNSt3__218__insertion_sort_3IRNS_6__lessIjjEEPjEEvT0_S5_T_"]=function(){return Module["asm"]["__ZNSt3__218__insertion_sort_3IRNS_6__lessIjjEEPjEEvT0_S5_T_"].apply(null,arguments)};var __ZNSt3__218__libcpp_refstringC2EPKc=Module["__ZNSt3__218__libcpp_refstringC2EPKc"]=function(){return Module["asm"]["__ZNSt3__218__libcpp_refstringC2EPKc"].apply(null,arguments)};var __ZNSt3__218__libcpp_refstringD2Ev=Module["__ZNSt3__218__libcpp_refstringD2Ev"]=function(){return Module["asm"]["__ZNSt3__218__libcpp_refstringD2Ev"].apply(null,arguments)};var __ZNSt3__219__double_or_nothingIcEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_=Module["__ZNSt3__219__double_or_nothingIcEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_"]=function(){return Module["asm"]["__ZNSt3__219__double_or_nothingIcEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_"].apply(null,arguments)};var __ZNSt3__219__double_or_nothingIjEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_=Module["__ZNSt3__219__double_or_nothingIjEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_"]=function(){return Module["asm"]["__ZNSt3__219__double_or_nothingIjEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_"].apply(null,arguments)};var __ZNSt3__219__double_or_nothingIwEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_=Module["__ZNSt3__219__double_or_nothingIwEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_"]=function(){return Module["asm"]["__ZNSt3__219__double_or_nothingIwEEvRNS_10unique_ptrIT_PFvPvEEERPS2_S9_"].apply(null,arguments)};var __ZNSt3__219__libcpp_asprintf_lEPPcP15__locale_structPKcz=Module["__ZNSt3__219__libcpp_asprintf_lEPPcP15__locale_structPKcz"]=function(){return Module["asm"]["__ZNSt3__219__libcpp_asprintf_lEPPcP15__locale_structPKcz"].apply(null,arguments)};var __ZNSt3__219__libcpp_snprintf_lEPcmP15__locale_structPKcz=Module["__ZNSt3__219__libcpp_snprintf_lEPcmP15__locale_structPKcz"]=function(){return Module["asm"]["__ZNSt3__219__libcpp_snprintf_lEPcmP15__locale_structPKcz"].apply(null,arguments)};var __ZNSt3__219__shared_weak_count14__release_weakEv=Module["__ZNSt3__219__shared_weak_count14__release_weakEv"]=function(){return Module["asm"]["__ZNSt3__219__shared_weak_count14__release_weakEv"].apply(null,arguments)};var __ZNSt3__219__shared_weak_countD2Ev=Module["__ZNSt3__219__shared_weak_countD2Ev"]=function(){return Module["asm"]["__ZNSt3__219__shared_weak_countD2Ev"].apply(null,arguments)};var __ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev=Module["__ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"].apply(null,arguments)};var __ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev=Module["__ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"]=function(){return Module["asm"]["__ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"].apply(null,arguments)};var __ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev=Module["__ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev=Module["__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"].apply(null,arguments)};var __ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev=Module["__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"]=function(){return Module["asm"]["__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"].apply(null,arguments)};var __ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev=Module["__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__220__get_up_to_n_digitsIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEiRT0_S5_RjRKNS_5ctypeIT_EEi=Module["__ZNSt3__220__get_up_to_n_digitsIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEiRT0_S5_RjRKNS_5ctypeIT_EEi"]=function(){return Module["asm"]["__ZNSt3__220__get_up_to_n_digitsIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEiRT0_S5_RjRKNS_5ctypeIT_EEi"].apply(null,arguments)};var __ZNSt3__220__get_up_to_n_digitsIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEiRT0_S5_RjRKNS_5ctypeIT_EEi=Module["__ZNSt3__220__get_up_to_n_digitsIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEiRT0_S5_RjRKNS_5ctypeIT_EEi"]=function(){return Module["asm"]["__ZNSt3__220__get_up_to_n_digitsIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEiRT0_S5_RjRKNS_5ctypeIT_EEi"].apply(null,arguments)};var __ZNSt3__220__throw_system_errorEiPKc=Module["__ZNSt3__220__throw_system_errorEiPKc"]=function(){return Module["asm"]["__ZNSt3__220__throw_system_errorEiPKc"].apply(null,arguments)};var __ZNSt3__220__time_get_c_storageIcEC2Ev=Module["__ZNSt3__220__time_get_c_storageIcEC2Ev"]=function(){return Module["asm"]["__ZNSt3__220__time_get_c_storageIcEC2Ev"].apply(null,arguments)};var __ZNSt3__220__time_get_c_storageIwEC2Ev=Module["__ZNSt3__220__time_get_c_storageIwEC2Ev"]=function(){return Module["asm"]["__ZNSt3__220__time_get_c_storageIwEC2Ev"].apply(null,arguments)};var __ZNSt3__221__throw_runtime_errorEPKc=Module["__ZNSt3__221__throw_runtime_errorEPKc"]=function(){return Module["asm"]["__ZNSt3__221__throw_runtime_errorEPKc"].apply(null,arguments)};var __ZNSt3__224__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m=Module["__ZNSt3__224__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m"]=function(){return Module["asm"]["__ZNSt3__224__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m"].apply(null,arguments)};var __ZNSt3__225__num_get_signed_integralIlEET_PKcS3_Rji=Module["__ZNSt3__225__num_get_signed_integralIlEET_PKcS3_Rji"]=function(){return Module["asm"]["__ZNSt3__225__num_get_signed_integralIlEET_PKcS3_Rji"].apply(null,arguments)};var __ZNSt3__225__num_get_signed_integralIxEET_PKcS3_Rji=Module["__ZNSt3__225__num_get_signed_integralIxEET_PKcS3_Rji"]=function(){return Module["asm"]["__ZNSt3__225__num_get_signed_integralIxEET_PKcS3_Rji"].apply(null,arguments)};var __ZNSt3__227__insertion_sort_incompleteIRNS_6__lessIjjEEPjEEbT0_S5_T_=Module["__ZNSt3__227__insertion_sort_incompleteIRNS_6__lessIjjEEPjEEbT0_S5_T_"]=function(){return Module["asm"]["__ZNSt3__227__insertion_sort_incompleteIRNS_6__lessIjjEEPjEEbT0_S5_T_"].apply(null,arguments)};var __ZNSt3__227__num_get_unsigned_integralIjEET_PKcS3_Rji=Module["__ZNSt3__227__num_get_unsigned_integralIjEET_PKcS3_Rji"]=function(){return Module["asm"]["__ZNSt3__227__num_get_unsigned_integralIjEET_PKcS3_Rji"].apply(null,arguments)};var __ZNSt3__227__num_get_unsigned_integralImEET_PKcS3_Rji=Module["__ZNSt3__227__num_get_unsigned_integralImEET_PKcS3_Rji"]=function(){return Module["asm"]["__ZNSt3__227__num_get_unsigned_integralImEET_PKcS3_Rji"].apply(null,arguments)};var __ZNSt3__227__num_get_unsigned_integralItEET_PKcS3_Rji=Module["__ZNSt3__227__num_get_unsigned_integralItEET_PKcS3_Rji"]=function(){return Module["asm"]["__ZNSt3__227__num_get_unsigned_integralItEET_PKcS3_Rji"].apply(null,arguments)};var __ZNSt3__227__num_get_unsigned_integralIyEET_PKcS3_Rji=Module["__ZNSt3__227__num_get_unsigned_integralIyEET_PKcS3_Rji"]=function(){return Module["asm"]["__ZNSt3__227__num_get_unsigned_integralIyEET_PKcS3_Rji"].apply(null,arguments)};var __ZNSt3__227__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_=Module["__ZNSt3__227__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_"]=function(){return Module["asm"]["__ZNSt3__227__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_"].apply(null,arguments)};var __ZNSt3__24pairIKN4Json5Value8CZStringES2_EC2ERKS5_=Module["__ZNSt3__24pairIKN4Json5Value8CZStringES2_EC2ERKS5_"]=function(){return Module["asm"]["__ZNSt3__24pairIKN4Json5Value8CZStringES2_EC2ERKS5_"].apply(null,arguments)};var __ZNSt3__24pairIKN4Json5Value8CZStringES2_ED2Ev=Module["__ZNSt3__24pairIKN4Json5Value8CZStringES2_ED2Ev"]=function(){return Module["asm"]["__ZNSt3__24pairIKN4Json5Value8CZStringES2_ED2Ev"].apply(null,arguments)};var __ZNSt3__24stodERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPm=Module["__ZNSt3__24stodERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPm"]=function(){return Module["asm"]["__ZNSt3__24stodERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPm"].apply(null,arguments)};var __ZNSt3__24stoiERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi=Module["__ZNSt3__24stoiERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"]=function(){return Module["asm"]["__ZNSt3__24stoiERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"].apply(null,arguments)};var __ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EEC2ERKS7_=Module["__ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EEC2ERKS7_"]=function(){return Module["asm"]["__ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EEC2ERKS7_"].apply(null,arguments)};var __ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EEC2Ev=Module["__ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EEC2Ev"]=function(){return Module["asm"]["__ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EEC2Ev"].apply(null,arguments)};var __ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EED2Ev=Module["__ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EED2Ev"]=function(){return Module["asm"]["__ZNSt3__25arrayINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEELm3EED2Ev"].apply(null,arguments)};var __ZNSt3__25ctypeIcEC2EPKtbm=Module["__ZNSt3__25ctypeIcEC2EPKtbm"]=function(){return Module["asm"]["__ZNSt3__25ctypeIcEC2EPKtbm"].apply(null,arguments)};var __ZNSt3__25ctypeIcED0Ev=Module["__ZNSt3__25ctypeIcED0Ev"]=function(){return Module["asm"]["__ZNSt3__25ctypeIcED0Ev"].apply(null,arguments)};var __ZNSt3__25ctypeIcED2Ev=Module["__ZNSt3__25ctypeIcED2Ev"]=function(){return Module["asm"]["__ZNSt3__25ctypeIcED2Ev"].apply(null,arguments)};var __ZNSt3__25ctypeIwED0Ev=Module["__ZNSt3__25ctypeIwED0Ev"]=function(){return Module["asm"]["__ZNSt3__25ctypeIwED0Ev"].apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE14__erase_to_endENS_16__deque_iteratorIS3_PKS3_RS8_PKS9_lLl0EEE=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE14__erase_to_endENS_16__deque_iteratorIS3_PKS3_RS8_PKS9_lLl0EEE"]=function(){return Module["asm"]["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE14__erase_to_endENS_16__deque_iteratorIS3_PKS3_RS8_PKS9_lLl0EEE"].apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEm=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEm"]=function(){return Module["asm"]["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEm"].apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEv=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEv"]=function(){return Module["asm"]["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEv"].apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE6resizeEm=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE6resizeEm"]=function(){return Module["asm"]["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE6resizeEm"].apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE8__appendEm=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE8__appendEm"]=function(){return Module["asm"]["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE8__appendEm"].apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE9push_backERKS3_=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE9push_backERKS3_"]=function(){return Module["asm"]["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE9push_backERKS3_"].apply(null,arguments)};var __ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE19__add_back_capacityEv=Module["__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE19__add_back_capacityEv"]=function(){return Module["asm"]["__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE19__add_back_capacityEv"].apply(null,arguments)};var __ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE8pop_backEv=Module["__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE8pop_backEv"]=function(){return Module["asm"]["__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE8pop_backEv"].apply(null,arguments)};var __ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE9push_backEOS3_=Module["__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE9push_backEOS3_"]=function(){return Module["asm"]["__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE9push_backEOS3_"].apply(null,arguments)};var __ZNSt3__25mutex4lockEv=Module["__ZNSt3__25mutex4lockEv"]=function(){return Module["asm"]["__ZNSt3__25mutex4lockEv"].apply(null,arguments)};var __ZNSt3__25mutex6unlockEv=Module["__ZNSt3__25mutex6unlockEv"]=function(){return Module["asm"]["__ZNSt3__25mutex6unlockEv"].apply(null,arguments)};var __ZNSt3__25stackIPN4Json5ValueENS_5dequeIS3_NS_9allocatorIS3_EEEEED2Ev=Module["__ZNSt3__25stackIPN4Json5ValueENS_5dequeIS3_NS_9allocatorIS3_EEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__25stackIPN4Json5ValueENS_5dequeIS3_NS_9allocatorIS3_EEEEED2Ev"].apply(null,arguments)};var __ZNSt3__26__clocEv=Module["__ZNSt3__26__clocEv"]=function(){return Module["asm"]["__ZNSt3__26__clocEv"].apply(null,arguments)};var __ZNSt3__26__itoa8__u32toaEjPc=Module["__ZNSt3__26__itoa8__u32toaEjPc"]=function(){return Module["asm"]["__ZNSt3__26__itoa8__u32toaEjPc"].apply(null,arguments)};var __ZNSt3__26__sortIRNS_6__lessIjjEEPjEEvT0_S5_T_=Module["__ZNSt3__26__sortIRNS_6__lessIjjEEPjEEvT0_S5_T_"]=function(){return Module["asm"]["__ZNSt3__26__sortIRNS_6__lessIjjEEPjEEvT0_S5_T_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS5_PNS_11__tree_nodeIS5_SF_EElEERPNS_15__tree_end_nodeISH_EESI_RKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS5_PNS_11__tree_nodeIS5_SF_EElEERPNS_15__tree_end_nodeISH_EESI_RKT_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS5_PNS_11__tree_nodeIS5_SF_EElEERPNS_15__tree_end_nodeISH_EESI_RKT_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE13__lower_boundIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_SI_PNS_15__tree_end_nodeIPNS_16__tree_node_baseISG_EEEE=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE13__lower_boundIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_SI_PNS_15__tree_end_nodeIPNS_16__tree_node_baseISG_EEEE"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE13__lower_boundIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_SI_PNS_15__tree_end_nodeIPNS_16__tree_node_baseISG_EEEE"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE16__construct_nodeIJRKNS_4pairIKS4_S3_EEEEENS_10unique_ptrINS_11__tree_nodeIS5_PvEENS_22__tree_node_destructorINSA_ISM_EEEEEEDpOT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE16__construct_nodeIJRKNS_4pairIKS4_S3_EEEEENS_10unique_ptrINS_11__tree_nodeIS5_PvEENS_22__tree_node_destructorINSA_ISM_EEEEEEDpOT_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE16__construct_nodeIJRKNS_4pairIKS4_S3_EEEEENS_10unique_ptrINS_11__tree_nodeIS5_PvEENS_22__tree_node_destructorINSA_ISM_EEEEEEDpOT_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE16__insert_node_atEPNS_15__tree_end_nodeIPNS_16__tree_node_baseIPvEEEERSH_SH_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE16__insert_node_atEPNS_15__tree_end_nodeIPNS_16__tree_node_baseIPvEEEERSH_SH_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE16__insert_node_atEPNS_15__tree_end_nodeIPNS_16__tree_node_baseIPvEEEERSH_SH_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE30__emplace_hint_unique_key_argsIS4_JRKNS_4pairIKS4_S3_EEEEENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEENS_21__tree_const_iteratorIS5_SN_lEERKT_DpOT0_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE30__emplace_hint_unique_key_argsIS4_JRKNS_4pairIKS4_S3_EEEEENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEENS_21__tree_const_iteratorIS5_SN_lEERKT_DpOT0_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE30__emplace_hint_unique_key_argsIS4_JRKNS_4pairIKS4_S3_EEEEENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEENS_21__tree_const_iteratorIS5_SN_lEERKT_DpOT0_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE4findIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE4findIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE4findIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEEC2ERKS9_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEEC2ERKS9_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEEC2ERKS9_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEEC2ERKSC_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEEC2ERKSC_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEEC2ERKSC_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEED2Ev=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEED2Ev"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEED2Ev"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPN11DynamicPdfW11PdfFontDataEEENS_19__map_value_compareIS7_SB_NS_4lessIS7_EELb1EEENS5_ISB_EEE7destroyEPNS_11__tree_nodeISB_PvEE=Module["__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPN11DynamicPdfW11PdfFontDataEEENS_19__map_value_compareIS7_SB_NS_4lessIS7_EELb1EEENS5_ISB_EEE7destroyEPNS_11__tree_nodeISB_PvEE"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPN11DynamicPdfW11PdfFontDataEEENS_19__map_value_compareIS7_SB_NS_4lessIS7_EELb1EEENS5_ISB_EEE7destroyEPNS_11__tree_nodeISB_PvEE"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE12__find_equalIiEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS2_PNS_11__tree_nodeIS2_SC_EElEERPNS_15__tree_end_nodeISE_EESF_RKT_=Module["__ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE12__find_equalIiEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS2_PNS_11__tree_nodeIS2_SC_EElEERPNS_15__tree_end_nodeISE_EESF_RKT_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE12__find_equalIiEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS2_PNS_11__tree_nodeIS2_SC_EElEERPNS_15__tree_end_nodeISE_EESF_RKT_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE14__assign_multiINS_21__tree_const_iteratorIS2_PNS_11__tree_nodeIS2_PvEElEEEEvT_SH_=Module["__ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE14__assign_multiINS_21__tree_const_iteratorIS2_PNS_11__tree_nodeIS2_PvEElEEEEvT_SH_"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE14__assign_multiINS_21__tree_const_iteratorIS2_PNS_11__tree_nodeIS2_PvEElEEEEvT_SH_"].apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE=Module["__ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE"]=function(){return Module["asm"]["__ZNSt3__26__treeINS_12__value_typeIiiEENS_19__map_value_compareIiS2_NS_4lessIiEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE"].apply(null,arguments)};var __ZNSt3__26locale2id5__getEv=Module["__ZNSt3__26locale2id5__getEv"]=function(){return Module["asm"]["__ZNSt3__26locale2id5__getEv"].apply(null,arguments)};var __ZNSt3__26locale2id6__initEv=Module["__ZNSt3__26locale2id6__initEv"]=function(){return Module["asm"]["__ZNSt3__26locale2id6__initEv"].apply(null,arguments)};var __ZNSt3__26locale5__imp11make_globalEv=Module["__ZNSt3__26locale5__imp11make_globalEv"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp11make_globalEv"].apply(null,arguments)};var __ZNSt3__26locale5__imp12make_classicEv=Module["__ZNSt3__26locale5__imp12make_classicEv"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp12make_classicEv"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installEPNS0_5facetEl=Module["__ZNSt3__26locale5__imp7installEPNS0_5facetEl"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installEPNS0_5facetEl"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_10moneypunctIcLb0EEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_10moneypunctIcLb0EEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_10moneypunctIcLb0EEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_10moneypunctIcLb1EEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_10moneypunctIcLb1EEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_10moneypunctIcLb1EEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_10moneypunctIwLb0EEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_10moneypunctIwLb0EEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_10moneypunctIwLb0EEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_10moneypunctIwLb1EEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_10moneypunctIwLb1EEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_10moneypunctIwLb1EEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_5ctypeIcEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_5ctypeIcEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_5ctypeIcEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_5ctypeIwEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_5ctypeIwEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_5ctypeIwEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7codecvtIDic11__mbstate_tEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7codecvtIDic11__mbstate_tEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7codecvtIDic11__mbstate_tEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7codecvtIDsc11__mbstate_tEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7codecvtIDsc11__mbstate_tEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7codecvtIDsc11__mbstate_tEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7codecvtIcc11__mbstate_tEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7codecvtIcc11__mbstate_tEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7codecvtIcc11__mbstate_tEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7codecvtIwc11__mbstate_tEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7codecvtIwc11__mbstate_tEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7codecvtIwc11__mbstate_tEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7collateIcEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7collateIcEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7collateIcEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7collateIwEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7collateIwEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7collateIwEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_7num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_7num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_7num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_8messagesIcEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_8messagesIcEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_8messagesIcEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_8messagesIwEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_8messagesIwEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_8messagesIwEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_8numpunctIcEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_8numpunctIcEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_8numpunctIcEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_8numpunctIwEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_8numpunctIwEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_8numpunctIwEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_8time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_8time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_8time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_8time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_8time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_8time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_8time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_8time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_8time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_8time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_8time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_8time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_9money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_9money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_9money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_9money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_9money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_9money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__imp7installINS_9money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_=Module["__ZNSt3__26locale5__imp7installINS_9money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"]=function(){return Module["asm"]["__ZNSt3__26locale5__imp7installINS_9money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEEEEEvPT_"].apply(null,arguments)};var __ZNSt3__26locale5__impC2Em=Module["__ZNSt3__26locale5__impC2Em"]=function(){return Module["asm"]["__ZNSt3__26locale5__impC2Em"].apply(null,arguments)};var __ZNSt3__26locale5__impD0Ev=Module["__ZNSt3__26locale5__impD0Ev"]=function(){return Module["asm"]["__ZNSt3__26locale5__impD0Ev"].apply(null,arguments)};var __ZNSt3__26locale5__impD2Ev=Module["__ZNSt3__26locale5__impD2Ev"]=function(){return Module["asm"]["__ZNSt3__26locale5__impD2Ev"].apply(null,arguments)};var __ZNSt3__26locale5facet16__on_zero_sharedEv=Module["__ZNSt3__26locale5facet16__on_zero_sharedEv"]=function(){return Module["asm"]["__ZNSt3__26locale5facet16__on_zero_sharedEv"].apply(null,arguments)};var __ZNSt3__26locale5facetD0Ev=Module["__ZNSt3__26locale5facetD0Ev"]=function(){return Module["asm"]["__ZNSt3__26locale5facetD0Ev"].apply(null,arguments)};var __ZNSt3__26locale5facetD2Ev=Module["__ZNSt3__26locale5facetD2Ev"]=function(){return Module["asm"]["__ZNSt3__26locale5facetD2Ev"].apply(null,arguments)};var __ZNSt3__26locale7classicEv=Module["__ZNSt3__26locale7classicEv"]=function(){return Module["asm"]["__ZNSt3__26locale7classicEv"].apply(null,arguments)};var __ZNSt3__26locale8__globalEv=Module["__ZNSt3__26locale8__globalEv"]=function(){return Module["asm"]["__ZNSt3__26locale8__globalEv"].apply(null,arguments)};var __ZNSt3__26localeC2ERKS0_=Module["__ZNSt3__26localeC2ERKS0_"]=function(){return Module["asm"]["__ZNSt3__26localeC2ERKS0_"].apply(null,arguments)};var __ZNSt3__26localeC2Ev=Module["__ZNSt3__26localeC2Ev"]=function(){return Module["asm"]["__ZNSt3__26localeC2Ev"].apply(null,arguments)};var __ZNSt3__26localeD2Ev=Module["__ZNSt3__26localeD2Ev"]=function(){return Module["asm"]["__ZNSt3__26localeD2Ev"].apply(null,arguments)};var __ZNSt3__26localeaSERKS0_=Module["__ZNSt3__26localeaSERKS0_"]=function(){return Module["asm"]["__ZNSt3__26localeaSERKS0_"].apply(null,arguments)};var __ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi=Module["__ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"]=function(){return Module["asm"]["__ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"].apply(null,arguments)};var __ZNSt3__26thread20hardware_concurrencyEv=Module["__ZNSt3__26thread20hardware_concurrencyEv"]=function(){return Module["asm"]["__ZNSt3__26thread20hardware_concurrencyEv"].apply(null,arguments)};var __ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE11__vallocateEm=Module["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE11__vallocateEm"]=function(){return Module["asm"]["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE11__vallocateEm"].apply(null,arguments)};var __ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE18__construct_at_endEm=Module["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE18__construct_at_endEm"]=function(){return Module["asm"]["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE18__construct_at_endEm"].apply(null,arguments)};var __ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionC2ERS6_m=Module["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionC2ERS6_m"]=function(){return Module["asm"]["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionC2ERS6_m"].apply(null,arguments)};var __ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionD2Ev=Module["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionD2Ev"]=function(){return Module["asm"]["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE21_ConstructTransactionD2Ev"].apply(null,arguments)};var __ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE26__swap_out_circular_bufferERNS_14__split_bufferIS3_RS5_EE=Module["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE26__swap_out_circular_bufferERNS_14__split_bufferIS3_RS5_EE"]=function(){return Module["asm"]["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE26__swap_out_circular_bufferERNS_14__split_bufferIS3_RS5_EE"].apply(null,arguments)};var __ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE6resizeEm=Module["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE6resizeEm"]=function(){return Module["asm"]["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE6resizeEm"].apply(null,arguments)};var __ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE8__appendEm=Module["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE8__appendEm"]=function(){return Module["asm"]["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEE8__appendEm"].apply(null,arguments)};var __ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEEC2Em=Module["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEEC2Em"]=function(){return Module["asm"]["__ZNSt3__26vectorIPNS_6locale5facetENS_15__sso_allocatorIS3_Lm28EEEEC2Em"].apply(null,arguments)};var __ZNSt3__27__sort3IRNS_6__lessIjjEEPjEEjT0_S5_S5_T_=Module["__ZNSt3__27__sort3IRNS_6__lessIjjEEPjEEjT0_S5_S5_T_"]=function(){return Module["asm"]["__ZNSt3__27__sort3IRNS_6__lessIjjEEPjEEjT0_S5_S5_T_"].apply(null,arguments)};var __ZNSt3__27__sort4IRNS_6__lessIjjEEPjEEjT0_S5_S5_S5_T_=Module["__ZNSt3__27__sort4IRNS_6__lessIjjEEPjEEjT0_S5_S5_S5_T_"]=function(){return Module["asm"]["__ZNSt3__27__sort4IRNS_6__lessIjjEEPjEEjT0_S5_S5_S5_T_"].apply(null,arguments)};var __ZNSt3__27__sort5IRNS_6__lessIjjEEPjEEjT0_S5_S5_S5_S5_T_=Module["__ZNSt3__27__sort5IRNS_6__lessIjjEEPjEEjT0_S5_S5_S5_S5_T_"]=function(){return Module["asm"]["__ZNSt3__27__sort5IRNS_6__lessIjjEEPjEEjT0_S5_S5_S5_S5_T_"].apply(null,arguments)};var __ZNSt3__27codecvtIDic11__mbstate_tED0Ev=Module["__ZNSt3__27codecvtIDic11__mbstate_tED0Ev"]=function(){return Module["asm"]["__ZNSt3__27codecvtIDic11__mbstate_tED0Ev"].apply(null,arguments)};var __ZNSt3__27codecvtIDsc11__mbstate_tED0Ev=Module["__ZNSt3__27codecvtIDsc11__mbstate_tED0Ev"]=function(){return Module["asm"]["__ZNSt3__27codecvtIDsc11__mbstate_tED0Ev"].apply(null,arguments)};var __ZNSt3__27codecvtIcc11__mbstate_tED0Ev=Module["__ZNSt3__27codecvtIcc11__mbstate_tED0Ev"]=function(){return Module["asm"]["__ZNSt3__27codecvtIcc11__mbstate_tED0Ev"].apply(null,arguments)};var __ZNSt3__27codecvtIwc11__mbstate_tEC2Em=Module["__ZNSt3__27codecvtIwc11__mbstate_tEC2Em"]=function(){return Module["asm"]["__ZNSt3__27codecvtIwc11__mbstate_tEC2Em"].apply(null,arguments)};var __ZNSt3__27codecvtIwc11__mbstate_tED0Ev=Module["__ZNSt3__27codecvtIwc11__mbstate_tED0Ev"]=function(){return Module["asm"]["__ZNSt3__27codecvtIwc11__mbstate_tED0Ev"].apply(null,arguments)};var __ZNSt3__27codecvtIwc11__mbstate_tED2Ev=Module["__ZNSt3__27codecvtIwc11__mbstate_tED2Ev"]=function(){return Module["asm"]["__ZNSt3__27codecvtIwc11__mbstate_tED2Ev"].apply(null,arguments)};var __ZNSt3__27collateIcED0Ev=Module["__ZNSt3__27collateIcED0Ev"]=function(){return Module["asm"]["__ZNSt3__27collateIcED0Ev"].apply(null,arguments)};var __ZNSt3__27collateIcED2Ev=Module["__ZNSt3__27collateIcED2Ev"]=function(){return Module["asm"]["__ZNSt3__27collateIcED2Ev"].apply(null,arguments)};var __ZNSt3__27collateIwED0Ev=Module["__ZNSt3__27collateIwED0Ev"]=function(){return Module["asm"]["__ZNSt3__27collateIwED0Ev"].apply(null,arguments)};var __ZNSt3__27collateIwED2Ev=Module["__ZNSt3__27collateIwED2Ev"]=function(){return Module["asm"]["__ZNSt3__27collateIwED2Ev"].apply(null,arguments)};var __ZNSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev=Module["__ZNSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev=Module["__ZNSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__27num_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev=Module["__ZNSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev=Module["__ZNSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__27num_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev=Module["__ZNSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev=Module["__ZNSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__27num_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev=Module["__ZNSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev=Module["__ZNSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__28ios_base16__call_callbacksENS0_5eventE=Module["__ZNSt3__28ios_base16__call_callbacksENS0_5eventE"]=function(){return Module["asm"]["__ZNSt3__28ios_base16__call_callbacksENS0_5eventE"].apply(null,arguments)};var __ZNSt3__28ios_base33__set_badbit_and_consider_rethrowEv=Module["__ZNSt3__28ios_base33__set_badbit_and_consider_rethrowEv"]=function(){return Module["asm"]["__ZNSt3__28ios_base33__set_badbit_and_consider_rethrowEv"].apply(null,arguments)};var __ZNSt3__28ios_base4InitC2Ev=Module["__ZNSt3__28ios_base4InitC2Ev"]=function(){return Module["asm"]["__ZNSt3__28ios_base4InitC2Ev"].apply(null,arguments)};var __ZNSt3__28ios_base4initEPv=Module["__ZNSt3__28ios_base4initEPv"]=function(){return Module["asm"]["__ZNSt3__28ios_base4initEPv"].apply(null,arguments)};var __ZNSt3__28ios_base5clearEj=Module["__ZNSt3__28ios_base5clearEj"]=function(){return Module["asm"]["__ZNSt3__28ios_base5clearEj"].apply(null,arguments)};var __ZNSt3__28ios_base5imbueERKNS_6localeE=Module["__ZNSt3__28ios_base5imbueERKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__28ios_base5imbueERKNS_6localeE"].apply(null,arguments)};var __ZNSt3__28ios_baseD0Ev=Module["__ZNSt3__28ios_baseD0Ev"]=function(){return Module["asm"]["__ZNSt3__28ios_baseD0Ev"].apply(null,arguments)};var __ZNSt3__28ios_baseD2Ev=Module["__ZNSt3__28ios_baseD2Ev"]=function(){return Module["asm"]["__ZNSt3__28ios_baseD2Ev"].apply(null,arguments)};var __ZNSt3__28messagesIcED0Ev=Module["__ZNSt3__28messagesIcED0Ev"]=function(){return Module["asm"]["__ZNSt3__28messagesIcED0Ev"].apply(null,arguments)};var __ZNSt3__28messagesIcED2Ev=Module["__ZNSt3__28messagesIcED2Ev"]=function(){return Module["asm"]["__ZNSt3__28messagesIcED2Ev"].apply(null,arguments)};var __ZNSt3__28messagesIwED0Ev=Module["__ZNSt3__28messagesIwED0Ev"]=function(){return Module["asm"]["__ZNSt3__28messagesIwED0Ev"].apply(null,arguments)};var __ZNSt3__28messagesIwED2Ev=Module["__ZNSt3__28messagesIwED2Ev"]=function(){return Module["asm"]["__ZNSt3__28messagesIwED2Ev"].apply(null,arguments)};var __ZNSt3__28numpunctIcEC2Em=Module["__ZNSt3__28numpunctIcEC2Em"]=function(){return Module["asm"]["__ZNSt3__28numpunctIcEC2Em"].apply(null,arguments)};var __ZNSt3__28numpunctIcED0Ev=Module["__ZNSt3__28numpunctIcED0Ev"]=function(){return Module["asm"]["__ZNSt3__28numpunctIcED0Ev"].apply(null,arguments)};var __ZNSt3__28numpunctIcED2Ev=Module["__ZNSt3__28numpunctIcED2Ev"]=function(){return Module["asm"]["__ZNSt3__28numpunctIcED2Ev"].apply(null,arguments)};var __ZNSt3__28numpunctIwEC2Em=Module["__ZNSt3__28numpunctIwEC2Em"]=function(){return Module["asm"]["__ZNSt3__28numpunctIwEC2Em"].apply(null,arguments)};var __ZNSt3__28numpunctIwED0Ev=Module["__ZNSt3__28numpunctIwED0Ev"]=function(){return Module["asm"]["__ZNSt3__28numpunctIwED0Ev"].apply(null,arguments)};var __ZNSt3__28numpunctIwED2Ev=Module["__ZNSt3__28numpunctIwED2Ev"]=function(){return Module["asm"]["__ZNSt3__28numpunctIwED2Ev"].apply(null,arguments)};var __ZNSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev=Module["__ZNSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev=Module["__ZNSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__28time_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev=Module["__ZNSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev=Module["__ZNSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__28time_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev=Module["__ZNSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev=Module["__ZNSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__28time_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev=Module["__ZNSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev=Module["__ZNSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__28time_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__29DoIOSInitC2Ev=Module["__ZNSt3__29DoIOSInitC2Ev"]=function(){return Module["asm"]["__ZNSt3__29DoIOSInitC2Ev"].apply(null,arguments)};var __ZNSt3__29__num_getIcE17__stage2_int_loopEciPcRS2_RjcRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSD_PKc=Module["__ZNSt3__29__num_getIcE17__stage2_int_loopEciPcRS2_RjcRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSD_PKc"]=function(){return Module["asm"]["__ZNSt3__29__num_getIcE17__stage2_int_loopEciPcRS2_RjcRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSD_PKc"].apply(null,arguments)};var __ZNSt3__29__num_getIcE17__stage2_int_prepERNS_8ios_baseERc=Module["__ZNSt3__29__num_getIcE17__stage2_int_prepERNS_8ios_baseERc"]=function(){return Module["asm"]["__ZNSt3__29__num_getIcE17__stage2_int_prepERNS_8ios_baseERc"].apply(null,arguments)};var __ZNSt3__29__num_getIcE19__stage2_float_loopEcRbRcPcRS4_ccRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSE_RjS4_=Module["__ZNSt3__29__num_getIcE19__stage2_float_loopEcRbRcPcRS4_ccRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSE_RjS4_"]=function(){return Module["asm"]["__ZNSt3__29__num_getIcE19__stage2_float_loopEcRbRcPcRS4_ccRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSE_RjS4_"].apply(null,arguments)};var __ZNSt3__29__num_getIcE19__stage2_float_prepERNS_8ios_baseEPcRcS5_=Module["__ZNSt3__29__num_getIcE19__stage2_float_prepERNS_8ios_baseEPcRcS5_"]=function(){return Module["asm"]["__ZNSt3__29__num_getIcE19__stage2_float_prepERNS_8ios_baseEPcRcS5_"].apply(null,arguments)};var __ZNSt3__29__num_getIwE17__stage2_int_loopEwiPcRS2_RjwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSD_PKw=Module["__ZNSt3__29__num_getIwE17__stage2_int_loopEwiPcRS2_RjwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSD_PKw"]=function(){return Module["asm"]["__ZNSt3__29__num_getIwE17__stage2_int_loopEwiPcRS2_RjwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSD_PKw"].apply(null,arguments)};var __ZNSt3__29__num_getIwE17__stage2_int_prepERNS_8ios_baseERw=Module["__ZNSt3__29__num_getIwE17__stage2_int_prepERNS_8ios_baseERw"]=function(){return Module["asm"]["__ZNSt3__29__num_getIwE17__stage2_int_prepERNS_8ios_baseERw"].apply(null,arguments)};var __ZNSt3__29__num_getIwE19__stage2_float_loopEwRbRcPcRS4_wwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSE_RjPw=Module["__ZNSt3__29__num_getIwE19__stage2_float_loopEwRbRcPcRS4_wwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSE_RjPw"]=function(){return Module["asm"]["__ZNSt3__29__num_getIwE19__stage2_float_loopEwRbRcPcRS4_wwRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPjRSE_RjPw"].apply(null,arguments)};var __ZNSt3__29__num_getIwE19__stage2_float_prepERNS_8ios_baseEPwRwS5_=Module["__ZNSt3__29__num_getIwE19__stage2_float_prepERNS_8ios_baseEPwRwS5_"]=function(){return Module["asm"]["__ZNSt3__29__num_getIwE19__stage2_float_prepERNS_8ios_baseEPwRwS5_"].apply(null,arguments)};var __ZNSt3__29__num_putIcE21__widen_and_group_intEPcS2_S2_S2_RS2_S3_RKNS_6localeE=Module["__ZNSt3__29__num_putIcE21__widen_and_group_intEPcS2_S2_S2_RS2_S3_RKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__29__num_putIcE21__widen_and_group_intEPcS2_S2_S2_RS2_S3_RKNS_6localeE"].apply(null,arguments)};var __ZNSt3__29__num_putIcE23__widen_and_group_floatEPcS2_S2_S2_RS2_S3_RKNS_6localeE=Module["__ZNSt3__29__num_putIcE23__widen_and_group_floatEPcS2_S2_S2_RS2_S3_RKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__29__num_putIcE23__widen_and_group_floatEPcS2_S2_S2_RS2_S3_RKNS_6localeE"].apply(null,arguments)};var __ZNSt3__29__num_putIwE21__widen_and_group_intEPcS2_S2_PwRS3_S4_RKNS_6localeE=Module["__ZNSt3__29__num_putIwE21__widen_and_group_intEPcS2_S2_PwRS3_S4_RKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__29__num_putIwE21__widen_and_group_intEPcS2_S2_PwRS3_S4_RKNS_6localeE"].apply(null,arguments)};var __ZNSt3__29__num_putIwE23__widen_and_group_floatEPcS2_S2_PwRS3_S4_RKNS_6localeE=Module["__ZNSt3__29__num_putIwE23__widen_and_group_floatEPcS2_S2_PwRS3_S4_RKNS_6localeE"]=function(){return Module["asm"]["__ZNSt3__29__num_putIwE23__widen_and_group_floatEPcS2_S2_PwRS3_S4_RKNS_6localeE"].apply(null,arguments)};var __ZNSt3__29basic_iosIcNS_11char_traitsIcEEED0Ev=Module["__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev"].apply(null,arguments)};var __ZNSt3__29basic_iosIwNS_11char_traitsIwEEED2Ev=Module["__ZNSt3__29basic_iosIwNS_11char_traitsIwEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__29basic_iosIwNS_11char_traitsIwEEED2Ev"].apply(null,arguments)};var __ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE8__do_getERS4_S4_bRKNS_6localeEjRjRbRKNS_5ctypeIcEERNS_10unique_ptrIcPFvPvEEERPcSM_=Module["__ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE8__do_getERS4_S4_bRKNS_6localeEjRjRbRKNS_5ctypeIcEERNS_10unique_ptrIcPFvPvEEERPcSM_"]=function(){return Module["asm"]["__ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE8__do_getERS4_S4_bRKNS_6localeEjRjRbRKNS_5ctypeIcEERNS_10unique_ptrIcPFvPvEEERPcSM_"].apply(null,arguments)};var __ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev=Module["__ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev=Module["__ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__29money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE8__do_getERS4_S4_bRKNS_6localeEjRjRbRKNS_5ctypeIwEERNS_10unique_ptrIwPFvPvEEERPwSM_=Module["__ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE8__do_getERS4_S4_bRKNS_6localeEjRjRbRKNS_5ctypeIwEERNS_10unique_ptrIwPFvPvEEERPwSM_"]=function(){return Module["asm"]["__ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE8__do_getERS4_S4_bRKNS_6localeEjRjRbRKNS_5ctypeIwEERNS_10unique_ptrIwPFvPvEEERPwSM_"].apply(null,arguments)};var __ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev=Module["__ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev=Module["__ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__29money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev=Module["__ZNSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev=Module["__ZNSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__29money_putIcNS_19ostreambuf_iteratorIcNS_11char_traitsIcEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev=Module["__ZNSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"]=function(){return Module["asm"]["__ZNSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED0Ev"].apply(null,arguments)};var __ZNSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev=Module["__ZNSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"]=function(){return Module["asm"]["__ZNSt3__29money_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEED2Ev"].apply(null,arguments)};var __ZNSt3__29to_stringEd=Module["__ZNSt3__29to_stringEd"]=function(){return Module["asm"]["__ZNSt3__29to_stringEd"].apply(null,arguments)};var __ZNSt3__29to_stringEi=Module["__ZNSt3__29to_stringEi"]=function(){return Module["asm"]["__ZNSt3__29to_stringEi"].apply(null,arguments)};var __ZNSt3__29to_stringEj=Module["__ZNSt3__29to_stringEj"]=function(){return Module["asm"]["__ZNSt3__29to_stringEj"].apply(null,arguments)};var __ZNSt3__2L10init_am_pmEv=Module["__ZNSt3__2L10init_am_pmEv"]=function(){return Module["asm"]["__ZNSt3__2L10init_am_pmEv"].apply(null,arguments)};var __ZNSt3__2L10init_weeksEv=Module["__ZNSt3__2L10init_weeksEv"]=function(){return Module["asm"]["__ZNSt3__2L10init_weeksEv"].apply(null,arguments)};var __ZNSt3__2L11init_monthsEv=Module["__ZNSt3__2L11init_monthsEv"]=function(){return Module["asm"]["__ZNSt3__2L11init_monthsEv"].apply(null,arguments)};var __ZNSt3__2L11init_wam_pmEv=Module["__ZNSt3__2L11init_wam_pmEv"]=function(){return Module["asm"]["__ZNSt3__2L11init_wam_pmEv"].apply(null,arguments)};var __ZNSt3__2L11init_wweeksEv=Module["__ZNSt3__2L11init_wweeksEv"]=function(){return Module["asm"]["__ZNSt3__2L11init_wweeksEv"].apply(null,arguments)};var __ZNSt3__2L12init_wmonthsEv=Module["__ZNSt3__2L12init_wmonthsEv"]=function(){return Module["asm"]["__ZNSt3__2L12init_wmonthsEv"].apply(null,arguments)};var __ZNSt3__2L12ucs4_to_utf8EPKjS1_RS1_PhS3_RS3_mNS_12codecvt_modeE=Module["__ZNSt3__2L12ucs4_to_utf8EPKjS1_RS1_PhS3_RS3_mNS_12codecvt_modeE"]=function(){return Module["asm"]["__ZNSt3__2L12ucs4_to_utf8EPKjS1_RS1_PhS3_RS3_mNS_12codecvt_modeE"].apply(null,arguments)};var __ZNSt3__2L12utf8_to_ucs4EPKhS1_RS1_PjS3_RS3_mNS_12codecvt_modeE=Module["__ZNSt3__2L12utf8_to_ucs4EPKhS1_RS1_PjS3_RS3_mNS_12codecvt_modeE"]=function(){return Module["asm"]["__ZNSt3__2L12utf8_to_ucs4EPKhS1_RS1_PjS3_RS3_mNS_12codecvt_modeE"].apply(null,arguments)};var __ZNSt3__2L13utf16_to_utf8EPKtS1_RS1_PhS3_RS3_mNS_12codecvt_modeE=Module["__ZNSt3__2L13utf16_to_utf8EPKtS1_RS1_PhS3_RS3_mNS_12codecvt_modeE"]=function(){return Module["asm"]["__ZNSt3__2L13utf16_to_utf8EPKtS1_RS1_PhS3_RS3_mNS_12codecvt_modeE"].apply(null,arguments)};var __ZNSt3__2L13utf8_to_utf16EPKhS1_RS1_PtS3_RS3_mNS_12codecvt_modeE=Module["__ZNSt3__2L13utf8_to_utf16EPKhS1_RS1_PtS3_RS3_mNS_12codecvt_modeE"]=function(){return Module["asm"]["__ZNSt3__2L13utf8_to_utf16EPKhS1_RS1_PtS3_RS3_mNS_12codecvt_modeE"].apply(null,arguments)};var __ZNSt3__2L19utf8_to_ucs4_lengthEPKhS1_mmNS_12codecvt_modeE=Module["__ZNSt3__2L19utf8_to_ucs4_lengthEPKhS1_mmNS_12codecvt_modeE"]=function(){return Module["asm"]["__ZNSt3__2L19utf8_to_ucs4_lengthEPKhS1_mmNS_12codecvt_modeE"].apply(null,arguments)};var __ZNSt3__2L20utf8_to_utf16_lengthEPKhS1_mmNS_12codecvt_modeE=Module["__ZNSt3__2L20utf8_to_utf16_lengthEPKhS1_mmNS_12codecvt_modeE"]=function(){return Module["asm"]["__ZNSt3__2L20utf8_to_utf16_lengthEPKhS1_mmNS_12codecvt_modeE"].apply(null,arguments)};var __ZNSt3__2eqERKNS_12__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeES9_=Module["__ZNSt3__2eqERKNS_12__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeES9_"]=function(){return Module["asm"]["__ZNSt3__2eqERKNS_12__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeES9_"].apply(null,arguments)};var __ZNSt3__2lsINS_11char_traitsIcEEEERNS_13basic_ostreamIcT_EES6_PKc=Module["__ZNSt3__2lsINS_11char_traitsIcEEEERNS_13basic_ostreamIcT_EES6_PKc"]=function(){return Module["asm"]["__ZNSt3__2lsINS_11char_traitsIcEEEERNS_13basic_ostreamIcT_EES6_PKc"].apply(null,arguments)};var __ZNSt3__2neERKNS_12__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeES9_=Module["__ZNSt3__2neERKNS_12__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeES9_"]=function(){return Module["asm"]["__ZNSt3__2neERKNS_12__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE13__deque_rangeES9_"].apply(null,arguments)};var __ZNSt3__2plIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_12basic_stringIT_T0_T1_EEPKS6_RKS9_=Module["__ZNSt3__2plIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_12basic_stringIT_T0_T1_EEPKS6_RKS9_"]=function(){return Module["asm"]["__ZNSt3__2plIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_12basic_stringIT_T0_T1_EEPKS6_RKS9_"].apply(null,arguments)};var __ZNSt9exceptionD2Ev=Module["__ZNSt9exceptionD2Ev"]=function(){return Module["asm"]["__ZNSt9exceptionD2Ev"].apply(null,arguments)};var __ZSt11__terminatePFvvE=Module["__ZSt11__terminatePFvvE"]=function(){return Module["asm"]["__ZSt11__terminatePFvvE"].apply(null,arguments)};var __ZSt17__throw_bad_allocv=Module["__ZSt17__throw_bad_allocv"]=function(){return Module["asm"]["__ZSt17__throw_bad_allocv"].apply(null,arguments)};var __ZSt17rethrow_exceptionSt13exception_ptr=Module["__ZSt17rethrow_exceptionSt13exception_ptr"]=function(){return Module["asm"]["__ZSt17rethrow_exceptionSt13exception_ptr"].apply(null,arguments)};var __ZSt18uncaught_exceptionv=Module["__ZSt18uncaught_exceptionv"]=function(){return Module["asm"]["__ZSt18uncaught_exceptionv"].apply(null,arguments)};var __ZSt9terminatev=Module["__ZSt9terminatev"]=function(){return Module["asm"]["__ZSt9terminatev"].apply(null,arguments)};var __ZThn8_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZThn8_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZThn8_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZThn8_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZThn8_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev"]=function(){return Module["asm"]["__ZThn8_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_istreamIcNS_11char_traitsIcEEED0Ev=Module["__ZTv0_n12_NSt3__213basic_istreamIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__213basic_istreamIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_istreamIcNS_11char_traitsIcEEED1Ev=Module["__ZTv0_n12_NSt3__213basic_istreamIcNS_11char_traitsIcEEED1Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__213basic_istreamIcNS_11char_traitsIcEEED1Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_istreamIwNS_11char_traitsIwEEED0Ev=Module["__ZTv0_n12_NSt3__213basic_istreamIwNS_11char_traitsIwEEED0Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__213basic_istreamIwNS_11char_traitsIwEEED0Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_istreamIwNS_11char_traitsIwEEED1Ev=Module["__ZTv0_n12_NSt3__213basic_istreamIwNS_11char_traitsIwEEED1Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__213basic_istreamIwNS_11char_traitsIwEEED1Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_ostreamIwNS_11char_traitsIwEEED0Ev=Module["__ZTv0_n12_NSt3__213basic_ostreamIwNS_11char_traitsIwEEED0Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__213basic_ostreamIwNS_11char_traitsIwEEED0Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_ostreamIwNS_11char_traitsIwEEED1Ev=Module["__ZTv0_n12_NSt3__213basic_ostreamIwNS_11char_traitsIwEEED1Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__213basic_ostreamIwNS_11char_traitsIwEEED1Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZTv0_n12_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED0Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZTv0_n12_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__214basic_iostreamIcNS_11char_traitsIcEEED1Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev=Module["__ZTv0_n12_NSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev=Module["__ZTv0_n12_NSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev=Module["__ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED0Ev"].apply(null,arguments)};var __ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev=Module["__ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"]=function(){return Module["asm"]["__ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"].apply(null,arguments)};var __ZZN4Json9OurReader15containsNewLineEPKcS2_ENK3__1clEc=Module["__ZZN4Json9OurReader15containsNewLineEPKcS2_ENK3__1clEc"]=function(){return Module["asm"]["__ZZN4Json9OurReader15containsNewLineEPKcS2_ENK3__1clEc"].apply(null,arguments)};var __ZdaPv=Module["__ZdaPv"]=function(){return Module["asm"]["__ZdaPv"].apply(null,arguments)};var __ZdlPv=Module["__ZdlPv"]=function(){return Module["asm"]["__ZdlPv"].apply(null,arguments)};var __Znam=Module["__Znam"]=function(){return Module["asm"]["__Znam"].apply(null,arguments)};var __Znwm=Module["__Znwm"]=function(){return Module["asm"]["__Znwm"].apply(null,arguments)};var ___DOUBLE_BITS_452=Module["___DOUBLE_BITS_452"]=function(){return Module["asm"]["___DOUBLE_BITS_452"].apply(null,arguments)};var ___DOUBLE_BITS_628=Module["___DOUBLE_BITS_628"]=function(){return Module["asm"]["___DOUBLE_BITS_628"].apply(null,arguments)};var ___bswap_16_202=Module["___bswap_16_202"]=function(){return Module["asm"]["___bswap_16_202"].apply(null,arguments)};var ___bswap_32_209=Module["___bswap_32_209"]=function(){return Module["asm"]["___bswap_32_209"].apply(null,arguments)};var ___clang_call_terminate=Module["___clang_call_terminate"]=function(){return Module["asm"]["___clang_call_terminate"].apply(null,arguments)};var ___cos=Module["___cos"]=function(){return Module["asm"]["___cos"].apply(null,arguments)};var ___ctype_get_mb_cur_max=Module["___ctype_get_mb_cur_max"]=function(){return Module["asm"]["___ctype_get_mb_cur_max"].apply(null,arguments)};var ___cxa_bad_typeid=Module["___cxa_bad_typeid"]=function(){return Module["asm"]["___cxa_bad_typeid"].apply(null,arguments)};var ___cxa_decrement_exception_refcount=Module["___cxa_decrement_exception_refcount"]=function(){return Module["asm"]["___cxa_decrement_exception_refcount"].apply(null,arguments)};var ___cxa_guard_acquire=Module["___cxa_guard_acquire"]=function(){return Module["asm"]["___cxa_guard_acquire"].apply(null,arguments)};var ___cxa_guard_release=Module["___cxa_guard_release"]=function(){return Module["asm"]["___cxa_guard_release"].apply(null,arguments)};var ___cxa_increment_exception_refcount=Module["___cxa_increment_exception_refcount"]=function(){return Module["asm"]["___cxa_increment_exception_refcount"].apply(null,arguments)};var ___cxa_pure_virtual=Module["___cxa_pure_virtual"]=function(){return Module["asm"]["___cxa_pure_virtual"].apply(null,arguments)};var ___cxa_rethrow_primary_exception=Module["___cxa_rethrow_primary_exception"]=function(){return Module["asm"]["___cxa_rethrow_primary_exception"].apply(null,arguments)};var ___cxx_global_var_init=Module["___cxx_global_var_init"]=function(){return Module["asm"]["___cxx_global_var_init"].apply(null,arguments)};var ___cxx_global_var_init_1=Module["___cxx_global_var_init_1"]=function(){return Module["asm"]["___cxx_global_var_init_1"].apply(null,arguments)};var ___cxx_global_var_init_1077=Module["___cxx_global_var_init_1077"]=function(){return Module["asm"]["___cxx_global_var_init_1077"].apply(null,arguments)};var ___cxx_global_var_init_949=Module["___cxx_global_var_init_949"]=function(){return Module["asm"]["___cxx_global_var_init_949"].apply(null,arguments)};var ___divdi3=Module["___divdi3"]=function(){return Module["asm"]["___divdi3"].apply(null,arguments)};var ___dynamic_cast=Module["___dynamic_cast"]=function(){return Module["asm"]["___dynamic_cast"].apply(null,arguments)};var ___embind_register_native_and_builtin_types=Module["___embind_register_native_and_builtin_types"]=function(){return Module["asm"]["___embind_register_native_and_builtin_types"].apply(null,arguments)};var ___emscripten_environ_constructor=Module["___emscripten_environ_constructor"]=function(){return Module["asm"]["___emscripten_environ_constructor"].apply(null,arguments)};var ___emscripten_stdout_close=Module["___emscripten_stdout_close"]=function(){return Module["asm"]["___emscripten_stdout_close"].apply(null,arguments)};var ___emscripten_stdout_seek=Module["___emscripten_stdout_seek"]=function(){return Module["asm"]["___emscripten_stdout_seek"].apply(null,arguments)};var ___errno_location=Module["___errno_location"]=function(){return Module["asm"]["___errno_location"].apply(null,arguments)};var ___fdopen=Module["___fdopen"]=function(){return Module["asm"]["___fdopen"].apply(null,arguments)};var ___fflush_unlocked=Module["___fflush_unlocked"]=function(){return Module["asm"]["___fflush_unlocked"].apply(null,arguments)};var ___floatscan=Module["___floatscan"]=function(){return Module["asm"]["___floatscan"].apply(null,arguments)};var ___fmodeflags=Module["___fmodeflags"]=function(){return Module["asm"]["___fmodeflags"].apply(null,arguments)};var ___fpclassify=Module["___fpclassify"]=function(){return Module["asm"]["___fpclassify"].apply(null,arguments)};var ___fseeko=Module["___fseeko"]=function(){return Module["asm"]["___fseeko"].apply(null,arguments)};var ___fseeko_unlocked=Module["___fseeko_unlocked"]=function(){return Module["asm"]["___fseeko_unlocked"].apply(null,arguments)};var ___ftello=Module["___ftello"]=function(){return Module["asm"]["___ftello"].apply(null,arguments)};var ___ftello_unlocked=Module["___ftello_unlocked"]=function(){return Module["asm"]["___ftello_unlocked"].apply(null,arguments)};var ___fwritex=Module["___fwritex"]=function(){return Module["asm"]["___fwritex"].apply(null,arguments)};var ___getTypeName=Module["___getTypeName"]=function(){return Module["asm"]["___getTypeName"].apply(null,arguments)};var ___get_locale=Module["___get_locale"]=function(){return Module["asm"]["___get_locale"].apply(null,arguments)};var ___intscan=Module["___intscan"]=function(){return Module["asm"]["___intscan"].apply(null,arguments)};var ___isdigit_l=Module["___isdigit_l"]=function(){return Module["asm"]["___isdigit_l"].apply(null,arguments)};var ___isxdigit_l=Module["___isxdigit_l"]=function(){return Module["asm"]["___isxdigit_l"].apply(null,arguments)};var ___loc_is_allocated=Module["___loc_is_allocated"]=function(){return Module["asm"]["___loc_is_allocated"].apply(null,arguments)};var ___lockfile=Module["___lockfile"]=function(){return Module["asm"]["___lockfile"].apply(null,arguments)};var ___memrchr=Module["___memrchr"]=function(){return Module["asm"]["___memrchr"].apply(null,arguments)};var ___mmap=Module["___mmap"]=function(){return Module["asm"]["___mmap"].apply(null,arguments)};var ___muldi3=Module["___muldi3"]=function(){return Module["asm"]["___muldi3"].apply(null,arguments)};var ___muldsi3=Module["___muldsi3"]=function(){return Module["asm"]["___muldsi3"].apply(null,arguments)};var ___munmap=Module["___munmap"]=function(){return Module["asm"]["___munmap"].apply(null,arguments)};var ___newlocale=Module["___newlocale"]=function(){return Module["asm"]["___newlocale"].apply(null,arguments)};var ___ofl_add=Module["___ofl_add"]=function(){return Module["asm"]["___ofl_add"].apply(null,arguments)};var ___overflow=Module["___overflow"]=function(){return Module["asm"]["___overflow"].apply(null,arguments)};var ___procfdname=Module["___procfdname"]=function(){return Module["asm"]["___procfdname"].apply(null,arguments)};var ___rem_pio2=Module["___rem_pio2"]=function(){return Module["asm"]["___rem_pio2"].apply(null,arguments)};var ___rem_pio2_large=Module["___rem_pio2_large"]=function(){return Module["asm"]["___rem_pio2_large"].apply(null,arguments)};var ___remdi3=Module["___remdi3"]=function(){return Module["asm"]["___remdi3"].apply(null,arguments)};var ___shgetc=Module["___shgetc"]=function(){return Module["asm"]["___shgetc"].apply(null,arguments)};var ___shlim=Module["___shlim"]=function(){return Module["asm"]["___shlim"].apply(null,arguments)};var ___sin=Module["___sin"]=function(){return Module["asm"]["___sin"].apply(null,arguments)};var ___stdio_close=Module["___stdio_close"]=function(){return Module["asm"]["___stdio_close"].apply(null,arguments)};var ___stdio_read=Module["___stdio_read"]=function(){return Module["asm"]["___stdio_read"].apply(null,arguments)};var ___stdio_seek=Module["___stdio_seek"]=function(){return Module["asm"]["___stdio_seek"].apply(null,arguments)};var ___stdio_write=Module["___stdio_write"]=function(){return Module["asm"]["___stdio_write"].apply(null,arguments)};var ___stpcpy=Module["___stpcpy"]=function(){return Module["asm"]["___stpcpy"].apply(null,arguments)};var ___stpncpy=Module["___stpncpy"]=function(){return Module["asm"]["___stpncpy"].apply(null,arguments)};var ___strchrnul=Module["___strchrnul"]=function(){return Module["asm"]["___strchrnul"].apply(null,arguments)};var ___strdup=Module["___strdup"]=function(){return Module["asm"]["___strdup"].apply(null,arguments)};var ___string_read=Module["___string_read"]=function(){return Module["asm"]["___string_read"].apply(null,arguments)};var ___syscall_ret=Module["___syscall_ret"]=function(){return Module["asm"]["___syscall_ret"].apply(null,arguments)};var ___toread=Module["___toread"]=function(){return Module["asm"]["___toread"].apply(null,arguments)};var ___towrite=Module["___towrite"]=function(){return Module["asm"]["___towrite"].apply(null,arguments)};var ___udivdi3=Module["___udivdi3"]=function(){return Module["asm"]["___udivdi3"].apply(null,arguments)};var ___udivmoddi4=Module["___udivmoddi4"]=function(){return Module["asm"]["___udivmoddi4"].apply(null,arguments)};var ___uflow=Module["___uflow"]=function(){return Module["asm"]["___uflow"].apply(null,arguments)};var ___unlist_locked_file=Module["___unlist_locked_file"]=function(){return Module["asm"]["___unlist_locked_file"].apply(null,arguments)};var ___uselocale=Module["___uselocale"]=function(){return Module["asm"]["___uselocale"].apply(null,arguments)};var ___vfprintf_internal=Module["___vfprintf_internal"]=function(){return Module["asm"]["___vfprintf_internal"].apply(null,arguments)};var ___wasi_fd_is_valid=Module["___wasi_fd_is_valid"]=function(){return Module["asm"]["___wasi_fd_is_valid"].apply(null,arguments)};var ___wasi_syscall_ret=Module["___wasi_syscall_ret"]=function(){return Module["asm"]["___wasi_syscall_ret"].apply(null,arguments)};var __get_daylight=Module["__get_daylight"]=function(){return Module["asm"]["__get_daylight"].apply(null,arguments)};var __get_environ=Module["__get_environ"]=function(){return Module["asm"]["__get_environ"].apply(null,arguments)};var __get_timezone=Module["__get_timezone"]=function(){return Module["asm"]["__get_timezone"].apply(null,arguments)};var __get_tzname=Module["__get_tzname"]=function(){return Module["asm"]["__get_tzname"].apply(null,arguments)};var _a_ctz_l_749=Module["_a_ctz_l_749"]=function(){return Module["asm"]["_a_ctz_l_749"].apply(null,arguments)};var _abort_message=Module["_abort_message"]=function(){return Module["asm"]["_abort_message"].apply(null,arguments)};var _acos=Module["_acos"]=function(){return Module["asm"]["_acos"].apply(null,arguments)};var _adler32=Module["_adler32"]=function(){return Module["asm"]["_adler32"].apply(null,arguments)};var _adler32_z=Module["_adler32_z"]=function(){return Module["asm"]["_adler32_z"].apply(null,arguments)};var _arg_n=Module["_arg_n"]=function(){return Module["asm"]["_arg_n"].apply(null,arguments)};var _atan=Module["_atan"]=function(){return Module["asm"]["_atan"].apply(null,arguments)};var _atan2=Module["_atan2"]=function(){return Module["asm"]["_atan2"].apply(null,arguments)};var _atoi=Module["_atoi"]=function(){return Module["asm"]["_atoi"].apply(null,arguments)};var _bitshift64Ashr=Module["_bitshift64Ashr"]=function(){return Module["asm"]["_bitshift64Ashr"].apply(null,arguments)};var _bitshift64Lshr=Module["_bitshift64Lshr"]=function(){return Module["asm"]["_bitshift64Lshr"].apply(null,arguments)};var _bitshift64Shl=Module["_bitshift64Shl"]=function(){return Module["asm"]["_bitshift64Shl"].apply(null,arguments)};var _bsearch=Module["_bsearch"]=function(){return Module["asm"]["_bsearch"].apply(null,arguments)};var _calloc=Module["_calloc"]=function(){return Module["asm"]["_calloc"].apply(null,arguments)};var _catgets=Module["_catgets"]=function(){return Module["asm"]["_catgets"].apply(null,arguments)};var _close=Module["_close"]=function(){return Module["asm"]["_close"].apply(null,arguments)};var _copysign=Module["_copysign"]=function(){return Module["asm"]["_copysign"].apply(null,arguments)};var _copysignl=Module["_copysignl"]=function(){return Module["asm"]["_copysignl"].apply(null,arguments)};var _cos=Module["_cos"]=function(){return Module["asm"]["_cos"].apply(null,arguments)};var _crc32=Module["_crc32"]=function(){return Module["asm"]["_crc32"].apply(null,arguments)};var _crc32_little=Module["_crc32_little"]=function(){return Module["asm"]["_crc32_little"].apply(null,arguments)};var _crc32_z=Module["_crc32_z"]=function(){return Module["asm"]["_crc32_z"].apply(null,arguments)};var _cycle=Module["_cycle"]=function(){return Module["asm"]["_cycle"].apply(null,arguments)};var _decfloat=Module["_decfloat"]=function(){return Module["asm"]["_decfloat"].apply(null,arguments)};var _dispose_chunk=Module["_dispose_chunk"]=function(){return Module["asm"]["_dispose_chunk"].apply(null,arguments)};var _do_read=Module["_do_read"]=function(){return Module["asm"]["_do_read"].apply(null,arguments)};var _dummy=Module["_dummy"]=function(){return Module["asm"]["_dummy"].apply(null,arguments)};var _emscripten_get_sbrk_ptr=Module["_emscripten_get_sbrk_ptr"]=function(){return Module["asm"]["_emscripten_get_sbrk_ptr"].apply(null,arguments)};var _emscripten_main_thread_process_queued_calls=Module["_emscripten_main_thread_process_queued_calls"]=function(){return Module["asm"]["_emscripten_main_thread_process_queued_calls"].apply(null,arguments)};var _emscripten_replace_memory=Module["_emscripten_replace_memory"]=function(){return Module["asm"]["_emscripten_replace_memory"].apply(null,arguments)};var _exp=Module["_exp"]=function(){return Module["asm"]["_exp"].apply(null,arguments)};var _fclose=Module["_fclose"]=function(){return Module["asm"]["_fclose"].apply(null,arguments)};var _fcntl=Module["_fcntl"]=function(){return Module["asm"]["_fcntl"].apply(null,arguments)};var _feof=Module["_feof"]=function(){return Module["asm"]["_feof"].apply(null,arguments)};var _fflush=Module["_fflush"]=function(){return Module["asm"]["_fflush"].apply(null,arguments)};var _fixedtables=Module["_fixedtables"]=function(){return Module["asm"]["_fixedtables"].apply(null,arguments)};var _fmemopen=Module["_fmemopen"]=function(){return Module["asm"]["_fmemopen"].apply(null,arguments)};var _fmod=Module["_fmod"]=function(){return Module["asm"]["_fmod"].apply(null,arguments)};var _fmodl=Module["_fmodl"]=function(){return Module["asm"]["_fmodl"].apply(null,arguments)};var _fmt_fp=Module["_fmt_fp"]=function(){return Module["asm"]["_fmt_fp"].apply(null,arguments)};var _fmt_o=Module["_fmt_o"]=function(){return Module["asm"]["_fmt_o"].apply(null,arguments)};var _fmt_u=Module["_fmt_u"]=function(){return Module["asm"]["_fmt_u"].apply(null,arguments)};var _fmt_x=Module["_fmt_x"]=function(){return Module["asm"]["_fmt_x"].apply(null,arguments)};var _fopen=Module["_fopen"]=function(){return Module["asm"]["_fopen"].apply(null,arguments)};var _fourbyte_strstr=Module["_fourbyte_strstr"]=function(){return Module["asm"]["_fourbyte_strstr"].apply(null,arguments)};var _fprintf=Module["_fprintf"]=function(){return Module["asm"]["_fprintf"].apply(null,arguments)};var _fputc=Module["_fputc"]=function(){return Module["asm"]["_fputc"].apply(null,arguments)};var _fputs=Module["_fputs"]=function(){return Module["asm"]["_fputs"].apply(null,arguments)};var _fread=Module["_fread"]=function(){return Module["asm"]["_fread"].apply(null,arguments)};var _free=Module["_free"]=function(){return Module["asm"]["_free"].apply(null,arguments)};var _freelocale=Module["_freelocale"]=function(){return Module["asm"]["_freelocale"].apply(null,arguments)};var _frexp=Module["_frexp"]=function(){return Module["asm"]["_frexp"].apply(null,arguments)};var _fseek=Module["_fseek"]=function(){return Module["asm"]["_fseek"].apply(null,arguments)};var _fstat=Module["_fstat"]=function(){return Module["asm"]["_fstat"].apply(null,arguments)};var _ftell=Module["_ftell"]=function(){return Module["asm"]["_ftell"].apply(null,arguments)};var _fwrite=Module["_fwrite"]=function(){return Module["asm"]["_fwrite"].apply(null,arguments)};var _getc=Module["_getc"]=function(){return Module["asm"]["_getc"].apply(null,arguments)};var _getint=Module["_getint"]=function(){return Module["asm"]["_getint"].apply(null,arguments)};var _hexfloat=Module["_hexfloat"]=function(){return Module["asm"]["_hexfloat"].apply(null,arguments)};var _htonl=Module["_htonl"]=function(){return Module["asm"]["_htonl"].apply(null,arguments)};var _htons=Module["_htons"]=function(){return Module["asm"]["_htons"].apply(null,arguments)};var _i64Add=Module["_i64Add"]=function(){return Module["asm"]["_i64Add"].apply(null,arguments)};var _i64Subtract=Module["_i64Subtract"]=function(){return Module["asm"]["_i64Subtract"].apply(null,arguments)};var _inflate=Module["_inflate"]=function(){return Module["asm"]["_inflate"].apply(null,arguments)};var _inflateEnd=Module["_inflateEnd"]=function(){return Module["asm"]["_inflateEnd"].apply(null,arguments)};var _inflateInit2_=Module["_inflateInit2_"]=function(){return Module["asm"]["_inflateInit2_"].apply(null,arguments)};var _inflateInit_=Module["_inflateInit_"]=function(){return Module["asm"]["_inflateInit_"].apply(null,arguments)};var _inflateReset=Module["_inflateReset"]=function(){return Module["asm"]["_inflateReset"].apply(null,arguments)};var _inflateReset2=Module["_inflateReset2"]=function(){return Module["asm"]["_inflateReset2"].apply(null,arguments)};var _inflateResetKeep=Module["_inflateResetKeep"]=function(){return Module["asm"]["_inflateResetKeep"].apply(null,arguments)};var _inflateStateCheck=Module["_inflateStateCheck"]=function(){return Module["asm"]["_inflateStateCheck"].apply(null,arguments)};var _inflate_fast=Module["_inflate_fast"]=function(){return Module["asm"]["_inflate_fast"].apply(null,arguments)};var _inflate_table=Module["_inflate_table"]=function(){return Module["asm"]["_inflate_table"].apply(null,arguments)};var _internal_memalign=Module["_internal_memalign"]=function(){return Module["asm"]["_internal_memalign"].apply(null,arguments)};var _isdigit=Module["_isdigit"]=function(){return Module["asm"]["_isdigit"].apply(null,arguments)};var _islower=Module["_islower"]=function(){return Module["asm"]["_islower"].apply(null,arguments)};var _isspace=Module["_isspace"]=function(){return Module["asm"]["_isspace"].apply(null,arguments)};var _isupper=Module["_isupper"]=function(){return Module["asm"]["_isupper"].apply(null,arguments)};var _isxdigit=Module["_isxdigit"]=function(){return Module["asm"]["_isxdigit"].apply(null,arguments)};var _ldexp=Module["_ldexp"]=function(){return Module["asm"]["_ldexp"].apply(null,arguments)};var _llvm_bswap_i16=Module["_llvm_bswap_i16"]=function(){return Module["asm"]["_llvm_bswap_i16"].apply(null,arguments)};var _llvm_bswap_i32=Module["_llvm_bswap_i32"]=function(){return Module["asm"]["_llvm_bswap_i32"].apply(null,arguments)};var _llvm_round_f64=Module["_llvm_round_f64"]=function(){return Module["asm"]["_llvm_round_f64"].apply(null,arguments)};var _log=Module["_log"]=function(){return Module["asm"]["_log"].apply(null,arguments)};var _logf=Module["_logf"]=function(){return Module["asm"]["_logf"].apply(null,arguments)};var _lrint=Module["_lrint"]=function(){return Module["asm"]["_lrint"].apply(null,arguments)};var _lrintf=Module["_lrintf"]=function(){return Module["asm"]["_lrintf"].apply(null,arguments)};var _malloc=Module["_malloc"]=function(){return Module["asm"]["_malloc"].apply(null,arguments)};var _mbrlen=Module["_mbrlen"]=function(){return Module["asm"]["_mbrlen"].apply(null,arguments)};var _mbrtowc=Module["_mbrtowc"]=function(){return Module["asm"]["_mbrtowc"].apply(null,arguments)};var _mbsinit=Module["_mbsinit"]=function(){return Module["asm"]["_mbsinit"].apply(null,arguments)};var _mbsnrtowcs=Module["_mbsnrtowcs"]=function(){return Module["asm"]["_mbsnrtowcs"].apply(null,arguments)};var _mbsrtowcs=Module["_mbsrtowcs"]=function(){return Module["asm"]["_mbsrtowcs"].apply(null,arguments)};var _mclose=Module["_mclose"]=function(){return Module["asm"]["_mclose"].apply(null,arguments)};var _memalign=Module["_memalign"]=function(){return Module["asm"]["_memalign"].apply(null,arguments)};var _memchr=Module["_memchr"]=function(){return Module["asm"]["_memchr"].apply(null,arguments)};var _memcmp=Module["_memcmp"]=function(){return Module["asm"]["_memcmp"].apply(null,arguments)};var _memcpy=Module["_memcpy"]=function(){return Module["asm"]["_memcpy"].apply(null,arguments)};var _memmove=Module["_memmove"]=function(){return Module["asm"]["_memmove"].apply(null,arguments)};var _memset=Module["_memset"]=function(){return Module["asm"]["_memset"].apply(null,arguments)};var _modf=Module["_modf"]=function(){return Module["asm"]["_modf"].apply(null,arguments)};var _mread=Module["_mread"]=function(){return Module["asm"]["_mread"].apply(null,arguments)};var _mseek=Module["_mseek"]=function(){return Module["asm"]["_mseek"].apply(null,arguments)};var _mwrite=Module["_mwrite"]=function(){return Module["asm"]["_mwrite"].apply(null,arguments)};var _open=Module["_open"]=function(){return Module["asm"]["_open"].apply(null,arguments)};var _opendir=Module["_opendir"]=function(){return Module["asm"]["_opendir"].apply(null,arguments)};var _out=Module["_out"]=function(){return Module["asm"]["_out"].apply(null,arguments)};var _pad_625=Module["_pad_625"]=function(){return Module["asm"]["_pad_625"].apply(null,arguments)};var _pntz=Module["_pntz"]=function(){return Module["asm"]["_pntz"].apply(null,arguments)};var _pop_arg=Module["_pop_arg"]=function(){return Module["asm"]["_pop_arg"].apply(null,arguments)};var _pop_arg_long_double=Module["_pop_arg_long_double"]=function(){return Module["asm"]["_pop_arg_long_double"].apply(null,arguments)};var _posix_memalign=Module["_posix_memalign"]=function(){return Module["asm"]["_posix_memalign"].apply(null,arguments)};var _pow=Module["_pow"]=function(){return Module["asm"]["_pow"].apply(null,arguments)};var _printf=Module["_printf"]=function(){return Module["asm"]["_printf"].apply(null,arguments)};var _printf_core=Module["_printf_core"]=function(){return Module["asm"]["_printf_core"].apply(null,arguments)};var _pthread_cond_destroy=Module["_pthread_cond_destroy"]=function(){return Module["asm"]["_pthread_cond_destroy"].apply(null,arguments)};var _pthread_cond_init=Module["_pthread_cond_init"]=function(){return Module["asm"]["_pthread_cond_init"].apply(null,arguments)};var _pthread_cond_signal=Module["_pthread_cond_signal"]=function(){return Module["asm"]["_pthread_cond_signal"].apply(null,arguments)};var _pthread_cond_wait=Module["_pthread_cond_wait"]=function(){return Module["asm"]["_pthread_cond_wait"].apply(null,arguments)};var _pthread_getspecific=Module["_pthread_getspecific"]=function(){return Module["asm"]["_pthread_getspecific"].apply(null,arguments)};var _pthread_key_create=Module["_pthread_key_create"]=function(){return Module["asm"]["_pthread_key_create"].apply(null,arguments)};var _pthread_mutex_destroy=Module["_pthread_mutex_destroy"]=function(){return Module["asm"]["_pthread_mutex_destroy"].apply(null,arguments)};var _pthread_mutex_init=Module["_pthread_mutex_init"]=function(){return Module["asm"]["_pthread_mutex_init"].apply(null,arguments)};var _pthread_mutex_lock=Module["_pthread_mutex_lock"]=function(){return Module["asm"]["_pthread_mutex_lock"].apply(null,arguments)};var _pthread_mutex_unlock=Module["_pthread_mutex_unlock"]=function(){return Module["asm"]["_pthread_mutex_unlock"].apply(null,arguments)};var _pthread_setspecific=Module["_pthread_setspecific"]=function(){return Module["asm"]["_pthread_setspecific"].apply(null,arguments)};var _qsort=Module["_qsort"]=function(){return Module["asm"]["_qsort"].apply(null,arguments)};var _rand=Module["_rand"]=function(){return Module["asm"]["_rand"].apply(null,arguments)};var _read=Module["_read"]=function(){return Module["asm"]["_read"].apply(null,arguments)};var _readdir=Module["_readdir"]=function(){return Module["asm"]["_readdir"].apply(null,arguments)};var _realloc=Module["_realloc"]=function(){return Module["asm"]["_realloc"].apply(null,arguments)};var _rewind=Module["_rewind"]=function(){return Module["asm"]["_rewind"].apply(null,arguments)};var _rint=Module["_rint"]=function(){return Module["asm"]["_rint"].apply(null,arguments)};var _rintf=Module["_rintf"]=function(){return Module["asm"]["_rintf"].apply(null,arguments)};var _round=Module["_round"]=function(){return Module["asm"]["_round"].apply(null,arguments)};var _saveSetjmp=Module["_saveSetjmp"]=function(){return Module["asm"]["_saveSetjmp"].apply(null,arguments)};var _scalbn=Module["_scalbn"]=function(){return Module["asm"]["_scalbn"].apply(null,arguments)};var _scalbnl=Module["_scalbnl"]=function(){return Module["asm"]["_scalbnl"].apply(null,arguments)};var _scanexp=Module["_scanexp"]=function(){return Module["asm"]["_scanexp"].apply(null,arguments)};var _setThrew=Module["_setThrew"]=function(){return Module["asm"]["_setThrew"].apply(null,arguments)};var _shl=Module["_shl"]=function(){return Module["asm"]["_shl"].apply(null,arguments)};var _shr=Module["_shr"]=function(){return Module["asm"]["_shr"].apply(null,arguments)};var _sift=Module["_sift"]=function(){return Module["asm"]["_sift"].apply(null,arguments)};var _sin=Module["_sin"]=function(){return Module["asm"]["_sin"].apply(null,arguments)};var _sn_write=Module["_sn_write"]=function(){return Module["asm"]["_sn_write"].apply(null,arguments)};var _snprintf=Module["_snprintf"]=function(){return Module["asm"]["_snprintf"].apply(null,arguments)};var _sprintf=Module["_sprintf"]=function(){return Module["asm"]["_sprintf"].apply(null,arguments)};var _sscanf=Module["_sscanf"]=function(){return Module["asm"]["_sscanf"].apply(null,arguments)};var _stat=Module["_stat"]=function(){return Module["asm"]["_stat"].apply(null,arguments)};var _store_int=Module["_store_int"]=function(){return Module["asm"]["_store_int"].apply(null,arguments)};var _strcat=Module["_strcat"]=function(){return Module["asm"]["_strcat"].apply(null,arguments)};var _strchr=Module["_strchr"]=function(){return Module["asm"]["_strchr"].apply(null,arguments)};var _strcmp=Module["_strcmp"]=function(){return Module["asm"]["_strcmp"].apply(null,arguments)};var _strcpy=Module["_strcpy"]=function(){return Module["asm"]["_strcpy"].apply(null,arguments)};var _strcspn=Module["_strcspn"]=function(){return Module["asm"]["_strcspn"].apply(null,arguments)};var _strlen=Module["_strlen"]=function(){return Module["asm"]["_strlen"].apply(null,arguments)};var _strncmp=Module["_strncmp"]=function(){return Module["asm"]["_strncmp"].apply(null,arguments)};var _strncpy=Module["_strncpy"]=function(){return Module["asm"]["_strncpy"].apply(null,arguments)};var _strnlen=Module["_strnlen"]=function(){return Module["asm"]["_strnlen"].apply(null,arguments)};var _strrchr=Module["_strrchr"]=function(){return Module["asm"]["_strrchr"].apply(null,arguments)};var _strspn=Module["_strspn"]=function(){return Module["asm"]["_strspn"].apply(null,arguments)};var _strstr=Module["_strstr"]=function(){return Module["asm"]["_strstr"].apply(null,arguments)};var _strtod=Module["_strtod"]=function(){return Module["asm"]["_strtod"].apply(null,arguments)};var _strtod_l=Module["_strtod_l"]=function(){return Module["asm"]["_strtod_l"].apply(null,arguments)};var _strtof=Module["_strtof"]=function(){return Module["asm"]["_strtof"].apply(null,arguments)};var _strtof_l=Module["_strtof_l"]=function(){return Module["asm"]["_strtof_l"].apply(null,arguments)};var _strtok=Module["_strtok"]=function(){return Module["asm"]["_strtok"].apply(null,arguments)};var _strtol=Module["_strtol"]=function(){return Module["asm"]["_strtol"].apply(null,arguments)};var _strtold=Module["_strtold"]=function(){return Module["asm"]["_strtold"].apply(null,arguments)};var _strtold_l=Module["_strtold_l"]=function(){return Module["asm"]["_strtold_l"].apply(null,arguments)};var _strtoll=Module["_strtoll"]=function(){return Module["asm"]["_strtoll"].apply(null,arguments)};var _strtoll_l=Module["_strtoll_l"]=function(){return Module["asm"]["_strtoll_l"].apply(null,arguments)};var _strtoul=Module["_strtoul"]=function(){return Module["asm"]["_strtoul"].apply(null,arguments)};var _strtoull=Module["_strtoull"]=function(){return Module["asm"]["_strtoull"].apply(null,arguments)};var _strtoull_l=Module["_strtoull_l"]=function(){return Module["asm"]["_strtoull_l"].apply(null,arguments)};var _strtox=Module["_strtox"]=function(){return Module["asm"]["_strtox"].apply(null,arguments)};var _strtox_757=Module["_strtox_757"]=function(){return Module["asm"]["_strtox_757"].apply(null,arguments)};var _testSetjmp=Module["_testSetjmp"]=function(){return Module["asm"]["_testSetjmp"].apply(null,arguments)};var _threebyte_strstr=Module["_threebyte_strstr"]=function(){return Module["asm"]["_threebyte_strstr"].apply(null,arguments)};var _tolower=Module["_tolower"]=function(){return Module["asm"]["_tolower"].apply(null,arguments)};var _toupper=Module["_toupper"]=function(){return Module["asm"]["_toupper"].apply(null,arguments)};var _trinkle=Module["_trinkle"]=function(){return Module["asm"]["_trinkle"].apply(null,arguments)};var _twobyte_strstr=Module["_twobyte_strstr"]=function(){return Module["asm"]["_twobyte_strstr"].apply(null,arguments)};var _twoway_strstr=Module["_twoway_strstr"]=function(){return Module["asm"]["_twoway_strstr"].apply(null,arguments)};var _ungetc=Module["_ungetc"]=function(){return Module["asm"]["_ungetc"].apply(null,arguments)};var _updatewindow=Module["_updatewindow"]=function(){return Module["asm"]["_updatewindow"].apply(null,arguments)};var _vasprintf=Module["_vasprintf"]=function(){return Module["asm"]["_vasprintf"].apply(null,arguments)};var _vfprintf=Module["_vfprintf"]=function(){return Module["asm"]["_vfprintf"].apply(null,arguments)};var _vfscanf=Module["_vfscanf"]=function(){return Module["asm"]["_vfscanf"].apply(null,arguments)};var _vsnprintf=Module["_vsnprintf"]=function(){return Module["asm"]["_vsnprintf"].apply(null,arguments)};var _vsprintf=Module["_vsprintf"]=function(){return Module["asm"]["_vsprintf"].apply(null,arguments)};var _vsscanf=Module["_vsscanf"]=function(){return Module["asm"]["_vsscanf"].apply(null,arguments)};var _wcrtomb=Module["_wcrtomb"]=function(){return Module["asm"]["_wcrtomb"].apply(null,arguments)};var _wcslen=Module["_wcslen"]=function(){return Module["asm"]["_wcslen"].apply(null,arguments)};var _wcsnrtombs=Module["_wcsnrtombs"]=function(){return Module["asm"]["_wcsnrtombs"].apply(null,arguments)};var _wcsrtombs=Module["_wcsrtombs"]=function(){return Module["asm"]["_wcsrtombs"].apply(null,arguments)};var _wctomb=Module["_wctomb"]=function(){return Module["asm"]["_wctomb"].apply(null,arguments)};var _wmemcpy=Module["_wmemcpy"]=function(){return Module["asm"]["_wmemcpy"].apply(null,arguments)};var _wmemmove=Module["_wmemmove"]=function(){return Module["asm"]["_wmemmove"].apply(null,arguments)};var _wmemset=Module["_wmemset"]=function(){return Module["asm"]["_wmemset"].apply(null,arguments)};var _zcalloc=Module["_zcalloc"]=function(){return Module["asm"]["_zcalloc"].apply(null,arguments)};var _zcfree=Module["_zcfree"]=function(){return Module["asm"]["_zcfree"].apply(null,arguments)};var globalCtors=Module["globalCtors"]=function(){return Module["asm"]["globalCtors"].apply(null,arguments)};var stackAlloc=Module["stackAlloc"]=function(){return Module["asm"]["stackAlloc"].apply(null,arguments)};var stackRestore=Module["stackRestore"]=function(){return Module["asm"]["stackRestore"].apply(null,arguments)};var stackSave=Module["stackSave"]=function(){return Module["asm"]["stackSave"].apply(null,arguments)};var dynCall_X=Module["dynCall_X"]=function(){return Module["asm"]["dynCall_X"].apply(null,arguments)};var dynCall_ii=Module["dynCall_ii"]=function(){return Module["asm"]["dynCall_ii"].apply(null,arguments)};var dynCall_iii=Module["dynCall_iii"]=function(){return Module["asm"]["dynCall_iii"].apply(null,arguments)};var dynCall_iiid=Module["dynCall_iiid"]=function(){return Module["asm"]["dynCall_iiid"].apply(null,arguments)};var dynCall_iiii=Module["dynCall_iiii"]=function(){return Module["asm"]["dynCall_iiii"].apply(null,arguments)};var dynCall_iiiidddii=Module["dynCall_iiiidddii"]=function(){return Module["asm"]["dynCall_iiiidddii"].apply(null,arguments)};var dynCall_iiiii=Module["dynCall_iiiii"]=function(){return Module["asm"]["dynCall_iiiii"].apply(null,arguments)};var dynCall_iiiiid=Module["dynCall_iiiiid"]=function(){return Module["asm"]["dynCall_iiiiid"].apply(null,arguments)};var dynCall_iiiiii=Module["dynCall_iiiiii"]=function(){return Module["asm"]["dynCall_iiiiii"].apply(null,arguments)};var dynCall_iiiiiid=Module["dynCall_iiiiiid"]=function(){return Module["asm"]["dynCall_iiiiiid"].apply(null,arguments)};var dynCall_iiiiiii=Module["dynCall_iiiiiii"]=function(){return Module["asm"]["dynCall_iiiiiii"].apply(null,arguments)};var dynCall_iiiiiiii=Module["dynCall_iiiiiiii"]=function(){return Module["asm"]["dynCall_iiiiiiii"].apply(null,arguments)};var dynCall_iiiiiiiii=Module["dynCall_iiiiiiiii"]=function(){return Module["asm"]["dynCall_iiiiiiiii"].apply(null,arguments)};var dynCall_iiiiiiiiiii=Module["dynCall_iiiiiiiiiii"]=function(){return Module["asm"]["dynCall_iiiiiiiiiii"].apply(null,arguments)};var dynCall_iiiiiiiiiiii=Module["dynCall_iiiiiiiiiiii"]=function(){return Module["asm"]["dynCall_iiiiiiiiiiii"].apply(null,arguments)};var dynCall_iiiiiiiiiiiii=Module["dynCall_iiiiiiiiiiiii"]=function(){return Module["asm"]["dynCall_iiiiiiiiiiiii"].apply(null,arguments)};var dynCall_v=Module["dynCall_v"]=function(){return Module["asm"]["dynCall_v"].apply(null,arguments)};var dynCall_vi=Module["dynCall_vi"]=function(){return Module["asm"]["dynCall_vi"].apply(null,arguments)};var dynCall_vii=Module["dynCall_vii"]=function(){return Module["asm"]["dynCall_vii"].apply(null,arguments)};var dynCall_viid=Module["dynCall_viid"]=function(){return Module["asm"]["dynCall_viid"].apply(null,arguments)};var dynCall_viii=Module["dynCall_viii"]=function(){return Module["asm"]["dynCall_viii"].apply(null,arguments)};var dynCall_viiidddii=Module["dynCall_viiidddii"]=function(){return Module["asm"]["dynCall_viiidddii"].apply(null,arguments)};var dynCall_viiii=Module["dynCall_viiii"]=function(){return Module["asm"]["dynCall_viiii"].apply(null,arguments)};var dynCall_viiiii=Module["dynCall_viiiii"]=function(){return Module["asm"]["dynCall_viiiii"].apply(null,arguments)};var dynCall_viiiiii=Module["dynCall_viiiiii"]=function(){return Module["asm"]["dynCall_viiiiii"].apply(null,arguments)};var dynCall_viiiiiii=Module["dynCall_viiiiiii"]=function(){return Module["asm"]["dynCall_viiiiiii"].apply(null,arguments)};var dynCall_viiiiiiii=Module["dynCall_viiiiiiii"]=function(){return Module["asm"]["dynCall_viiiiiiii"].apply(null,arguments)};var dynCall_viiiiiiiiii=Module["dynCall_viiiiiiiiii"]=function(){return Module["asm"]["dynCall_viiiiiiiiii"].apply(null,arguments)};var dynCall_viiiiiiiiiii=Module["dynCall_viiiiiiiiiii"]=function(){return Module["asm"]["dynCall_viiiiiiiiiii"].apply(null,arguments)};var dynCall_viiiiiiiiiiii=Module["dynCall_viiiiiiiiiiii"]=function(){return Module["asm"]["dynCall_viiiiiiiiiiii"].apply(null,arguments)};Module["dynCall_X"]=dynCall_X;Module["dynCall_ii"]=dynCall_ii;Module["dynCall_iii"]=dynCall_iii;Module["dynCall_iiid"]=dynCall_iiid;Module["dynCall_iiii"]=dynCall_iiii;Module["dynCall_iiiidddii"]=dynCall_iiiidddii;Module["dynCall_iiiii"]=dynCall_iiiii;Module["dynCall_iiiiid"]=dynCall_iiiiid;Module["dynCall_iiiiii"]=dynCall_iiiiii;Module["dynCall_iiiiiid"]=dynCall_iiiiiid;Module["dynCall_iiiiiii"]=dynCall_iiiiiii;Module["dynCall_iiiiiiii"]=dynCall_iiiiiiii;Module["dynCall_iiiiiiiii"]=dynCall_iiiiiiiii;Module["dynCall_iiiiiiiiiii"]=dynCall_iiiiiiiiiii;Module["dynCall_iiiiiiiiiiii"]=dynCall_iiiiiiiiiiii;Module["dynCall_iiiiiiiiiiiii"]=dynCall_iiiiiiiiiiiii;Module["dynCall_v"]=dynCall_v;Module["dynCall_vi"]=dynCall_vi;Module["dynCall_vii"]=dynCall_vii;Module["dynCall_viid"]=dynCall_viid;Module["dynCall_viii"]=dynCall_viii;Module["dynCall_viiidddii"]=dynCall_viiidddii;Module["dynCall_viiii"]=dynCall_viiii;Module["dynCall_viiiii"]=dynCall_viiiii;Module["dynCall_viiiiii"]=dynCall_viiiiii;Module["dynCall_viiiiiii"]=dynCall_viiiiiii;Module["dynCall_viiiiiiii"]=dynCall_viiiiiiii;Module["dynCall_viiiiiiiiii"]=dynCall_viiiiiiiiii;Module["dynCall_viiiiiiiiiii"]=dynCall_viiiiiiiiiii;Module["dynCall_viiiiiiiiiiii"]=dynCall_viiiiiiiiiiii;var NAMED_GLOBALS={"_ZNSt3__24cerrE":49388,"_ZNSt3__24coutE":49220,"_ZNSt3__25ctypeIcE2idE":50092,"_ZTINSt3__213basic_istreamIcNS_11char_traitsIcEEEE":24560,"_ZTINSt3__213basic_ostreamIcNS_11char_traitsIcEEEE":24608,"_ZTINSt3__214basic_iostreamIcNS_11char_traitsIcEEEE":24656,"_ZTINSt3__215basic_streambufIcNS_11char_traitsIcEEEE":24544,"_ZTINSt3__219__shared_weak_countE":25920,"_ZTISt12length_error":24080,"_ZTISt9exception":24e3,"_ZTVN10__cxxabiv116__enum_type_infoE":27040,"_ZTVN10__cxxabiv117__class_type_infoE":26904,"_ZTVN10__cxxabiv120__si_class_type_infoE":26864,"_ZTVN10__cxxabiv121__vmi_class_type_infoE":27068,"_ZTVSt12length_error":26964,"_ZZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwPKvE5__fmt":42813,"_ZZNKSt3__27num_putIwNS_19ostreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_putES4_RNS_8ios_baseEwmE5__fmt":42824,"stderr":26568,"stdout":26560};for(var named in NAMED_GLOBALS){Module["_"+named]=gb+NAMED_GLOBALS[named]}Module["NAMED_GLOBALS"]=NAMED_GLOBALS;for(var named in NAMED_GLOBALS){(function(named){var addr=Module["_"+named];Module["g$_"+named]=function(){return addr}})(named)}Module["__ZNSt12length_errorD1Ev"]=Module["__ZNSt11logic_errorD2Ev"];Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_"]=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2ERKS5_"];Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_"]=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2ERKS5_mmRKS4_"];Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED1Ev"]=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"];Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_"]=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC2ERS3_"];Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev"]=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD2Ev"];Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC1Ev"]=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev"];Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED1Ev"]=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev"];Module["__ZNSt3__26localeC1ERKS0_"]=Module["__ZNSt3__26localeC2ERKS0_"];Module["__ZNSt3__26localeD1Ev"]=Module["__ZNSt3__26localeD2Ev"];Module["__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED1Ev"]=Module["__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev"];Module["_fseeko"]=Module["___fseeko"];Module["_ftello"]=Module["___ftello"];Module["_mmap"]=Module["___mmap"];Module["_munmap"]=Module["___munmap"];Module["asm"]=asm;Module["ccall"]=ccall;Module["allocate"]=allocate;Module["getMemory"]=getMemory;Module["UTF8ToString"]=UTF8ToString;Module["stringToUTF8"]=stringToUTF8;Module["loadDynamicLibrary"]=loadDynamicLibrary;var calledRun;Module["then"]=function(func){if(calledRun){func(Module)}else{var old=Module["onRuntimeInitialized"];Module["onRuntimeInitialized"]=function(){if(old)old();func(Module)}}return Module};function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}var calledMain=false;dependenciesFulfilled=function runCaller(){if(!calledRun)run();if(!calledRun)dependenciesFulfilled=runCaller};function callMain(args){var entryFunction=Module["_main"];if(!entryFunction)return;args=args||[];var argc=args.length+1;var argv=stackAlloc((argc+1)*4);HEAP32[argv>>2]=allocateUTF8OnStack(thisProgram);for(var i=1;i<argc;i++){HEAP32[(argv>>2)+i]=allocateUTF8OnStack(args[i-1])}HEAP32[(argv>>2)+argc]=0;try{var ret=entryFunction(argc,argv);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="unwind"){noExitRuntime=true;return}else{var toLog=e;if(e&&typeof e==="object"&&e.stack){toLog=[e,e.stack]}err("exception thrown: "+toLog);quit_(1,e)}}finally{calledMain=true}}function run(args){args=args||arguments_;if(runDependencies>0){return}preRun();if(runDependencies>0)return;function doRun(){if(calledRun)return;calledRun=true;Module["calledRun"]=true;if(ABORT)return;initRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(shouldRunNow)callMain(args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout(function(){setTimeout(function(){Module["setStatus"]("")},1);doRun()},1)}else{doRun()}}Module["run"]=run;function exit(status,implicit){if(implicit&&noExitRuntime&&status===0){return}if(noExitRuntime){}else{ABORT=true;EXITSTATUS=status;exitRuntime();if(Module["onExit"])Module["onExit"](status)}quit_(status,new ExitStatus(status))}if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"])shouldRunNow=false;noExitRuntime=true;run();


  return ImageIOModule
}
);
})();
if (typeof exports === 'object' && typeof module === 'object')
      module.exports = ImageIOModule;
    else if (typeof define === 'function' && define['amd'])
      define([], function() { return ImageIOModule; });
    else if (typeof exports === 'object')
      exports["ImageIOModule"] = ImageIOModule;
    
!function(e,a){"object"==typeof exports&&"undefined"!=typeof module?module.exports=a():"function"==typeof define&&define.amd?define(a):((e="undefined"!=typeof globalThis?globalThis:e||self).Dynamsoft=e.Dynamsoft||{},e.Dynamsoft.ImageIOWasm=a())}(this,(function(){"use strict";var e,a,t,r,s,n,i,o,l,c,m,u,p,f,d,g,y,b,h,w,I,P,M,A,k,T,S,D,v;function E(e,a,t,r){return new(t||(t=Promise))((function(s,n){function i(e){try{l(r.next(e))}catch(e){n(e)}}function o(e){try{l(r.throw(e))}catch(e){n(e)}}function l(e){var a;e.done?s(e.value):(a=e.value,a instanceof t?a:new t((function(e){e(a)}))).then(i,o)}l((r=r.apply(e,a||[])).next())}))}function _(e,a,t,r){if("a"===t&&!r)throw new TypeError("Private accessor was defined without a getter");if("function"==typeof a?e!==a||!r:!a.has(e))throw new TypeError("Cannot read private member from an object whose class did not declare it");return"m"===t?r:"a"===t?r.call(e):r?r.value:a.get(e)}function j(e,a,t,r,s){if("m"===r)throw new TypeError("Private method is not writable");if("a"===r&&!s)throw new TypeError("Private accessor was defined without a setter");if("function"==typeof a?e!==a||!s:!a.has(e))throw new TypeError("Cannot write private member to an object whose class did not declare it");return"a"===r?s.call(e,t):s?s.value=t:a.set(e,t),t}!function(e){e.logInfo="logInfo",e.logDebug="logDebug",e.logAll="logAll",e.imgIO="imgIO",e.core="imgCore",e.imgProc="imgProc",e.pdfR="pdfReader",e.pdfW="pdfWriter",e.crypto="crypto",e.binaryBlobType="application/octet-stream",e.wasmExtension=".wasm"}(e||(e={})),function(e){e.pending="pending",e.ready="ready",e.failed="failed",e.destroyed="destroyed",e.init="init"}(a||(a={})),function(e){e.PARAMETER_TYPE_ERROR="Parameter Type not Supported = ",e.TIMEOUT="Timeout no Response = ",e.FILE_STREAM_ERROR="File Stream Error = ",e.WASM_EXCEPTION_ERROR="An WASM exception occurred."}(t||(t={})),function(e){e[e.LONG_KEY=0]="LONG_KEY",e[e.DLS_KEY=1]="DLS_KEY"}(r||(r={})),function(e){e[e.wasmBase=-4e3]="wasmBase",e[e.wasmException=-4001]="wasmException",e[e.wasmNoModule=-4002]="wasmNoModule",e[e.wasmJsBase=-4100]="wasmJsBase",e[e.wasmJsObjectNotInit=-4101]="wasmJsObjectNotInit",e[e.wasmJsObjectTerminated=-4102]="wasmJsObjectTerminated",e[e.wasmJsObjectInitFailed=-4103]="wasmJsObjectInitFailed",e[e.wasmJsNotLoaded=-4104]="wasmJsNotLoaded",e[e.wasmJsInvalidJson=-4105]="wasmJsInvalidJson",e[e.wasmJsWorkerRunException=-4106]="wasmJsWorkerRunException",e[e.wasmJsWorkerRunFailed=-4107]="wasmJsWorkerRunFailed",e[e.wasmJsReadFileFailed=-4108]="wasmJsReadFileFailed",e[e.wasmJsCoreTaskException=-4109]="wasmJsCoreTaskException",e[e.wasmJsProcTaskException=-4110]="wasmJsProcTaskException",e[e.wasmJsSavePdfFailed=-4111]="wasmJsSavePdfFailed",e[e.wasmJsSaveTiffFailed=-4112]="wasmJsSaveTiffFailed"}(s||(s={})),function(e){e[e.IT_DIB=-1]="IT_DIB",e[e.IT_RGBA=-2]="IT_RGBA",e[e.IT_BGRA=-3]="IT_BGRA",e[e.IT_BMP=0]="IT_BMP",e[e.IT_JPG=1]="IT_JPG",e[e.IT_PNG=3]="IT_PNG",e[e.IT_ALL=5]="IT_ALL"}(n||(n={})),function(e){e[e.RT_AUTO=-1]="RT_AUTO",e[e.RT_BINARY=1]="RT_BINARY",e[e.RT_BASE64=2]="RT_BASE64"}(i||(i={})),function(e){e[e.SF_DEF=0]="SF_DEF",e[e.SF_ENABLE=1]="SF_ENABLE",e[e.SF_DISABLE=2]="SF_DISABLE"}(o||(o={}));class B{static register(e){_(this,l,"f",c).push(e)}static process(e){_(this,l,"f",c).forEach((a=>{e.data.params.moduleName!==a.Name||a.process(e)}))}}l=B,c={value:new Array};class R{constructor(e){this._instances=Object.create(null),m.set(this,""),j(this,m,e,"f"),B.register(this)}get Name(){return _(this,m,"f")}_destroy(e){let a=this._instances[e.data.params.insId];a&&(delete this._instances[e.data.params.insId],a.wasmObject.delete(),e.context.logDebug(e.data,"Delete Instance "+e.data.params.insId))}process(e){}}m=new WeakMap;class C extends R{constructor(){super(e.core)}process(a){let t=a.data,r={errorCode:0,errorMessage:"Successful."},o=this._instances[t.params.insId],l=null==o?void 0:o.wasmObject,c=a.entryModule;switch(t.func){case"init":void 0===this._instances[t.params.insId]&&(this._instances[t.params.insId]={wasmObject:new c.DynamicImagecore(t.params.key,t.params.licMode,t.params.uuid)},a.context.logDebug(t,"Create ImageCore Instance "+t.params.insId));break;case"destroy":o.wasmMemoryPtr&&(a.wasmMemoryPtr=o.wasmMemoryPtr,o.wasmMemoryPtr=null),this._destroy(a);break;case"terminate":return this._destroy(a),a.context.logDebug(t,"Terminate worker"),void self.close();case"getMemoryUsed":r.memoryUsed=c.HEAPU8.length;break;case"SaveImage":case"ReadImage":case"ReadTiffPage":!function(){"ReadImage"===t.func?r=l.ReadImage.apply(l,t.params.input):"SaveImage"===t.func?r=l.SaveImage.apply(l,t.params.input):"ReadTiffPage"===t.func&&(r=l.ReadTiffPage.apply(l,t.params.input));let a=JSON.parse(r);if(0===a.errorCode&&"Successful."===a.errorMessage)if(t.params.returnType===i.RT_BASE64){let e=l.GetCurrentDataBase64(),t=l.GetCurrentDataMD5();a.MD5=t,a.imageData=e}else{let t,r;a.imageType===n.IT_BMP?r="bmp":a.imageType===n.IT_JPG?r="jpeg":a.imageType===n.IT_PNG&&(r="png"),t=r?"image/"+r:e.binaryBlobType;let s=l.GetCurrentData();a.blobType=t,a.imageData=new Uint8ClampedArray(s)}r=a,l.FreeReservedData()}();break;case"GetMD5":!function(){let e={MD5:l.GetMD5.apply(l,t.params.input)};r=JSON.stringify(e)}();break;case"GetLicenseInfo":r=l.GetLicenseInfo();break;case"GetAesResult":r=l.AESGcmEncrypt.apply(l,t.params.input);break;case"GetImageFormat":r=l.GetImageFormat.apply(l,t.params.input);break;case"ReadImageInfo":r=l.ReadImageInfo.apply(l,t.params.input);break;case"LoadTiff":a.wasmMemoryPtr&&(o.wasmMemoryPtr=a.wasmMemoryPtr,a.wasmMemoryPtr=null),r=l.LoadTiff.apply(l,t.params.input);break;case"GetTiffPageInfo":r=l.GetTiffPageInfo.apply(l,t.params.input);break;case"EndReadTiff":l.EndReadTiff(),l.wasmMemoryPtr&&(a.wasmMemoryPtr=l.wasmMemoryPtr,delete l.wasmMemoryPtr);break;case"NewTiff":r=l.NewTiff();break;case"AppendImageToTiff":r=l.AppendImageToTiff.apply(l,t.params.input);break;case"AddTagToNextPage":r=l.AddTagToNextPage.apply(l,t.params.input);break;case"EndWriteTiff":r=l.EndWriteTiff();break;case"GetTiffStream":!function(){l.EndWriteTiff();let e=l.GetTiffStream(),a={};e?(a.blobType="image/tiff",a.imageData=new Uint8ClampedArray(e)):a={errorCode:s.wasmJsSaveTiffFailed,errorMessage:"no tiff content return"},r=a,l.FreeReservedData()}();break;case"GetWasmVersion":r=l.GetWasmVersion();break;case"ds_get_file":!function(){let e,a,s,n,i,o,m,u=t.params.input;a=u[0],s=u[1];let p=u[2];e=new Uint8Array(17),n=c._malloc(e.length),c.HEAPU8.set(e,n),l.GetMultipartFile(a,s,p,n),o=c.HEAPU32[n/4],m=c.HEAPU32[n/4+1],i=c.HEAPU8.slice(o,o+m),c._free(o),c._free(n),l.DestroyMultipartFile(),r=i}()}a.context.logDebug(t,t.func+" end, send back begin");let m,u={id:t.id,func:t.func,result:r,memSize:c.HEAPU8.length};if(t.params.srcBuffer){"string"==typeof u.result&&(u.result=JSON.parse(u.result)),u.result.srcBuffer=t.params.srcBuffer;let e=Object.prototype.toString.call(u.result.srcBuffer);"[object ArrayBuffer]"!==e&&"[object Uint8ClampedArray]"!==e||(m=[null!=u.result.srcBuffer.buffer?u.result.srcBuffer.buffer:u.result.srcBuffer])}let p=Object.prototype.toString.call(r.imageData);"[object ArrayBuffer]"!==p&&"[object Uint8ClampedArray]"!==p&&"[object Uint8Array]"!==p||(m=[null!=u.result.imageData.buffer?u.result.imageData.buffer:u.result.imageData]);let f=self;null!=m?f.postMessage(u,m):f.postMessage(u),a.context.logDebug(t,t.func+" end, send back end"),r=null}}new C;class O extends R{constructor(){super(e.imgProc)}process(e){let a,t=e.data,r={errorCode:0,errorMessage:"Successful."},s=this._instances[t.params.insId],i=null==s?void 0:s.wasmObject,o=e.entryModule;switch(t.func){case"init":void 0===this._instances[t.params.insId]&&(this._instances[t.params.insId]={wasmObject:new o.ImageProc(t.params.key,t.params.licMode,t.params.uuid)},e.context.logDebug(t,"Create ImageProc Instance "+t.params.insId));break;case"destroy":this._destroy(e);break;case"terminate":return this._destroy(e),e.context.logDebug(t,"Terminate worker"),void self.close();case"InitImageObject":r=i.InitImageObject.apply(i,t.params.input),r=JSON.parse(r);break;case"RotateEx":r=i.RotateEx.apply(i,t.params.input);break;case"Flip":r=i.Flip();break;case"Mirror":r=i.Mirror();break;case"Erase":r=i.Erase.apply(i,t.params.input);break;case"ChangeImageSize":r=i.ChangeImageSize.apply(i,t.params.input);break;case"Crop":r=i.Crop.apply(i,t.params.input);break;case"GetSkewAngle":r=i.GetSkewAngle.apply(i,t.params.input);break;case"ConvertToGrayScale":r=i.ConvertToGrayScale(t.params.input);break;case"ConvertToBWScale":r=i.ConvertToBWScale(t.params.input);break;case"Invert":r=i.Invert();break;case"SetDPI":r=i.SetDPI.apply(i,t.params.input);break;case"SetImageWidth":r=i.SetImageWidth.apply(i,t.params.input);break;case"SetImageHeight":r=i.SetImageHeight.apply(i,t.params.input);break;case"GetImageSize":r=i.GetImageSize();break;case"GetCurrentImage":!function(){let e;r=i.Save.apply(i,t.params.input),a=JSON.parse(r),0!==a.errorCode&&"Successful."!==a.errorMessage||(e=i.GetCurrentImage(),a.imageType===n.IT_JPG?a.blobType="image/jpeg":a.imageType===n.IT_PNG&&(a.blobType="image/png"),a.imageData=new Uint8ClampedArray(e)),r=a}();break;case"FreeReservedData":i.FreeReservedData(),r=JSON.stringify(a);break;case"DocumentDetect":r=i.DocumentDetect.apply(i,t.params.input);break;case"Perspective":r=i.Perspective.apply(i,t.params.input);break;case"ChangeBrightness":r=i.ChangeBrightness.apply(i,t.params.input);break;case"ChangeContrast":r=i.ChangeContrast.apply(i,t.params.input);break;case"ShadowRemovel":r=i.ShadowRemovel.apply(i,t.params.input);break;case"EnhanceAndSharpen":r=i.EnhanceAndSharpen.apply(i,t.params.input);break;case"Brighten":r=i.Brighten.apply(i,t.params.input);break;case"GetBlurryScore":r=i.GetBlurScore.apply(i,t.params.input);break;case"DrawQuadrangle":r=i.DrawQuadrangle.apply(i,t.params.input);break;case"ChangeBrightnessAndContrast":r=i.ChangeBrightnessAndContrast.apply(i,t.params.input)}e.context.logDebug(t,t.func+" end, send back begin");let l,c={id:t.id,func:t.func,result:r,memSize:o.HEAPU8.length};if(t.params.srcBuffer){"string"==typeof c.result&&(c.result=JSON.parse(c.result)),c.result.srcBuffer=t.params.srcBuffer;let e=Object.prototype.toString.call(c.result.srcBuffer);"[object ArrayBuffer]"!==e&&"[object Uint8ClampedArray]"!==e||(l=[null!=c.result.srcBuffer.buffer?c.result.srcBuffer.buffer:c.result.srcBuffer])}let m=Object.prototype.toString.call(r.imageData);"[object ArrayBuffer]"!==m&&"[object Uint8ClampedArray]"!==m&&"[object Uint8Array]"!=m||(l=[null!=c.result.imageData.buffer?c.result.imageData.buffer:c.result.imageData]);let u=self;null!=l?u.postMessage(c,l):u.postMessage(c),r=null,e.context.logDebug(t,t.func+" end, send back end")}}new O;class W extends R{constructor(){super(e.pdfW)}process(e){let a,t=e.data,r={errorCode:0,errorMessage:"Successful."},n=this._instances[t.params.insId],i=null==n?void 0:n.wasmObject,o=e.entryModule;switch(t.func){case"init":void 0===this._instances[t.params.insId]&&(this._instances[t.params.insId]={wasmObject:new o.DynamicPdfW(t.params.key,t.params.licMode,t.params.uuid)},e.context.logDebug(t,"Create PdfWriter Instance "+t.params.insId));break;case"destroy":this._destroy(e);break;case"terminate":return this._destroy(e),e.context.logDebug(t,"Terminate worker"),void self.close();case"InitPdfWriter":r=i.InitPdfWriter(t.params.input);break;case"AddPageFromImageFileStream":r=i.AddPageFromImageFileStream.apply(i,t.params.input);break;case"CreatePageFromImageDIB":r=i.CreatePageFromImageDIB.apply(i,t.params.input);break;case"AddAnnotation":r=i.AddAnnotation.apply(i,t.params.input);break;case"EndWritePdf":r=i.EndWritePdf();break;case"GetPdfContent":!function(){i.EndWritePdf();let e=i.GetPdfContent();a={},e?(a.blobType="application/pdf",a.pdfData=new Uint8ClampedArray(e)):a={errorCode:s.wasmJsSavePdfFailed,errorMessage:"no pdf content return"},r=a,i.FreeReservedData()}();break;case"GetWasmVersion":r=i.GetWasmVersion();break;case"NewPdfPage":r=i.NewPdfPage.apply(i,t.params.input);break;case"WritePdfPage":r=i.WritePdfPage();break;case"PdfPageAddImage":r=i.PdfPageAddImage.apply(i,t.params.input);break;case"PdfPageAddText":r=i.PdfPageAddText.apply(i,t.params.input);break;case"PdfPageAddAnnotation":r=i.PdfPageAddAnnotation.apply(i,t.params.input);break;case"PdfPageAddPath":r=i.PdfPageAddPath.apply(i,t.params.input);break;case"PdfPageSetRotate":r=i.PdfPageSetRotate.apply(i,t.params.input)}e.context.logDebug(t,t.func+" end, send back begin");let l,c={id:t.id,func:t.func,result:r,memSize:o.HEAPU8.length},m=Object.prototype.toString.call(r.pdfData);"[object ArrayBuffer]"!==m&&"[object Uint8ClampedArray]"!==m&&"[object Uint8Array]"!=m||(l=[null!=c.result.pdfData.buffer?c.result.pdfData.buffer:c.result.pdfData]);let u=self;null!=l?u.postMessage(c,l):u.postMessage(c),e.context.logDebug(t,t.func+" end, send back end")}}new W;class G{static fetchRetry(e,a,t,r){let s=a.retries,n=a.retryDelay;return new Promise((function(i,o){const l=function(c){fetch(e,a).then((function(e){i(e)})).catch((function(e){c<s?function(e,a,s){t&&t(a,r);setTimeout((function(){l(++e)}),n)}(c,e):o(e)}))};l(0)}))}}class N{static buildWasmFileName(e,a,t,r){return e+(r?"sn-":"")+a+t}static base64DecToArr(e,a){let t=e.replace(/[^A-Za-z0-9\+\/]/g,""),r=t.length,s=a?Math.ceil((3*r+1>>>2)/a)*a:3*r+1>>>2,n=new Uint8Array(s);for(let e,a,i=0,o=0,l=0;l<r;l++)if(a=3&l,i|=_(this,u,"m",p).call(this,t.charCodeAt(l))<<18-6*a,3===a||r-l==1){for(e=0;e<3&&o<s;e++,o++)n[o]=i>>>(16>>>e&24)&255;i=0}return n}static isWasmSupport(){try{if("object"==typeof WebAssembly&&"function"==typeof WebAssembly.instantiate){let e=new WebAssembly.Module(Uint8Array.of(0,97,115,109,1,0,0,0));if(e instanceof WebAssembly.Module)return new WebAssembly.Instance(e)instanceof WebAssembly.Instance}}catch(e){}return!1}static random(){return(Date.now()%10086).toString(36).slice(2)+Math.random().toString(36).slice(2)}}u=N,p=function(e){return e>64&&e<91?e-65:e>96&&e<123?e-71:e>47&&e<58?e+4:43===e?62:47===e?63:0};var x={};d=new WeakMap,g=new WeakMap,y=new WeakMap,b=new WeakMap,h=new WeakMap,w=new WeakMap,I=new WeakMap,P=new WeakMap,f=new WeakSet,M=function(){j(this,d,null,"f")},A=function(e,a){_(this,w,"f").postMessage({id:e.id,func:"status",log:a}),e.params&&"function"==typeof e.params.callback&&e.params.callback(a)},k=function(e,a){_(this,w,"f").postMessage({id:e.id,func:"log",log:a}),e.params&&"function"==typeof e.params.callback&&e.params.callback(a)},T=function(e){let a={name:"",promise:void 0,resolve:void 0,reject:void 0,wasmModule:null};return a.name=e,a.promise=new Promise((function(e,t){a.resolve=e,a.reject=t})),a.wasmModule=null,a},S=function(a,t){var r;let s=this,n=Date.now();j(this,b,N.buildWasmFileName(a.prefixName,a.ver,e.wasmExtension,!1),"f"),_(this,f,"m",A).call(this,t,"loading "+_(this,b,"f")+"...");let i=_(this,f,"m",T).call(this,a.name);i.wasmModule=a.wasmModule;let o={print:function(e){e+="",_(s,f,"m",k).call(s,t,e)},printErr:function(e){e+="",i.reject({name:i.name,error:e})},INITIAL_MEMORY:1024*(null!==(r=t.params.initMemory)&&void 0!==r?r:32)*1024,instantiateWasm:function(e,a){if(i.wasmModule)return WebAssembly.instantiate(i.wasmModule,e).then((function(e){_(s,f,"m",k).call(s,t,"instantiate with wasm module"),a(e,i.wasmModule)}),(function(e){e+="",_(s,f,"m",k).call(s,t,"wasm instantiate 2 failed: "+e),i.reject({name:i.name,error:e})})).catch((function(e){_(s,f,"m",k).call(s,t,JSON.stringify(e));let a=e.message+"";i.reject({name:i.name,error:a})}));{const r=_(s,y,"f").retries,n=_(s,y,"f").retryDelay;let o=function(n){return E(this,void 0,void 0,(function*(){try{const r=G.fetchRetry(_(s,g,"f")+_(s,b,"f"),_(s,y,"f"),(function(e,a){return _(s,f,"m",k).call(s,t,e),!0}),t),n=yield r,o=yield n.arrayBuffer(),l=yield WebAssembly.instantiate(o,e);return i.wasmModule=l.module,a(l.instance,l.module),l}catch(e){if(_(s,f,"m",k).call(s,t,"wasm instantiate 1 failed: "),_(s,f,"m",k).call(s,t,JSON.stringify(e)),_(s,f,"m",k).call(s,t,"attempt "+n+", retries: "+r),n<r)l(n);else{let a=e.message+"";i.reject({name:i.name,error:a})}}}))};function l(e){setTimeout((function(){o(++e)}),n)}o(0)}return{}},onRuntimeInitialized:function(){return E(this,void 0,void 0,(function*(){_(s,f,"m",A).call(s,t,a.name+" wasm initialized, cost "+(Date.now()-n)+" ms"),i.resolve()}))}};return _(this,h,"f").call(this,o).then((e=>{j(this,d,e,"f"),_(this,I,"f")[a.name]=!0})),i},D=function(a,t){var r;let s=this,n=_(this,f,"m",T).call(this,a.name),i=_(this,g,"f")+N.buildWasmFileName(a.prefixName,a.ver,e.wasmExtension,null!==(r=a.useSimd)&&void 0!==r&&r),o=Date.now();_(this,f,"m",A).call(this,t,"loading "+i+"...");let l={loadAsync:!0,global:!0,nodelete:!0,wasmModule:a.wasmModule,log:function(e){_(s,f,"m",k).call(s,t,e)},fetchOptions:_(this,y,"f"),fetchRetry:function(e,a){return G.fetchRetry(e,a,(function(e,a){return _(s,f,"m",k).call(s,t,e),!0}),t)}};const c=_(this,y,"f").retries,m=_(this,y,"f").retryDelay;let u=function(e){return E(this,void 0,void 0,(function*(){_(s,d,"f").loadDynamicLibrary(i,l).then((function(r){_(s,f,"m",A).call(s,t,i+" initialized, cost "+(Date.now()-o)+" ms"),null===l.wasmModule?(null!=_(s,d,"f").LDSO.loadedLibsByName?delete _(s,d,"f").LDSO.loadedLibsByName[i]:null!=_(s,d,"f").LDSO.loadedLibNames&&delete _(s,d,"f").LDSO.loadedLibNames[i],_(s,f,"m",k).call(s,t,"wasm is null, attempt "+e+", retries: "+c),e<c?p(e):n.reject({name:n.name,error:"string"==typeof r?r:r.toString()})):(n.wasmModule=l.wasmModule,l=null,_(s,I,"f")[a.name]=!0,n.resolve())}),(function(a){a+="",_(s,f,"m",A).call(s,t,i+" failed"),_(s,f,"m",A).call(s,t,a),_(s,f,"m",k).call(s,t,"attempt "+e+", retries: "+c),e<c?p(e):n.reject({name:n.name,error:"string"==typeof a?a:a.toString()})}))}))};function p(e){setTimeout((function(){u(++e)}),m)}return u(0),n},v=function(e){try{_(this,w,"f").postMessage(e)}catch(a){for(const a of e.result.modules)a.wasmModule=null;_(this,w,"f").postMessage(e)}};var J=new class{constructor(e){f.add(this),d.set(this,null),g.set(this,""),y.set(this,{mode:"cors",credentials:"same-origin"}),b.set(this,""),h.set(this,null),w.set(this,self),I.set(this,[]),P.set(this,void 0),_(this,f,"m",M).call(this),j(this,h,e,"f")}logDebug(a,t){if(a&&a.params){let r="";a.params.logLevel===e.logDebug&&(r="[wm]["+Date.now()/1e3+"] "+t,_(this,f,"m",k).call(this,a,r))}}get Module(){return _(this,d,"f")}loadWasm(e){return E(this,void 0,void 0,(function*(){null!=e.params.resourceDir&&j(this,g,e.params.resourceDir,"f"),null!=e.params.fetchOptions&&j(this,y,e.params.fetchOptions,"f");let a=Object.create(null);a.promise=new Promise((function(e,t){a.resolve=e,a.reject=t}));try{let a={modules:[]};if(e.params.module){let t=e.params.module.modulesInfo;for(const r of t)if(!_(this,I,"f")[r.name]&&(null===r.dependencyModules||0===r.dependencyModules.length)){let t=_(this,f,"m",S).call(this,r,e);yield t.promise,a.modules.push({name:r.name,wasmModule:t.wasmModule})}for(const r of t)if(!_(this,I,"f")[r.name]&&r.dependencyModules&&0!=r.dependencyModules.length){let t=_(this,f,"m",D).call(this,r,e);yield t.promise,a.modules.push({name:r.name,wasmModule:t.wasmModule})}_(this,f,"m",v).call(this,{id:e.id,func:e.func,result:a,memSize:_(this,d,"f").HEAPU8.length})}}catch(t){let r={errorCode:s.wasmException,errorMessage:JSON.stringify(t),stack:JSON.stringify(t.stack)};if("object"==typeof t&&e.params.module){let a=e.params.module.modulesInfo;r.modules=[],void 0!==t.error?r.errorMessage=t.error:r.errorMessage=void 0!==t.message?t.message:"unknown error",delete r.stack,r.modules.push({name:t.name,wasmModule:null});for(const e of a)r.modules.push({name:e.name,wasmModule:null})}_(this,w,"f").postMessage({id:e.id,func:e.func,result:r}),a.reject(r)}return a.promise}))}handleMessage(e){if("string"==typeof e)return;if(null==e.func)return;let a=null;e.params&&(a=e.params.val,this.logDebug(e,"received "+e.func)),null!=a&&(x=a),j(this,P,x,"f");let t=e;if("object"==typeof t&&"object"==typeof t.result&&t.result.errorCode===s.wasmException)return;let r=this.Module,n=this,i={data:e,entryModule:r,context:this,wasmMemoryPtr:null};try{let a=null;if("loadWasm"===e.func)return void this.loadWasm(e).catch((function(a){let t=(void 0!==a.message?a.message:"")+""+(void 0!==a.errorMessage?a.errorMessage:"");_(n,w,"f").postMessage({id:e.id,func:e.func,result:{errorCode:s.wasmException,errorMessage:t,stack:a.stack}})}));if(e.func,r){this.logDebug(e,"try to init buffer start");let t=Object.prototype.toString.call(e.params.input);if("[object Array]"===Object.prototype.toString.call(e.params.input)){if(t=Object.prototype.toString.call(e.params.input[0]),"[object ArrayBuffer]"===t||"[object Uint8ClampedArray]"===t||"[object Uint8Array]"==t){let s=e.params.input[0].byteLength;a=r._malloc(s),"[object ArrayBuffer]"===t?r.HEAPU8.set(new Uint8Array(e.params.input[0]),a):r.HEAPU8.set(new Uint8Array(e.params.input[0].buffer),a),e.params.srcBuffer=e.params.input[0],e.params.input[0]=a,e.params.input.splice(1,0,s)}}else if("[object ArrayBuffer]"===t||"[object Uint8ClampedArray]"===t||"[object Uint8Array]"==t){let s=e.params.input.byteLength;a=r._malloc(s),"[object ArrayBuffer]"===t?r.HEAPU8.set(new Uint8Array(e.params.input),a):r.HEAPU8.set(new Uint8Array(e.params.input.buffer),a),e.params.srcBuffer=e.params.input,e.params.input=[a,s]}this.logDebug(e,"try to init buffer end")}this.logDebug(e,e.func+" start"),i.wasmMemoryPtr=a,B.process(i),i.wasmMemoryPtr&&r&&r._free(i.wasmMemoryPtr)}catch(a){i.wasmMemoryPtr&&r&&r._free(i.wasmMemoryPtr),"object"!=typeof a&&(a={message:a,stack:""}),_(n,w,"f").postMessage({id:e.id,func:e.func,result:{errorCode:s.wasmException,errorMessage:a.message,stack:a.stack},memSize:r.HEAPU8.length})}}}(ImageIOModule);onmessage=function(e){J.handleMessage(e.data)},self.postMessage("ready");class F{}return F.ImageCoreGlue=C,F.ImageProcGlue=O,F.PdfWriterGlue=W,F}));
